(* Content-type: application/vnd.wolfram.mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 12.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       158,          7]
NotebookDataLength[    520890,      11540]
NotebookOptionsPosition[    508268,      11326]
NotebookOutlinePosition[    508604,      11341]
CellTagsIndexPosition[    508561,      11338]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{

Cell[CellGroupData[{
Cell["Cloning Swap - 1q with 1q", "Section",
 CellChangeTimes->{{3.7955907970141563`*^9, 
  3.795590856681072*^9}},ExpressionUUID->"16ea25b8-51a9-46a6-bbbf-\
ec796ad86a53"],

Cell["\<\
2 qubits which are cloned into other 2 qubits in the swap basis.\
\>", "Text",
 CellChangeTimes->{{3.7955908645771723`*^9, 
  3.795590891737082*^9}},ExpressionUUID->"ec04c82e-43e0-4699-b67d-\
0a2c7363c2b7"],

Cell[BoxData[{
 RowBox[{"M", ":=", 
  RowBox[{"{", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{"a", ",", "0"}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"0", ",", "b"}], "}"}]}], "}"}]}], "\[IndentingNewLine]", 
 RowBox[{"F", ":=", 
  RowBox[{"{", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{"c", ",", "0"}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"0", ",", "d"}], "}"}]}], "}"}]}], "\[IndentingNewLine]", 
 RowBox[{"rho", " ", ":=", " ", 
  RowBox[{"KroneckerProduct", "[", 
   RowBox[{"M", ",", " ", "F"}], "]"}]}]}], "Input",
 CellChangeTimes->{{3.795583443919224*^9, 3.795583533386517*^9}},
 CellLabel->"In[1]:=",ExpressionUUID->"a0496cf2-138d-4373-9227-31b6ce2b8828"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"rho", " ", "//", " ", "MatrixForm"}]], "Input",
 CellChangeTimes->{{3.795583537398244*^9, 3.79558355690663*^9}},
 CellLabel->"In[5]:=",ExpressionUUID->"e581aed3-533e-4c5d-9dbb-5110559e72a5"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {
      RowBox[{"a", " ", "c"}], "0", "0", "0"},
     {"0", 
      RowBox[{"a", " ", "d"}], "0", "0"},
     {"0", "0", 
      RowBox[{"b", " ", "c"}], "0"},
     {"0", "0", "0", 
      RowBox[{"b", " ", "d"}]}
    },
    GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{{3.7955835403741198`*^9, 3.79558355756153*^9}},
 CellLabel->
  "Out[5]//MatrixForm=",ExpressionUUID->"e68cf3de-b82f-4388-acd3-\
23d12af7f339"]
}, Open  ]],

Cell[BoxData[
 RowBox[{"Id", ":=", 
  RowBox[{"IdentityMatrix", "[", "2", "]"}]}]], "Input",
 CellChangeTimes->{{3.795584262432859*^9, 3.7955842954681797`*^9}},
 CellLabel->"In[7]:=",ExpressionUUID->"2f27cee4-d648-4f9f-8b60-6f42c3d936bb"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Id", " ", "//", "MatrixForm"}]], "Input",
 CellChangeTimes->{{3.795584298236805*^9, 3.7955843041347427`*^9}},
 CellLabel->"In[8]:=",ExpressionUUID->"f4adad45-8c48-4b11-9a04-f77d8613d89d"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {"1", "0"},
     {"0", "1"}
    },
    GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{3.795584304641769*^9},
 CellLabel->
  "Out[8]//MatrixForm=",ExpressionUUID->"51fb031a-caac-408d-a1dd-\
da902bfca4c7"]
}, Open  ]],

Cell[BoxData[
 RowBox[{"blank", ":=", 
  RowBox[{"{", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{"1", ",", "0", ",", "0", ",", "0"}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"0", ",", "0", ",", "0", ",", "0"}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"0", ",", "0", ",", "0", ",", "0"}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"0", ",", "0", ",", "0", ",", "0"}], "}"}]}], "}"}]}]], "Input",
 CellChangeTimes->{{3.79558432505837*^9, 3.795584357560116*^9}},
 CellLabel->"In[9]:=",ExpressionUUID->"cd71e7ca-a419-4341-808a-3292516c4e85"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"blank", "//", "MatrixForm"}]], "Input",
 CellChangeTimes->{{3.795584360427384*^9, 3.7955843668291063`*^9}},
 CellLabel->"In[10]:=",ExpressionUUID->"a7e17227-bdd1-495f-a737-16c01734f3dc"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {"1", "0", "0", "0"},
     {"0", "0", "0", "0"},
     {"0", "0", "0", "0"},
     {"0", "0", "0", "0"}
    },
    GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{3.795584367540915*^9},
 CellLabel->
  "Out[10]//MatrixForm=",ExpressionUUID->"0cc6bc49-7b2d-49f3-83af-\
a227f82494ff"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"KroneckerProduct", "[", 
   RowBox[{"rho", ",", " ", "blank"}], "]"}], " ", "//", 
  "MatrixForm"}]], "Input",
 CellChangeTimes->{{3.795584379026963*^9, 3.7955843982794456`*^9}},
 CellLabel->"In[11]:=",ExpressionUUID->"436f5e20-03d4-4066-8bc7-1deb6c2fcd7a"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {
      RowBox[{"a", " ", "c"}], "0", "0", "0", "0", "0", "0", "0", "0", "0", 
      "0", "0", "0", "0", "0", "0"},
     {"0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", 
      "0", "0"},
     {"0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", 
      "0", "0"},
     {"0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", 
      "0", "0"},
     {"0", "0", "0", "0", 
      RowBox[{"a", " ", "d"}], "0", "0", "0", "0", "0", "0", "0", "0", "0", 
      "0", "0"},
     {"0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", 
      "0", "0"},
     {"0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", 
      "0", "0"},
     {"0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", 
      "0", "0"},
     {"0", "0", "0", "0", "0", "0", "0", "0", 
      RowBox[{"b", " ", "c"}], "0", "0", "0", "0", "0", "0", "0"},
     {"0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", 
      "0", "0"},
     {"0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", 
      "0", "0"},
     {"0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", 
      "0", "0"},
     {"0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", 
      RowBox[{"b", " ", "d"}], "0", "0", "0"},
     {"0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", 
      "0", "0"},
     {"0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", 
      "0", "0"},
     {"0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", 
      "0", "0"}
    },
    GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{3.79558439893808*^9},
 CellLabel->
  "Out[11]//MatrixForm=",ExpressionUUID->"ee89188b-4ec8-4797-b17c-\
5960d33a019c"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{"x41", ":=", 
  RowBox[{"IdentityMatrix", "[", "4", "]"}]}], "\[IndentingNewLine]", 
 RowBox[{"x42", ":=", 
  RowBox[{"{", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{"0", ",", "0", ",", "0", ",", "1"}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"1", ",", "0", ",", "0", ",", "0"}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"0", ",", "1", ",", "0", ",", "0"}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"0", ",", "0", ",", "1", ",", "0"}], "}"}]}], 
   "}"}]}], "\[IndentingNewLine]", 
 RowBox[{"x43", ":=", 
  RowBox[{"{", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{"0", ",", "0", ",", "1", ",", "0"}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"0", ",", "0", ",", "0", ",", "1"}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"1", ",", "0", ",", "0", ",", "0"}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"0", ",", "1", ",", "0", ",", "0"}], "}"}]}], 
   "}"}]}], "\[IndentingNewLine]", 
 RowBox[{"x44", ":=", 
  RowBox[{"{", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{"0", ",", "1", ",", "0", ",", "0"}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"0", ",", "0", ",", "1", ",", "0"}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"0", ",", "0", ",", "0", ",", "1"}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"1", ",", "0", ",", "0", ",", "0"}], "}"}]}], 
   "}"}]}], "\[IndentingNewLine]", 
 RowBox[{"U", ":=", 
  RowBox[{"ArrayFlatten", "[", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"x41", ",", " ", "0", ",", " ", "0", ",", " ", "0"}], "}"}], 
     ",", 
     RowBox[{"{", 
      RowBox[{"0", ",", "x42", ",", "0", ",", "0"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"0", ",", "0", ",", "x43", ",", "0"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"0", ",", "0", ",", "0", ",", "x44"}], "}"}]}], "}"}], 
   "]"}]}], "\[IndentingNewLine]", 
 RowBox[{"Udag", ":=", 
  RowBox[{"ConjugateTranspose", "[", "U", "]"}]}], "\[IndentingNewLine]", 
 RowBox[{"U", "//", "MatrixForm"}]}], "Input",
 CellChangeTimes->{{3.795584519603545*^9, 3.795584704038556*^9}, {
  3.795584793464198*^9, 3.7955848056523237`*^9}},
 CellLabel->"In[22]:=",ExpressionUUID->"fc25fa99-2dca-466a-8839-041b65fba624"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {"1", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", 
      "0", "0"},
     {"0", "1", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", 
      "0", "0"},
     {"0", "0", "1", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", 
      "0", "0"},
     {"0", "0", "0", "1", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", 
      "0", "0"},
     {"0", "0", "0", "0", "0", "0", "0", "1", "0", "0", "0", "0", "0", "0", 
      "0", "0"},
     {"0", "0", "0", "0", "1", "0", "0", "0", "0", "0", "0", "0", "0", "0", 
      "0", "0"},
     {"0", "0", "0", "0", "0", "1", "0", "0", "0", "0", "0", "0", "0", "0", 
      "0", "0"},
     {"0", "0", "0", "0", "0", "0", "1", "0", "0", "0", "0", "0", "0", "0", 
      "0", "0"},
     {"0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "1", "0", "0", "0", 
      "0", "0"},
     {"0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "1", "0", "0", 
      "0", "0"},
     {"0", "0", "0", "0", "0", "0", "0", "0", "1", "0", "0", "0", "0", "0", 
      "0", "0"},
     {"0", "0", "0", "0", "0", "0", "0", "0", "0", "1", "0", "0", "0", "0", 
      "0", "0"},
     {"0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "1", 
      "0", "0"},
     {"0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", 
      "1", "0"},
     {"0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", 
      "0", "1"},
     {"0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "1", "0", 
      "0", "0"}
    },
    GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{3.79558470514855*^9, 3.7955848075664883`*^9},
 CellLabel->
  "Out[28]//MatrixForm=",ExpressionUUID->"27d5a19c-009b-40ed-8cd1-\
3375e2d674b1"]
}, Open  ]],

Cell[BoxData[{
 RowBox[{"H", ":=", 
  RowBox[{"{", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{
      RowBox[{"1", "/", 
       RowBox[{"Sqrt", "[", "2", "]"}]}], ",", 
      RowBox[{"1", "/", 
       RowBox[{"Sqrt", "[", "2", "]"}]}]}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"1", "/", 
       RowBox[{"Sqrt", "[", "2", "]"}]}], ",", 
      RowBox[{
       RowBox[{"-", "1"}], "/", 
       RowBox[{"Sqrt", "[", "2", "]"}]}]}], "}"}]}], 
   "}"}]}], "\[IndentingNewLine]", 
 RowBox[{"V", ":=", 
  RowBox[{"ArrayFlatten", "[", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"1", ",", "0", ",", "0"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"0", ",", "H", ",", "0"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"0", ",", "0", ",", "1"}], "}"}]}], "}"}], 
   "]"}]}], "\[IndentingNewLine]", 
 RowBox[{"V", "//", "MatrixForm"}]}], "Input",
 CellChangeTimes->{{3.7955849508682203`*^9, 3.7955850654336576`*^9}},
 CellLabel->"In[38]:=",ExpressionUUID->"45ee369f-9177-44df-9359-24dd0fdfa736"],

Cell[CellGroupData[{

Cell[BoxData[{
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {"1", "0", "0", "0"},
     {"0", 
      FractionBox["1", 
       SqrtBox["2"]], 
      FractionBox["1", 
       SqrtBox["2"]], "0"},
     {"0", 
      FractionBox["1", 
       SqrtBox["2"]], 
      RowBox[{"-", 
       FractionBox["1", 
        SqrtBox["2"]]}], "0"},
     {"0", "0", "0", "1"}
    },
    GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]], "\[IndentingNewLine]", 
 RowBox[{"Us", ":=", 
  RowBox[{"Dot", "[", 
   RowBox[{
    RowBox[{"KroneckerProduct", "[", 
     RowBox[{"V", ",", "V"}], "]"}], ",", " ", "U", ",", " ", 
    RowBox[{"KroneckerProduct", "[", 
     RowBox[{"V", ",", "V"}], "]"}]}], "]"}]}], "\[IndentingNewLine]", 
 RowBox[{"Usdag", ":=", 
  RowBox[{"Dot", "[", 
   RowBox[{
    RowBox[{"KroneckerProduct", "[", 
     RowBox[{"V", ",", "V"}], "]"}], ",", " ", "Udag", ",", " ", 
    RowBox[{"KroneckerProduct", "[", 
     RowBox[{"V", ",", "V"}], "]"}]}], "]"}]}], "\[IndentingNewLine]", 
 RowBox[{"Us", "//", "MatrixForm"}]}], "Input",
 CellChangeTimes->{{3.7955888772241488`*^9, 3.795588960140732*^9}},
 CellLabel->
  "In[103]:=",ExpressionUUID->"5004e0d7-39e1-48f4-885c-6d072598e7b8"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{"1", ",", "0", ",", "0", ",", "0"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"0", ",", 
     FractionBox["1", 
      SqrtBox["2"]], ",", 
     FractionBox["1", 
      SqrtBox["2"]], ",", "0"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"0", ",", 
     FractionBox["1", 
      SqrtBox["2"]], ",", 
     RowBox[{"-", 
      FractionBox["1", 
       SqrtBox["2"]]}], ",", "0"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"0", ",", "0", ",", "0", ",", "1"}], "}"}]}], "}"}]], "Output",
 CellChangeTimes->{3.795588928709301*^9, 3.795588961056746*^9},
 CellLabel->
  "Out[103]=",ExpressionUUID->"8b8801cd-87d7-4c0d-8d68-95244e7171fd"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {"1", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", 
      "0", "0"},
     {"0", "1", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", 
      "0", "0"},
     {"0", "0", "1", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", 
      "0", "0"},
     {"0", "0", "0", "1", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", 
      "0", "0"},
     {"0", "0", "0", "0", "0", 
      FractionBox["1", 
       RowBox[{"2", " ", 
        SqrtBox["2"]}]], 
      RowBox[{"-", 
       FractionBox["1", 
        RowBox[{"2", " ", 
         SqrtBox["2"]}]]}], 
      FractionBox["1", "2"], "0", 
      RowBox[{"-", 
       FractionBox["1", 
        RowBox[{"2", " ", 
         SqrtBox["2"]}]]}], 
      FractionBox["1", 
       RowBox[{"2", " ", 
        SqrtBox["2"]}]], 
      FractionBox["1", "2"], "0", "0", "0", "0"},
     {"0", "0", "0", "0", 
      FractionBox["1", 
       SqrtBox["2"]], 
      FractionBox["1", "4"], 
      FractionBox["1", "4"], 
      FractionBox["1", 
       RowBox[{"2", " ", 
        SqrtBox["2"]}]], "0", 
      FractionBox["1", "4"], 
      FractionBox["1", "4"], 
      RowBox[{"-", 
       FractionBox["1", 
        RowBox[{"2", " ", 
         SqrtBox["2"]}]]}], "0", "0", "0", "0"},
     {"0", "0", "0", "0", "0", 
      RowBox[{"-", 
       FractionBox["1", "4"]}], 
      RowBox[{"-", 
       FractionBox["1", "4"]}], 
      FractionBox["1", 
       RowBox[{"2", " ", 
        SqrtBox["2"]}]], 
      FractionBox["1", 
       SqrtBox["2"]], 
      RowBox[{"-", 
       FractionBox["1", "4"]}], 
      RowBox[{"-", 
       FractionBox["1", "4"]}], 
      RowBox[{"-", 
       FractionBox["1", 
        RowBox[{"2", " ", 
         SqrtBox["2"]}]]}], "0", "0", "0", "0"},
     {"0", "0", "0", "0", "0", 
      FractionBox["1", 
       SqrtBox["2"]], "0", "0", "0", "0", 
      RowBox[{"-", 
       FractionBox["1", 
        SqrtBox["2"]]}], "0", "0", "0", "0", "0"},
     {"0", "0", "0", "0", "0", 
      RowBox[{"-", 
       FractionBox["1", 
        RowBox[{"2", " ", 
         SqrtBox["2"]}]]}], 
      FractionBox["1", 
       RowBox[{"2", " ", 
        SqrtBox["2"]}]], 
      FractionBox["1", "2"], "0", 
      FractionBox["1", 
       RowBox[{"2", " ", 
        SqrtBox["2"]}]], 
      RowBox[{"-", 
       FractionBox["1", 
        RowBox[{"2", " ", 
         SqrtBox["2"]}]]}], 
      FractionBox["1", "2"], "0", "0", "0", "0"},
     {"0", "0", "0", "0", "0", 
      FractionBox["1", "4"], 
      FractionBox["1", "4"], 
      RowBox[{"-", 
       FractionBox["1", 
        RowBox[{"2", " ", 
         SqrtBox["2"]}]]}], 
      FractionBox["1", 
       SqrtBox["2"]], 
      FractionBox["1", "4"], 
      FractionBox["1", "4"], 
      FractionBox["1", 
       RowBox[{"2", " ", 
        SqrtBox["2"]}]], "0", "0", "0", "0"},
     {"0", "0", "0", "0", 
      FractionBox["1", 
       SqrtBox["2"]], 
      RowBox[{"-", 
       FractionBox["1", "4"]}], 
      RowBox[{"-", 
       FractionBox["1", "4"]}], 
      RowBox[{"-", 
       FractionBox["1", 
        RowBox[{"2", " ", 
         SqrtBox["2"]}]]}], "0", 
      RowBox[{"-", 
       FractionBox["1", "4"]}], 
      RowBox[{"-", 
       FractionBox["1", "4"]}], 
      FractionBox["1", 
       RowBox[{"2", " ", 
        SqrtBox["2"]}]], "0", "0", "0", "0"},
     {"0", "0", "0", "0", "0", "0", 
      RowBox[{"-", 
       FractionBox["1", 
        SqrtBox["2"]]}], "0", "0", 
      FractionBox["1", 
       SqrtBox["2"]], "0", "0", "0", "0", "0", "0"},
     {"0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", 
      FractionBox["1", 
       SqrtBox["2"]], 
      FractionBox["1", 
       SqrtBox["2"]], "0"},
     {"0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", 
      FractionBox["1", "2"], 
      RowBox[{"-", 
       FractionBox["1", "2"]}], 
      FractionBox["1", 
       SqrtBox["2"]]},
     {"0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", 
      FractionBox["1", "2"], 
      RowBox[{"-", 
       FractionBox["1", "2"]}], 
      RowBox[{"-", 
       FractionBox["1", 
        SqrtBox["2"]]}]},
     {"0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "1", "0", 
      "0", "0"}
    },
    GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{3.795588928709301*^9, 3.7955889610602922`*^9},
 CellLabel->
  "Out[106]//MatrixForm=",ExpressionUUID->"230ad6fb-6bb0-42c3-a61f-\
612994787c5d"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{"Theta", ":=", 
  RowBox[{"DiagonalMatrix", "[", 
   RowBox[{"{", 
    RowBox[{
     SubscriptBox["\[Theta]", "1"], ",", 
     SubscriptBox["\[Theta]", "2"], ",", 
     SubscriptBox["\[Theta]", "3"], ",", 
     SubscriptBox["\[Theta]", "4"]}], "}"}], "]"}]}], "\[IndentingNewLine]", 
 RowBox[{"Swap", ":=", 
  RowBox[{"ArrayFlatten", "[", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"1", ",", "0", ",", "0"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"0", ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"0", ",", "1"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"1", ",", "0"}], "}"}]}], "}"}], ",", "0"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"0", ",", "0", ",", "1"}], "}"}]}], "}"}], 
   "]"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Dot", "[", 
   RowBox[{"V", ",", "Swap", ",", "V"}], "]"}], "//", 
  "MatrixForm"}]}], "Input",
 CellChangeTimes->{{3.7955850963319407`*^9, 3.795585099820277*^9}, {
  3.795585144736227*^9, 3.795585165752863*^9}, {3.795587026748897*^9, 
  3.7955871589701157`*^9}, {3.795588340877857*^9, 3.795588349901862*^9}, {
  3.795588388860334*^9, 3.795588679415647*^9}},
 CellLabel->"In[93]:=",ExpressionUUID->"3b73bf3f-776b-4a03-bc99-299fb3160b39"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {"1", "0", "0", "0"},
     {"0", "1", "0", "0"},
     {"0", "0", 
      RowBox[{"-", "1"}], "0"},
     {"0", "0", "0", "1"}
    },
    GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.795585166442589*^9, 3.795587107664625*^9, {3.795587138010354*^9, 
   3.795587160007161*^9}, {3.795588403826106*^9, 3.7955884198900833`*^9}, 
   3.7955884652841053`*^9, 3.795588680743206*^9},
 CellLabel->
  "Out[95]//MatrixForm=",ExpressionUUID->"9f12bc25-024a-4388-b79c-\
3a8bcf0922cd"]
}, Open  ]],

Cell[BoxData[""], "Input",
 CellChangeTimes->{{3.7955872270925837`*^9, 3.795587227204947*^9}, 
   3.795587439610511*^9, {3.795588297459546*^9, 
   3.795588298049244*^9}},ExpressionUUID->"3ea15215-195d-4b0a-abcf-\
62aee409ade3"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Tr", "[", 
  RowBox[{"Dot", "[", 
   RowBox[{
    RowBox[{"KroneckerProduct", "[", 
     RowBox[{
      RowBox[{"Dot", "[", 
       RowBox[{"V", ",", "Theta", ",", "V"}], "]"}], ",", 
      RowBox[{"IdentityMatrix", "[", "4", "]"}]}], "]"}], ",", " ", 
    "cloned"}], "]"}], "]"}]], "Input",
 CellChangeTimes->{{3.795585483918239*^9, 3.795585506774624*^9}, {
  3.795585600782111*^9, 3.79558568837029*^9}},
 CellLabel->"In[61]:=",ExpressionUUID->"ecd05f4a-4597-4833-be5b-713813dcb1fe"],

Cell[BoxData[
 RowBox[{
  RowBox[{"a", " ", "c", " ", "t1"}], "+", 
  RowBox[{"2", " ", 
   RowBox[{"(", 
    RowBox[{
     FractionBox[
      RowBox[{"b", " ", "c"}], "2"], "+", 
     FractionBox[
      RowBox[{"a", " ", "d"}], "2"]}], ")"}], " ", 
   RowBox[{"(", 
    RowBox[{
     FractionBox["t2", "2"], "+", 
     FractionBox["t3", "2"]}], ")"}]}], "+", 
  RowBox[{"b", " ", "d", " ", "t4"}]}]], "Output",
 CellChangeTimes->{{3.795585662130669*^9, 3.795585689029368*^9}, 
   3.79558580247372*^9},
 CellLabel->"Out[61]=",ExpressionUUID->"c96c2b24-be3d-48e9-b663-99c40a597e9f"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{"cloned", ":=", 
  RowBox[{"Dot", "[", 
   RowBox[{"U", ",", 
    RowBox[{"KroneckerProduct", "[", 
     RowBox[{"rho", ",", " ", "blank"}], "]"}], ",", "Udag"}], 
   "]"}]}], "\[IndentingNewLine]", 
 RowBox[{"cloned", "//", "MatrixForm"}], "\[IndentingNewLine]", 
 RowBox[{"Tr", "[", 
  RowBox[{"Dot", "[", 
   RowBox[{
    RowBox[{"KroneckerProduct", "[", 
     RowBox[{
      RowBox[{"IdentityMatrix", "[", "4", "]"}], ",", "Theta"}], "]"}], ",", 
    " ", "cloned"}], "]"}], "]"}]}], "Input",
 CellChangeTimes->{{3.795583474059203*^9, 3.795583474716258*^9}, {
  3.79558616378027*^9, 3.795586168628837*^9}, {3.795586436464772*^9, 
  3.795586456673027*^9}, {3.795586605287298*^9, 3.7955866097339983`*^9}},
 CellLabel->"In[97]:=",ExpressionUUID->"8c231f46-338a-4145-acd0-c28fd6ba6eeb"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {
      RowBox[{"a", " ", "c"}], "0", "0", "0", "0", "0", "0", "0", "0", "0", 
      "0", "0", "0", "0", "0", "0"},
     {"0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", 
      "0", "0"},
     {"0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", 
      "0", "0"},
     {"0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", 
      "0", "0"},
     {"0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", 
      "0", "0"},
     {"0", "0", "0", "0", "0", 
      RowBox[{"a", " ", "d"}], "0", "0", "0", "0", "0", "0", "0", "0", "0", 
      "0"},
     {"0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", 
      "0", "0"},
     {"0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", 
      "0", "0"},
     {"0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", 
      "0", "0"},
     {"0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", 
      "0", "0"},
     {"0", "0", "0", "0", "0", "0", "0", "0", "0", "0", 
      RowBox[{"b", " ", "c"}], "0", "0", "0", "0", "0"},
     {"0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", 
      "0", "0"},
     {"0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", 
      "0", "0"},
     {"0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", 
      "0", "0"},
     {"0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", 
      "0", "0"},
     {"0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", 
      "0", 
      RowBox[{"b", " ", "d"}]}
    },
    GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{3.7955886952096252`*^9},
 CellLabel->
  "Out[98]//MatrixForm=",ExpressionUUID->"126a5028-6364-4d7a-a3b8-\
f94a22ae3498"],

Cell[BoxData[
 RowBox[{
  RowBox[{"a", " ", "c", " ", 
   SubscriptBox["\[Theta]", "1"]}], "+", 
  RowBox[{"a", " ", "d", " ", 
   SubscriptBox["\[Theta]", "2"]}], "+", 
  RowBox[{"b", " ", "c", " ", 
   SubscriptBox["\[Theta]", "3"]}], "+", 
  RowBox[{"b", " ", "d", " ", 
   SubscriptBox["\[Theta]", "4"]}]}]], "Output",
 CellChangeTimes->{3.795588695212742*^9},
 CellLabel->"Out[99]=",ExpressionUUID->"36bc83fd-55e9-401d-965c-c66404257289"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{"scloned", ":=", 
  RowBox[{"Dot", "[", 
   RowBox[{"Us", ",", 
    RowBox[{"KroneckerProduct", "[", 
     RowBox[{"rho", ",", " ", "blank"}], "]"}], ",", "Usdag"}], 
   "]"}]}], "\[IndentingNewLine]", 
 RowBox[{"scloned", "//", "MatrixForm"}], "\[IndentingNewLine]", 
 RowBox[{"Tr", "[", 
  RowBox[{"Dot", "[", 
   RowBox[{
    RowBox[{"KroneckerProduct", "[", 
     RowBox[{"Theta", ",", " ", 
      RowBox[{"IdentityMatrix", "[", "4", "]"}]}], "]"}], ",", " ", 
    "scloned"}], "]"}], "]"}], "\[IndentingNewLine]", 
 RowBox[{"Tr", "[", 
  RowBox[{"Dot", "[", 
   RowBox[{
    RowBox[{"KroneckerProduct", "[", 
     RowBox[{
      RowBox[{"IdentityMatrix", "[", "4", "]"}], ",", "Theta"}], "]"}], ",", 
    " ", "scloned"}], "]"}], "]"}], "\[IndentingNewLine]", 
 RowBox[{"Tr", "[", 
  RowBox[{"Dot", "[", 
   RowBox[{
    RowBox[{"KroneckerProduct", "[", 
     RowBox[{"Theta", ",", " ", 
      RowBox[{"IdentityMatrix", "[", "4", "]"}]}], "]"}], ",", " ", 
    RowBox[{"KroneckerProduct", "[", 
     RowBox[{"rho", ",", " ", "blank"}], "]"}]}], "]"}], 
  "]"}], "\[IndentingNewLine]", 
 RowBox[{"Tr", "[", 
  RowBox[{"Dot", "[", 
   RowBox[{
    RowBox[{"KroneckerProduct", "[", 
     RowBox[{
      RowBox[{"IdentityMatrix", "[", "4", "]"}], ",", "Theta"}], "]"}], ",", 
    " ", 
    RowBox[{"KroneckerProduct", "[", 
     RowBox[{"rho", ",", " ", "blank"}], "]"}]}], "]"}], "]"}]}], "Input",
 CellChangeTimes->{{3.795589012042078*^9, 3.795589015415153*^9}, {
   3.795589071388052*^9, 3.795589120476583*^9}, 3.795590455371437*^9, {
   3.7955905302041483`*^9, 3.7955905405497513`*^9}},
 CellLabel->
  "In[117]:=",ExpressionUUID->"b5847d68-cc89-4aa3-a218-e7c17e83009f"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {
      RowBox[{"a", " ", "c"}], "0", "0", "0", "0", "0", "0", "0", "0", "0", 
      "0", "0", "0", "0", "0", "0"},
     {"0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", 
      "0", "0"},
     {"0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", 
      "0", "0"},
     {"0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", 
      "0", "0"},
     {"0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", 
      "0", "0"},
     {"0", "0", "0", "0", "0", 
      FractionBox[
       RowBox[{"a", " ", "d"}], "2"], "0", "0", "0", "0", 
      FractionBox[
       RowBox[{"a", " ", "d"}], "2"], "0", "0", "0", "0", "0"},
     {"0", "0", "0", "0", "0", "0", 
      FractionBox[
       RowBox[{"b", " ", "c"}], "2"], "0", "0", 
      FractionBox[
       RowBox[{"b", " ", "c"}], "2"], "0", "0", "0", "0", "0", "0"},
     {"0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", 
      "0", "0"},
     {"0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", 
      "0", "0"},
     {"0", "0", "0", "0", "0", "0", 
      FractionBox[
       RowBox[{"b", " ", "c"}], "2"], "0", "0", 
      FractionBox[
       RowBox[{"b", " ", "c"}], "2"], "0", "0", "0", "0", "0", "0"},
     {"0", "0", "0", "0", "0", 
      FractionBox[
       RowBox[{"a", " ", "d"}], "2"], "0", "0", "0", "0", 
      FractionBox[
       RowBox[{"a", " ", "d"}], "2"], "0", "0", "0", "0", "0"},
     {"0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", 
      "0", "0"},
     {"0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", 
      "0", "0"},
     {"0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", 
      "0", "0"},
     {"0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", 
      "0", "0"},
     {"0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", 
      "0", 
      RowBox[{"b", " ", "d"}]}
    },
    GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{3.7955890834101152`*^9, 3.7955891220431433`*^9, 
  3.795590542630712*^9},
 CellLabel->
  "Out[118]//MatrixForm=",ExpressionUUID->"dcab1f89-4171-4627-b645-\
3f417197123a"],

Cell[BoxData[
 RowBox[{
  RowBox[{"a", " ", "c", " ", 
   SubscriptBox["\[Theta]", "1"]}], "+", 
  RowBox[{
   FractionBox["1", "2"], " ", "b", " ", "c", " ", 
   SubscriptBox["\[Theta]", "2"]}], "+", 
  RowBox[{
   FractionBox["1", "2"], " ", "a", " ", "d", " ", 
   SubscriptBox["\[Theta]", "2"]}], "+", 
  RowBox[{
   FractionBox["1", "2"], " ", "b", " ", "c", " ", 
   SubscriptBox["\[Theta]", "3"]}], "+", 
  RowBox[{
   FractionBox["1", "2"], " ", "a", " ", "d", " ", 
   SubscriptBox["\[Theta]", "3"]}], "+", 
  RowBox[{"b", " ", "d", " ", 
   SubscriptBox["\[Theta]", "4"]}]}]], "Output",
 CellChangeTimes->{3.7955890834101152`*^9, 3.7955891220431433`*^9, 
  3.795590542639554*^9},
 CellLabel->
  "Out[119]=",ExpressionUUID->"0f7e3856-ebaa-4735-bbd0-fbfe703e3111"],

Cell[BoxData[
 RowBox[{
  RowBox[{"a", " ", "c", " ", 
   SubscriptBox["\[Theta]", "1"]}], "+", 
  RowBox[{
   FractionBox["1", "2"], " ", "b", " ", "c", " ", 
   SubscriptBox["\[Theta]", "2"]}], "+", 
  RowBox[{
   FractionBox["1", "2"], " ", "a", " ", "d", " ", 
   SubscriptBox["\[Theta]", "2"]}], "+", 
  RowBox[{
   FractionBox["1", "2"], " ", "b", " ", "c", " ", 
   SubscriptBox["\[Theta]", "3"]}], "+", 
  RowBox[{
   FractionBox["1", "2"], " ", "a", " ", "d", " ", 
   SubscriptBox["\[Theta]", "3"]}], "+", 
  RowBox[{"b", " ", "d", " ", 
   SubscriptBox["\[Theta]", "4"]}]}]], "Output",
 CellChangeTimes->{3.7955890834101152`*^9, 3.7955891220431433`*^9, 
  3.79559054268497*^9},
 CellLabel->
  "Out[120]=",ExpressionUUID->"42b11113-21b6-4a8f-8ec1-0e58c0ef8088"],

Cell[BoxData[
 RowBox[{
  RowBox[{"a", " ", "c", " ", 
   SubscriptBox["\[Theta]", "1"]}], "+", 
  RowBox[{"a", " ", "d", " ", 
   SubscriptBox["\[Theta]", "2"]}], "+", 
  RowBox[{"b", " ", "c", " ", 
   SubscriptBox["\[Theta]", "3"]}], "+", 
  RowBox[{"b", " ", "d", " ", 
   SubscriptBox["\[Theta]", "4"]}]}]], "Output",
 CellChangeTimes->{3.7955890834101152`*^9, 3.7955891220431433`*^9, 
  3.795590542687004*^9},
 CellLabel->
  "Out[121]=",ExpressionUUID->"f23a00c3-96df-419d-820e-2294dde1f172"],

Cell[BoxData[
 RowBox[{
  RowBox[{"a", " ", "c", " ", 
   SubscriptBox["\[Theta]", "1"]}], "+", 
  RowBox[{"b", " ", "c", " ", 
   SubscriptBox["\[Theta]", "1"]}], "+", 
  RowBox[{"a", " ", "d", " ", 
   SubscriptBox["\[Theta]", "1"]}], "+", 
  RowBox[{"b", " ", "d", " ", 
   SubscriptBox["\[Theta]", "1"]}]}]], "Output",
 CellChangeTimes->{3.7955890834101152`*^9, 3.7955891220431433`*^9, 
  3.795590542689096*^9},
 CellLabel->
  "Out[122]=",ExpressionUUID->"19bdf41b-b54c-493a-b842-d5b342de45a4"]
}, Open  ]],

Cell[BoxData[
 RowBox[{
  RowBox[{"a", " ", "c", " ", 
   SubscriptBox["\[Theta]", "1"]}], "+", 
  RowBox[{
   FractionBox["1", "2"], " ", "b", " ", "c", " ", 
   SubscriptBox["\[Theta]", "2"]}], "+", 
  RowBox[{
   FractionBox["1", "2"], " ", "a", " ", "d", " ", 
   SubscriptBox["\[Theta]", "2"]}], "+", 
  RowBox[{
   FractionBox["1", "2"], " ", "b", " ", "c", " ", 
   SubscriptBox["\[Theta]", "3"]}], "+", 
  RowBox[{
   FractionBox["1", "2"], " ", "a", " ", "d", " ", 
   SubscriptBox["\[Theta]", "3"]}], "+", 
  RowBox[{"b", " ", "d", " ", 
   SubscriptBox["\[Theta]", "4"]}]}]], "Input",
 CellChangeTimes->{{3.795590516356279*^9, 3.795590517941839*^9}},
 CellLabel->
  "In[116]:=",ExpressionUUID->"62af18f6-99d4-4680-bb25-1c5f022e4d6b"],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{"Tr", "[", 
  RowBox[{"Dot", "[", 
   RowBox[{
    RowBox[{"KroneckerProduct", "[", 
     RowBox[{"Swap", ",", " ", 
      RowBox[{"IdentityMatrix", "[", "4", "]"}]}], "]"}], ",", " ", 
    "scloned"}], "]"}], "]"}], "\[IndentingNewLine]", 
 RowBox[{"Tr", "[", 
  RowBox[{"Dot", "[", 
   RowBox[{
    RowBox[{"KroneckerProduct", "[", 
     RowBox[{
      RowBox[{"IdentityMatrix", "[", "4", "]"}], ",", "Swap"}], "]"}], ",", 
    " ", "scloned"}], "]"}], "]"}]}], "Input",
 CellChangeTimes->{{3.795590466886739*^9, 3.7955904727378817`*^9}},
 CellLabel->
  "In[114]:=",ExpressionUUID->"3416c157-7ad7-44dc-8667-256a341c59f8"],

Cell[BoxData[
 RowBox[{
  RowBox[{"a", " ", "c"}], "+", 
  RowBox[{"b", " ", "d"}]}]], "Output",
 CellChangeTimes->{3.795590473670355*^9},
 CellLabel->
  "Out[114]=",ExpressionUUID->"6f6985be-6347-4e7a-a13c-f856fdeb0894"],

Cell[BoxData[
 RowBox[{
  RowBox[{"a", " ", "c"}], "+", 
  RowBox[{"b", " ", "d"}]}]], "Output",
 CellChangeTimes->{3.795590473672657*^9},
 CellLabel->
  "Out[115]=",ExpressionUUID->"afa520cb-8d8d-4f57-bcc4-f3ceeb9c7bc8"]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["Cloning Swap - 2q with 2q", "Section",
 CellChangeTimes->{{3.7955907970141563`*^9, 3.795590856681072*^9}, {
  3.795590913751371*^9, 
  3.7955909160267677`*^9}},ExpressionUUID->"76870989-e454-4cfb-bb8f-\
8b5b5408545f"],

Cell["\<\
4 qubits which are cloned into other 4 qubits in the swap basis.
E.g. |00>|11> |00 00> ~~> |00>|11> |01 10>, something like this is the idea.\
\>", "Text",
 CellChangeTimes->{{3.7955908645771723`*^9, 
  3.795590998208027*^9}},ExpressionUUID->"75352e83-15e3-4fb0-82e6-\
e862a8fa069e"],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{
   RowBox[{"M", "[", "Q_", "]"}], ":=", 
   RowBox[{"Table", "[", 
    RowBox[{
     RowBox[{"Subscript", "[", 
      RowBox[{"m", ",", "i", ",", "j"}], "]"}], ",", 
     RowBox[{"{", 
      RowBox[{"i", ",", 
       RowBox[{"2", "^", "Q"}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"j", ",", 
       RowBox[{"2", "^", "Q"}]}], "}"}]}], "]"}]}], ";"}], "\n", 
 RowBox[{
  RowBox[{"M", "[", "2", "]"}], "//", "MatrixForm"}], "\n", 
 RowBox[{
  RowBox[{
   RowBox[{"F", "[", "Q_", "]"}], ":=", 
   RowBox[{"Table", "[", 
    RowBox[{
     RowBox[{"Subscript", "[", 
      RowBox[{"f", ",", "i", ",", "j"}], "]"}], ",", 
     RowBox[{"{", 
      RowBox[{"i", ",", 
       RowBox[{"2", "^", "Q"}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"j", ",", 
       RowBox[{"2", "^", "Q"}]}], "}"}]}], "]"}]}], ";"}], "\n", 
 RowBox[{
  RowBox[{"F", "[", "2", "]"}], "//", "MatrixForm"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"KroneckerProduct", "[", 
    RowBox[{
     RowBox[{"M", "[", "2", "]"}], ",", 
     RowBox[{"F", "[", "2", "]"}]}], "]"}], "[", 
   RowBox[{"[", 
    RowBox[{"3", ",", "1"}], "]"}], "]"}], "//", "MatrixForm"}]}], "Input",
 CellChangeTimes->{{3.7955910298014593`*^9, 3.795591044537959*^9}, {
  3.795591501499296*^9, 3.795591520018598*^9}, {3.795591568350687*^9, 
  3.795591612613433*^9}, {3.7955917902437067`*^9, 3.795591794106758*^9}, {
  3.795591842787444*^9, 3.795591909693685*^9}, {3.79559205360823*^9, 
  3.795592221124474*^9}, {3.795592278313642*^9, 3.79559231292164*^9}, {
  3.795592466179426*^9, 3.795592529883472*^9}, {3.7955925713000813`*^9, 
  3.795592583671575*^9}, {3.795672022951846*^9, 3.7956720526893387`*^9}, {
  3.795672129355054*^9, 3.795672151379243*^9}},
 CellLabel->"In[1]:=",ExpressionUUID->"36233951-e459-433b-852d-c99e9e51cd52"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {
      SubscriptBox["m", 
       RowBox[{"1", ",", "1"}]], 
      SubscriptBox["m", 
       RowBox[{"1", ",", "2"}]], 
      SubscriptBox["m", 
       RowBox[{"1", ",", "3"}]], 
      SubscriptBox["m", 
       RowBox[{"1", ",", "4"}]]},
     {
      SubscriptBox["m", 
       RowBox[{"2", ",", "1"}]], 
      SubscriptBox["m", 
       RowBox[{"2", ",", "2"}]], 
      SubscriptBox["m", 
       RowBox[{"2", ",", "3"}]], 
      SubscriptBox["m", 
       RowBox[{"2", ",", "4"}]]},
     {
      SubscriptBox["m", 
       RowBox[{"3", ",", "1"}]], 
      SubscriptBox["m", 
       RowBox[{"3", ",", "2"}]], 
      SubscriptBox["m", 
       RowBox[{"3", ",", "3"}]], 
      SubscriptBox["m", 
       RowBox[{"3", ",", "4"}]]},
     {
      SubscriptBox["m", 
       RowBox[{"4", ",", "1"}]], 
      SubscriptBox["m", 
       RowBox[{"4", ",", "2"}]], 
      SubscriptBox["m", 
       RowBox[{"4", ",", "3"}]], 
      SubscriptBox["m", 
       RowBox[{"4", ",", "4"}]]}
    },
    GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.7955915208730297`*^9, {3.795591845589617*^9, 3.795591881273355*^9}, 
   3.795591913731179*^9, {3.795592071382063*^9, 3.795592154800961*^9}, {
   3.795592195609447*^9, 3.79559222222995*^9}, {3.795592290639041*^9, 
   3.795592313554689*^9}, {3.795592503873623*^9, 3.795592530537575*^9}, {
   3.7955925773483467`*^9, 3.795592584099676*^9}, 3.795594361507464*^9, {
   3.795672054782172*^9, 3.795672058150958*^9}, {3.795672140354019*^9, 
   3.795672164907298*^9}},
 CellLabel->
  "Out[2]//MatrixForm=",ExpressionUUID->"9c617576-8be2-4bb2-9a46-\
f75292129b62"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {
      SubscriptBox["f", 
       RowBox[{"1", ",", "1"}]], 
      SubscriptBox["f", 
       RowBox[{"1", ",", "2"}]], 
      SubscriptBox["f", 
       RowBox[{"1", ",", "3"}]], 
      SubscriptBox["f", 
       RowBox[{"1", ",", "4"}]]},
     {
      SubscriptBox["f", 
       RowBox[{"2", ",", "1"}]], 
      SubscriptBox["f", 
       RowBox[{"2", ",", "2"}]], 
      SubscriptBox["f", 
       RowBox[{"2", ",", "3"}]], 
      SubscriptBox["f", 
       RowBox[{"2", ",", "4"}]]},
     {
      SubscriptBox["f", 
       RowBox[{"3", ",", "1"}]], 
      SubscriptBox["f", 
       RowBox[{"3", ",", "2"}]], 
      SubscriptBox["f", 
       RowBox[{"3", ",", "3"}]], 
      SubscriptBox["f", 
       RowBox[{"3", ",", "4"}]]},
     {
      SubscriptBox["f", 
       RowBox[{"4", ",", "1"}]], 
      SubscriptBox["f", 
       RowBox[{"4", ",", "2"}]], 
      SubscriptBox["f", 
       RowBox[{"4", ",", "3"}]], 
      SubscriptBox["f", 
       RowBox[{"4", ",", "4"}]]}
    },
    GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.7955915208730297`*^9, {3.795591845589617*^9, 3.795591881273355*^9}, 
   3.795591913731179*^9, {3.795592071382063*^9, 3.795592154800961*^9}, {
   3.795592195609447*^9, 3.79559222222995*^9}, {3.795592290639041*^9, 
   3.795592313554689*^9}, {3.795592503873623*^9, 3.795592530537575*^9}, {
   3.7955925773483467`*^9, 3.795592584099676*^9}, 3.795594361507464*^9, {
   3.795672054782172*^9, 3.795672058150958*^9}, {3.795672140354019*^9, 
   3.7956721649143553`*^9}},
 CellLabel->
  "Out[4]//MatrixForm=",ExpressionUUID->"7c751a7e-a6fc-43d1-b809-\
373f6f2c18aa"],

Cell[BoxData[
 TagBox[
  RowBox[{
   SubscriptBox["f", 
    RowBox[{"3", ",", "1"}]], " ", 
   SubscriptBox["m", 
    RowBox[{"1", ",", "1"}]]}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{
  3.7955915208730297`*^9, {3.795591845589617*^9, 3.795591881273355*^9}, 
   3.795591913731179*^9, {3.795592071382063*^9, 3.795592154800961*^9}, {
   3.795592195609447*^9, 3.79559222222995*^9}, {3.795592290639041*^9, 
   3.795592313554689*^9}, {3.795592503873623*^9, 3.795592530537575*^9}, {
   3.7955925773483467`*^9, 3.795592584099676*^9}, 3.795594361507464*^9, {
   3.795672054782172*^9, 3.795672058150958*^9}, {3.795672140354019*^9, 
   3.7956721649172573`*^9}},
 CellLabel->
  "Out[5]//MatrixForm=",ExpressionUUID->"3d4dd930-84a9-40a0-8561-\
932d0d09b189"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"x", "[", 
   RowBox[{"n_", ",", "i_", ",", "j_", ",", "k_"}], "]"}], ":=", 
  RowBox[{"Piecewise", "[", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", " ", 
      RowBox[{
       RowBox[{"KroneckerDelta", "[", 
        RowBox[{"j", ",", 
         RowBox[{"k", "+", "i", "-", "1"}]}], "]"}], ",", 
       RowBox[{"k", "\[LessEqual]", 
        RowBox[{"n", "-", "i", "+", "1"}]}]}], "}"}], ",", 
     RowBox[{"{", " ", 
      RowBox[{
       RowBox[{"KroneckerDelta", "[", 
        RowBox[{"j", ",", 
         RowBox[{"k", "+", "i", "-", "1", "-", "n"}]}], "]"}], ",", 
       RowBox[{"k", ">", 
        RowBox[{"n", "-", "i", "+", "1"}]}]}], "}"}]}], "}"}], 
   "]"}]}], "\n", 
 RowBox[{
  RowBox[{"Xmat", "[", 
   RowBox[{"n_", ",", "i_"}], "]"}], ":=", 
  RowBox[{"SparseArray", "[", 
   RowBox[{"Table", "[", " ", 
    RowBox[{
     RowBox[{"x", "[", 
      RowBox[{"n", ",", "i", ",", "j", ",", "k"}], "]"}], ",", 
     RowBox[{"{", 
      RowBox[{"j", ",", "n"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"k", ",", " ", "n"}], "}"}]}], "]"}], "]"}]}], "\n", 
 RowBox[{
  RowBox[{"S", "[", 
   RowBox[{"n_", ",", "i_"}], "]"}], ":=", 
  RowBox[{"SparseArray", "[", 
   RowBox[{
    RowBox[{
     RowBox[{"{", 
      RowBox[{"i", ",", "i"}], "}"}], "\[Rule]", "1"}], ",", 
    RowBox[{"{", 
     RowBox[{"n", ",", "n"}], "}"}]}], "]"}]}], "\n", 
 RowBox[{
  RowBox[{"U", "[", "n_", "]"}], ":=", 
  RowBox[{"Sum", "[", 
   RowBox[{
    RowBox[{"KroneckerProduct", "[", 
     RowBox[{
      RowBox[{"S", "[", 
       RowBox[{"n", ",", "i"}], "]"}], ",", " ", 
      RowBox[{"Xmat", "[", 
       RowBox[{"n", ",", "i"}], "]"}]}], "]"}], ",", " ", 
    RowBox[{"{", 
     RowBox[{"i", ",", "1", ",", "n"}], "}"}]}], "]"}]}], "\n", 
 RowBox[{"U", "[", "16", "]"}]}], "Input",
 CellChangeTimes->{{3.7955926889618797`*^9, 3.795592870697369*^9}, {
  3.795672186210815*^9, 3.795672207842862*^9}},
 CellLabel->"In[12]:=",ExpressionUUID->"f9db6f22-5fa4-4d20-9e1b-f45b02647e41"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{
   TagBox["SparseArray",
    "SummaryHead"], "[", 
   DynamicModuleBox[{Typeset`open$$ = False, Typeset`embedState$$ = "Ready"}, 
    
    TemplateBox[{PaneSelectorBox[{False -> GridBox[{{
            PaneBox[
             ButtonBox[
              DynamicBox[
               FEPrivate`FrontEndResource[
               "FEBitmaps", "SquarePlusIconMedium"]], 
              ButtonFunction :> (Typeset`open$$ = True), Appearance -> None, 
              Evaluator -> Automatic, Method -> "Preemptive"], 
             Alignment -> {Center, Center}, ImageSize -> 
             Dynamic[{
               Automatic, 3.5 CurrentValue["FontCapHeight"]/
                AbsoluteCurrentValue[Magnification]}]], 
            GraphicsBox[
             RasterBox[CompressedData["
1:eJzt3F1IU2EYB/CRQh/gxdSgG4kZXUxFpBHJQh9ERJAgHPlBUMFAsDKdhIUp
XogfRUZaIGFdDZYxUghWZN4EEupNblg6mNVpY7ZauguRiYZI0O0DvRc7PJ79
Lwbjx3txHvjznOc9784szjZHU4bJZMr79/n73X57+vJY/kd6ZnP7zmx9opjb
Eqn1/iI4PBVeMFBq817wU+6pZi209YVaqhzbNUO/2fVT90uqpnwxClaPT3aP
rtF8443dK5sJcXXB09N7Wnbnqr+vkO9wSW1nboyevjvvDF9PKOccDv8f/zpa
ebAzZ4EaTkz0jziCdNb+cHvxUpx1z7W6DzNZi2QP3jnpbY/S3eEM59GCBLte
Wr1wY/tI3Drbn1ympKtu2jyzSo881vBOTYIqQtHlwgN+ys55Wx9/GaIHgT/m
ejP6Jzw1nnm86NvN936aP/b53L1ujZ50ORs2itboRblv0PEqQL2HtLzIUoTK
vGUDycfr6J9wXe/v3Houn1yepdULN4ajf8IlODc3cnnj1i8Vu2yR0gA9H754
+o01TPFsf2uHhv4J1ze3XA5xf4frOX+q9kP0T7iE3KrOpdLqghvDueecqvOA
tLrgxnYuh6p5hsNT0T/RJ+ESXDWH6J9wPZ3b73C5RV+F6+mqz4uwf4fr6dxz
JFWXVhfcGK56zq56TiqtXvj+ctVzJZwfwSXMn6o5RP+Eo3/C0825/Q73/pG0
64cb21V/X4f9EVxCPnFOBJfgqu8Xq+ZcWr3w/eVcPrn/Z5B2/fD0dNV8Yv6E
6+mvb12N9kU1ancf+aE1/STPQkd4bgj9Ey7b9wBk2nuH
              "], {{0, 0}, {29, 
              29}}, {0, 1}], AspectRatio -> 1, Axes -> False, Frame -> False, 
             FrameLabel -> {None, None}, FrameStyle -> Directive[
               Opacity[0.5], 
               Thickness[Tiny], 
               RGBColor[0.368417, 0.506779, 0.709798]], 
             FrameTicks -> {{None, None}, {None, None}}, GridLinesStyle -> 
             Directive[
               GrayLevel[0.5, 0.4]], ImageSize -> 
             Dynamic[{
               Automatic, 3.5 CurrentValue["FontCapHeight"]/
                AbsoluteCurrentValue[Magnification]}], 
             Method -> {
              "AxisPadding" -> Scaled[0.02], "DefaultBoundaryStyle" -> 
               Automatic, 
               "DefaultGraphicsInteraction" -> {
                "Version" -> 1.2, "TrackMousePosition" -> {True, False}, 
                 "Effects" -> {
                  "Highlight" -> {"ratio" -> 2}, 
                   "HighlightPoint" -> {"ratio" -> 2}, 
                   "Droplines" -> {
                    "freeformCursorMode" -> True, 
                    "placement" -> {"x" -> "All", "y" -> "None"}}}}, 
               "DefaultPlotStyle" -> Automatic, "DomainPadding" -> 
               Scaled[0.02], "RangePadding" -> Scaled[0.05]}], 
            GridBox[{{
               RowBox[{
                 TagBox["\"Specified elements: \"", "SummaryItemAnnotation"], 
                 "\[InvisibleSpace]", 
                 TagBox["256", "SummaryItem"]}]}, {
               RowBox[{
                 TagBox["\"Dimensions: \"", "SummaryItemAnnotation"], 
                 "\[InvisibleSpace]", 
                 TagBox[
                  RowBox[{"{", 
                    RowBox[{"256", ",", "256"}], "}"}], "SummaryItem"]}]}}, 
             GridBoxAlignment -> {
              "Columns" -> {{Left}}, "Rows" -> {{Automatic}}}, AutoDelete -> 
             False, GridBoxItemSize -> {
              "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}, 
             GridBoxSpacings -> {"Columns" -> {{2}}, "Rows" -> {{Automatic}}},
              BaseStyle -> {
              ShowStringCharacters -> False, NumberMarks -> False, 
               PrintPrecision -> 3, ShowSyntaxStyles -> False}]}}, 
          GridBoxAlignment -> {"Rows" -> {{Top}}}, AutoDelete -> False, 
          GridBoxItemSize -> {
           "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}, 
          BaselinePosition -> {1, 1}], True -> GridBox[{{
            PaneBox[
             ButtonBox[
              DynamicBox[
               FEPrivate`FrontEndResource[
               "FEBitmaps", "SquareMinusIconMedium"]], 
              ButtonFunction :> (Typeset`open$$ = False), Appearance -> None, 
              Evaluator -> Automatic, Method -> "Preemptive"], 
             Alignment -> {Center, Center}, ImageSize -> 
             Dynamic[{
               Automatic, 3.5 CurrentValue["FontCapHeight"]/
                AbsoluteCurrentValue[Magnification]}]], 
            GraphicsBox[
             RasterBox[CompressedData["
1:eJzt3F1IU2EYB/CRQh/gxdSgG4kZXUxFpBHJQh9ERJAgHPlBUMFAsDKdhIUp
XogfRUZaIGFdDZYxUghWZN4EEupNblg6mNVpY7ZauguRiYZI0O0DvRc7PJ79
Lwbjx3txHvjznOc9784szjZHU4bJZMr79/n73X57+vJY/kd6ZnP7zmx9opjb
Eqn1/iI4PBVeMFBq817wU+6pZi209YVaqhzbNUO/2fVT90uqpnwxClaPT3aP
rtF8443dK5sJcXXB09N7Wnbnqr+vkO9wSW1nboyevjvvDF9PKOccDv8f/zpa
ebAzZ4EaTkz0jziCdNb+cHvxUpx1z7W6DzNZi2QP3jnpbY/S3eEM59GCBLte
Wr1wY/tI3Drbn1ympKtu2jyzSo881vBOTYIqQtHlwgN+ys55Wx9/GaIHgT/m
ejP6Jzw1nnm86NvN936aP/b53L1ujZ50ORs2itboRblv0PEqQL2HtLzIUoTK
vGUDycfr6J9wXe/v3Houn1yepdULN4ajf8IlODc3cnnj1i8Vu2yR0gA9H754
+o01TPFsf2uHhv4J1ze3XA5xf4frOX+q9kP0T7iE3KrOpdLqghvDueecqvOA
tLrgxnYuh6p5hsNT0T/RJ+ESXDWH6J9wPZ3b73C5RV+F6+mqz4uwf4fr6dxz
JFWXVhfcGK56zq56TiqtXvj+ctVzJZwfwSXMn6o5RP+Eo3/C0825/Q73/pG0
64cb21V/X4f9EVxCPnFOBJfgqu8Xq+ZcWr3w/eVcPrn/Z5B2/fD0dNV8Yv6E
6+mvb12N9kU1ancf+aE1/STPQkd4bgj9Ey7b9wBk2nuH
              "], {{0, 0}, {29, 
              29}}, {0, 1}], AspectRatio -> 1, Axes -> False, Frame -> False, 
             FrameLabel -> {None, None}, FrameStyle -> Directive[
               Opacity[0.5], 
               Thickness[Tiny], 
               RGBColor[0.368417, 0.506779, 0.709798]], 
             FrameTicks -> {{None, None}, {None, None}}, GridLinesStyle -> 
             Directive[
               GrayLevel[0.5, 0.4]], ImageSize -> 
             Dynamic[{
               Automatic, 3.5 CurrentValue["FontCapHeight"]/
                AbsoluteCurrentValue[Magnification]}], 
             Method -> {
              "AxisPadding" -> Scaled[0.02], "DefaultBoundaryStyle" -> 
               Automatic, 
               "DefaultGraphicsInteraction" -> {
                "Version" -> 1.2, "TrackMousePosition" -> {True, False}, 
                 "Effects" -> {
                  "Highlight" -> {"ratio" -> 2}, 
                   "HighlightPoint" -> {"ratio" -> 2}, 
                   "Droplines" -> {
                    "freeformCursorMode" -> True, 
                    "placement" -> {"x" -> "All", "y" -> "None"}}}}, 
               "DefaultPlotStyle" -> Automatic, "DomainPadding" -> 
               Scaled[0.02], "RangePadding" -> Scaled[0.05]}], 
            GridBox[{{
               RowBox[{
                 TagBox["\"Specified elements: \"", "SummaryItemAnnotation"], 
                 "\[InvisibleSpace]", 
                 TagBox["256", "SummaryItem"]}]}, {
               RowBox[{
                 TagBox["\"Dimensions: \"", "SummaryItemAnnotation"], 
                 "\[InvisibleSpace]", 
                 TagBox[
                  RowBox[{"{", 
                    RowBox[{"256", ",", "256"}], "}"}], "SummaryItem"]}]}, {
               RowBox[{
                 TagBox["\"Default: \"", "SummaryItemAnnotation"], 
                 "\[InvisibleSpace]", 
                 TagBox["0", "SummaryItem"]}]}, {
               RowBox[{
                 TagBox["\"Density: \"", "SummaryItemAnnotation"], 
                 "\[InvisibleSpace]", 
                 TagBox["0.00390625`", "SummaryItem"]}]}, {
               RowBox[{
                 TagBox["\"Elements:\"", "SummaryItemAnnotation"], 
                 "\[InvisibleSpace]", 
                 TagBox["\"\"", "SummaryItem"]}]}, {
               TagBox[
                TagBox[
                 GridBox[{{
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{"1", ",", "1"}], "}"}], "\[Rule]", 
                    StyleBox[
                    PaneBox[
                    "1", ContentPadding -> False, FrameMargins -> 0, 
                    StripOnInput -> True, BaselinePosition -> Baseline, 
                    ImageSize -> {{1, 300}, Automatic}], LineBreakWithin -> 
                    False]}]}, {
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{"2", ",", "2"}], "}"}], "\[Rule]", 
                    StyleBox[
                    PaneBox[
                    "1", ContentPadding -> False, FrameMargins -> 0, 
                    StripOnInput -> True, BaselinePosition -> Baseline, 
                    ImageSize -> {{1, 300}, Automatic}], LineBreakWithin -> 
                    False]}]}, {
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{"3", ",", "3"}], "}"}], "\[Rule]", 
                    StyleBox[
                    PaneBox[
                    "1", ContentPadding -> False, FrameMargins -> 0, 
                    StripOnInput -> True, BaselinePosition -> Baseline, 
                    ImageSize -> {{1, 300}, Automatic}], LineBreakWithin -> 
                    False]}]}, {
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{"4", ",", "4"}], "}"}], "\[Rule]", 
                    StyleBox[
                    PaneBox[
                    "1", ContentPadding -> False, FrameMargins -> 0, 
                    StripOnInput -> True, BaselinePosition -> Baseline, 
                    ImageSize -> {{1, 300}, Automatic}], LineBreakWithin -> 
                    False]}]}, {
                    ItemBox[
                    "\"\[VerticalEllipsis]\"", Alignment -> Center, 
                    StripOnInput -> False]}}, 
                  GridBoxAlignment -> {"Columns" -> {{Left}}}, 
                  DefaultBaseStyle -> "Column", 
                  GridBoxItemSize -> {
                   "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}], 
                 "Column"], "SummaryItem"]}}, 
             GridBoxAlignment -> {
              "Columns" -> {{Left}}, "Rows" -> {{Automatic}}}, AutoDelete -> 
             False, GridBoxItemSize -> {
              "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}, 
             GridBoxSpacings -> {"Columns" -> {{2}}, "Rows" -> {{Automatic}}},
              BaseStyle -> {
              ShowStringCharacters -> False, NumberMarks -> False, 
               PrintPrecision -> 3, ShowSyntaxStyles -> False}]}}, 
          GridBoxAlignment -> {"Rows" -> {{Top}}}, AutoDelete -> False, 
          GridBoxItemSize -> {
           "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}, 
          BaselinePosition -> {1, 1}]}, 
       Dynamic[Typeset`open$$], ImageSize -> Automatic]},
     "SummaryPanel"],
    DynamicModuleValues:>{}], "]"}],
  SparseArray[Automatic, {256, 256}, 0, {1, {CompressedData["
1:eJwV0+ODEAYAxuG7vFxb5m1hLduuZV21rMu2bbfVsrXltmzbtm3bPffh+b1/
wRsU0ja4TWBAQEBgaEKXMIQlHOGJQEQi8QORiUJUohGdGMQkFrH5kZ+IQ1zi
EZ8EJCQRiUlCUpKRnCB+5hdSkJJUpOZX0vAbaUlHejKQkUxkJgtZyUZ2cpCT
XOQmD3nJR34KUJBCFKYIRSlGcX6nBCUpRWnKUJZylKcCFalEMJWpQlX+oBrV
qUFNalGbOtSlHvVpQAgNaURjmtCUZjSnBS1pRWva0JZ2tKcDHelEZ7rQlW50
pwc96UVv+tCXfvRnAAMZxGCGMJRhDGcEIxnFaMbwJ38xlnH8zXgmMJFJTGYK
U5nGdGYwk1nMZg5zmcd8/uFfFrCQRSxmCUtZxnL+439WsJJVrGYNa1nHejaw
kU1sZgtb2cZ2drCTXexmD3vZx34OcJBDHOYIRznGcU5wklOc5gxnOcd5LnCR
S1zmCle5xnVucJNb3OYOd7nHfR7wkEc85glPecZzXvCSV7zmDW95x3s+8JFP
fOYLX/lG6Pm/A6OQgTc=
     "], CompressedData["
1:eJwd0wO3EAYYBuDsWq2Wdatt2ba5hZtdN9s2l62tlpZryy3btm3bfu79zvuc
97w/4AsIahfYNkwoFzokIYJ3WMIRnghEJBKRiUJUohGdGPxATJITix+JTRx+
Ii7xiE8CEpKIxCQhKcnIRGYCSEFKUvEzv/ArqUlDWtKRngxkpCCFKEwWspKN
7OQgJ7nITR7yko/8FOB3ylOBihShKMUoTglKUorSlKEs5fiNOtSlHvVpQCUC
qUwVqlKN6tSgJrWoTSta04a2tKM9DQmiEY1pQlOa0ZwWtKQnvehNH/rSj/50
oCOd6EwXutKN7vRgOCMYyShGM4axjGMAAxnEYIYwlD8YxjT+5C+mM4O/mcks
ZjOeCUxkEpOZwlQWsojFLGEpy/iX/1jOCuYwl3+Yx3wWsI7/Wc8GNrKJzWxh
K9vYzkpWsZo1rGUPe9nHfg5wkEMc5ghHOcZxdrCTXezmNGc4yznOc4GLXOIy
V7jKNa5zgpOc4ha3ucNd7nGfBzzkEY95wlOe8Zwb3OQlr3jNG97yjvd84COf
+MwXvvKN4Md/ob4D+JyBOA==
     "]}, {1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 
    1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1,
     1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 
    1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1,
     1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 
    1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1,
     1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 
    1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1,
     1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 
    1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1,
     1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1}}],
  Editable->False,
  SelectWithContents->True,
  Selectable->False]], "Output",
 CellChangeTimes->{{3.795672202760295*^9, 3.795672209058672*^9}},
 CellLabel->"Out[16]=",ExpressionUUID->"6dbc6932-9487-4eca-8755-697d90892193"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"Swap", "[", 
   RowBox[{"i_", ",", "j_", ",", "n_"}], "]"}], ":=", 
  RowBox[{"SparseArray", "[", 
   RowBox[{
    RowBox[{
     RowBox[{
      RowBox[{"{", 
       RowBox[{"k_", ",", "l_"}], "}"}], "/;", "\[IndentingNewLine]", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{
         RowBox[{"BitGet", "[", 
          RowBox[{
           RowBox[{"k", "-", "1"}], ",", 
           RowBox[{"n", "-", "i"}]}], "]"}], "\[Equal]", " ", 
         RowBox[{"BitGet", "[", 
          RowBox[{
           RowBox[{"l", "-", "1"}], ",", 
           RowBox[{"n", "-", "j"}]}], "]"}]}], "\[IndentingNewLine]", "&&", 
        " ", 
        RowBox[{
         RowBox[{"BitGet", "[", 
          RowBox[{
           RowBox[{"k", "-", "1"}], ",", 
           RowBox[{"n", "-", "j"}]}], "]"}], "\[Equal]", " ", 
         RowBox[{"BitGet", "[", 
          RowBox[{
           RowBox[{"l", "-", "1"}], ",", 
           RowBox[{"n", "-", "i"}]}], "]"}]}], "\[IndentingNewLine]", "&&", 
        " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"k", "\[Equal]", "l"}], " ", "||", "\[IndentingNewLine]", 
          RowBox[{"(", 
           RowBox[{
            RowBox[{
             RowBox[{"BitAnd", "[", 
              RowBox[{
               RowBox[{"k", "-", "1"}], ",", 
               RowBox[{"l", "-", "1"}]}], "]"}], "==", 
             RowBox[{"k", "-", "1", "-", 
              RowBox[{"2", "^", 
               RowBox[{"(", 
                RowBox[{"n", "-", "j"}], ")"}]}]}]}], "&&", " ", 
            RowBox[{
             RowBox[{"BitAnd", "[", 
              RowBox[{
               RowBox[{"k", "-", "1"}], ",", 
               RowBox[{"l", "-", "1"}]}], "]"}], "==", 
             RowBox[{"l", "-", "1", "-", 
              RowBox[{"2", "^", 
               RowBox[{"(", 
                RowBox[{"n", "-", "i"}], ")"}]}]}]}]}], ")"}], "||", 
          "\[IndentingNewLine]", 
          RowBox[{"(", 
           RowBox[{
            RowBox[{
             RowBox[{"BitAnd", "[", 
              RowBox[{
               RowBox[{"k", "-", "1"}], ",", 
               RowBox[{"l", "-", "1"}]}], "]"}], "==", 
             RowBox[{"k", "-", "1", "-", 
              RowBox[{"2", "^", 
               RowBox[{"(", 
                RowBox[{"n", "-", "i"}], ")"}]}]}]}], "&&", " ", 
            RowBox[{
             RowBox[{"BitAnd", "[", 
              RowBox[{
               RowBox[{"k", "-", "1"}], ",", 
               RowBox[{"l", "-", "1"}]}], "]"}], "==", 
             RowBox[{"l", "-", "1", "-", 
              RowBox[{"2", "^", 
               RowBox[{"(", 
                RowBox[{"n", "-", "j"}], ")"}]}]}]}]}], ")"}]}], ")"}]}], 
       ")"}]}], "\[IndentingNewLine]", "\[Rule]", "1"}], ",", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"2", "^", "n"}], ",", 
      RowBox[{"2", "^", "n"}]}], "}"}]}], "]"}]}], "\[IndentingNewLine]", 
 RowBox[{"Swap", "[", 
  RowBox[{"2", ",", "4", ",", "4"}], "]"}]}], "Input",
 CellChangeTimes->CompressedData["
1:eJxTTMoPSmViYGCQAGIQHRXVL9fm/saxaImmAohuC1WPB9FfVBvAtNyGoxUg
+lXkZTD9bvvENyB6V+e1jyD6yZn+4HYgPTttcjqInrI3IQ9EX9p6swBE/2Vh
rwDRrMvq60C08xevZhAtUB0KprNOXpsPou1ub1oAoiuusq8G0Ruzm7aA6P8v
7x0E0TqKHw6BaI5vZidAdNd6q1Mg+svxxucgWijQ7A2INnz94yuIfrsz6huI
rnq0/DeIVqv5xdgBpIUZFDhAdFl3HphOWmQlAqJ/sLdKgmiuawe3TgbSISWC
O0C0l5j7WRA9o1z4Coi+wvPiOYh2y3B4B6L3zGi9OANI672ccAlEn4n/fhtE
vzi7/x6I1rlp+AJER2k6/wTRCTYZk1cD6XMn5oBpAHjTyT8=
  "],
 CellLabel->"In[17]:=",ExpressionUUID->"38c1bad2-c28c-420b-b327-93b921d3b64a"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{
   TagBox["SparseArray",
    "SummaryHead"], "[", 
   DynamicModuleBox[{Typeset`open$$ = False, Typeset`embedState$$ = "Ready"}, 
    
    TemplateBox[{PaneSelectorBox[{False -> GridBox[{{
            PaneBox[
             ButtonBox[
              DynamicBox[
               FEPrivate`FrontEndResource[
               "FEBitmaps", "SquarePlusIconMedium"]], 
              ButtonFunction :> (Typeset`open$$ = True), Appearance -> None, 
              Evaluator -> Automatic, Method -> "Preemptive"], 
             Alignment -> {Center, Center}, ImageSize -> 
             Dynamic[{
               Automatic, 3.5 CurrentValue["FontCapHeight"]/
                AbsoluteCurrentValue[Magnification]}]], 
            GraphicsBox[
             RasterBox[CompressedData["
1:eJxTTMoPSmVmYGAQgGIQ26p8d9wspXP2c4wXbTH/ccX+xSLFx4GrXtmPilNX
fGe3gevOLS/sb7gvX1cz7a39yYjcf/Ff3w86d46Gz6j4aHyNhs+o+Gi8j4bP
qPhofI2Gz2AQHw3n0fAZTuKj8TUaPqPio/E+Gj7DW3w0vkbDZzCLAwBXecSU

              "], {{0, 0}, {16, 16}}, {0, 1}], AspectRatio -> 1, Axes -> 
             False, Frame -> False, FrameLabel -> {None, None}, FrameStyle -> 
             Directive[
               Opacity[0.5], 
               Thickness[Tiny], 
               RGBColor[0.368417, 0.506779, 0.709798]], 
             FrameTicks -> {{None, None}, {None, None}}, GridLinesStyle -> 
             Directive[
               GrayLevel[0.5, 0.4]], ImageSize -> 
             Dynamic[{
               Automatic, 3.5 CurrentValue["FontCapHeight"]/
                AbsoluteCurrentValue[Magnification]}], 
             Method -> {
              "AxisPadding" -> Scaled[0.02], "DefaultBoundaryStyle" -> 
               Automatic, 
               "DefaultGraphicsInteraction" -> {
                "Version" -> 1.2, "TrackMousePosition" -> {True, False}, 
                 "Effects" -> {
                  "Highlight" -> {"ratio" -> 2}, 
                   "HighlightPoint" -> {"ratio" -> 2}, 
                   "Droplines" -> {
                    "freeformCursorMode" -> True, 
                    "placement" -> {"x" -> "All", "y" -> "None"}}}}, 
               "DefaultPlotStyle" -> Automatic, "DomainPadding" -> 
               Scaled[0.02], "RangePadding" -> Scaled[0.05]}], 
            GridBox[{{
               RowBox[{
                 TagBox["\"Specified elements: \"", "SummaryItemAnnotation"], 
                 "\[InvisibleSpace]", 
                 TagBox["16", "SummaryItem"]}]}, {
               RowBox[{
                 TagBox["\"Dimensions: \"", "SummaryItemAnnotation"], 
                 "\[InvisibleSpace]", 
                 TagBox[
                  RowBox[{"{", 
                    RowBox[{"16", ",", "16"}], "}"}], "SummaryItem"]}]}}, 
             GridBoxAlignment -> {
              "Columns" -> {{Left}}, "Rows" -> {{Automatic}}}, AutoDelete -> 
             False, GridBoxItemSize -> {
              "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}, 
             GridBoxSpacings -> {"Columns" -> {{2}}, "Rows" -> {{Automatic}}},
              BaseStyle -> {
              ShowStringCharacters -> False, NumberMarks -> False, 
               PrintPrecision -> 3, ShowSyntaxStyles -> False}]}}, 
          GridBoxAlignment -> {"Rows" -> {{Top}}}, AutoDelete -> False, 
          GridBoxItemSize -> {
           "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}, 
          BaselinePosition -> {1, 1}], True -> GridBox[{{
            PaneBox[
             ButtonBox[
              DynamicBox[
               FEPrivate`FrontEndResource[
               "FEBitmaps", "SquareMinusIconMedium"]], 
              ButtonFunction :> (Typeset`open$$ = False), Appearance -> None, 
              Evaluator -> Automatic, Method -> "Preemptive"], 
             Alignment -> {Center, Center}, ImageSize -> 
             Dynamic[{
               Automatic, 3.5 CurrentValue["FontCapHeight"]/
                AbsoluteCurrentValue[Magnification]}]], 
            GraphicsBox[
             RasterBox[CompressedData["
1:eJxTTMoPSmVmYGAQgGIQ26p8d9wspXP2c4wXbTH/ccX+xSLFx4GrXtmPilNX
fGe3gevOLS/sb7gvX1cz7a39yYjcf/Ff3w86d46Gz6j4aHyNhs+o+Gi8j4bP
qPhofI2Gz2AQHw3n0fAZTuKj8TUaPqPio/E+Gj7DW3w0vkbDZzCLAwBXecSU

              "], {{0, 0}, {16, 16}}, {0, 1}], AspectRatio -> 1, Axes -> 
             False, Frame -> False, FrameLabel -> {None, None}, FrameStyle -> 
             Directive[
               Opacity[0.5], 
               Thickness[Tiny], 
               RGBColor[0.368417, 0.506779, 0.709798]], 
             FrameTicks -> {{None, None}, {None, None}}, GridLinesStyle -> 
             Directive[
               GrayLevel[0.5, 0.4]], ImageSize -> 
             Dynamic[{
               Automatic, 3.5 CurrentValue["FontCapHeight"]/
                AbsoluteCurrentValue[Magnification]}], 
             Method -> {
              "AxisPadding" -> Scaled[0.02], "DefaultBoundaryStyle" -> 
               Automatic, 
               "DefaultGraphicsInteraction" -> {
                "Version" -> 1.2, "TrackMousePosition" -> {True, False}, 
                 "Effects" -> {
                  "Highlight" -> {"ratio" -> 2}, 
                   "HighlightPoint" -> {"ratio" -> 2}, 
                   "Droplines" -> {
                    "freeformCursorMode" -> True, 
                    "placement" -> {"x" -> "All", "y" -> "None"}}}}, 
               "DefaultPlotStyle" -> Automatic, "DomainPadding" -> 
               Scaled[0.02], "RangePadding" -> Scaled[0.05]}], 
            GridBox[{{
               RowBox[{
                 TagBox["\"Specified elements: \"", "SummaryItemAnnotation"], 
                 "\[InvisibleSpace]", 
                 TagBox["16", "SummaryItem"]}]}, {
               RowBox[{
                 TagBox["\"Dimensions: \"", "SummaryItemAnnotation"], 
                 "\[InvisibleSpace]", 
                 TagBox[
                  RowBox[{"{", 
                    RowBox[{"16", ",", "16"}], "}"}], "SummaryItem"]}]}, {
               RowBox[{
                 TagBox["\"Default: \"", "SummaryItemAnnotation"], 
                 "\[InvisibleSpace]", 
                 TagBox["0", "SummaryItem"]}]}, {
               RowBox[{
                 TagBox["\"Density: \"", "SummaryItemAnnotation"], 
                 "\[InvisibleSpace]", 
                 TagBox["0.0625`", "SummaryItem"]}]}, {
               RowBox[{
                 TagBox["\"Elements:\"", "SummaryItemAnnotation"], 
                 "\[InvisibleSpace]", 
                 TagBox["\"\"", "SummaryItem"]}]}, {
               TagBox[
                TagBox[
                 GridBox[{{
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{"1", ",", "1"}], "}"}], "\[Rule]", 
                    StyleBox[
                    PaneBox[
                    "1", ContentPadding -> False, FrameMargins -> 0, 
                    StripOnInput -> True, BaselinePosition -> Baseline, 
                    ImageSize -> {{1, 300}, Automatic}], LineBreakWithin -> 
                    False]}]}, {
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{"2", ",", "5"}], "}"}], "\[Rule]", 
                    StyleBox[
                    PaneBox[
                    "1", ContentPadding -> False, FrameMargins -> 0, 
                    StripOnInput -> True, BaselinePosition -> Baseline, 
                    ImageSize -> {{1, 300}, Automatic}], LineBreakWithin -> 
                    False]}]}, {
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{"3", ",", "3"}], "}"}], "\[Rule]", 
                    StyleBox[
                    PaneBox[
                    "1", ContentPadding -> False, FrameMargins -> 0, 
                    StripOnInput -> True, BaselinePosition -> Baseline, 
                    ImageSize -> {{1, 300}, Automatic}], LineBreakWithin -> 
                    False]}]}, {
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{"4", ",", "7"}], "}"}], "\[Rule]", 
                    StyleBox[
                    PaneBox[
                    "1", ContentPadding -> False, FrameMargins -> 0, 
                    StripOnInput -> True, BaselinePosition -> Baseline, 
                    ImageSize -> {{1, 300}, Automatic}], LineBreakWithin -> 
                    False]}]}, {
                    ItemBox[
                    "\"\[VerticalEllipsis]\"", Alignment -> Center, 
                    StripOnInput -> False]}}, 
                  GridBoxAlignment -> {"Columns" -> {{Left}}}, 
                  DefaultBaseStyle -> "Column", 
                  GridBoxItemSize -> {
                   "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}], 
                 "Column"], "SummaryItem"]}}, 
             GridBoxAlignment -> {
              "Columns" -> {{Left}}, "Rows" -> {{Automatic}}}, AutoDelete -> 
             False, GridBoxItemSize -> {
              "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}, 
             GridBoxSpacings -> {"Columns" -> {{2}}, "Rows" -> {{Automatic}}},
              BaseStyle -> {
              ShowStringCharacters -> False, NumberMarks -> False, 
               PrintPrecision -> 3, ShowSyntaxStyles -> False}]}}, 
          GridBoxAlignment -> {"Rows" -> {{Top}}}, AutoDelete -> False, 
          GridBoxItemSize -> {
           "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}, 
          BaselinePosition -> {1, 1}]}, 
       Dynamic[Typeset`open$$], ImageSize -> Automatic]},
     "SummaryPanel"],
    DynamicModuleValues:>{}], "]"}],
  SparseArray[
  Automatic, {16, 16}, 0, {
   1, {{0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 15, 16}, {{1}, {
     5}, {3}, {7}, {2}, {6}, {4}, {8}, {9}, {13}, {11}, {15}, {10}, {14}, {
     12}, {16}}}, {1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1}}],
  Editable->False,
  SelectWithContents->True,
  Selectable->False]], "Output",
 CellChangeTimes->{
  3.7956237948025618`*^9, {3.795633807092836*^9, 3.7956338130892076`*^9}, 
   3.795633915567316*^9, {3.7956340441285057`*^9, 3.7956341239188433`*^9}, 
   3.795672221955563*^9},
 CellLabel->"Out[18]=",ExpressionUUID->"e90cc206-731d-48ac-99cf-38f8f55d64d2"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"V", "[", 
   RowBox[{"i_", ",", "j_", ",", "n_"}], "]"}], ":=", 
  RowBox[{"SparseArray", "[", 
   RowBox[{
    RowBox[{"{", "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{
       RowBox[{
        RowBox[{"{", 
         RowBox[{"k_", ",", "k_"}], "}"}], "/;", "\[IndentingNewLine]", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{
           RowBox[{"BitGet", "[", 
            RowBox[{
             RowBox[{"k", "-", "1"}], ",", 
             RowBox[{"n", "-", "i"}]}], "]"}], "\[Equal]", " ", 
           RowBox[{"BitGet", "[", 
            RowBox[{
             RowBox[{"k", "-", "1"}], ",", 
             RowBox[{"n", "-", "j"}]}], "]"}]}], "\[IndentingNewLine]", "&&", 
          " ", 
          RowBox[{
           RowBox[{"BitGet", "[", 
            RowBox[{
             RowBox[{"k", "-", "1"}], ",", 
             RowBox[{"n", "-", "j"}]}], "]"}], "\[Equal]", " ", 
           RowBox[{"BitGet", "[", 
            RowBox[{
             RowBox[{"k", "-", "1"}], ",", 
             RowBox[{"n", "-", "i"}]}], "]"}]}]}], ")"}]}], 
       "\[IndentingNewLine]", "\[Rule]", "1"}], ",", "\[IndentingNewLine]", 
      RowBox[{
       RowBox[{
        RowBox[{"{", 
         RowBox[{"k_", ",", "l_"}], "}"}], "/;", "\[IndentingNewLine]", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{
           RowBox[{"BitGet", "[", 
            RowBox[{
             RowBox[{"k", "-", "1"}], ",", 
             RowBox[{"n", "-", "i"}]}], "]"}], "\[Equal]", " ", 
           RowBox[{"BitGet", "[", 
            RowBox[{
             RowBox[{"l", "-", "1"}], ",", 
             RowBox[{"n", "-", "j"}]}], "]"}]}], "\[IndentingNewLine]", "&&", 
          " ", 
          RowBox[{
           RowBox[{"BitGet", "[", 
            RowBox[{
             RowBox[{"k", "-", "1"}], ",", 
             RowBox[{"n", "-", "j"}]}], "]"}], "\[Equal]", " ", 
           RowBox[{"BitGet", "[", 
            RowBox[{
             RowBox[{"l", "-", "1"}], ",", 
             RowBox[{"n", "-", "i"}]}], "]"}]}], "\[IndentingNewLine]", "&&", 
          " ", 
          RowBox[{"!", 
           RowBox[{"k", "\[Equal]", "l"}]}], "\[IndentingNewLine]", "&&", " ", 
          RowBox[{"(", 
           RowBox[{
            RowBox[{"(", 
             RowBox[{
              RowBox[{
               RowBox[{"BitAnd", "[", 
                RowBox[{
                 RowBox[{"k", "-", "1"}], ",", 
                 RowBox[{"l", "-", "1"}]}], "]"}], "==", 
               RowBox[{"k", "-", "1", "-", 
                RowBox[{"2", "^", 
                 RowBox[{"(", 
                  RowBox[{"n", "-", "j"}], ")"}]}]}]}], "&&", " ", 
              RowBox[{
               RowBox[{"BitAnd", "[", 
                RowBox[{
                 RowBox[{"k", "-", "1"}], ",", 
                 RowBox[{"l", "-", "1"}]}], "]"}], "==", 
               RowBox[{"l", "-", "1", "-", 
                RowBox[{"2", "^", 
                 RowBox[{"(", 
                  RowBox[{"n", "-", "i"}], ")"}]}]}]}]}], ")"}], "||", 
            "\[IndentingNewLine]", 
            RowBox[{"(", 
             RowBox[{
              RowBox[{
               RowBox[{"BitAnd", "[", 
                RowBox[{
                 RowBox[{"k", "-", "1"}], ",", 
                 RowBox[{"l", "-", "1"}]}], "]"}], "==", 
               RowBox[{"k", "-", "1", "-", 
                RowBox[{"2", "^", 
                 RowBox[{"(", 
                  RowBox[{"n", "-", "i"}], ")"}]}]}]}], "&&", " ", 
              RowBox[{
               RowBox[{"BitAnd", "[", 
                RowBox[{
                 RowBox[{"k", "-", "1"}], ",", 
                 RowBox[{"l", "-", "1"}]}], "]"}], "==", 
               RowBox[{"l", "-", "1", "-", 
                RowBox[{"2", "^", 
                 RowBox[{"(", 
                  RowBox[{"n", "-", "j"}], ")"}]}]}]}]}], ")"}]}], ")"}]}], 
         ")"}]}], "\[IndentingNewLine]", "\[Rule]", 
       RowBox[{"1", "/", 
        RowBox[{"Sqrt", "[", "2", "]"}]}]}], ",", "\[IndentingNewLine]", " ", 
      
      RowBox[{
       RowBox[{
        RowBox[{"{", 
         RowBox[{"k_", ",", "k_"}], "}"}], "/;", "\[IndentingNewLine]", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{
           RowBox[{"BitGet", "[", 
            RowBox[{
             RowBox[{"k", "-", "1"}], ",", 
             RowBox[{"n", "-", "j"}]}], "]"}], "\[Equal]", "0"}], " ", "&&", 
          " ", 
          RowBox[{
           RowBox[{"BitGet", "[", 
            RowBox[{
             RowBox[{"k", "-", "1"}], ",", 
             RowBox[{"n", "-", "i"}]}], "]"}], "\[Equal]", "1"}]}], ")"}]}], 
       "\[IndentingNewLine]", "\[Rule]", " ", 
       RowBox[{
        RowBox[{
         RowBox[{"(", 
          RowBox[{"i", "-", "j"}], ")"}], "/", 
         RowBox[{"Abs", "[", 
          RowBox[{"j", "-", "i"}], "]"}]}], "/", 
        RowBox[{"Sqrt", "[", "2", "]"}]}]}], ",", "\[IndentingNewLine]", 
      RowBox[{
       RowBox[{
        RowBox[{"{", 
         RowBox[{"k_", ",", "k_"}], "}"}], "/;", "\[IndentingNewLine]", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{
           RowBox[{"BitGet", "[", 
            RowBox[{
             RowBox[{"k", "-", "1"}], ",", 
             RowBox[{"n", "-", "i"}]}], "]"}], "\[Equal]", "0"}], " ", "&&", 
          " ", 
          RowBox[{
           RowBox[{"BitGet", "[", 
            RowBox[{
             RowBox[{"k", "-", "1"}], ",", 
             RowBox[{"n", "-", "j"}]}], "]"}], "\[Equal]", "1"}]}], ")"}]}], 
       "\[IndentingNewLine]", "\[Rule]", " ", 
       RowBox[{
        RowBox[{
         RowBox[{"(", 
          RowBox[{"j", "-", "i"}], ")"}], "/", 
         RowBox[{"Abs", "[", 
          RowBox[{"j", "-", "i"}], "]"}]}], "/", 
        RowBox[{"Sqrt", "[", "2", "]"}]}]}]}], "}"}], ",", 
    "\[IndentingNewLine]", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"2", "^", "n"}], ",", 
      RowBox[{"2", "^", "n"}]}], "}"}]}], "]"}]}], "\[IndentingNewLine]", 
 RowBox[{"MatrixPlot", "[", 
  RowBox[{"V", "[", 
   RowBox[{"3", ",", "6", ",", "6"}], "]"}], "]"}]}], "Input",
 CellChangeTimes->{
  3.7956341590017157`*^9, {3.795634212272444*^9, 3.795634268005597*^9}, {
   3.795634314935302*^9, 3.795634324134954*^9}, {3.795669499174098*^9, 
   3.795669515000559*^9}, {3.79566962680402*^9, 3.7956696491411657`*^9}, {
   3.795669859132472*^9, 3.7956699193763323`*^9}, 3.79567005738717*^9, {
   3.795670570880727*^9, 3.7956705914102907`*^9}, {3.795670630510058*^9, 
   3.7956706793758907`*^9}, {3.795670883354953*^9, 3.79567091601748*^9}, {
   3.7956709487198877`*^9, 3.795671002815975*^9}, {3.7956710358655043`*^9, 
   3.79567104262208*^9}, {3.795671162511982*^9, 3.795671170631646*^9}, {
   3.795671213281624*^9, 3.795671279353964*^9}},
 CellLabel->"In[19]:=",ExpressionUUID->"fa51a5a5-67ed-4def-b710-8a0b469b3304"],

Cell[BoxData[
 GraphicsBox[RasterBox[CompressedData["
1:eJzt27Fqk2EYhuGAmyCIWHB18RR0+w0dOlvPQMhUJHsXT0Cc7dSxW8cO9QAy
Cc7d0oJIS8EzUKR1cftAyPu8uQLhSrZn+r+bD/7n75b7iwez2ez1/ffP77vP
z4kk2dv14dPTvfXF/f+/n83vIsmq7izmtw8vb6az5YfV0fJq+vzy5OOLV+cb
3/Wvb45/vX/049v0ZbV78Ozxenrydv7909frje8iSf5f9TxJjqnnSZKV1PMk
OaaeJ0lWUs+T5Jh6niRZwZTzKGUnSVbVvQ1J9jSlk1N2kmRV9TxJ9jSlk1N2
kmRV9TxJ9jSlk1N2kmRV9TxJ9tZzniTHTLln8D4sSW6Hep4kx9TzJMlK6nmS
HFPPkyQrqedJckw9T5KsYMp5lLKTJKvq3oYke5rSySk7SbKqep4ke5rSySk7
SbKqep4ke5rSySk7SbKqep4ke+s5T5JjptwzeB+WJLdDPU+SY+p5kmQl9TxJ
jqnnSZKV1PMkOaaeJ0lWMOU8StlJklV1b0OSPU3p5JSdJFlVPU+SPU3p5JSd
JFlVPU+SPU3p5JSdJFlVPU+SvfWcJ8kxU+4ZvA9LktuhnifJMfU8SbKSep4k
x9TzJMlK6nmSHFPPkyQrmHIepewkyaq6tyHJnqZ0cspOkqyqnifJnqZ0cspO
kqyqnifJnqZ0cspOkqyqnifJ7fI3nh0hJQ==
   "], {{0, 0}, {64, 64}}, {0, 1}],
  Frame->True,
  FrameLabel->{None, None},
  FrameTicks->{{{{63.5, 
       FormBox["1", TraditionalForm]}, {44.5, 
       FormBox["20", TraditionalForm]}, {24.5, 
       FormBox["40", TraditionalForm]}, {0.5, 
       FormBox["64", TraditionalForm]}}, {{63.5, 
       FormBox["1", TraditionalForm]}, {44.5, 
       FormBox["20", TraditionalForm]}, {24.5, 
       FormBox["40", TraditionalForm]}, {0.5, 
       FormBox["64", TraditionalForm]}}}, {{{0.5, 
       FormBox["1", TraditionalForm]}, {19.5, 
       FormBox["20", TraditionalForm]}, {39.5, 
       FormBox["40", TraditionalForm]}, {63.5, 
       FormBox["64", TraditionalForm]}}, {{0.5, 
       FormBox["1", TraditionalForm]}, {19.5, 
       FormBox["20", TraditionalForm]}, {39.5, 
       FormBox["40", TraditionalForm]}, {63.5, 
       FormBox["64", TraditionalForm]}}}},
  GridLinesStyle->Directive[
    GrayLevel[0.5, 0.4]],
  Method->{
   "AxisPadding" -> Scaled[0.02], "DefaultBoundaryStyle" -> Automatic, 
    "DefaultGraphicsInteraction" -> {
     "Version" -> 1.2, "TrackMousePosition" -> {True, False}, 
      "Effects" -> {
       "Highlight" -> {"ratio" -> 2}, "HighlightPoint" -> {"ratio" -> 2}, 
        "Droplines" -> {
         "freeformCursorMode" -> True, 
          "placement" -> {"x" -> "All", "y" -> "None"}}}}, "DefaultPlotStyle" -> 
    Automatic, "DomainPadding" -> Scaled[0.02], "RangePadding" -> 
    Scaled[0.05]}]], "Output",
 CellChangeTimes->{{3.7956709858997583`*^9, 3.795671003647068*^9}, 
   3.7956710449871407`*^9, 3.795671178653357*^9, {3.795671214648213*^9, 
   3.795671279866173*^9}, 3.795672236587144*^9},
 CellLabel->"Out[20]=",ExpressionUUID->"31fea3b0-b278-4eb4-aab3-5e691d9ea41d"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"Dot", "[", 
   RowBox[{
    RowBox[{"V", "[", 
     RowBox[{"2", ",", "4", ",", "4"}], "]"}], ",", 
    RowBox[{"Swap", "[", 
     RowBox[{"2", ",", "4", ",", "4"}], "]"}], ",", 
    RowBox[{"V", "[", 
     RowBox[{"2", ",", "4", ",", "4"}], "]"}]}], "]"}], "//", 
  "MatrixForm"}]], "Input",
 CellChangeTimes->{{3.795671922020643*^9, 3.795671953171062*^9}},
 CellLabel->"In[21]:=",ExpressionUUID->"a1bf772d-a72c-45e1-9e26-5235185d25d7"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {"1", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", 
      "0", "0"},
     {"0", "1", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", 
      "0", "0"},
     {"0", "0", "1", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", 
      "0", "0"},
     {"0", "0", "0", "1", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", 
      "0", "0"},
     {"0", "0", "0", "0", 
      RowBox[{"-", "1"}], "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", 
      "0"},
     {"0", "0", "0", "0", "0", "1", "0", "0", "0", "0", "0", "0", "0", "0", 
      "0", "0"},
     {"0", "0", "0", "0", "0", "0", 
      RowBox[{"-", "1"}], "0", "0", "0", "0", "0", "0", "0", "0", "0"},
     {"0", "0", "0", "0", "0", "0", "0", "1", "0", "0", "0", "0", "0", "0", 
      "0", "0"},
     {"0", "0", "0", "0", "0", "0", "0", "0", "1", "0", "0", "0", "0", "0", 
      "0", "0"},
     {"0", "0", "0", "0", "0", "0", "0", "0", "0", "1", "0", "0", "0", "0", 
      "0", "0"},
     {"0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "1", "0", "0", "0", 
      "0", "0"},
     {"0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "1", "0", "0", 
      "0", "0"},
     {"0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", 
      RowBox[{"-", "1"}], "0", "0", "0"},
     {"0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "1", 
      "0", "0"},
     {"0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", 
      RowBox[{"-", "1"}], "0"},
     {"0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", 
      "0", "1"}
    },
    GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[
   SparseArray[
    Automatic, {16, 16}, 0, {
     1, {{0, 1, 3, 4, 6, 8, 9, 11, 12, 13, 15, 16, 18, 20, 21, 23, 24}, {{
       1}, {2}, {5}, {3}, {7}, {4}, {2}, {5}, {6}, {4}, {7}, {8}, {9}, {13}, {
       10}, {11}, {12}, {15}, {10}, {13}, {14}, {12}, {15}, {16}}}, {1, 1, 0, 
      1, 0, 1, 0, -1, 1, 0, -1, 1, 1, 0, 1, 1, 1, 0, 0, -1, 1, 0, -1, 
      1}}]]]]], "Output",
 CellChangeTimes->{3.795671953764001*^9, 3.795672239496615*^9},
 CellLabel->
  "Out[21]//MatrixForm=",ExpressionUUID->"8967e222-3eea-4721-a5a4-\
529c56ef163b"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"Theta", "[", "Q_", "]"}], ":=", 
  RowBox[{"DiagonalMatrix", "[", 
   RowBox[{"Array", "[", 
    RowBox[{
     RowBox[{
      RowBox[{"Subscript", "[", 
       RowBox[{"\[Theta]", ",", "#"}], "]"}], "&"}], ",", 
     RowBox[{"2", "^", "Q"}]}], "]"}], "]"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Theta", "[", "2", "]"}], "//", "MatrixForm"}]}], "Input",
 CellChangeTimes->{{3.795672253671722*^9, 3.795672328727623*^9}, {
  3.795672395607792*^9, 3.795672426268214*^9}, {3.7956725241228333`*^9, 
  3.7956725370892553`*^9}, {3.79567260441425*^9, 3.795672656785928*^9}},
 CellLabel->"In[45]:=",ExpressionUUID->"a88b5661-416e-4537-86b9-765798390fb8"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {
      SubscriptBox["\[Theta]", "1"], "0", "0", "0"},
     {"0", 
      SubscriptBox["\[Theta]", "2"], "0", "0"},
     {"0", "0", 
      SubscriptBox["\[Theta]", "3"], "0"},
     {"0", "0", "0", 
      SubscriptBox["\[Theta]", "4"]}
    },
    GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{{3.795672315276544*^9, 3.7956723293205976`*^9}, {
  3.7956724048039722`*^9, 3.7956724269675827`*^9}, {3.7956725256513977`*^9, 
  3.795672537773798*^9}, {3.795672619497155*^9, 3.795672657266719*^9}},
 CellLabel->
  "Out[46]//MatrixForm=",ExpressionUUID->"ee655d0e-9067-4d48-8360-\
6c56f7ee6887"]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["Cloning Theta (Q=2 for M and F)", "Section",
 CellChangeTimes->{{3.795672829323929*^9, 3.7956728680106573`*^9}, {
  3.795673752929925*^9, 
  3.7956737750017757`*^9}},ExpressionUUID->"fbc642ea-d821-4ce3-aac0-\
afbff2fed333"],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{"rhoinit", "=", 
  RowBox[{"KroneckerProduct", "[", 
   RowBox[{
    RowBox[{"M", "[", "2", "]"}], ",", " ", 
    RowBox[{"F", "[", "2", "]"}], ",", " ", 
    RowBox[{"SparseArray", "[", 
     RowBox[{
      RowBox[{
       RowBox[{"{", 
        RowBox[{"1", ",", "1"}], "}"}], "\[Rule]", "1"}], ",", 
      RowBox[{"2", "^", "4"}]}], "]"}]}], "]"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"(*", 
   RowBox[{"Initial", " ", "state"}], "*)"}]}]}], "Input",
 CellChangeTimes->{{3.795672852806185*^9, 3.7956729656958227`*^9}, {
   3.795673244066143*^9, 3.795673245613289*^9}, {3.795673315279187*^9, 
   3.795673322019285*^9}, 3.795673407131556*^9},
 CellLabel->"In[63]:=",ExpressionUUID->"e5460127-3386-48b5-ab43-77d4591a9c39"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{
   TagBox["SparseArray",
    "SummaryHead"], "[", 
   DynamicModuleBox[{Typeset`open$$ = False, Typeset`embedState$$ = "Ready"}, 
    
    TemplateBox[{PaneSelectorBox[{False -> GridBox[{{
            PaneBox[
             ButtonBox[
              DynamicBox[
               FEPrivate`FrontEndResource[
               "FEBitmaps", "SquarePlusIconMedium"]], 
              ButtonFunction :> (Typeset`open$$ = True), Appearance -> None, 
              Evaluator -> Automatic, Method -> "Preemptive"], 
             Alignment -> {Center, Center}, ImageSize -> 
             Dynamic[{
               Automatic, 3.5 CurrentValue["FontCapHeight"]/
                AbsoluteCurrentValue[Magnification]}]], 
            GraphicsBox[
             RasterBox[CompressedData["
1:eJztkyEKAmEUhH/wHIb1CgbBsmfQAxgEs9G7iGmj2eYdTB5AsIgnMIqySTEI
M7z/DbMgKx/DzjfhNcv1fDUopQz73+v/dHNcbEendjfuDpPHub11zXW2v7fm
5ubm5lhe3s+lf38+3/zf77DzWTxVd7F7zc2VeNQdofJZPFV3sXtr80Hls3iq
7mL3mpsr8ag7QuWzeKruYveamyvxqDtC5bN4qu5i95qbK/GoO0Lls3iq7mL3
1uaDymfxVN3F7jU3V+JRd4TKZ/FU3cXuNTdX4lF3hMpn8VTdxe41N1fiUXeE
ymfxVN3F7jU3V+JRd4TKZ/FU3cXurc0Hlc/iqbqL3WtursSj7giVz+Kpuovd
a26uxKPuCJXP4qm6i91rbq7Eo+4Ilc/iqbqL3VubDyqfxVN1F7v3F38CmmAX
uA==
              "], {{0, 0}, {29, 29}}, {0, 1}], AspectRatio -> 1, Axes -> 
             False, Frame -> False, FrameLabel -> {None, None}, FrameStyle -> 
             Directive[
               Opacity[0.5], 
               Thickness[Tiny], 
               RGBColor[0.368417, 0.506779, 0.709798]], 
             FrameTicks -> {{None, None}, {None, None}}, GridLinesStyle -> 
             Directive[
               GrayLevel[0.5, 0.4]], ImageSize -> 
             Dynamic[{
               Automatic, 3.5 CurrentValue["FontCapHeight"]/
                AbsoluteCurrentValue[Magnification]}], 
             Method -> {
              "AxisPadding" -> Scaled[0.02], "DefaultBoundaryStyle" -> 
               Automatic, 
               "DefaultGraphicsInteraction" -> {
                "Version" -> 1.2, "TrackMousePosition" -> {True, False}, 
                 "Effects" -> {
                  "Highlight" -> {"ratio" -> 2}, 
                   "HighlightPoint" -> {"ratio" -> 2}, 
                   "Droplines" -> {
                    "freeformCursorMode" -> True, 
                    "placement" -> {"x" -> "All", "y" -> "None"}}}}, 
               "DefaultPlotStyle" -> Automatic, "DomainPadding" -> 
               Scaled[0.02], "RangePadding" -> Scaled[0.05]}], 
            GridBox[{{
               RowBox[{
                 TagBox["\"Specified elements: \"", "SummaryItemAnnotation"], 
                 "\[InvisibleSpace]", 
                 TagBox["256", "SummaryItem"]}]}, {
               RowBox[{
                 TagBox["\"Dimensions: \"", "SummaryItemAnnotation"], 
                 "\[InvisibleSpace]", 
                 TagBox[
                  RowBox[{"{", 
                    RowBox[{"256", ",", "256"}], "}"}], "SummaryItem"]}]}}, 
             GridBoxAlignment -> {
              "Columns" -> {{Left}}, "Rows" -> {{Automatic}}}, AutoDelete -> 
             False, GridBoxItemSize -> {
              "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}, 
             GridBoxSpacings -> {"Columns" -> {{2}}, "Rows" -> {{Automatic}}},
              BaseStyle -> {
              ShowStringCharacters -> False, NumberMarks -> False, 
               PrintPrecision -> 3, ShowSyntaxStyles -> False}]}}, 
          GridBoxAlignment -> {"Rows" -> {{Top}}}, AutoDelete -> False, 
          GridBoxItemSize -> {
           "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}, 
          BaselinePosition -> {1, 1}], True -> GridBox[{{
            PaneBox[
             ButtonBox[
              DynamicBox[
               FEPrivate`FrontEndResource[
               "FEBitmaps", "SquareMinusIconMedium"]], 
              ButtonFunction :> (Typeset`open$$ = False), Appearance -> None, 
              Evaluator -> Automatic, Method -> "Preemptive"], 
             Alignment -> {Center, Center}, ImageSize -> 
             Dynamic[{
               Automatic, 3.5 CurrentValue["FontCapHeight"]/
                AbsoluteCurrentValue[Magnification]}]], 
            GraphicsBox[
             RasterBox[CompressedData["
1:eJztkyEKAmEUhH/wHIb1CgbBsmfQAxgEs9G7iGmj2eYdTB5AsIgnMIqySTEI
M7z/DbMgKx/DzjfhNcv1fDUopQz73+v/dHNcbEendjfuDpPHub11zXW2v7fm
5ubm5lhe3s+lf38+3/zf77DzWTxVd7F7zc2VeNQdofJZPFV3sXtr80Hls3iq
7mL3mpsr8ag7QuWzeKruYveamyvxqDtC5bN4qu5i95qbK/GoO0Lls3iq7mL3
1uaDymfxVN3F7jU3V+JRd4TKZ/FU3cXuNTdX4lF3hMpn8VTdxe41N1fiUXeE
ymfxVN3F7jU3V+JRd4TKZ/FU3cXurc0Hlc/iqbqL3WtursSj7giVz+Kpuovd
a26uxKPuCJXP4qm6i91rbq7Eo+4Ilc/iqbqL3VubDyqfxVN1F7v3F38CmmAX
uA==
              "], {{0, 0}, {29, 29}}, {0, 1}], AspectRatio -> 1, Axes -> 
             False, Frame -> False, FrameLabel -> {None, None}, FrameStyle -> 
             Directive[
               Opacity[0.5], 
               Thickness[Tiny], 
               RGBColor[0.368417, 0.506779, 0.709798]], 
             FrameTicks -> {{None, None}, {None, None}}, GridLinesStyle -> 
             Directive[
               GrayLevel[0.5, 0.4]], ImageSize -> 
             Dynamic[{
               Automatic, 3.5 CurrentValue["FontCapHeight"]/
                AbsoluteCurrentValue[Magnification]}], 
             Method -> {
              "AxisPadding" -> Scaled[0.02], "DefaultBoundaryStyle" -> 
               Automatic, 
               "DefaultGraphicsInteraction" -> {
                "Version" -> 1.2, "TrackMousePosition" -> {True, False}, 
                 "Effects" -> {
                  "Highlight" -> {"ratio" -> 2}, 
                   "HighlightPoint" -> {"ratio" -> 2}, 
                   "Droplines" -> {
                    "freeformCursorMode" -> True, 
                    "placement" -> {"x" -> "All", "y" -> "None"}}}}, 
               "DefaultPlotStyle" -> Automatic, "DomainPadding" -> 
               Scaled[0.02], "RangePadding" -> Scaled[0.05]}], 
            GridBox[{{
               RowBox[{
                 TagBox["\"Specified elements: \"", "SummaryItemAnnotation"], 
                 "\[InvisibleSpace]", 
                 TagBox["256", "SummaryItem"]}]}, {
               RowBox[{
                 TagBox["\"Dimensions: \"", "SummaryItemAnnotation"], 
                 "\[InvisibleSpace]", 
                 TagBox[
                  RowBox[{"{", 
                    RowBox[{"256", ",", "256"}], "}"}], "SummaryItem"]}]}, {
               RowBox[{
                 TagBox["\"Default: \"", "SummaryItemAnnotation"], 
                 "\[InvisibleSpace]", 
                 TagBox["0", "SummaryItem"]}]}, {
               RowBox[{
                 TagBox["\"Density: \"", "SummaryItemAnnotation"], 
                 "\[InvisibleSpace]", 
                 TagBox["0.00390625`", "SummaryItem"]}]}, {
               RowBox[{
                 TagBox["\"Elements:\"", "SummaryItemAnnotation"], 
                 "\[InvisibleSpace]", 
                 TagBox["\"\"", "SummaryItem"]}]}, {
               TagBox[
                TagBox[
                 GridBox[{{
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{"1", ",", "1"}], "}"}], "\[Rule]", 
                    StyleBox[
                    PaneBox[
                    RowBox[{
                    SubscriptBox["f", 
                    RowBox[{"1", ",", "1"}]], " ", 
                    SubscriptBox["m", 
                    RowBox[{"1", ",", "1"}]]}], ContentPadding -> False, 
                    FrameMargins -> 0, StripOnInput -> True, BaselinePosition -> 
                    Baseline, ImageSize -> {{1, 300}, Automatic}], 
                    LineBreakWithin -> False]}]}, {
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{"1", ",", "17"}], "}"}], "\[Rule]", 
                    StyleBox[
                    PaneBox[
                    RowBox[{
                    SubscriptBox["f", 
                    RowBox[{"1", ",", "2"}]], " ", 
                    SubscriptBox["m", 
                    RowBox[{"1", ",", "1"}]]}], ContentPadding -> False, 
                    FrameMargins -> 0, StripOnInput -> True, BaselinePosition -> 
                    Baseline, ImageSize -> {{1, 300}, Automatic}], 
                    LineBreakWithin -> False]}]}, {
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{"1", ",", "33"}], "}"}], "\[Rule]", 
                    StyleBox[
                    PaneBox[
                    RowBox[{
                    SubscriptBox["f", 
                    RowBox[{"1", ",", "3"}]], " ", 
                    SubscriptBox["m", 
                    RowBox[{"1", ",", "1"}]]}], ContentPadding -> False, 
                    FrameMargins -> 0, StripOnInput -> True, BaselinePosition -> 
                    Baseline, ImageSize -> {{1, 300}, Automatic}], 
                    LineBreakWithin -> False]}]}, {
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{"1", ",", "49"}], "}"}], "\[Rule]", 
                    StyleBox[
                    PaneBox[
                    RowBox[{
                    SubscriptBox["f", 
                    RowBox[{"1", ",", "4"}]], " ", 
                    SubscriptBox["m", 
                    RowBox[{"1", ",", "1"}]]}], ContentPadding -> False, 
                    FrameMargins -> 0, StripOnInput -> True, BaselinePosition -> 
                    Baseline, ImageSize -> {{1, 300}, Automatic}], 
                    LineBreakWithin -> False]}]}, {
                    ItemBox[
                    "\"\[VerticalEllipsis]\"", Alignment -> Center, 
                    StripOnInput -> False]}}, 
                  GridBoxAlignment -> {"Columns" -> {{Left}}}, 
                  DefaultBaseStyle -> "Column", 
                  GridBoxItemSize -> {
                   "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}], 
                 "Column"], "SummaryItem"]}}, 
             GridBoxAlignment -> {
              "Columns" -> {{Left}}, "Rows" -> {{Automatic}}}, AutoDelete -> 
             False, GridBoxItemSize -> {
              "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}, 
             GridBoxSpacings -> {"Columns" -> {{2}}, "Rows" -> {{Automatic}}},
              BaseStyle -> {
              ShowStringCharacters -> False, NumberMarks -> False, 
               PrintPrecision -> 3, ShowSyntaxStyles -> False}]}}, 
          GridBoxAlignment -> {"Rows" -> {{Top}}}, AutoDelete -> False, 
          GridBoxItemSize -> {
           "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}, 
          BaselinePosition -> {1, 1}]}, 
       Dynamic[Typeset`open$$], ImageSize -> Automatic]},
     "SummaryPanel"],
    DynamicModuleValues:>{}], "]"}],
  SparseArray[Automatic, {256, 256}, 0, {1, {CompressedData["
1:eJxTTMoPymNkYGBgBBFAIEAhVqAQG1CIHSjEARTiBApxAYW4gUI8gUK8gEK8
gUJ8gEJ8gUL8gEL8gULMwEgZBgDuYHnG
     "], {{1}, {17}, {33}, {49}, {65}, {
     81}, {97}, {113}, {129}, {145}, {161}, {177}, {193}, {209}, {225}, {
     241}, {1}, {17}, {33}, {49}, {65}, {81}, {97}, {113}, {129}, {145}, {
     161}, {177}, {193}, {209}, {225}, {241}, {1}, {17}, {33}, {49}, {65}, {
     81}, {97}, {113}, {129}, {145}, {161}, {177}, {193}, {209}, {225}, {
     241}, {1}, {17}, {33}, {49}, {65}, {81}, {97}, {113}, {129}, {145}, {
     161}, {177}, {193}, {209}, {225}, {241}, {1}, {17}, {33}, {49}, {65}, {
     81}, {97}, {113}, {129}, {145}, {161}, {177}, {193}, {209}, {225}, {
     241}, {1}, {17}, {33}, {49}, {65}, {81}, {97}, {113}, {129}, {145}, {
     161}, {177}, {193}, {209}, {225}, {241}, {1}, {17}, {33}, {49}, {65}, {
     81}, {97}, {113}, {129}, {145}, {161}, {177}, {193}, {209}, {225}, {
     241}, {1}, {17}, {33}, {49}, {65}, {81}, {97}, {113}, {129}, {145}, {
     161}, {177}, {193}, {209}, {225}, {241}, {1}, {17}, {33}, {49}, {65}, {
     81}, {97}, {113}, {129}, {145}, {161}, {177}, {193}, {209}, {225}, {
     241}, {1}, {17}, {33}, {49}, {65}, {81}, {97}, {113}, {129}, {145}, {
     161}, {177}, {193}, {209}, {225}, {241}, {1}, {17}, {33}, {49}, {65}, {
     81}, {97}, {113}, {129}, {145}, {161}, {177}, {193}, {209}, {225}, {
     241}, {1}, {17}, {33}, {49}, {65}, {81}, {97}, {113}, {129}, {145}, {
     161}, {177}, {193}, {209}, {225}, {241}, {1}, {17}, {33}, {49}, {65}, {
     81}, {97}, {113}, {129}, {145}, {161}, {177}, {193}, {209}, {225}, {
     241}, {1}, {17}, {33}, {49}, {65}, {81}, {97}, {113}, {129}, {145}, {
     161}, {177}, {193}, {209}, {225}, {241}, {1}, {17}, {33}, {49}, {65}, {
     81}, {97}, {113}, {129}, {145}, {161}, {177}, {193}, {209}, {225}, {
     241}, {1}, {17}, {33}, {49}, {65}, {81}, {97}, {113}, {129}, {145}, {
     161}, {177}, {193}, {209}, {225}, {241}}}, {
    Subscript[$CellContext`f, 1, 1] Subscript[$CellContext`m, 1, 1], 
     Subscript[$CellContext`f, 1, 2] Subscript[$CellContext`m, 1, 1], 
     Subscript[$CellContext`f, 1, 3] Subscript[$CellContext`m, 1, 1], 
     Subscript[$CellContext`f, 1, 4] Subscript[$CellContext`m, 1, 1], 
     Subscript[$CellContext`f, 1, 1] Subscript[$CellContext`m, 1, 2], 
     Subscript[$CellContext`f, 1, 2] Subscript[$CellContext`m, 1, 2], 
     Subscript[$CellContext`f, 1, 3] Subscript[$CellContext`m, 1, 2], 
     Subscript[$CellContext`f, 1, 4] Subscript[$CellContext`m, 1, 2], 
     Subscript[$CellContext`f, 1, 1] Subscript[$CellContext`m, 1, 3], 
     Subscript[$CellContext`f, 1, 2] Subscript[$CellContext`m, 1, 3], 
     Subscript[$CellContext`f, 1, 3] Subscript[$CellContext`m, 1, 3], 
     Subscript[$CellContext`f, 1, 4] Subscript[$CellContext`m, 1, 3], 
     Subscript[$CellContext`f, 1, 1] Subscript[$CellContext`m, 1, 4], 
     Subscript[$CellContext`f, 1, 2] Subscript[$CellContext`m, 1, 4], 
     Subscript[$CellContext`f, 1, 3] Subscript[$CellContext`m, 1, 4], 
     Subscript[$CellContext`f, 1, 4] Subscript[$CellContext`m, 1, 4], 
     Subscript[$CellContext`f, 2, 1] Subscript[$CellContext`m, 1, 1], 
     Subscript[$CellContext`f, 2, 2] Subscript[$CellContext`m, 1, 1], 
     Subscript[$CellContext`f, 2, 3] Subscript[$CellContext`m, 1, 1], 
     Subscript[$CellContext`f, 2, 4] Subscript[$CellContext`m, 1, 1], 
     Subscript[$CellContext`f, 2, 1] Subscript[$CellContext`m, 1, 2], 
     Subscript[$CellContext`f, 2, 2] Subscript[$CellContext`m, 1, 2], 
     Subscript[$CellContext`f, 2, 3] Subscript[$CellContext`m, 1, 2], 
     Subscript[$CellContext`f, 2, 4] Subscript[$CellContext`m, 1, 2], 
     Subscript[$CellContext`f, 2, 1] Subscript[$CellContext`m, 1, 3], 
     Subscript[$CellContext`f, 2, 2] Subscript[$CellContext`m, 1, 3], 
     Subscript[$CellContext`f, 2, 3] Subscript[$CellContext`m, 1, 3], 
     Subscript[$CellContext`f, 2, 4] Subscript[$CellContext`m, 1, 3], 
     Subscript[$CellContext`f, 2, 1] Subscript[$CellContext`m, 1, 4], 
     Subscript[$CellContext`f, 2, 2] Subscript[$CellContext`m, 1, 4], 
     Subscript[$CellContext`f, 2, 3] Subscript[$CellContext`m, 1, 4], 
     Subscript[$CellContext`f, 2, 4] Subscript[$CellContext`m, 1, 4], 
     Subscript[$CellContext`f, 3, 1] Subscript[$CellContext`m, 1, 1], 
     Subscript[$CellContext`f, 3, 2] Subscript[$CellContext`m, 1, 1], 
     Subscript[$CellContext`f, 3, 3] Subscript[$CellContext`m, 1, 1], 
     Subscript[$CellContext`f, 3, 4] Subscript[$CellContext`m, 1, 1], 
     Subscript[$CellContext`f, 3, 1] Subscript[$CellContext`m, 1, 2], 
     Subscript[$CellContext`f, 3, 2] Subscript[$CellContext`m, 1, 2], 
     Subscript[$CellContext`f, 3, 3] Subscript[$CellContext`m, 1, 2], 
     Subscript[$CellContext`f, 3, 4] Subscript[$CellContext`m, 1, 2], 
     Subscript[$CellContext`f, 3, 1] Subscript[$CellContext`m, 1, 3], 
     Subscript[$CellContext`f, 3, 2] Subscript[$CellContext`m, 1, 3], 
     Subscript[$CellContext`f, 3, 3] Subscript[$CellContext`m, 1, 3], 
     Subscript[$CellContext`f, 3, 4] Subscript[$CellContext`m, 1, 3], 
     Subscript[$CellContext`f, 3, 1] Subscript[$CellContext`m, 1, 4], 
     Subscript[$CellContext`f, 3, 2] Subscript[$CellContext`m, 1, 4], 
     Subscript[$CellContext`f, 3, 3] Subscript[$CellContext`m, 1, 4], 
     Subscript[$CellContext`f, 3, 4] Subscript[$CellContext`m, 1, 4], 
     Subscript[$CellContext`f, 4, 1] Subscript[$CellContext`m, 1, 1], 
     Subscript[$CellContext`f, 4, 2] Subscript[$CellContext`m, 1, 1], 
     Subscript[$CellContext`f, 4, 3] Subscript[$CellContext`m, 1, 1], 
     Subscript[$CellContext`f, 4, 4] Subscript[$CellContext`m, 1, 1], 
     Subscript[$CellContext`f, 4, 1] Subscript[$CellContext`m, 1, 2], 
     Subscript[$CellContext`f, 4, 2] Subscript[$CellContext`m, 1, 2], 
     Subscript[$CellContext`f, 4, 3] Subscript[$CellContext`m, 1, 2], 
     Subscript[$CellContext`f, 4, 4] Subscript[$CellContext`m, 1, 2], 
     Subscript[$CellContext`f, 4, 1] Subscript[$CellContext`m, 1, 3], 
     Subscript[$CellContext`f, 4, 2] Subscript[$CellContext`m, 1, 3], 
     Subscript[$CellContext`f, 4, 3] Subscript[$CellContext`m, 1, 3], 
     Subscript[$CellContext`f, 4, 4] Subscript[$CellContext`m, 1, 3], 
     Subscript[$CellContext`f, 4, 1] Subscript[$CellContext`m, 1, 4], 
     Subscript[$CellContext`f, 4, 2] Subscript[$CellContext`m, 1, 4], 
     Subscript[$CellContext`f, 4, 3] Subscript[$CellContext`m, 1, 4], 
     Subscript[$CellContext`f, 4, 4] Subscript[$CellContext`m, 1, 4], 
     Subscript[$CellContext`f, 1, 1] Subscript[$CellContext`m, 2, 1], 
     Subscript[$CellContext`f, 1, 2] Subscript[$CellContext`m, 2, 1], 
     Subscript[$CellContext`f, 1, 3] Subscript[$CellContext`m, 2, 1], 
     Subscript[$CellContext`f, 1, 4] Subscript[$CellContext`m, 2, 1], 
     Subscript[$CellContext`f, 1, 1] Subscript[$CellContext`m, 2, 2], 
     Subscript[$CellContext`f, 1, 2] Subscript[$CellContext`m, 2, 2], 
     Subscript[$CellContext`f, 1, 3] Subscript[$CellContext`m, 2, 2], 
     Subscript[$CellContext`f, 1, 4] Subscript[$CellContext`m, 2, 2], 
     Subscript[$CellContext`f, 1, 1] Subscript[$CellContext`m, 2, 3], 
     Subscript[$CellContext`f, 1, 2] Subscript[$CellContext`m, 2, 3], 
     Subscript[$CellContext`f, 1, 3] Subscript[$CellContext`m, 2, 3], 
     Subscript[$CellContext`f, 1, 4] Subscript[$CellContext`m, 2, 3], 
     Subscript[$CellContext`f, 1, 1] Subscript[$CellContext`m, 2, 4], 
     Subscript[$CellContext`f, 1, 2] Subscript[$CellContext`m, 2, 4], 
     Subscript[$CellContext`f, 1, 3] Subscript[$CellContext`m, 2, 4], 
     Subscript[$CellContext`f, 1, 4] Subscript[$CellContext`m, 2, 4], 
     Subscript[$CellContext`f, 2, 1] Subscript[$CellContext`m, 2, 1], 
     Subscript[$CellContext`f, 2, 2] Subscript[$CellContext`m, 2, 1], 
     Subscript[$CellContext`f, 2, 3] Subscript[$CellContext`m, 2, 1], 
     Subscript[$CellContext`f, 2, 4] Subscript[$CellContext`m, 2, 1], 
     Subscript[$CellContext`f, 2, 1] Subscript[$CellContext`m, 2, 2], 
     Subscript[$CellContext`f, 2, 2] Subscript[$CellContext`m, 2, 2], 
     Subscript[$CellContext`f, 2, 3] Subscript[$CellContext`m, 2, 2], 
     Subscript[$CellContext`f, 2, 4] Subscript[$CellContext`m, 2, 2], 
     Subscript[$CellContext`f, 2, 1] Subscript[$CellContext`m, 2, 3], 
     Subscript[$CellContext`f, 2, 2] Subscript[$CellContext`m, 2, 3], 
     Subscript[$CellContext`f, 2, 3] Subscript[$CellContext`m, 2, 3], 
     Subscript[$CellContext`f, 2, 4] Subscript[$CellContext`m, 2, 3], 
     Subscript[$CellContext`f, 2, 1] Subscript[$CellContext`m, 2, 4], 
     Subscript[$CellContext`f, 2, 2] Subscript[$CellContext`m, 2, 4], 
     Subscript[$CellContext`f, 2, 3] Subscript[$CellContext`m, 2, 4], 
     Subscript[$CellContext`f, 2, 4] Subscript[$CellContext`m, 2, 4], 
     Subscript[$CellContext`f, 3, 1] Subscript[$CellContext`m, 2, 1], 
     Subscript[$CellContext`f, 3, 2] Subscript[$CellContext`m, 2, 1], 
     Subscript[$CellContext`f, 3, 3] Subscript[$CellContext`m, 2, 1], 
     Subscript[$CellContext`f, 3, 4] Subscript[$CellContext`m, 2, 1], 
     Subscript[$CellContext`f, 3, 1] Subscript[$CellContext`m, 2, 2], 
     Subscript[$CellContext`f, 3, 2] Subscript[$CellContext`m, 2, 2], 
     Subscript[$CellContext`f, 3, 3] Subscript[$CellContext`m, 2, 2], 
     Subscript[$CellContext`f, 3, 4] Subscript[$CellContext`m, 2, 2], 
     Subscript[$CellContext`f, 3, 1] Subscript[$CellContext`m, 2, 3], 
     Subscript[$CellContext`f, 3, 2] Subscript[$CellContext`m, 2, 3], 
     Subscript[$CellContext`f, 3, 3] Subscript[$CellContext`m, 2, 3], 
     Subscript[$CellContext`f, 3, 4] Subscript[$CellContext`m, 2, 3], 
     Subscript[$CellContext`f, 3, 1] Subscript[$CellContext`m, 2, 4], 
     Subscript[$CellContext`f, 3, 2] Subscript[$CellContext`m, 2, 4], 
     Subscript[$CellContext`f, 3, 3] Subscript[$CellContext`m, 2, 4], 
     Subscript[$CellContext`f, 3, 4] Subscript[$CellContext`m, 2, 4], 
     Subscript[$CellContext`f, 4, 1] Subscript[$CellContext`m, 2, 1], 
     Subscript[$CellContext`f, 4, 2] Subscript[$CellContext`m, 2, 1], 
     Subscript[$CellContext`f, 4, 3] Subscript[$CellContext`m, 2, 1], 
     Subscript[$CellContext`f, 4, 4] Subscript[$CellContext`m, 2, 1], 
     Subscript[$CellContext`f, 4, 1] Subscript[$CellContext`m, 2, 2], 
     Subscript[$CellContext`f, 4, 2] Subscript[$CellContext`m, 2, 2], 
     Subscript[$CellContext`f, 4, 3] Subscript[$CellContext`m, 2, 2], 
     Subscript[$CellContext`f, 4, 4] Subscript[$CellContext`m, 2, 2], 
     Subscript[$CellContext`f, 4, 1] Subscript[$CellContext`m, 2, 3], 
     Subscript[$CellContext`f, 4, 2] Subscript[$CellContext`m, 2, 3], 
     Subscript[$CellContext`f, 4, 3] Subscript[$CellContext`m, 2, 3], 
     Subscript[$CellContext`f, 4, 4] Subscript[$CellContext`m, 2, 3], 
     Subscript[$CellContext`f, 4, 1] Subscript[$CellContext`m, 2, 4], 
     Subscript[$CellContext`f, 4, 2] Subscript[$CellContext`m, 2, 4], 
     Subscript[$CellContext`f, 4, 3] Subscript[$CellContext`m, 2, 4], 
     Subscript[$CellContext`f, 4, 4] Subscript[$CellContext`m, 2, 4], 
     Subscript[$CellContext`f, 1, 1] Subscript[$CellContext`m, 3, 1], 
     Subscript[$CellContext`f, 1, 2] Subscript[$CellContext`m, 3, 1], 
     Subscript[$CellContext`f, 1, 3] Subscript[$CellContext`m, 3, 1], 
     Subscript[$CellContext`f, 1, 4] Subscript[$CellContext`m, 3, 1], 
     Subscript[$CellContext`f, 1, 1] Subscript[$CellContext`m, 3, 2], 
     Subscript[$CellContext`f, 1, 2] Subscript[$CellContext`m, 3, 2], 
     Subscript[$CellContext`f, 1, 3] Subscript[$CellContext`m, 3, 2], 
     Subscript[$CellContext`f, 1, 4] Subscript[$CellContext`m, 3, 2], 
     Subscript[$CellContext`f, 1, 1] Subscript[$CellContext`m, 3, 3], 
     Subscript[$CellContext`f, 1, 2] Subscript[$CellContext`m, 3, 3], 
     Subscript[$CellContext`f, 1, 3] Subscript[$CellContext`m, 3, 3], 
     Subscript[$CellContext`f, 1, 4] Subscript[$CellContext`m, 3, 3], 
     Subscript[$CellContext`f, 1, 1] Subscript[$CellContext`m, 3, 4], 
     Subscript[$CellContext`f, 1, 2] Subscript[$CellContext`m, 3, 4], 
     Subscript[$CellContext`f, 1, 3] Subscript[$CellContext`m, 3, 4], 
     Subscript[$CellContext`f, 1, 4] Subscript[$CellContext`m, 3, 4], 
     Subscript[$CellContext`f, 2, 1] Subscript[$CellContext`m, 3, 1], 
     Subscript[$CellContext`f, 2, 2] Subscript[$CellContext`m, 3, 1], 
     Subscript[$CellContext`f, 2, 3] Subscript[$CellContext`m, 3, 1], 
     Subscript[$CellContext`f, 2, 4] Subscript[$CellContext`m, 3, 1], 
     Subscript[$CellContext`f, 2, 1] Subscript[$CellContext`m, 3, 2], 
     Subscript[$CellContext`f, 2, 2] Subscript[$CellContext`m, 3, 2], 
     Subscript[$CellContext`f, 2, 3] Subscript[$CellContext`m, 3, 2], 
     Subscript[$CellContext`f, 2, 4] Subscript[$CellContext`m, 3, 2], 
     Subscript[$CellContext`f, 2, 1] Subscript[$CellContext`m, 3, 3], 
     Subscript[$CellContext`f, 2, 2] Subscript[$CellContext`m, 3, 3], 
     Subscript[$CellContext`f, 2, 3] Subscript[$CellContext`m, 3, 3], 
     Subscript[$CellContext`f, 2, 4] Subscript[$CellContext`m, 3, 3], 
     Subscript[$CellContext`f, 2, 1] Subscript[$CellContext`m, 3, 4], 
     Subscript[$CellContext`f, 2, 2] Subscript[$CellContext`m, 3, 4], 
     Subscript[$CellContext`f, 2, 3] Subscript[$CellContext`m, 3, 4], 
     Subscript[$CellContext`f, 2, 4] Subscript[$CellContext`m, 3, 4], 
     Subscript[$CellContext`f, 3, 1] Subscript[$CellContext`m, 3, 1], 
     Subscript[$CellContext`f, 3, 2] Subscript[$CellContext`m, 3, 1], 
     Subscript[$CellContext`f, 3, 3] Subscript[$CellContext`m, 3, 1], 
     Subscript[$CellContext`f, 3, 4] Subscript[$CellContext`m, 3, 1], 
     Subscript[$CellContext`f, 3, 1] Subscript[$CellContext`m, 3, 2], 
     Subscript[$CellContext`f, 3, 2] Subscript[$CellContext`m, 3, 2], 
     Subscript[$CellContext`f, 3, 3] Subscript[$CellContext`m, 3, 2], 
     Subscript[$CellContext`f, 3, 4] Subscript[$CellContext`m, 3, 2], 
     Subscript[$CellContext`f, 3, 1] Subscript[$CellContext`m, 3, 3], 
     Subscript[$CellContext`f, 3, 2] Subscript[$CellContext`m, 3, 3], 
     Subscript[$CellContext`f, 3, 3] Subscript[$CellContext`m, 3, 3], 
     Subscript[$CellContext`f, 3, 4] Subscript[$CellContext`m, 3, 3], 
     Subscript[$CellContext`f, 3, 1] Subscript[$CellContext`m, 3, 4], 
     Subscript[$CellContext`f, 3, 2] Subscript[$CellContext`m, 3, 4], 
     Subscript[$CellContext`f, 3, 3] Subscript[$CellContext`m, 3, 4], 
     Subscript[$CellContext`f, 3, 4] Subscript[$CellContext`m, 3, 4], 
     Subscript[$CellContext`f, 4, 1] Subscript[$CellContext`m, 3, 1], 
     Subscript[$CellContext`f, 4, 2] Subscript[$CellContext`m, 3, 1], 
     Subscript[$CellContext`f, 4, 3] Subscript[$CellContext`m, 3, 1], 
     Subscript[$CellContext`f, 4, 4] Subscript[$CellContext`m, 3, 1], 
     Subscript[$CellContext`f, 4, 1] Subscript[$CellContext`m, 3, 2], 
     Subscript[$CellContext`f, 4, 2] Subscript[$CellContext`m, 3, 2], 
     Subscript[$CellContext`f, 4, 3] Subscript[$CellContext`m, 3, 2], 
     Subscript[$CellContext`f, 4, 4] Subscript[$CellContext`m, 3, 2], 
     Subscript[$CellContext`f, 4, 1] Subscript[$CellContext`m, 3, 3], 
     Subscript[$CellContext`f, 4, 2] Subscript[$CellContext`m, 3, 3], 
     Subscript[$CellContext`f, 4, 3] Subscript[$CellContext`m, 3, 3], 
     Subscript[$CellContext`f, 4, 4] Subscript[$CellContext`m, 3, 3], 
     Subscript[$CellContext`f, 4, 1] Subscript[$CellContext`m, 3, 4], 
     Subscript[$CellContext`f, 4, 2] Subscript[$CellContext`m, 3, 4], 
     Subscript[$CellContext`f, 4, 3] Subscript[$CellContext`m, 3, 4], 
     Subscript[$CellContext`f, 4, 4] Subscript[$CellContext`m, 3, 4], 
     Subscript[$CellContext`f, 1, 1] Subscript[$CellContext`m, 4, 1], 
     Subscript[$CellContext`f, 1, 2] Subscript[$CellContext`m, 4, 1], 
     Subscript[$CellContext`f, 1, 3] Subscript[$CellContext`m, 4, 1], 
     Subscript[$CellContext`f, 1, 4] Subscript[$CellContext`m, 4, 1], 
     Subscript[$CellContext`f, 1, 1] Subscript[$CellContext`m, 4, 2], 
     Subscript[$CellContext`f, 1, 2] Subscript[$CellContext`m, 4, 2], 
     Subscript[$CellContext`f, 1, 3] Subscript[$CellContext`m, 4, 2], 
     Subscript[$CellContext`f, 1, 4] Subscript[$CellContext`m, 4, 2], 
     Subscript[$CellContext`f, 1, 1] Subscript[$CellContext`m, 4, 3], 
     Subscript[$CellContext`f, 1, 2] Subscript[$CellContext`m, 4, 3], 
     Subscript[$CellContext`f, 1, 3] Subscript[$CellContext`m, 4, 3], 
     Subscript[$CellContext`f, 1, 4] Subscript[$CellContext`m, 4, 3], 
     Subscript[$CellContext`f, 1, 1] Subscript[$CellContext`m, 4, 4], 
     Subscript[$CellContext`f, 1, 2] Subscript[$CellContext`m, 4, 4], 
     Subscript[$CellContext`f, 1, 3] Subscript[$CellContext`m, 4, 4], 
     Subscript[$CellContext`f, 1, 4] Subscript[$CellContext`m, 4, 4], 
     Subscript[$CellContext`f, 2, 1] Subscript[$CellContext`m, 4, 1], 
     Subscript[$CellContext`f, 2, 2] Subscript[$CellContext`m, 4, 1], 
     Subscript[$CellContext`f, 2, 3] Subscript[$CellContext`m, 4, 1], 
     Subscript[$CellContext`f, 2, 4] Subscript[$CellContext`m, 4, 1], 
     Subscript[$CellContext`f, 2, 1] Subscript[$CellContext`m, 4, 2], 
     Subscript[$CellContext`f, 2, 2] Subscript[$CellContext`m, 4, 2], 
     Subscript[$CellContext`f, 2, 3] Subscript[$CellContext`m, 4, 2], 
     Subscript[$CellContext`f, 2, 4] Subscript[$CellContext`m, 4, 2], 
     Subscript[$CellContext`f, 2, 1] Subscript[$CellContext`m, 4, 3], 
     Subscript[$CellContext`f, 2, 2] Subscript[$CellContext`m, 4, 3], 
     Subscript[$CellContext`f, 2, 3] Subscript[$CellContext`m, 4, 3], 
     Subscript[$CellContext`f, 2, 4] Subscript[$CellContext`m, 4, 3], 
     Subscript[$CellContext`f, 2, 1] Subscript[$CellContext`m, 4, 4], 
     Subscript[$CellContext`f, 2, 2] Subscript[$CellContext`m, 4, 4], 
     Subscript[$CellContext`f, 2, 3] Subscript[$CellContext`m, 4, 4], 
     Subscript[$CellContext`f, 2, 4] Subscript[$CellContext`m, 4, 4], 
     Subscript[$CellContext`f, 3, 1] Subscript[$CellContext`m, 4, 1], 
     Subscript[$CellContext`f, 3, 2] Subscript[$CellContext`m, 4, 1], 
     Subscript[$CellContext`f, 3, 3] Subscript[$CellContext`m, 4, 1], 
     Subscript[$CellContext`f, 3, 4] Subscript[$CellContext`m, 4, 1], 
     Subscript[$CellContext`f, 3, 1] Subscript[$CellContext`m, 4, 2], 
     Subscript[$CellContext`f, 3, 2] Subscript[$CellContext`m, 4, 2], 
     Subscript[$CellContext`f, 3, 3] Subscript[$CellContext`m, 4, 2], 
     Subscript[$CellContext`f, 3, 4] Subscript[$CellContext`m, 4, 2], 
     Subscript[$CellContext`f, 3, 1] Subscript[$CellContext`m, 4, 3], 
     Subscript[$CellContext`f, 3, 2] Subscript[$CellContext`m, 4, 3], 
     Subscript[$CellContext`f, 3, 3] Subscript[$CellContext`m, 4, 3], 
     Subscript[$CellContext`f, 3, 4] Subscript[$CellContext`m, 4, 3], 
     Subscript[$CellContext`f, 3, 1] Subscript[$CellContext`m, 4, 4], 
     Subscript[$CellContext`f, 3, 2] Subscript[$CellContext`m, 4, 4], 
     Subscript[$CellContext`f, 3, 3] Subscript[$CellContext`m, 4, 4], 
     Subscript[$CellContext`f, 3, 4] Subscript[$CellContext`m, 4, 4], 
     Subscript[$CellContext`f, 4, 1] Subscript[$CellContext`m, 4, 1], 
     Subscript[$CellContext`f, 4, 2] Subscript[$CellContext`m, 4, 1], 
     Subscript[$CellContext`f, 4, 3] Subscript[$CellContext`m, 4, 1], 
     Subscript[$CellContext`f, 4, 4] Subscript[$CellContext`m, 4, 1], 
     Subscript[$CellContext`f, 4, 1] Subscript[$CellContext`m, 4, 2], 
     Subscript[$CellContext`f, 4, 2] Subscript[$CellContext`m, 4, 2], 
     Subscript[$CellContext`f, 4, 3] Subscript[$CellContext`m, 4, 2], 
     Subscript[$CellContext`f, 4, 4] Subscript[$CellContext`m, 4, 2], 
     Subscript[$CellContext`f, 4, 1] Subscript[$CellContext`m, 4, 3], 
     Subscript[$CellContext`f, 4, 2] Subscript[$CellContext`m, 4, 3], 
     Subscript[$CellContext`f, 4, 3] Subscript[$CellContext`m, 4, 3], 
     Subscript[$CellContext`f, 4, 4] Subscript[$CellContext`m, 4, 3], 
     Subscript[$CellContext`f, 4, 1] Subscript[$CellContext`m, 4, 4], 
     Subscript[$CellContext`f, 4, 2] Subscript[$CellContext`m, 4, 4], 
     Subscript[$CellContext`f, 4, 3] Subscript[$CellContext`m, 4, 4], 
     Subscript[$CellContext`f, 4, 4] Subscript[$CellContext`m, 4, 4]}}],
  Editable->False,
  SelectWithContents->True,
  Selectable->False]], "Output",
 CellChangeTimes->{3.795672944061503*^9, 3.795673251577468*^9, 
  3.795673732533733*^9},
 CellLabel->"Out[63]=",ExpressionUUID->"c65e538d-faa1-4a62-a260-d2bdc43f14ea"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{"Tr", "[", 
  RowBox[{"Dot", "[", 
   RowBox[{
    RowBox[{"KroneckerProduct", "[", 
     RowBox[{
      RowBox[{"Theta", "[", "4", "]"}], ",", 
      RowBox[{"IdentityMatrix", "[", "16", "]"}]}], "]"}], ",", " ", 
    "rhoinit"}], "]"}], "]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"(*", 
   RowBox[{
    RowBox[{
    "The", " ", "observable", " ", "in", " ", "the", " ", "initial", " ", 
     "parent", " ", "registers"}], " ", "\[Rule]", " ", 
    RowBox[{"\[Theta]i", " ", "with", " ", "its", " ", "probability"}]}], 
   "*)"}]}]}], "Input",
 CellChangeTimes->{{3.795672979876667*^9, 3.795673028087291*^9}, {
   3.7956731075146933`*^9, 3.7956731119082613`*^9}, 3.795673249041798*^9, {
   3.795673324052199*^9, 3.795673404949236*^9}},
 CellLabel->"In[64]:=",ExpressionUUID->"23c5e21b-3dcd-431e-8dad-bd0c24798b25"],

Cell[BoxData[
 RowBox[{
  RowBox[{
   SubscriptBox["\[Theta]", "1"], " ", 
   SubscriptBox["f", 
    RowBox[{"1", ",", "1"}]], " ", 
   SubscriptBox["m", 
    RowBox[{"1", ",", "1"}]]}], "+", 
  RowBox[{
   SubscriptBox["\[Theta]", "2"], " ", 
   SubscriptBox["f", 
    RowBox[{"2", ",", "2"}]], " ", 
   SubscriptBox["m", 
    RowBox[{"1", ",", "1"}]]}], "+", 
  RowBox[{
   SubscriptBox["\[Theta]", "3"], " ", 
   SubscriptBox["f", 
    RowBox[{"3", ",", "3"}]], " ", 
   SubscriptBox["m", 
    RowBox[{"1", ",", "1"}]]}], "+", 
  RowBox[{
   SubscriptBox["\[Theta]", "4"], " ", 
   SubscriptBox["f", 
    RowBox[{"4", ",", "4"}]], " ", 
   SubscriptBox["m", 
    RowBox[{"1", ",", "1"}]]}], "+", 
  RowBox[{
   SubscriptBox["\[Theta]", "5"], " ", 
   SubscriptBox["f", 
    RowBox[{"1", ",", "1"}]], " ", 
   SubscriptBox["m", 
    RowBox[{"2", ",", "2"}]]}], "+", 
  RowBox[{
   SubscriptBox["\[Theta]", "6"], " ", 
   SubscriptBox["f", 
    RowBox[{"2", ",", "2"}]], " ", 
   SubscriptBox["m", 
    RowBox[{"2", ",", "2"}]]}], "+", 
  RowBox[{
   SubscriptBox["\[Theta]", "7"], " ", 
   SubscriptBox["f", 
    RowBox[{"3", ",", "3"}]], " ", 
   SubscriptBox["m", 
    RowBox[{"2", ",", "2"}]]}], "+", 
  RowBox[{
   SubscriptBox["\[Theta]", "8"], " ", 
   SubscriptBox["f", 
    RowBox[{"4", ",", "4"}]], " ", 
   SubscriptBox["m", 
    RowBox[{"2", ",", "2"}]]}], "+", 
  RowBox[{
   SubscriptBox["\[Theta]", "9"], " ", 
   SubscriptBox["f", 
    RowBox[{"1", ",", "1"}]], " ", 
   SubscriptBox["m", 
    RowBox[{"3", ",", "3"}]]}], "+", 
  RowBox[{
   SubscriptBox["\[Theta]", "10"], " ", 
   SubscriptBox["f", 
    RowBox[{"2", ",", "2"}]], " ", 
   SubscriptBox["m", 
    RowBox[{"3", ",", "3"}]]}], "+", 
  RowBox[{
   SubscriptBox["\[Theta]", "11"], " ", 
   SubscriptBox["f", 
    RowBox[{"3", ",", "3"}]], " ", 
   SubscriptBox["m", 
    RowBox[{"3", ",", "3"}]]}], "+", 
  RowBox[{
   SubscriptBox["\[Theta]", "12"], " ", 
   SubscriptBox["f", 
    RowBox[{"4", ",", "4"}]], " ", 
   SubscriptBox["m", 
    RowBox[{"3", ",", "3"}]]}], "+", 
  RowBox[{
   SubscriptBox["\[Theta]", "13"], " ", 
   SubscriptBox["f", 
    RowBox[{"1", ",", "1"}]], " ", 
   SubscriptBox["m", 
    RowBox[{"4", ",", "4"}]]}], "+", 
  RowBox[{
   SubscriptBox["\[Theta]", "14"], " ", 
   SubscriptBox["f", 
    RowBox[{"2", ",", "2"}]], " ", 
   SubscriptBox["m", 
    RowBox[{"4", ",", "4"}]]}], "+", 
  RowBox[{
   SubscriptBox["\[Theta]", "15"], " ", 
   SubscriptBox["f", 
    RowBox[{"3", ",", "3"}]], " ", 
   SubscriptBox["m", 
    RowBox[{"4", ",", "4"}]]}], "+", 
  RowBox[{
   SubscriptBox["\[Theta]", "16"], " ", 
   SubscriptBox["f", 
    RowBox[{"4", ",", "4"}]], " ", 
   SubscriptBox["m", 
    RowBox[{"4", ",", "4"}]]}]}]], "Output",
 CellChangeTimes->{
  3.795673029605795*^9, 3.795673113344314*^9, {3.795673249955845*^9, 
   3.795673253327886*^9}, 3.7956737360522327`*^9},
 CellLabel->"Out[64]=",ExpressionUUID->"c02d1f5a-a91c-4b32-aaad-4db2681d8406"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{"Tr", "[", 
  RowBox[{"Dot", "[", 
   RowBox[{
    RowBox[{"KroneckerProduct", "[", 
     RowBox[{
      RowBox[{"IdentityMatrix", "[", "16", "]"}], ",", 
      RowBox[{"Theta", "[", "4", "]"}]}], "]"}], ",", " ", "rhoinit"}], "]"}],
   "]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"(*", 
   RowBox[{
    RowBox[{
    "The", " ", "observable", " ", "in", " ", "the", " ", "initial", " ", 
     "children", " ", "registers"}], " ", "\[Rule]", " ", 
    RowBox[{"only", " ", "\[Theta]1", " ", "appears"}]}], "*)"}]}]}], "Input",\

 CellChangeTimes->{{3.79567329214465*^9, 3.795673295472433*^9}, {
  3.795673350045926*^9, 3.7956733559538*^9}, {3.795673409411413*^9, 
  3.795673426967801*^9}, {3.7956735918036203`*^9, 3.7956735942695303`*^9}},
 CellLabel->"In[65]:=",ExpressionUUID->"d88e3e77-39e4-4936-a5c7-413aa4be04fd"],

Cell[BoxData[
 RowBox[{
  RowBox[{
   SubscriptBox["\[Theta]", "1"], " ", 
   SubscriptBox["f", 
    RowBox[{"1", ",", "1"}]], " ", 
   SubscriptBox["m", 
    RowBox[{"1", ",", "1"}]]}], "+", 
  RowBox[{
   SubscriptBox["\[Theta]", "1"], " ", 
   SubscriptBox["f", 
    RowBox[{"2", ",", "2"}]], " ", 
   SubscriptBox["m", 
    RowBox[{"1", ",", "1"}]]}], "+", 
  RowBox[{
   SubscriptBox["\[Theta]", "1"], " ", 
   SubscriptBox["f", 
    RowBox[{"3", ",", "3"}]], " ", 
   SubscriptBox["m", 
    RowBox[{"1", ",", "1"}]]}], "+", 
  RowBox[{
   SubscriptBox["\[Theta]", "1"], " ", 
   SubscriptBox["f", 
    RowBox[{"4", ",", "4"}]], " ", 
   SubscriptBox["m", 
    RowBox[{"1", ",", "1"}]]}], "+", 
  RowBox[{
   SubscriptBox["\[Theta]", "1"], " ", 
   SubscriptBox["f", 
    RowBox[{"1", ",", "1"}]], " ", 
   SubscriptBox["m", 
    RowBox[{"2", ",", "2"}]]}], "+", 
  RowBox[{
   SubscriptBox["\[Theta]", "1"], " ", 
   SubscriptBox["f", 
    RowBox[{"2", ",", "2"}]], " ", 
   SubscriptBox["m", 
    RowBox[{"2", ",", "2"}]]}], "+", 
  RowBox[{
   SubscriptBox["\[Theta]", "1"], " ", 
   SubscriptBox["f", 
    RowBox[{"3", ",", "3"}]], " ", 
   SubscriptBox["m", 
    RowBox[{"2", ",", "2"}]]}], "+", 
  RowBox[{
   SubscriptBox["\[Theta]", "1"], " ", 
   SubscriptBox["f", 
    RowBox[{"4", ",", "4"}]], " ", 
   SubscriptBox["m", 
    RowBox[{"2", ",", "2"}]]}], "+", 
  RowBox[{
   SubscriptBox["\[Theta]", "1"], " ", 
   SubscriptBox["f", 
    RowBox[{"1", ",", "1"}]], " ", 
   SubscriptBox["m", 
    RowBox[{"3", ",", "3"}]]}], "+", 
  RowBox[{
   SubscriptBox["\[Theta]", "1"], " ", 
   SubscriptBox["f", 
    RowBox[{"2", ",", "2"}]], " ", 
   SubscriptBox["m", 
    RowBox[{"3", ",", "3"}]]}], "+", 
  RowBox[{
   SubscriptBox["\[Theta]", "1"], " ", 
   SubscriptBox["f", 
    RowBox[{"3", ",", "3"}]], " ", 
   SubscriptBox["m", 
    RowBox[{"3", ",", "3"}]]}], "+", 
  RowBox[{
   SubscriptBox["\[Theta]", "1"], " ", 
   SubscriptBox["f", 
    RowBox[{"4", ",", "4"}]], " ", 
   SubscriptBox["m", 
    RowBox[{"3", ",", "3"}]]}], "+", 
  RowBox[{
   SubscriptBox["\[Theta]", "1"], " ", 
   SubscriptBox["f", 
    RowBox[{"1", ",", "1"}]], " ", 
   SubscriptBox["m", 
    RowBox[{"4", ",", "4"}]]}], "+", 
  RowBox[{
   SubscriptBox["\[Theta]", "1"], " ", 
   SubscriptBox["f", 
    RowBox[{"2", ",", "2"}]], " ", 
   SubscriptBox["m", 
    RowBox[{"4", ",", "4"}]]}], "+", 
  RowBox[{
   SubscriptBox["\[Theta]", "1"], " ", 
   SubscriptBox["f", 
    RowBox[{"3", ",", "3"}]], " ", 
   SubscriptBox["m", 
    RowBox[{"4", ",", "4"}]]}], "+", 
  RowBox[{
   SubscriptBox["\[Theta]", "1"], " ", 
   SubscriptBox["f", 
    RowBox[{"4", ",", "4"}]], " ", 
   SubscriptBox["m", 
    RowBox[{"4", ",", "4"}]]}]}]], "Output",
 CellChangeTimes->{3.795673296345718*^9, 3.7956737382723*^9},
 CellLabel->"Out[65]=",ExpressionUUID->"09c0c0ee-0096-4089-9626-35a268130dc6"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{"rhoclone", "=", 
  RowBox[{"Dot", "[", 
   RowBox[{
    RowBox[{"U", "[", "16", "]"}], ",", "rhoinit", ",", 
    RowBox[{"ConjugateTranspose", "[", 
     RowBox[{"U", "[", "16", "]"}], "]"}]}], "]"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"(*", 
   RowBox[{
   "The", " ", "whole", " ", "state", " ", "after", " ", "cloning", " ", 
    "\[Theta]", " ", "in", " ", "the", " ", "children", " ", "registers"}], 
   "*)"}]}]}], "Input",
 CellChangeTimes->{{3.7956734385593987`*^9, 3.795673458074765*^9}, {
  3.795673504404149*^9, 3.795673598490333*^9}},
 CellLabel->"In[66]:=",ExpressionUUID->"9e964a72-3638-4ae7-85ff-8a1bbe79c033"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{
   TagBox["SparseArray",
    "SummaryHead"], "[", 
   DynamicModuleBox[{Typeset`open$$ = False, Typeset`embedState$$ = "Ready"}, 
    
    TemplateBox[{PaneSelectorBox[{False -> GridBox[{{
            PaneBox[
             ButtonBox[
              DynamicBox[
               FEPrivate`FrontEndResource[
               "FEBitmaps", "SquarePlusIconMedium"]], 
              ButtonFunction :> (Typeset`open$$ = True), Appearance -> None, 
              Evaluator -> Automatic, Method -> "Preemptive"], 
             Alignment -> {Center, Center}, ImageSize -> 
             Dynamic[{
               Automatic, 3.5 CurrentValue["FontCapHeight"]/
                AbsoluteCurrentValue[Magnification]}]], 
            GraphicsBox[
             RasterBox[CompressedData["
1:eJzt1iEKAlEAhOEFz2FYr2AQLO8MegCDYDZ6FzFtNNu8g8kDCBbxBEYRbVp1
HfZ7sLD8/GF4MMOr58vpoldVVf/1Pf6f51Sqj+edj1f72XpwKJthsxvdjuXS
1OfJ9lr4v/FTcrbl4/g/c73O8lNy2lsc1+t0PyWnvcVxvU73U3LaWxzX63Q/
Jae9xXG9TvdTcrZ1Dyn5u+an5PROwHG9TvdTctpbHNfrdD8lp73Fcb1O91Ny
2lsc1+t0PyWnvcVxvU73U3LaWxzX63Q/Jae9xXG9TvdTctpbHNfrdD8lZ1v3
kJK/a35Kzm/7d27EF7g=
              "], {{0, 0}, {29, 29}}, {0, 1}], 
             AspectRatio -> 1, Axes -> False, Frame -> False, 
             FrameLabel -> {None, None}, FrameStyle -> Directive[
               Opacity[0.5], 
               Thickness[Tiny], 
               RGBColor[0.368417, 0.506779, 0.709798]], 
             FrameTicks -> {{None, None}, {None, None}}, GridLinesStyle -> 
             Directive[
               GrayLevel[0.5, 0.4]], ImageSize -> 
             Dynamic[{
               Automatic, 3.5 CurrentValue["FontCapHeight"]/
                AbsoluteCurrentValue[Magnification]}], 
             Method -> {
              "AxisPadding" -> Scaled[0.02], "DefaultBoundaryStyle" -> 
               Automatic, 
               "DefaultGraphicsInteraction" -> {
                "Version" -> 1.2, "TrackMousePosition" -> {True, False}, 
                 "Effects" -> {
                  "Highlight" -> {"ratio" -> 2}, 
                   "HighlightPoint" -> {"ratio" -> 2}, 
                   "Droplines" -> {
                    "freeformCursorMode" -> True, 
                    "placement" -> {"x" -> "All", "y" -> "None"}}}}, 
               "DefaultPlotStyle" -> Automatic, "DomainPadding" -> 
               Scaled[0.02], "RangePadding" -> Scaled[0.05]}], 
            GridBox[{{
               RowBox[{
                 TagBox["\"Specified elements: \"", "SummaryItemAnnotation"], 
                 "\[InvisibleSpace]", 
                 TagBox["256", "SummaryItem"]}]}, {
               RowBox[{
                 TagBox["\"Dimensions: \"", "SummaryItemAnnotation"], 
                 "\[InvisibleSpace]", 
                 TagBox[
                  RowBox[{"{", 
                    RowBox[{"256", ",", "256"}], "}"}], "SummaryItem"]}]}}, 
             GridBoxAlignment -> {
              "Columns" -> {{Left}}, "Rows" -> {{Automatic}}}, AutoDelete -> 
             False, GridBoxItemSize -> {
              "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}, 
             GridBoxSpacings -> {"Columns" -> {{2}}, "Rows" -> {{Automatic}}},
              BaseStyle -> {
              ShowStringCharacters -> False, NumberMarks -> False, 
               PrintPrecision -> 3, ShowSyntaxStyles -> False}]}}, 
          GridBoxAlignment -> {"Rows" -> {{Top}}}, AutoDelete -> False, 
          GridBoxItemSize -> {
           "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}, 
          BaselinePosition -> {1, 1}], True -> GridBox[{{
            PaneBox[
             ButtonBox[
              DynamicBox[
               FEPrivate`FrontEndResource[
               "FEBitmaps", "SquareMinusIconMedium"]], 
              ButtonFunction :> (Typeset`open$$ = False), Appearance -> None, 
              Evaluator -> Automatic, Method -> "Preemptive"], 
             Alignment -> {Center, Center}, ImageSize -> 
             Dynamic[{
               Automatic, 3.5 CurrentValue["FontCapHeight"]/
                AbsoluteCurrentValue[Magnification]}]], 
            GraphicsBox[
             RasterBox[CompressedData["
1:eJzt1iEKAlEAhOEFz2FYr2AQLO8MegCDYDZ6FzFtNNu8g8kDCBbxBEYRbVp1
HfZ7sLD8/GF4MMOr58vpoldVVf/1Pf6f51Sqj+edj1f72XpwKJthsxvdjuXS
1OfJ9lr4v/FTcrbl4/g/c73O8lNy2lsc1+t0PyWnvcVxvU73U3LaWxzX63Q/
Jae9xXG9TvdTcrZ1Dyn5u+an5PROwHG9TvdTctpbHNfrdD8lp73Fcb1O91Ny
2lsc1+t0PyWnvcVxvU73U3LaWxzX63Q/Jae9xXG9TvdTctpbHNfrdD8lZ1v3
kJK/a35Kzm/7d27EF7g=
              "], {{0, 0}, {29, 29}}, {0, 1}], 
             AspectRatio -> 1, Axes -> False, Frame -> False, 
             FrameLabel -> {None, None}, FrameStyle -> Directive[
               Opacity[0.5], 
               Thickness[Tiny], 
               RGBColor[0.368417, 0.506779, 0.709798]], 
             FrameTicks -> {{None, None}, {None, None}}, GridLinesStyle -> 
             Directive[
               GrayLevel[0.5, 0.4]], ImageSize -> 
             Dynamic[{
               Automatic, 3.5 CurrentValue["FontCapHeight"]/
                AbsoluteCurrentValue[Magnification]}], 
             Method -> {
              "AxisPadding" -> Scaled[0.02], "DefaultBoundaryStyle" -> 
               Automatic, 
               "DefaultGraphicsInteraction" -> {
                "Version" -> 1.2, "TrackMousePosition" -> {True, False}, 
                 "Effects" -> {
                  "Highlight" -> {"ratio" -> 2}, 
                   "HighlightPoint" -> {"ratio" -> 2}, 
                   "Droplines" -> {
                    "freeformCursorMode" -> True, 
                    "placement" -> {"x" -> "All", "y" -> "None"}}}}, 
               "DefaultPlotStyle" -> Automatic, "DomainPadding" -> 
               Scaled[0.02], "RangePadding" -> Scaled[0.05]}], 
            GridBox[{{
               RowBox[{
                 TagBox["\"Specified elements: \"", "SummaryItemAnnotation"], 
                 "\[InvisibleSpace]", 
                 TagBox["256", "SummaryItem"]}]}, {
               RowBox[{
                 TagBox["\"Dimensions: \"", "SummaryItemAnnotation"], 
                 "\[InvisibleSpace]", 
                 TagBox[
                  RowBox[{"{", 
                    RowBox[{"256", ",", "256"}], "}"}], "SummaryItem"]}]}, {
               RowBox[{
                 TagBox["\"Default: \"", "SummaryItemAnnotation"], 
                 "\[InvisibleSpace]", 
                 TagBox["0", "SummaryItem"]}]}, {
               RowBox[{
                 TagBox["\"Density: \"", "SummaryItemAnnotation"], 
                 "\[InvisibleSpace]", 
                 TagBox["0.00390625`", "SummaryItem"]}]}, {
               RowBox[{
                 TagBox["\"Elements:\"", "SummaryItemAnnotation"], 
                 "\[InvisibleSpace]", 
                 TagBox["\"\"", "SummaryItem"]}]}, {
               TagBox[
                TagBox[
                 GridBox[{{
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{"1", ",", "1"}], "}"}], "\[Rule]", 
                    StyleBox[
                    PaneBox[
                    RowBox[{
                    SubscriptBox["f", 
                    RowBox[{"1", ",", "1"}]], " ", 
                    SubscriptBox["m", 
                    RowBox[{"1", ",", "1"}]]}], ContentPadding -> False, 
                    FrameMargins -> 0, StripOnInput -> True, BaselinePosition -> 
                    Baseline, ImageSize -> {{1, 300}, Automatic}], 
                    LineBreakWithin -> False]}]}, {
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{"1", ",", "18"}], "}"}], "\[Rule]", 
                    StyleBox[
                    PaneBox[
                    RowBox[{
                    SubscriptBox["f", 
                    RowBox[{"1", ",", "2"}]], " ", 
                    SubscriptBox["m", 
                    RowBox[{"1", ",", "1"}]]}], ContentPadding -> False, 
                    FrameMargins -> 0, StripOnInput -> True, BaselinePosition -> 
                    Baseline, ImageSize -> {{1, 300}, Automatic}], 
                    LineBreakWithin -> False]}]}, {
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{"1", ",", "35"}], "}"}], "\[Rule]", 
                    StyleBox[
                    PaneBox[
                    RowBox[{
                    SubscriptBox["f", 
                    RowBox[{"1", ",", "3"}]], " ", 
                    SubscriptBox["m", 
                    RowBox[{"1", ",", "1"}]]}], ContentPadding -> False, 
                    FrameMargins -> 0, StripOnInput -> True, BaselinePosition -> 
                    Baseline, ImageSize -> {{1, 300}, Automatic}], 
                    LineBreakWithin -> False]}]}, {
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{"1", ",", "52"}], "}"}], "\[Rule]", 
                    StyleBox[
                    PaneBox[
                    RowBox[{
                    SubscriptBox["f", 
                    RowBox[{"1", ",", "4"}]], " ", 
                    SubscriptBox["m", 
                    RowBox[{"1", ",", "1"}]]}], ContentPadding -> False, 
                    FrameMargins -> 0, StripOnInput -> True, BaselinePosition -> 
                    Baseline, ImageSize -> {{1, 300}, Automatic}], 
                    LineBreakWithin -> False]}]}, {
                    ItemBox[
                    "\"\[VerticalEllipsis]\"", Alignment -> Center, 
                    StripOnInput -> False]}}, 
                  GridBoxAlignment -> {"Columns" -> {{Left}}}, 
                  DefaultBaseStyle -> "Column", 
                  GridBoxItemSize -> {
                   "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}], 
                 "Column"], "SummaryItem"]}}, 
             GridBoxAlignment -> {
              "Columns" -> {{Left}}, "Rows" -> {{Automatic}}}, AutoDelete -> 
             False, GridBoxItemSize -> {
              "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}, 
             GridBoxSpacings -> {"Columns" -> {{2}}, "Rows" -> {{Automatic}}},
              BaseStyle -> {
              ShowStringCharacters -> False, NumberMarks -> False, 
               PrintPrecision -> 3, ShowSyntaxStyles -> False}]}}, 
          GridBoxAlignment -> {"Rows" -> {{Top}}}, AutoDelete -> False, 
          GridBoxItemSize -> {
           "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}, 
          BaselinePosition -> {1, 1}]}, 
       Dynamic[Typeset`open$$], ImageSize -> Automatic]},
     "SummaryPanel"],
    DynamicModuleValues:>{}], "]"}],
  SparseArray[Automatic, {256, 256}, 0, {1, {CompressedData["
1:eJxTTMoPymNkYGBgBBFAIEAFrEAFbEAF7EAFHEAFnEAFXEAF3EAFPIEKeAEV
8AYq4ANUwBeogB9QAX+gAmYAlgEA89uBNw==
     "], CompressedData["
1:eJxTTMoPymNiAAJGMAJjISBWBmITIHYF4jAgTgfiCiDuBOJZQLwaiPcA8Vkg
vgfE75HMGNU/qn9U/9DUDwA8s3JH
     "]}, {
    Subscript[$CellContext`f, 1, 1] Subscript[$CellContext`m, 1, 1], 
     Subscript[$CellContext`f, 1, 2] Subscript[$CellContext`m, 1, 1], 
     Subscript[$CellContext`f, 1, 3] Subscript[$CellContext`m, 1, 1], 
     Subscript[$CellContext`f, 1, 4] Subscript[$CellContext`m, 1, 1], 
     Subscript[$CellContext`f, 1, 1] Subscript[$CellContext`m, 1, 2], 
     Subscript[$CellContext`f, 1, 2] Subscript[$CellContext`m, 1, 2], 
     Subscript[$CellContext`f, 1, 3] Subscript[$CellContext`m, 1, 2], 
     Subscript[$CellContext`f, 1, 4] Subscript[$CellContext`m, 1, 2], 
     Subscript[$CellContext`f, 1, 1] Subscript[$CellContext`m, 1, 3], 
     Subscript[$CellContext`f, 1, 2] Subscript[$CellContext`m, 1, 3], 
     Subscript[$CellContext`f, 1, 3] Subscript[$CellContext`m, 1, 3], 
     Subscript[$CellContext`f, 1, 4] Subscript[$CellContext`m, 1, 3], 
     Subscript[$CellContext`f, 1, 1] Subscript[$CellContext`m, 1, 4], 
     Subscript[$CellContext`f, 1, 2] Subscript[$CellContext`m, 1, 4], 
     Subscript[$CellContext`f, 1, 3] Subscript[$CellContext`m, 1, 4], 
     Subscript[$CellContext`f, 1, 4] Subscript[$CellContext`m, 1, 4], 
     Subscript[$CellContext`f, 2, 1] Subscript[$CellContext`m, 1, 1], 
     Subscript[$CellContext`f, 2, 2] Subscript[$CellContext`m, 1, 1], 
     Subscript[$CellContext`f, 2, 3] Subscript[$CellContext`m, 1, 1], 
     Subscript[$CellContext`f, 2, 4] Subscript[$CellContext`m, 1, 1], 
     Subscript[$CellContext`f, 2, 1] Subscript[$CellContext`m, 1, 2], 
     Subscript[$CellContext`f, 2, 2] Subscript[$CellContext`m, 1, 2], 
     Subscript[$CellContext`f, 2, 3] Subscript[$CellContext`m, 1, 2], 
     Subscript[$CellContext`f, 2, 4] Subscript[$CellContext`m, 1, 2], 
     Subscript[$CellContext`f, 2, 1] Subscript[$CellContext`m, 1, 3], 
     Subscript[$CellContext`f, 2, 2] Subscript[$CellContext`m, 1, 3], 
     Subscript[$CellContext`f, 2, 3] Subscript[$CellContext`m, 1, 3], 
     Subscript[$CellContext`f, 2, 4] Subscript[$CellContext`m, 1, 3], 
     Subscript[$CellContext`f, 2, 1] Subscript[$CellContext`m, 1, 4], 
     Subscript[$CellContext`f, 2, 2] Subscript[$CellContext`m, 1, 4], 
     Subscript[$CellContext`f, 2, 3] Subscript[$CellContext`m, 1, 4], 
     Subscript[$CellContext`f, 2, 4] Subscript[$CellContext`m, 1, 4], 
     Subscript[$CellContext`f, 3, 1] Subscript[$CellContext`m, 1, 1], 
     Subscript[$CellContext`f, 3, 2] Subscript[$CellContext`m, 1, 1], 
     Subscript[$CellContext`f, 3, 3] Subscript[$CellContext`m, 1, 1], 
     Subscript[$CellContext`f, 3, 4] Subscript[$CellContext`m, 1, 1], 
     Subscript[$CellContext`f, 3, 1] Subscript[$CellContext`m, 1, 2], 
     Subscript[$CellContext`f, 3, 2] Subscript[$CellContext`m, 1, 2], 
     Subscript[$CellContext`f, 3, 3] Subscript[$CellContext`m, 1, 2], 
     Subscript[$CellContext`f, 3, 4] Subscript[$CellContext`m, 1, 2], 
     Subscript[$CellContext`f, 3, 1] Subscript[$CellContext`m, 1, 3], 
     Subscript[$CellContext`f, 3, 2] Subscript[$CellContext`m, 1, 3], 
     Subscript[$CellContext`f, 3, 3] Subscript[$CellContext`m, 1, 3], 
     Subscript[$CellContext`f, 3, 4] Subscript[$CellContext`m, 1, 3], 
     Subscript[$CellContext`f, 3, 1] Subscript[$CellContext`m, 1, 4], 
     Subscript[$CellContext`f, 3, 2] Subscript[$CellContext`m, 1, 4], 
     Subscript[$CellContext`f, 3, 3] Subscript[$CellContext`m, 1, 4], 
     Subscript[$CellContext`f, 3, 4] Subscript[$CellContext`m, 1, 4], 
     Subscript[$CellContext`f, 4, 1] Subscript[$CellContext`m, 1, 1], 
     Subscript[$CellContext`f, 4, 2] Subscript[$CellContext`m, 1, 1], 
     Subscript[$CellContext`f, 4, 3] Subscript[$CellContext`m, 1, 1], 
     Subscript[$CellContext`f, 4, 4] Subscript[$CellContext`m, 1, 1], 
     Subscript[$CellContext`f, 4, 1] Subscript[$CellContext`m, 1, 2], 
     Subscript[$CellContext`f, 4, 2] Subscript[$CellContext`m, 1, 2], 
     Subscript[$CellContext`f, 4, 3] Subscript[$CellContext`m, 1, 2], 
     Subscript[$CellContext`f, 4, 4] Subscript[$CellContext`m, 1, 2], 
     Subscript[$CellContext`f, 4, 1] Subscript[$CellContext`m, 1, 3], 
     Subscript[$CellContext`f, 4, 2] Subscript[$CellContext`m, 1, 3], 
     Subscript[$CellContext`f, 4, 3] Subscript[$CellContext`m, 1, 3], 
     Subscript[$CellContext`f, 4, 4] Subscript[$CellContext`m, 1, 3], 
     Subscript[$CellContext`f, 4, 1] Subscript[$CellContext`m, 1, 4], 
     Subscript[$CellContext`f, 4, 2] Subscript[$CellContext`m, 1, 4], 
     Subscript[$CellContext`f, 4, 3] Subscript[$CellContext`m, 1, 4], 
     Subscript[$CellContext`f, 4, 4] Subscript[$CellContext`m, 1, 4], 
     Subscript[$CellContext`f, 1, 1] Subscript[$CellContext`m, 2, 1], 
     Subscript[$CellContext`f, 1, 2] Subscript[$CellContext`m, 2, 1], 
     Subscript[$CellContext`f, 1, 3] Subscript[$CellContext`m, 2, 1], 
     Subscript[$CellContext`f, 1, 4] Subscript[$CellContext`m, 2, 1], 
     Subscript[$CellContext`f, 1, 1] Subscript[$CellContext`m, 2, 2], 
     Subscript[$CellContext`f, 1, 2] Subscript[$CellContext`m, 2, 2], 
     Subscript[$CellContext`f, 1, 3] Subscript[$CellContext`m, 2, 2], 
     Subscript[$CellContext`f, 1, 4] Subscript[$CellContext`m, 2, 2], 
     Subscript[$CellContext`f, 1, 1] Subscript[$CellContext`m, 2, 3], 
     Subscript[$CellContext`f, 1, 2] Subscript[$CellContext`m, 2, 3], 
     Subscript[$CellContext`f, 1, 3] Subscript[$CellContext`m, 2, 3], 
     Subscript[$CellContext`f, 1, 4] Subscript[$CellContext`m, 2, 3], 
     Subscript[$CellContext`f, 1, 1] Subscript[$CellContext`m, 2, 4], 
     Subscript[$CellContext`f, 1, 2] Subscript[$CellContext`m, 2, 4], 
     Subscript[$CellContext`f, 1, 3] Subscript[$CellContext`m, 2, 4], 
     Subscript[$CellContext`f, 1, 4] Subscript[$CellContext`m, 2, 4], 
     Subscript[$CellContext`f, 2, 1] Subscript[$CellContext`m, 2, 1], 
     Subscript[$CellContext`f, 2, 2] Subscript[$CellContext`m, 2, 1], 
     Subscript[$CellContext`f, 2, 3] Subscript[$CellContext`m, 2, 1], 
     Subscript[$CellContext`f, 2, 4] Subscript[$CellContext`m, 2, 1], 
     Subscript[$CellContext`f, 2, 1] Subscript[$CellContext`m, 2, 2], 
     Subscript[$CellContext`f, 2, 2] Subscript[$CellContext`m, 2, 2], 
     Subscript[$CellContext`f, 2, 3] Subscript[$CellContext`m, 2, 2], 
     Subscript[$CellContext`f, 2, 4] Subscript[$CellContext`m, 2, 2], 
     Subscript[$CellContext`f, 2, 1] Subscript[$CellContext`m, 2, 3], 
     Subscript[$CellContext`f, 2, 2] Subscript[$CellContext`m, 2, 3], 
     Subscript[$CellContext`f, 2, 3] Subscript[$CellContext`m, 2, 3], 
     Subscript[$CellContext`f, 2, 4] Subscript[$CellContext`m, 2, 3], 
     Subscript[$CellContext`f, 2, 1] Subscript[$CellContext`m, 2, 4], 
     Subscript[$CellContext`f, 2, 2] Subscript[$CellContext`m, 2, 4], 
     Subscript[$CellContext`f, 2, 3] Subscript[$CellContext`m, 2, 4], 
     Subscript[$CellContext`f, 2, 4] Subscript[$CellContext`m, 2, 4], 
     Subscript[$CellContext`f, 3, 1] Subscript[$CellContext`m, 2, 1], 
     Subscript[$CellContext`f, 3, 2] Subscript[$CellContext`m, 2, 1], 
     Subscript[$CellContext`f, 3, 3] Subscript[$CellContext`m, 2, 1], 
     Subscript[$CellContext`f, 3, 4] Subscript[$CellContext`m, 2, 1], 
     Subscript[$CellContext`f, 3, 1] Subscript[$CellContext`m, 2, 2], 
     Subscript[$CellContext`f, 3, 2] Subscript[$CellContext`m, 2, 2], 
     Subscript[$CellContext`f, 3, 3] Subscript[$CellContext`m, 2, 2], 
     Subscript[$CellContext`f, 3, 4] Subscript[$CellContext`m, 2, 2], 
     Subscript[$CellContext`f, 3, 1] Subscript[$CellContext`m, 2, 3], 
     Subscript[$CellContext`f, 3, 2] Subscript[$CellContext`m, 2, 3], 
     Subscript[$CellContext`f, 3, 3] Subscript[$CellContext`m, 2, 3], 
     Subscript[$CellContext`f, 3, 4] Subscript[$CellContext`m, 2, 3], 
     Subscript[$CellContext`f, 3, 1] Subscript[$CellContext`m, 2, 4], 
     Subscript[$CellContext`f, 3, 2] Subscript[$CellContext`m, 2, 4], 
     Subscript[$CellContext`f, 3, 3] Subscript[$CellContext`m, 2, 4], 
     Subscript[$CellContext`f, 3, 4] Subscript[$CellContext`m, 2, 4], 
     Subscript[$CellContext`f, 4, 1] Subscript[$CellContext`m, 2, 1], 
     Subscript[$CellContext`f, 4, 2] Subscript[$CellContext`m, 2, 1], 
     Subscript[$CellContext`f, 4, 3] Subscript[$CellContext`m, 2, 1], 
     Subscript[$CellContext`f, 4, 4] Subscript[$CellContext`m, 2, 1], 
     Subscript[$CellContext`f, 4, 1] Subscript[$CellContext`m, 2, 2], 
     Subscript[$CellContext`f, 4, 2] Subscript[$CellContext`m, 2, 2], 
     Subscript[$CellContext`f, 4, 3] Subscript[$CellContext`m, 2, 2], 
     Subscript[$CellContext`f, 4, 4] Subscript[$CellContext`m, 2, 2], 
     Subscript[$CellContext`f, 4, 1] Subscript[$CellContext`m, 2, 3], 
     Subscript[$CellContext`f, 4, 2] Subscript[$CellContext`m, 2, 3], 
     Subscript[$CellContext`f, 4, 3] Subscript[$CellContext`m, 2, 3], 
     Subscript[$CellContext`f, 4, 4] Subscript[$CellContext`m, 2, 3], 
     Subscript[$CellContext`f, 4, 1] Subscript[$CellContext`m, 2, 4], 
     Subscript[$CellContext`f, 4, 2] Subscript[$CellContext`m, 2, 4], 
     Subscript[$CellContext`f, 4, 3] Subscript[$CellContext`m, 2, 4], 
     Subscript[$CellContext`f, 4, 4] Subscript[$CellContext`m, 2, 4], 
     Subscript[$CellContext`f, 1, 1] Subscript[$CellContext`m, 3, 1], 
     Subscript[$CellContext`f, 1, 2] Subscript[$CellContext`m, 3, 1], 
     Subscript[$CellContext`f, 1, 3] Subscript[$CellContext`m, 3, 1], 
     Subscript[$CellContext`f, 1, 4] Subscript[$CellContext`m, 3, 1], 
     Subscript[$CellContext`f, 1, 1] Subscript[$CellContext`m, 3, 2], 
     Subscript[$CellContext`f, 1, 2] Subscript[$CellContext`m, 3, 2], 
     Subscript[$CellContext`f, 1, 3] Subscript[$CellContext`m, 3, 2], 
     Subscript[$CellContext`f, 1, 4] Subscript[$CellContext`m, 3, 2], 
     Subscript[$CellContext`f, 1, 1] Subscript[$CellContext`m, 3, 3], 
     Subscript[$CellContext`f, 1, 2] Subscript[$CellContext`m, 3, 3], 
     Subscript[$CellContext`f, 1, 3] Subscript[$CellContext`m, 3, 3], 
     Subscript[$CellContext`f, 1, 4] Subscript[$CellContext`m, 3, 3], 
     Subscript[$CellContext`f, 1, 1] Subscript[$CellContext`m, 3, 4], 
     Subscript[$CellContext`f, 1, 2] Subscript[$CellContext`m, 3, 4], 
     Subscript[$CellContext`f, 1, 3] Subscript[$CellContext`m, 3, 4], 
     Subscript[$CellContext`f, 1, 4] Subscript[$CellContext`m, 3, 4], 
     Subscript[$CellContext`f, 2, 1] Subscript[$CellContext`m, 3, 1], 
     Subscript[$CellContext`f, 2, 2] Subscript[$CellContext`m, 3, 1], 
     Subscript[$CellContext`f, 2, 3] Subscript[$CellContext`m, 3, 1], 
     Subscript[$CellContext`f, 2, 4] Subscript[$CellContext`m, 3, 1], 
     Subscript[$CellContext`f, 2, 1] Subscript[$CellContext`m, 3, 2], 
     Subscript[$CellContext`f, 2, 2] Subscript[$CellContext`m, 3, 2], 
     Subscript[$CellContext`f, 2, 3] Subscript[$CellContext`m, 3, 2], 
     Subscript[$CellContext`f, 2, 4] Subscript[$CellContext`m, 3, 2], 
     Subscript[$CellContext`f, 2, 1] Subscript[$CellContext`m, 3, 3], 
     Subscript[$CellContext`f, 2, 2] Subscript[$CellContext`m, 3, 3], 
     Subscript[$CellContext`f, 2, 3] Subscript[$CellContext`m, 3, 3], 
     Subscript[$CellContext`f, 2, 4] Subscript[$CellContext`m, 3, 3], 
     Subscript[$CellContext`f, 2, 1] Subscript[$CellContext`m, 3, 4], 
     Subscript[$CellContext`f, 2, 2] Subscript[$CellContext`m, 3, 4], 
     Subscript[$CellContext`f, 2, 3] Subscript[$CellContext`m, 3, 4], 
     Subscript[$CellContext`f, 2, 4] Subscript[$CellContext`m, 3, 4], 
     Subscript[$CellContext`f, 3, 1] Subscript[$CellContext`m, 3, 1], 
     Subscript[$CellContext`f, 3, 2] Subscript[$CellContext`m, 3, 1], 
     Subscript[$CellContext`f, 3, 3] Subscript[$CellContext`m, 3, 1], 
     Subscript[$CellContext`f, 3, 4] Subscript[$CellContext`m, 3, 1], 
     Subscript[$CellContext`f, 3, 1] Subscript[$CellContext`m, 3, 2], 
     Subscript[$CellContext`f, 3, 2] Subscript[$CellContext`m, 3, 2], 
     Subscript[$CellContext`f, 3, 3] Subscript[$CellContext`m, 3, 2], 
     Subscript[$CellContext`f, 3, 4] Subscript[$CellContext`m, 3, 2], 
     Subscript[$CellContext`f, 3, 1] Subscript[$CellContext`m, 3, 3], 
     Subscript[$CellContext`f, 3, 2] Subscript[$CellContext`m, 3, 3], 
     Subscript[$CellContext`f, 3, 3] Subscript[$CellContext`m, 3, 3], 
     Subscript[$CellContext`f, 3, 4] Subscript[$CellContext`m, 3, 3], 
     Subscript[$CellContext`f, 3, 1] Subscript[$CellContext`m, 3, 4], 
     Subscript[$CellContext`f, 3, 2] Subscript[$CellContext`m, 3, 4], 
     Subscript[$CellContext`f, 3, 3] Subscript[$CellContext`m, 3, 4], 
     Subscript[$CellContext`f, 3, 4] Subscript[$CellContext`m, 3, 4], 
     Subscript[$CellContext`f, 4, 1] Subscript[$CellContext`m, 3, 1], 
     Subscript[$CellContext`f, 4, 2] Subscript[$CellContext`m, 3, 1], 
     Subscript[$CellContext`f, 4, 3] Subscript[$CellContext`m, 3, 1], 
     Subscript[$CellContext`f, 4, 4] Subscript[$CellContext`m, 3, 1], 
     Subscript[$CellContext`f, 4, 1] Subscript[$CellContext`m, 3, 2], 
     Subscript[$CellContext`f, 4, 2] Subscript[$CellContext`m, 3, 2], 
     Subscript[$CellContext`f, 4, 3] Subscript[$CellContext`m, 3, 2], 
     Subscript[$CellContext`f, 4, 4] Subscript[$CellContext`m, 3, 2], 
     Subscript[$CellContext`f, 4, 1] Subscript[$CellContext`m, 3, 3], 
     Subscript[$CellContext`f, 4, 2] Subscript[$CellContext`m, 3, 3], 
     Subscript[$CellContext`f, 4, 3] Subscript[$CellContext`m, 3, 3], 
     Subscript[$CellContext`f, 4, 4] Subscript[$CellContext`m, 3, 3], 
     Subscript[$CellContext`f, 4, 1] Subscript[$CellContext`m, 3, 4], 
     Subscript[$CellContext`f, 4, 2] Subscript[$CellContext`m, 3, 4], 
     Subscript[$CellContext`f, 4, 3] Subscript[$CellContext`m, 3, 4], 
     Subscript[$CellContext`f, 4, 4] Subscript[$CellContext`m, 3, 4], 
     Subscript[$CellContext`f, 1, 1] Subscript[$CellContext`m, 4, 1], 
     Subscript[$CellContext`f, 1, 2] Subscript[$CellContext`m, 4, 1], 
     Subscript[$CellContext`f, 1, 3] Subscript[$CellContext`m, 4, 1], 
     Subscript[$CellContext`f, 1, 4] Subscript[$CellContext`m, 4, 1], 
     Subscript[$CellContext`f, 1, 1] Subscript[$CellContext`m, 4, 2], 
     Subscript[$CellContext`f, 1, 2] Subscript[$CellContext`m, 4, 2], 
     Subscript[$CellContext`f, 1, 3] Subscript[$CellContext`m, 4, 2], 
     Subscript[$CellContext`f, 1, 4] Subscript[$CellContext`m, 4, 2], 
     Subscript[$CellContext`f, 1, 1] Subscript[$CellContext`m, 4, 3], 
     Subscript[$CellContext`f, 1, 2] Subscript[$CellContext`m, 4, 3], 
     Subscript[$CellContext`f, 1, 3] Subscript[$CellContext`m, 4, 3], 
     Subscript[$CellContext`f, 1, 4] Subscript[$CellContext`m, 4, 3], 
     Subscript[$CellContext`f, 1, 1] Subscript[$CellContext`m, 4, 4], 
     Subscript[$CellContext`f, 1, 2] Subscript[$CellContext`m, 4, 4], 
     Subscript[$CellContext`f, 1, 3] Subscript[$CellContext`m, 4, 4], 
     Subscript[$CellContext`f, 1, 4] Subscript[$CellContext`m, 4, 4], 
     Subscript[$CellContext`f, 2, 1] Subscript[$CellContext`m, 4, 1], 
     Subscript[$CellContext`f, 2, 2] Subscript[$CellContext`m, 4, 1], 
     Subscript[$CellContext`f, 2, 3] Subscript[$CellContext`m, 4, 1], 
     Subscript[$CellContext`f, 2, 4] Subscript[$CellContext`m, 4, 1], 
     Subscript[$CellContext`f, 2, 1] Subscript[$CellContext`m, 4, 2], 
     Subscript[$CellContext`f, 2, 2] Subscript[$CellContext`m, 4, 2], 
     Subscript[$CellContext`f, 2, 3] Subscript[$CellContext`m, 4, 2], 
     Subscript[$CellContext`f, 2, 4] Subscript[$CellContext`m, 4, 2], 
     Subscript[$CellContext`f, 2, 1] Subscript[$CellContext`m, 4, 3], 
     Subscript[$CellContext`f, 2, 2] Subscript[$CellContext`m, 4, 3], 
     Subscript[$CellContext`f, 2, 3] Subscript[$CellContext`m, 4, 3], 
     Subscript[$CellContext`f, 2, 4] Subscript[$CellContext`m, 4, 3], 
     Subscript[$CellContext`f, 2, 1] Subscript[$CellContext`m, 4, 4], 
     Subscript[$CellContext`f, 2, 2] Subscript[$CellContext`m, 4, 4], 
     Subscript[$CellContext`f, 2, 3] Subscript[$CellContext`m, 4, 4], 
     Subscript[$CellContext`f, 2, 4] Subscript[$CellContext`m, 4, 4], 
     Subscript[$CellContext`f, 3, 1] Subscript[$CellContext`m, 4, 1], 
     Subscript[$CellContext`f, 3, 2] Subscript[$CellContext`m, 4, 1], 
     Subscript[$CellContext`f, 3, 3] Subscript[$CellContext`m, 4, 1], 
     Subscript[$CellContext`f, 3, 4] Subscript[$CellContext`m, 4, 1], 
     Subscript[$CellContext`f, 3, 1] Subscript[$CellContext`m, 4, 2], 
     Subscript[$CellContext`f, 3, 2] Subscript[$CellContext`m, 4, 2], 
     Subscript[$CellContext`f, 3, 3] Subscript[$CellContext`m, 4, 2], 
     Subscript[$CellContext`f, 3, 4] Subscript[$CellContext`m, 4, 2], 
     Subscript[$CellContext`f, 3, 1] Subscript[$CellContext`m, 4, 3], 
     Subscript[$CellContext`f, 3, 2] Subscript[$CellContext`m, 4, 3], 
     Subscript[$CellContext`f, 3, 3] Subscript[$CellContext`m, 4, 3], 
     Subscript[$CellContext`f, 3, 4] Subscript[$CellContext`m, 4, 3], 
     Subscript[$CellContext`f, 3, 1] Subscript[$CellContext`m, 4, 4], 
     Subscript[$CellContext`f, 3, 2] Subscript[$CellContext`m, 4, 4], 
     Subscript[$CellContext`f, 3, 3] Subscript[$CellContext`m, 4, 4], 
     Subscript[$CellContext`f, 3, 4] Subscript[$CellContext`m, 4, 4], 
     Subscript[$CellContext`f, 4, 1] Subscript[$CellContext`m, 4, 1], 
     Subscript[$CellContext`f, 4, 2] Subscript[$CellContext`m, 4, 1], 
     Subscript[$CellContext`f, 4, 3] Subscript[$CellContext`m, 4, 1], 
     Subscript[$CellContext`f, 4, 4] Subscript[$CellContext`m, 4, 1], 
     Subscript[$CellContext`f, 4, 1] Subscript[$CellContext`m, 4, 2], 
     Subscript[$CellContext`f, 4, 2] Subscript[$CellContext`m, 4, 2], 
     Subscript[$CellContext`f, 4, 3] Subscript[$CellContext`m, 4, 2], 
     Subscript[$CellContext`f, 4, 4] Subscript[$CellContext`m, 4, 2], 
     Subscript[$CellContext`f, 4, 1] Subscript[$CellContext`m, 4, 3], 
     Subscript[$CellContext`f, 4, 2] Subscript[$CellContext`m, 4, 3], 
     Subscript[$CellContext`f, 4, 3] Subscript[$CellContext`m, 4, 3], 
     Subscript[$CellContext`f, 4, 4] Subscript[$CellContext`m, 4, 3], 
     Subscript[$CellContext`f, 4, 1] Subscript[$CellContext`m, 4, 4], 
     Subscript[$CellContext`f, 4, 2] Subscript[$CellContext`m, 4, 4], 
     Subscript[$CellContext`f, 4, 3] Subscript[$CellContext`m, 4, 4], 
     Subscript[$CellContext`f, 4, 4] Subscript[$CellContext`m, 4, 4]}}],
  Editable->False,
  SelectWithContents->True,
  Selectable->False]], "Output",
 CellChangeTimes->{3.795673553489472*^9, 3.795673739991186*^9},
 CellLabel->"Out[66]=",ExpressionUUID->"17304de9-da03-429b-8726-29600344bdf2"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{"Tr", "[", 
  RowBox[{"Dot", "[", 
   RowBox[{
    RowBox[{"KroneckerProduct", "[", 
     RowBox[{
      RowBox[{"Theta", "[", "4", "]"}], ",", 
      RowBox[{"IdentityMatrix", "[", "16", "]"}]}], "]"}], ",", " ", 
    "rhoclone"}], "]"}], "]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"(*", 
   RowBox[{
    RowBox[{
    "The", " ", "observable", " ", "in", " ", "the", " ", "cloned", " ", 
     "parent", " ", "registers"}], " ", "\[Rule]", " ", 
    RowBox[{"\[Theta]i", " ", "with", " ", "its", " ", "probability"}]}], 
   "*)"}]}]}], "Input",
 CellChangeTimes->{{3.7956736129863453`*^9, 3.795673625403656*^9}},
 NumberMarks->False,
 CellLabel->"In[59]:=",ExpressionUUID->"1e9e9523-6ac6-440e-ad4f-5f25d0a71662"],

Cell[BoxData[
 RowBox[{
  RowBox[{
   SubscriptBox["\[Theta]", "1"], " ", 
   SubscriptBox["f", 
    RowBox[{"1", ",", "1"}]], " ", 
   SubscriptBox["m", 
    RowBox[{"1", ",", "1"}]]}], "+", 
  RowBox[{
   SubscriptBox["\[Theta]", "2"], " ", 
   SubscriptBox["f", 
    RowBox[{"2", ",", "2"}]], " ", 
   SubscriptBox["m", 
    RowBox[{"1", ",", "1"}]]}], "+", 
  RowBox[{
   SubscriptBox["\[Theta]", "3"], " ", 
   SubscriptBox["f", 
    RowBox[{"3", ",", "3"}]], " ", 
   SubscriptBox["m", 
    RowBox[{"1", ",", "1"}]]}], "+", 
  RowBox[{
   SubscriptBox["\[Theta]", "4"], " ", 
   SubscriptBox["f", 
    RowBox[{"4", ",", "4"}]], " ", 
   SubscriptBox["m", 
    RowBox[{"1", ",", "1"}]]}], "+", 
  RowBox[{
   SubscriptBox["\[Theta]", "5"], " ", 
   SubscriptBox["f", 
    RowBox[{"1", ",", "1"}]], " ", 
   SubscriptBox["m", 
    RowBox[{"2", ",", "2"}]]}], "+", 
  RowBox[{
   SubscriptBox["\[Theta]", "6"], " ", 
   SubscriptBox["f", 
    RowBox[{"2", ",", "2"}]], " ", 
   SubscriptBox["m", 
    RowBox[{"2", ",", "2"}]]}], "+", 
  RowBox[{
   SubscriptBox["\[Theta]", "7"], " ", 
   SubscriptBox["f", 
    RowBox[{"3", ",", "3"}]], " ", 
   SubscriptBox["m", 
    RowBox[{"2", ",", "2"}]]}], "+", 
  RowBox[{
   SubscriptBox["\[Theta]", "8"], " ", 
   SubscriptBox["f", 
    RowBox[{"4", ",", "4"}]], " ", 
   SubscriptBox["m", 
    RowBox[{"2", ",", "2"}]]}], "+", 
  RowBox[{
   SubscriptBox["\[Theta]", "9"], " ", 
   SubscriptBox["f", 
    RowBox[{"1", ",", "1"}]], " ", 
   SubscriptBox["m", 
    RowBox[{"3", ",", "3"}]]}], "+", 
  RowBox[{
   SubscriptBox["\[Theta]", "10"], " ", 
   SubscriptBox["f", 
    RowBox[{"2", ",", "2"}]], " ", 
   SubscriptBox["m", 
    RowBox[{"3", ",", "3"}]]}], "+", 
  RowBox[{
   SubscriptBox["\[Theta]", "11"], " ", 
   SubscriptBox["f", 
    RowBox[{"3", ",", "3"}]], " ", 
   SubscriptBox["m", 
    RowBox[{"3", ",", "3"}]]}], "+", 
  RowBox[{
   SubscriptBox["\[Theta]", "12"], " ", 
   SubscriptBox["f", 
    RowBox[{"4", ",", "4"}]], " ", 
   SubscriptBox["m", 
    RowBox[{"3", ",", "3"}]]}], "+", 
  RowBox[{
   SubscriptBox["\[Theta]", "13"], " ", 
   SubscriptBox["f", 
    RowBox[{"1", ",", "1"}]], " ", 
   SubscriptBox["m", 
    RowBox[{"4", ",", "4"}]]}], "+", 
  RowBox[{
   SubscriptBox["\[Theta]", "14"], " ", 
   SubscriptBox["f", 
    RowBox[{"2", ",", "2"}]], " ", 
   SubscriptBox["m", 
    RowBox[{"4", ",", "4"}]]}], "+", 
  RowBox[{
   SubscriptBox["\[Theta]", "15"], " ", 
   SubscriptBox["f", 
    RowBox[{"3", ",", "3"}]], " ", 
   SubscriptBox["m", 
    RowBox[{"4", ",", "4"}]]}], "+", 
  RowBox[{
   SubscriptBox["\[Theta]", "16"], " ", 
   SubscriptBox["f", 
    RowBox[{"4", ",", "4"}]], " ", 
   SubscriptBox["m", 
    RowBox[{"4", ",", "4"}]]}]}]], "Output",
 CellChangeTimes->{{3.795673610327943*^9, 3.795673629649701*^9}},
 CellLabel->"Out[59]=",ExpressionUUID->"2af77bd2-521f-42d9-b0e3-e794b2f2d082"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{"Tr", "[", 
  RowBox[{"Dot", "[", 
   RowBox[{
    RowBox[{"KroneckerProduct", "[", 
     RowBox[{
      RowBox[{"IdentityMatrix", "[", "16", "]"}], ",", 
      RowBox[{"Theta", "[", "4", "]"}]}], "]"}], ",", " ", "rhoclone"}], 
   "]"}], "]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"(*", 
   RowBox[{
    RowBox[{
    "The", " ", "observable", " ", "in", " ", "the", " ", "cloned", " ", 
     "children", " ", "registers"}], " ", "\[Rule]", " ", 
    RowBox[{"\[Theta]i", " ", "with", " ", "its", " ", "probability"}]}], 
   "*)"}]}]}], "Input",
 CellChangeTimes->{{3.795673642439437*^9, 3.795673655243915*^9}},
 CellLabel->"In[60]:=",ExpressionUUID->"7dcd9a56-4586-45cc-ab44-9fa40c33bd4e"],

Cell[BoxData[
 RowBox[{
  RowBox[{
   SubscriptBox["\[Theta]", "1"], " ", 
   SubscriptBox["f", 
    RowBox[{"1", ",", "1"}]], " ", 
   SubscriptBox["m", 
    RowBox[{"1", ",", "1"}]]}], "+", 
  RowBox[{
   SubscriptBox["\[Theta]", "2"], " ", 
   SubscriptBox["f", 
    RowBox[{"2", ",", "2"}]], " ", 
   SubscriptBox["m", 
    RowBox[{"1", ",", "1"}]]}], "+", 
  RowBox[{
   SubscriptBox["\[Theta]", "3"], " ", 
   SubscriptBox["f", 
    RowBox[{"3", ",", "3"}]], " ", 
   SubscriptBox["m", 
    RowBox[{"1", ",", "1"}]]}], "+", 
  RowBox[{
   SubscriptBox["\[Theta]", "4"], " ", 
   SubscriptBox["f", 
    RowBox[{"4", ",", "4"}]], " ", 
   SubscriptBox["m", 
    RowBox[{"1", ",", "1"}]]}], "+", 
  RowBox[{
   SubscriptBox["\[Theta]", "5"], " ", 
   SubscriptBox["f", 
    RowBox[{"1", ",", "1"}]], " ", 
   SubscriptBox["m", 
    RowBox[{"2", ",", "2"}]]}], "+", 
  RowBox[{
   SubscriptBox["\[Theta]", "6"], " ", 
   SubscriptBox["f", 
    RowBox[{"2", ",", "2"}]], " ", 
   SubscriptBox["m", 
    RowBox[{"2", ",", "2"}]]}], "+", 
  RowBox[{
   SubscriptBox["\[Theta]", "7"], " ", 
   SubscriptBox["f", 
    RowBox[{"3", ",", "3"}]], " ", 
   SubscriptBox["m", 
    RowBox[{"2", ",", "2"}]]}], "+", 
  RowBox[{
   SubscriptBox["\[Theta]", "8"], " ", 
   SubscriptBox["f", 
    RowBox[{"4", ",", "4"}]], " ", 
   SubscriptBox["m", 
    RowBox[{"2", ",", "2"}]]}], "+", 
  RowBox[{
   SubscriptBox["\[Theta]", "9"], " ", 
   SubscriptBox["f", 
    RowBox[{"1", ",", "1"}]], " ", 
   SubscriptBox["m", 
    RowBox[{"3", ",", "3"}]]}], "+", 
  RowBox[{
   SubscriptBox["\[Theta]", "10"], " ", 
   SubscriptBox["f", 
    RowBox[{"2", ",", "2"}]], " ", 
   SubscriptBox["m", 
    RowBox[{"3", ",", "3"}]]}], "+", 
  RowBox[{
   SubscriptBox["\[Theta]", "11"], " ", 
   SubscriptBox["f", 
    RowBox[{"3", ",", "3"}]], " ", 
   SubscriptBox["m", 
    RowBox[{"3", ",", "3"}]]}], "+", 
  RowBox[{
   SubscriptBox["\[Theta]", "12"], " ", 
   SubscriptBox["f", 
    RowBox[{"4", ",", "4"}]], " ", 
   SubscriptBox["m", 
    RowBox[{"3", ",", "3"}]]}], "+", 
  RowBox[{
   SubscriptBox["\[Theta]", "13"], " ", 
   SubscriptBox["f", 
    RowBox[{"1", ",", "1"}]], " ", 
   SubscriptBox["m", 
    RowBox[{"4", ",", "4"}]]}], "+", 
  RowBox[{
   SubscriptBox["\[Theta]", "14"], " ", 
   SubscriptBox["f", 
    RowBox[{"2", ",", "2"}]], " ", 
   SubscriptBox["m", 
    RowBox[{"4", ",", "4"}]]}], "+", 
  RowBox[{
   SubscriptBox["\[Theta]", "15"], " ", 
   SubscriptBox["f", 
    RowBox[{"3", ",", "3"}]], " ", 
   SubscriptBox["m", 
    RowBox[{"4", ",", "4"}]]}], "+", 
  RowBox[{
   SubscriptBox["\[Theta]", "16"], " ", 
   SubscriptBox["f", 
    RowBox[{"4", ",", "4"}]], " ", 
   SubscriptBox["m", 
    RowBox[{"4", ",", "4"}]]}]}]], "Output",
 CellChangeTimes->{3.795673656147591*^9},
 CellLabel->"Out[60]=",ExpressionUUID->"01b0c5d8-146d-4c7a-9440-fe83c22075ca"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{
   RowBox[{"Tr", "[", 
    RowBox[{"Dot", "[", 
     RowBox[{
      RowBox[{"KroneckerProduct", "[", 
       RowBox[{
        RowBox[{"Theta", "[", "4", "]"}], ",", 
        RowBox[{"IdentityMatrix", "[", "16", "]"}]}], "]"}], ",", " ", 
      "rhoclone"}], "]"}], "]"}], "==", 
   RowBox[{"Tr", "[", 
    RowBox[{"Dot", "[", 
     RowBox[{
      RowBox[{"KroneckerProduct", "[", 
       RowBox[{
        RowBox[{"IdentityMatrix", "[", "16", "]"}], ",", 
        RowBox[{"Theta", "[", "4", "]"}]}], "]"}], ",", " ", "rhoclone"}], 
     "]"}], "]"}]}], "&&", " ", 
  RowBox[{
   RowBox[{"Tr", "[", 
    RowBox[{"Dot", "[", 
     RowBox[{
      RowBox[{"KroneckerProduct", "[", 
       RowBox[{
        RowBox[{"Theta", "[", "4", "]"}], ",", 
        RowBox[{"IdentityMatrix", "[", "16", "]"}]}], "]"}], ",", " ", 
      "rhoclone"}], "]"}], "]"}], "==", 
   RowBox[{"Tr", "[", 
    RowBox[{"Dot", "[", 
     RowBox[{
      RowBox[{"KroneckerProduct", "[", 
       RowBox[{
        RowBox[{"Theta", "[", "4", "]"}], ",", 
        RowBox[{"IdentityMatrix", "[", "16", "]"}]}], "]"}], ",", " ", 
      "rhoinit"}], "]"}], "]"}]}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"(*", 
   RowBox[{
    RowBox[{"If", " ", "True"}], " ", "\[Rule]", " ", 
    RowBox[{"succesfuly", " ", "cloned"}]}], "*)"}]}]}], "Input",
 CellChangeTimes->{{3.795673674171002*^9, 3.7956737232456083`*^9}},
 CellLabel->"In[62]:=",ExpressionUUID->"135be437-2b53-42d6-8e8d-5a4ec08ff7be"],

Cell[BoxData["True"], "Output",
 CellChangeTimes->{{3.7956737011158047`*^9, 3.7956737246431437`*^9}},
 CellLabel->"Out[62]=",ExpressionUUID->"05c468b2-1470-4161-9dee-101c032b6370"]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["Cross-Cloning Theta with Swap basis (Q=2 for M and F)", "Section",
 CellChangeTimes->{{3.795672829323929*^9, 3.7956728680106573`*^9}, {
  3.795673752929925*^9, 
  3.7956738352701817`*^9}},ExpressionUUID->"05619cb6-cd8b-4b2c-9f05-\
8c8bb4fbd6ae"],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{"rhoinit", "=", 
  RowBox[{"KroneckerProduct", "[", 
   RowBox[{
    RowBox[{"M", "[", "2", "]"}], ",", " ", 
    RowBox[{"F", "[", "2", "]"}], ",", " ", 
    RowBox[{"SparseArray", "[", 
     RowBox[{
      RowBox[{
       RowBox[{"{", 
        RowBox[{"1", ",", "1"}], "}"}], "\[Rule]", "1"}], ",", 
      RowBox[{"2", "^", "4"}]}], "]"}]}], "]"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"(*", 
   RowBox[{"Initial", " ", "state"}], "*)"}]}]}], "Input",
 CellChangeTimes->{{3.795672852806185*^9, 3.7956729656958227`*^9}, {
   3.795673244066143*^9, 3.795673245613289*^9}, {3.795673315279187*^9, 
   3.795673322019285*^9}, 3.795673407131556*^9},
 CellLabel->"In[63]:=",ExpressionUUID->"f7355dcc-d2de-4853-a000-14eeea7bb1dd"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{
   TagBox["SparseArray",
    "SummaryHead"], "[", 
   DynamicModuleBox[{Typeset`open$$ = False, Typeset`embedState$$ = "Ready"}, 
    
    TemplateBox[{PaneSelectorBox[{False -> GridBox[{{
            PaneBox[
             ButtonBox[
              DynamicBox[
               FEPrivate`FrontEndResource[
               "FEBitmaps", "SquarePlusIconMedium"]], 
              ButtonFunction :> (Typeset`open$$ = True), Appearance -> None, 
              Evaluator -> Automatic, Method -> "Preemptive"], 
             Alignment -> {Center, Center}, ImageSize -> 
             Dynamic[{
               Automatic, 3.5 CurrentValue["FontCapHeight"]/
                AbsoluteCurrentValue[Magnification]}]], 
            GraphicsBox[
             RasterBox[CompressedData["
1:eJztkyEKAmEUhH/wHIb1CgbBsmfQAxgEs9G7iGmj2eYdTB5AsIgnMIqySTEI
M7z/DbMgKx/DzjfhNcv1fDUopQz73+v/dHNcbEendjfuDpPHub11zXW2v7fm
5ubm5lhe3s+lf38+3/zf77DzWTxVd7F7zc2VeNQdofJZPFV3sXtr80Hls3iq
7mL3mpsr8ag7QuWzeKruYveamyvxqDtC5bN4qu5i95qbK/GoO0Lls3iq7mL3
1uaDymfxVN3F7jU3V+JRd4TKZ/FU3cXuNTdX4lF3hMpn8VTdxe41N1fiUXeE
ymfxVN3F7jU3V+JRd4TKZ/FU3cXurc0Hlc/iqbqL3WtursSj7giVz+Kpuovd
a26uxKPuCJXP4qm6i91rbq7Eo+4Ilc/iqbqL3VubDyqfxVN1F7v3F38CmmAX
uA==
              "], {{0, 0}, {29, 29}}, {0, 1}], AspectRatio -> 1, Axes -> 
             False, Frame -> False, FrameLabel -> {None, None}, FrameStyle -> 
             Directive[
               Opacity[0.5], 
               Thickness[Tiny], 
               RGBColor[0.368417, 0.506779, 0.709798]], 
             FrameTicks -> {{None, None}, {None, None}}, GridLinesStyle -> 
             Directive[
               GrayLevel[0.5, 0.4]], ImageSize -> 
             Dynamic[{
               Automatic, 3.5 CurrentValue["FontCapHeight"]/
                AbsoluteCurrentValue[Magnification]}], 
             Method -> {
              "AxisPadding" -> Scaled[0.02], "DefaultBoundaryStyle" -> 
               Automatic, 
               "DefaultGraphicsInteraction" -> {
                "Version" -> 1.2, "TrackMousePosition" -> {True, False}, 
                 "Effects" -> {
                  "Highlight" -> {"ratio" -> 2}, 
                   "HighlightPoint" -> {"ratio" -> 2}, 
                   "Droplines" -> {
                    "freeformCursorMode" -> True, 
                    "placement" -> {"x" -> "All", "y" -> "None"}}}}, 
               "DefaultPlotStyle" -> Automatic, "DomainPadding" -> 
               Scaled[0.02], "RangePadding" -> Scaled[0.05]}], 
            GridBox[{{
               RowBox[{
                 TagBox["\"Specified elements: \"", "SummaryItemAnnotation"], 
                 "\[InvisibleSpace]", 
                 TagBox["256", "SummaryItem"]}]}, {
               RowBox[{
                 TagBox["\"Dimensions: \"", "SummaryItemAnnotation"], 
                 "\[InvisibleSpace]", 
                 TagBox[
                  RowBox[{"{", 
                    RowBox[{"256", ",", "256"}], "}"}], "SummaryItem"]}]}}, 
             GridBoxAlignment -> {
              "Columns" -> {{Left}}, "Rows" -> {{Automatic}}}, AutoDelete -> 
             False, GridBoxItemSize -> {
              "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}, 
             GridBoxSpacings -> {"Columns" -> {{2}}, "Rows" -> {{Automatic}}},
              BaseStyle -> {
              ShowStringCharacters -> False, NumberMarks -> False, 
               PrintPrecision -> 3, ShowSyntaxStyles -> False}]}}, 
          GridBoxAlignment -> {"Rows" -> {{Top}}}, AutoDelete -> False, 
          GridBoxItemSize -> {
           "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}, 
          BaselinePosition -> {1, 1}], True -> GridBox[{{
            PaneBox[
             ButtonBox[
              DynamicBox[
               FEPrivate`FrontEndResource[
               "FEBitmaps", "SquareMinusIconMedium"]], 
              ButtonFunction :> (Typeset`open$$ = False), Appearance -> None, 
              Evaluator -> Automatic, Method -> "Preemptive"], 
             Alignment -> {Center, Center}, ImageSize -> 
             Dynamic[{
               Automatic, 3.5 CurrentValue["FontCapHeight"]/
                AbsoluteCurrentValue[Magnification]}]], 
            GraphicsBox[
             RasterBox[CompressedData["
1:eJztkyEKAmEUhH/wHIb1CgbBsmfQAxgEs9G7iGmj2eYdTB5AsIgnMIqySTEI
M7z/DbMgKx/DzjfhNcv1fDUopQz73+v/dHNcbEendjfuDpPHub11zXW2v7fm
5ubm5lhe3s+lf38+3/zf77DzWTxVd7F7zc2VeNQdofJZPFV3sXtr80Hls3iq
7mL3mpsr8ag7QuWzeKruYveamyvxqDtC5bN4qu5i95qbK/GoO0Lls3iq7mL3
1uaDymfxVN3F7jU3V+JRd4TKZ/FU3cXuNTdX4lF3hMpn8VTdxe41N1fiUXeE
ymfxVN3F7jU3V+JRd4TKZ/FU3cXurc0Hlc/iqbqL3WtursSj7giVz+Kpuovd
a26uxKPuCJXP4qm6i91rbq7Eo+4Ilc/iqbqL3VubDyqfxVN1F7v3F38CmmAX
uA==
              "], {{0, 0}, {29, 29}}, {0, 1}], AspectRatio -> 1, Axes -> 
             False, Frame -> False, FrameLabel -> {None, None}, FrameStyle -> 
             Directive[
               Opacity[0.5], 
               Thickness[Tiny], 
               RGBColor[0.368417, 0.506779, 0.709798]], 
             FrameTicks -> {{None, None}, {None, None}}, GridLinesStyle -> 
             Directive[
               GrayLevel[0.5, 0.4]], ImageSize -> 
             Dynamic[{
               Automatic, 3.5 CurrentValue["FontCapHeight"]/
                AbsoluteCurrentValue[Magnification]}], 
             Method -> {
              "AxisPadding" -> Scaled[0.02], "DefaultBoundaryStyle" -> 
               Automatic, 
               "DefaultGraphicsInteraction" -> {
                "Version" -> 1.2, "TrackMousePosition" -> {True, False}, 
                 "Effects" -> {
                  "Highlight" -> {"ratio" -> 2}, 
                   "HighlightPoint" -> {"ratio" -> 2}, 
                   "Droplines" -> {
                    "freeformCursorMode" -> True, 
                    "placement" -> {"x" -> "All", "y" -> "None"}}}}, 
               "DefaultPlotStyle" -> Automatic, "DomainPadding" -> 
               Scaled[0.02], "RangePadding" -> Scaled[0.05]}], 
            GridBox[{{
               RowBox[{
                 TagBox["\"Specified elements: \"", "SummaryItemAnnotation"], 
                 "\[InvisibleSpace]", 
                 TagBox["256", "SummaryItem"]}]}, {
               RowBox[{
                 TagBox["\"Dimensions: \"", "SummaryItemAnnotation"], 
                 "\[InvisibleSpace]", 
                 TagBox[
                  RowBox[{"{", 
                    RowBox[{"256", ",", "256"}], "}"}], "SummaryItem"]}]}, {
               RowBox[{
                 TagBox["\"Default: \"", "SummaryItemAnnotation"], 
                 "\[InvisibleSpace]", 
                 TagBox["0", "SummaryItem"]}]}, {
               RowBox[{
                 TagBox["\"Density: \"", "SummaryItemAnnotation"], 
                 "\[InvisibleSpace]", 
                 TagBox["0.00390625`", "SummaryItem"]}]}, {
               RowBox[{
                 TagBox["\"Elements:\"", "SummaryItemAnnotation"], 
                 "\[InvisibleSpace]", 
                 TagBox["\"\"", "SummaryItem"]}]}, {
               TagBox[
                TagBox[
                 GridBox[{{
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{"1", ",", "1"}], "}"}], "\[Rule]", 
                    StyleBox[
                    PaneBox[
                    RowBox[{
                    SubscriptBox["f", 
                    RowBox[{"1", ",", "1"}]], " ", 
                    SubscriptBox["m", 
                    RowBox[{"1", ",", "1"}]]}], ContentPadding -> False, 
                    FrameMargins -> 0, StripOnInput -> True, BaselinePosition -> 
                    Baseline, ImageSize -> {{1, 300}, Automatic}], 
                    LineBreakWithin -> False]}]}, {
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{"1", ",", "17"}], "}"}], "\[Rule]", 
                    StyleBox[
                    PaneBox[
                    RowBox[{
                    SubscriptBox["f", 
                    RowBox[{"1", ",", "2"}]], " ", 
                    SubscriptBox["m", 
                    RowBox[{"1", ",", "1"}]]}], ContentPadding -> False, 
                    FrameMargins -> 0, StripOnInput -> True, BaselinePosition -> 
                    Baseline, ImageSize -> {{1, 300}, Automatic}], 
                    LineBreakWithin -> False]}]}, {
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{"1", ",", "33"}], "}"}], "\[Rule]", 
                    StyleBox[
                    PaneBox[
                    RowBox[{
                    SubscriptBox["f", 
                    RowBox[{"1", ",", "3"}]], " ", 
                    SubscriptBox["m", 
                    RowBox[{"1", ",", "1"}]]}], ContentPadding -> False, 
                    FrameMargins -> 0, StripOnInput -> True, BaselinePosition -> 
                    Baseline, ImageSize -> {{1, 300}, Automatic}], 
                    LineBreakWithin -> False]}]}, {
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{"1", ",", "49"}], "}"}], "\[Rule]", 
                    StyleBox[
                    PaneBox[
                    RowBox[{
                    SubscriptBox["f", 
                    RowBox[{"1", ",", "4"}]], " ", 
                    SubscriptBox["m", 
                    RowBox[{"1", ",", "1"}]]}], ContentPadding -> False, 
                    FrameMargins -> 0, StripOnInput -> True, BaselinePosition -> 
                    Baseline, ImageSize -> {{1, 300}, Automatic}], 
                    LineBreakWithin -> False]}]}, {
                    ItemBox[
                    "\"\[VerticalEllipsis]\"", Alignment -> Center, 
                    StripOnInput -> False]}}, 
                  GridBoxAlignment -> {"Columns" -> {{Left}}}, 
                  DefaultBaseStyle -> "Column", 
                  GridBoxItemSize -> {
                   "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}], 
                 "Column"], "SummaryItem"]}}, 
             GridBoxAlignment -> {
              "Columns" -> {{Left}}, "Rows" -> {{Automatic}}}, AutoDelete -> 
             False, GridBoxItemSize -> {
              "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}, 
             GridBoxSpacings -> {"Columns" -> {{2}}, "Rows" -> {{Automatic}}},
              BaseStyle -> {
              ShowStringCharacters -> False, NumberMarks -> False, 
               PrintPrecision -> 3, ShowSyntaxStyles -> False}]}}, 
          GridBoxAlignment -> {"Rows" -> {{Top}}}, AutoDelete -> False, 
          GridBoxItemSize -> {
           "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}, 
          BaselinePosition -> {1, 1}]}, 
       Dynamic[Typeset`open$$], ImageSize -> Automatic]},
     "SummaryPanel"],
    DynamicModuleValues:>{}], "]"}],
  SparseArray[Automatic, {256, 256}, 0, {1, {CompressedData["
1:eJxTTMoPymNkYGBgBBFAIEAhVqAQG1CIHSjEARTiBApxAYW4gUI8gUK8gEK8
gUJ8gEJ8gUL8gEL8gULMwEgZBgDuYHnG
     "], {{1}, {17}, {33}, {49}, {65}, {
     81}, {97}, {113}, {129}, {145}, {161}, {177}, {193}, {209}, {225}, {
     241}, {1}, {17}, {33}, {49}, {65}, {81}, {97}, {113}, {129}, {145}, {
     161}, {177}, {193}, {209}, {225}, {241}, {1}, {17}, {33}, {49}, {65}, {
     81}, {97}, {113}, {129}, {145}, {161}, {177}, {193}, {209}, {225}, {
     241}, {1}, {17}, {33}, {49}, {65}, {81}, {97}, {113}, {129}, {145}, {
     161}, {177}, {193}, {209}, {225}, {241}, {1}, {17}, {33}, {49}, {65}, {
     81}, {97}, {113}, {129}, {145}, {161}, {177}, {193}, {209}, {225}, {
     241}, {1}, {17}, {33}, {49}, {65}, {81}, {97}, {113}, {129}, {145}, {
     161}, {177}, {193}, {209}, {225}, {241}, {1}, {17}, {33}, {49}, {65}, {
     81}, {97}, {113}, {129}, {145}, {161}, {177}, {193}, {209}, {225}, {
     241}, {1}, {17}, {33}, {49}, {65}, {81}, {97}, {113}, {129}, {145}, {
     161}, {177}, {193}, {209}, {225}, {241}, {1}, {17}, {33}, {49}, {65}, {
     81}, {97}, {113}, {129}, {145}, {161}, {177}, {193}, {209}, {225}, {
     241}, {1}, {17}, {33}, {49}, {65}, {81}, {97}, {113}, {129}, {145}, {
     161}, {177}, {193}, {209}, {225}, {241}, {1}, {17}, {33}, {49}, {65}, {
     81}, {97}, {113}, {129}, {145}, {161}, {177}, {193}, {209}, {225}, {
     241}, {1}, {17}, {33}, {49}, {65}, {81}, {97}, {113}, {129}, {145}, {
     161}, {177}, {193}, {209}, {225}, {241}, {1}, {17}, {33}, {49}, {65}, {
     81}, {97}, {113}, {129}, {145}, {161}, {177}, {193}, {209}, {225}, {
     241}, {1}, {17}, {33}, {49}, {65}, {81}, {97}, {113}, {129}, {145}, {
     161}, {177}, {193}, {209}, {225}, {241}, {1}, {17}, {33}, {49}, {65}, {
     81}, {97}, {113}, {129}, {145}, {161}, {177}, {193}, {209}, {225}, {
     241}, {1}, {17}, {33}, {49}, {65}, {81}, {97}, {113}, {129}, {145}, {
     161}, {177}, {193}, {209}, {225}, {241}}}, {
    Subscript[$CellContext`f, 1, 1] Subscript[$CellContext`m, 1, 1], 
     Subscript[$CellContext`f, 1, 2] Subscript[$CellContext`m, 1, 1], 
     Subscript[$CellContext`f, 1, 3] Subscript[$CellContext`m, 1, 1], 
     Subscript[$CellContext`f, 1, 4] Subscript[$CellContext`m, 1, 1], 
     Subscript[$CellContext`f, 1, 1] Subscript[$CellContext`m, 1, 2], 
     Subscript[$CellContext`f, 1, 2] Subscript[$CellContext`m, 1, 2], 
     Subscript[$CellContext`f, 1, 3] Subscript[$CellContext`m, 1, 2], 
     Subscript[$CellContext`f, 1, 4] Subscript[$CellContext`m, 1, 2], 
     Subscript[$CellContext`f, 1, 1] Subscript[$CellContext`m, 1, 3], 
     Subscript[$CellContext`f, 1, 2] Subscript[$CellContext`m, 1, 3], 
     Subscript[$CellContext`f, 1, 3] Subscript[$CellContext`m, 1, 3], 
     Subscript[$CellContext`f, 1, 4] Subscript[$CellContext`m, 1, 3], 
     Subscript[$CellContext`f, 1, 1] Subscript[$CellContext`m, 1, 4], 
     Subscript[$CellContext`f, 1, 2] Subscript[$CellContext`m, 1, 4], 
     Subscript[$CellContext`f, 1, 3] Subscript[$CellContext`m, 1, 4], 
     Subscript[$CellContext`f, 1, 4] Subscript[$CellContext`m, 1, 4], 
     Subscript[$CellContext`f, 2, 1] Subscript[$CellContext`m, 1, 1], 
     Subscript[$CellContext`f, 2, 2] Subscript[$CellContext`m, 1, 1], 
     Subscript[$CellContext`f, 2, 3] Subscript[$CellContext`m, 1, 1], 
     Subscript[$CellContext`f, 2, 4] Subscript[$CellContext`m, 1, 1], 
     Subscript[$CellContext`f, 2, 1] Subscript[$CellContext`m, 1, 2], 
     Subscript[$CellContext`f, 2, 2] Subscript[$CellContext`m, 1, 2], 
     Subscript[$CellContext`f, 2, 3] Subscript[$CellContext`m, 1, 2], 
     Subscript[$CellContext`f, 2, 4] Subscript[$CellContext`m, 1, 2], 
     Subscript[$CellContext`f, 2, 1] Subscript[$CellContext`m, 1, 3], 
     Subscript[$CellContext`f, 2, 2] Subscript[$CellContext`m, 1, 3], 
     Subscript[$CellContext`f, 2, 3] Subscript[$CellContext`m, 1, 3], 
     Subscript[$CellContext`f, 2, 4] Subscript[$CellContext`m, 1, 3], 
     Subscript[$CellContext`f, 2, 1] Subscript[$CellContext`m, 1, 4], 
     Subscript[$CellContext`f, 2, 2] Subscript[$CellContext`m, 1, 4], 
     Subscript[$CellContext`f, 2, 3] Subscript[$CellContext`m, 1, 4], 
     Subscript[$CellContext`f, 2, 4] Subscript[$CellContext`m, 1, 4], 
     Subscript[$CellContext`f, 3, 1] Subscript[$CellContext`m, 1, 1], 
     Subscript[$CellContext`f, 3, 2] Subscript[$CellContext`m, 1, 1], 
     Subscript[$CellContext`f, 3, 3] Subscript[$CellContext`m, 1, 1], 
     Subscript[$CellContext`f, 3, 4] Subscript[$CellContext`m, 1, 1], 
     Subscript[$CellContext`f, 3, 1] Subscript[$CellContext`m, 1, 2], 
     Subscript[$CellContext`f, 3, 2] Subscript[$CellContext`m, 1, 2], 
     Subscript[$CellContext`f, 3, 3] Subscript[$CellContext`m, 1, 2], 
     Subscript[$CellContext`f, 3, 4] Subscript[$CellContext`m, 1, 2], 
     Subscript[$CellContext`f, 3, 1] Subscript[$CellContext`m, 1, 3], 
     Subscript[$CellContext`f, 3, 2] Subscript[$CellContext`m, 1, 3], 
     Subscript[$CellContext`f, 3, 3] Subscript[$CellContext`m, 1, 3], 
     Subscript[$CellContext`f, 3, 4] Subscript[$CellContext`m, 1, 3], 
     Subscript[$CellContext`f, 3, 1] Subscript[$CellContext`m, 1, 4], 
     Subscript[$CellContext`f, 3, 2] Subscript[$CellContext`m, 1, 4], 
     Subscript[$CellContext`f, 3, 3] Subscript[$CellContext`m, 1, 4], 
     Subscript[$CellContext`f, 3, 4] Subscript[$CellContext`m, 1, 4], 
     Subscript[$CellContext`f, 4, 1] Subscript[$CellContext`m, 1, 1], 
     Subscript[$CellContext`f, 4, 2] Subscript[$CellContext`m, 1, 1], 
     Subscript[$CellContext`f, 4, 3] Subscript[$CellContext`m, 1, 1], 
     Subscript[$CellContext`f, 4, 4] Subscript[$CellContext`m, 1, 1], 
     Subscript[$CellContext`f, 4, 1] Subscript[$CellContext`m, 1, 2], 
     Subscript[$CellContext`f, 4, 2] Subscript[$CellContext`m, 1, 2], 
     Subscript[$CellContext`f, 4, 3] Subscript[$CellContext`m, 1, 2], 
     Subscript[$CellContext`f, 4, 4] Subscript[$CellContext`m, 1, 2], 
     Subscript[$CellContext`f, 4, 1] Subscript[$CellContext`m, 1, 3], 
     Subscript[$CellContext`f, 4, 2] Subscript[$CellContext`m, 1, 3], 
     Subscript[$CellContext`f, 4, 3] Subscript[$CellContext`m, 1, 3], 
     Subscript[$CellContext`f, 4, 4] Subscript[$CellContext`m, 1, 3], 
     Subscript[$CellContext`f, 4, 1] Subscript[$CellContext`m, 1, 4], 
     Subscript[$CellContext`f, 4, 2] Subscript[$CellContext`m, 1, 4], 
     Subscript[$CellContext`f, 4, 3] Subscript[$CellContext`m, 1, 4], 
     Subscript[$CellContext`f, 4, 4] Subscript[$CellContext`m, 1, 4], 
     Subscript[$CellContext`f, 1, 1] Subscript[$CellContext`m, 2, 1], 
     Subscript[$CellContext`f, 1, 2] Subscript[$CellContext`m, 2, 1], 
     Subscript[$CellContext`f, 1, 3] Subscript[$CellContext`m, 2, 1], 
     Subscript[$CellContext`f, 1, 4] Subscript[$CellContext`m, 2, 1], 
     Subscript[$CellContext`f, 1, 1] Subscript[$CellContext`m, 2, 2], 
     Subscript[$CellContext`f, 1, 2] Subscript[$CellContext`m, 2, 2], 
     Subscript[$CellContext`f, 1, 3] Subscript[$CellContext`m, 2, 2], 
     Subscript[$CellContext`f, 1, 4] Subscript[$CellContext`m, 2, 2], 
     Subscript[$CellContext`f, 1, 1] Subscript[$CellContext`m, 2, 3], 
     Subscript[$CellContext`f, 1, 2] Subscript[$CellContext`m, 2, 3], 
     Subscript[$CellContext`f, 1, 3] Subscript[$CellContext`m, 2, 3], 
     Subscript[$CellContext`f, 1, 4] Subscript[$CellContext`m, 2, 3], 
     Subscript[$CellContext`f, 1, 1] Subscript[$CellContext`m, 2, 4], 
     Subscript[$CellContext`f, 1, 2] Subscript[$CellContext`m, 2, 4], 
     Subscript[$CellContext`f, 1, 3] Subscript[$CellContext`m, 2, 4], 
     Subscript[$CellContext`f, 1, 4] Subscript[$CellContext`m, 2, 4], 
     Subscript[$CellContext`f, 2, 1] Subscript[$CellContext`m, 2, 1], 
     Subscript[$CellContext`f, 2, 2] Subscript[$CellContext`m, 2, 1], 
     Subscript[$CellContext`f, 2, 3] Subscript[$CellContext`m, 2, 1], 
     Subscript[$CellContext`f, 2, 4] Subscript[$CellContext`m, 2, 1], 
     Subscript[$CellContext`f, 2, 1] Subscript[$CellContext`m, 2, 2], 
     Subscript[$CellContext`f, 2, 2] Subscript[$CellContext`m, 2, 2], 
     Subscript[$CellContext`f, 2, 3] Subscript[$CellContext`m, 2, 2], 
     Subscript[$CellContext`f, 2, 4] Subscript[$CellContext`m, 2, 2], 
     Subscript[$CellContext`f, 2, 1] Subscript[$CellContext`m, 2, 3], 
     Subscript[$CellContext`f, 2, 2] Subscript[$CellContext`m, 2, 3], 
     Subscript[$CellContext`f, 2, 3] Subscript[$CellContext`m, 2, 3], 
     Subscript[$CellContext`f, 2, 4] Subscript[$CellContext`m, 2, 3], 
     Subscript[$CellContext`f, 2, 1] Subscript[$CellContext`m, 2, 4], 
     Subscript[$CellContext`f, 2, 2] Subscript[$CellContext`m, 2, 4], 
     Subscript[$CellContext`f, 2, 3] Subscript[$CellContext`m, 2, 4], 
     Subscript[$CellContext`f, 2, 4] Subscript[$CellContext`m, 2, 4], 
     Subscript[$CellContext`f, 3, 1] Subscript[$CellContext`m, 2, 1], 
     Subscript[$CellContext`f, 3, 2] Subscript[$CellContext`m, 2, 1], 
     Subscript[$CellContext`f, 3, 3] Subscript[$CellContext`m, 2, 1], 
     Subscript[$CellContext`f, 3, 4] Subscript[$CellContext`m, 2, 1], 
     Subscript[$CellContext`f, 3, 1] Subscript[$CellContext`m, 2, 2], 
     Subscript[$CellContext`f, 3, 2] Subscript[$CellContext`m, 2, 2], 
     Subscript[$CellContext`f, 3, 3] Subscript[$CellContext`m, 2, 2], 
     Subscript[$CellContext`f, 3, 4] Subscript[$CellContext`m, 2, 2], 
     Subscript[$CellContext`f, 3, 1] Subscript[$CellContext`m, 2, 3], 
     Subscript[$CellContext`f, 3, 2] Subscript[$CellContext`m, 2, 3], 
     Subscript[$CellContext`f, 3, 3] Subscript[$CellContext`m, 2, 3], 
     Subscript[$CellContext`f, 3, 4] Subscript[$CellContext`m, 2, 3], 
     Subscript[$CellContext`f, 3, 1] Subscript[$CellContext`m, 2, 4], 
     Subscript[$CellContext`f, 3, 2] Subscript[$CellContext`m, 2, 4], 
     Subscript[$CellContext`f, 3, 3] Subscript[$CellContext`m, 2, 4], 
     Subscript[$CellContext`f, 3, 4] Subscript[$CellContext`m, 2, 4], 
     Subscript[$CellContext`f, 4, 1] Subscript[$CellContext`m, 2, 1], 
     Subscript[$CellContext`f, 4, 2] Subscript[$CellContext`m, 2, 1], 
     Subscript[$CellContext`f, 4, 3] Subscript[$CellContext`m, 2, 1], 
     Subscript[$CellContext`f, 4, 4] Subscript[$CellContext`m, 2, 1], 
     Subscript[$CellContext`f, 4, 1] Subscript[$CellContext`m, 2, 2], 
     Subscript[$CellContext`f, 4, 2] Subscript[$CellContext`m, 2, 2], 
     Subscript[$CellContext`f, 4, 3] Subscript[$CellContext`m, 2, 2], 
     Subscript[$CellContext`f, 4, 4] Subscript[$CellContext`m, 2, 2], 
     Subscript[$CellContext`f, 4, 1] Subscript[$CellContext`m, 2, 3], 
     Subscript[$CellContext`f, 4, 2] Subscript[$CellContext`m, 2, 3], 
     Subscript[$CellContext`f, 4, 3] Subscript[$CellContext`m, 2, 3], 
     Subscript[$CellContext`f, 4, 4] Subscript[$CellContext`m, 2, 3], 
     Subscript[$CellContext`f, 4, 1] Subscript[$CellContext`m, 2, 4], 
     Subscript[$CellContext`f, 4, 2] Subscript[$CellContext`m, 2, 4], 
     Subscript[$CellContext`f, 4, 3] Subscript[$CellContext`m, 2, 4], 
     Subscript[$CellContext`f, 4, 4] Subscript[$CellContext`m, 2, 4], 
     Subscript[$CellContext`f, 1, 1] Subscript[$CellContext`m, 3, 1], 
     Subscript[$CellContext`f, 1, 2] Subscript[$CellContext`m, 3, 1], 
     Subscript[$CellContext`f, 1, 3] Subscript[$CellContext`m, 3, 1], 
     Subscript[$CellContext`f, 1, 4] Subscript[$CellContext`m, 3, 1], 
     Subscript[$CellContext`f, 1, 1] Subscript[$CellContext`m, 3, 2], 
     Subscript[$CellContext`f, 1, 2] Subscript[$CellContext`m, 3, 2], 
     Subscript[$CellContext`f, 1, 3] Subscript[$CellContext`m, 3, 2], 
     Subscript[$CellContext`f, 1, 4] Subscript[$CellContext`m, 3, 2], 
     Subscript[$CellContext`f, 1, 1] Subscript[$CellContext`m, 3, 3], 
     Subscript[$CellContext`f, 1, 2] Subscript[$CellContext`m, 3, 3], 
     Subscript[$CellContext`f, 1, 3] Subscript[$CellContext`m, 3, 3], 
     Subscript[$CellContext`f, 1, 4] Subscript[$CellContext`m, 3, 3], 
     Subscript[$CellContext`f, 1, 1] Subscript[$CellContext`m, 3, 4], 
     Subscript[$CellContext`f, 1, 2] Subscript[$CellContext`m, 3, 4], 
     Subscript[$CellContext`f, 1, 3] Subscript[$CellContext`m, 3, 4], 
     Subscript[$CellContext`f, 1, 4] Subscript[$CellContext`m, 3, 4], 
     Subscript[$CellContext`f, 2, 1] Subscript[$CellContext`m, 3, 1], 
     Subscript[$CellContext`f, 2, 2] Subscript[$CellContext`m, 3, 1], 
     Subscript[$CellContext`f, 2, 3] Subscript[$CellContext`m, 3, 1], 
     Subscript[$CellContext`f, 2, 4] Subscript[$CellContext`m, 3, 1], 
     Subscript[$CellContext`f, 2, 1] Subscript[$CellContext`m, 3, 2], 
     Subscript[$CellContext`f, 2, 2] Subscript[$CellContext`m, 3, 2], 
     Subscript[$CellContext`f, 2, 3] Subscript[$CellContext`m, 3, 2], 
     Subscript[$CellContext`f, 2, 4] Subscript[$CellContext`m, 3, 2], 
     Subscript[$CellContext`f, 2, 1] Subscript[$CellContext`m, 3, 3], 
     Subscript[$CellContext`f, 2, 2] Subscript[$CellContext`m, 3, 3], 
     Subscript[$CellContext`f, 2, 3] Subscript[$CellContext`m, 3, 3], 
     Subscript[$CellContext`f, 2, 4] Subscript[$CellContext`m, 3, 3], 
     Subscript[$CellContext`f, 2, 1] Subscript[$CellContext`m, 3, 4], 
     Subscript[$CellContext`f, 2, 2] Subscript[$CellContext`m, 3, 4], 
     Subscript[$CellContext`f, 2, 3] Subscript[$CellContext`m, 3, 4], 
     Subscript[$CellContext`f, 2, 4] Subscript[$CellContext`m, 3, 4], 
     Subscript[$CellContext`f, 3, 1] Subscript[$CellContext`m, 3, 1], 
     Subscript[$CellContext`f, 3, 2] Subscript[$CellContext`m, 3, 1], 
     Subscript[$CellContext`f, 3, 3] Subscript[$CellContext`m, 3, 1], 
     Subscript[$CellContext`f, 3, 4] Subscript[$CellContext`m, 3, 1], 
     Subscript[$CellContext`f, 3, 1] Subscript[$CellContext`m, 3, 2], 
     Subscript[$CellContext`f, 3, 2] Subscript[$CellContext`m, 3, 2], 
     Subscript[$CellContext`f, 3, 3] Subscript[$CellContext`m, 3, 2], 
     Subscript[$CellContext`f, 3, 4] Subscript[$CellContext`m, 3, 2], 
     Subscript[$CellContext`f, 3, 1] Subscript[$CellContext`m, 3, 3], 
     Subscript[$CellContext`f, 3, 2] Subscript[$CellContext`m, 3, 3], 
     Subscript[$CellContext`f, 3, 3] Subscript[$CellContext`m, 3, 3], 
     Subscript[$CellContext`f, 3, 4] Subscript[$CellContext`m, 3, 3], 
     Subscript[$CellContext`f, 3, 1] Subscript[$CellContext`m, 3, 4], 
     Subscript[$CellContext`f, 3, 2] Subscript[$CellContext`m, 3, 4], 
     Subscript[$CellContext`f, 3, 3] Subscript[$CellContext`m, 3, 4], 
     Subscript[$CellContext`f, 3, 4] Subscript[$CellContext`m, 3, 4], 
     Subscript[$CellContext`f, 4, 1] Subscript[$CellContext`m, 3, 1], 
     Subscript[$CellContext`f, 4, 2] Subscript[$CellContext`m, 3, 1], 
     Subscript[$CellContext`f, 4, 3] Subscript[$CellContext`m, 3, 1], 
     Subscript[$CellContext`f, 4, 4] Subscript[$CellContext`m, 3, 1], 
     Subscript[$CellContext`f, 4, 1] Subscript[$CellContext`m, 3, 2], 
     Subscript[$CellContext`f, 4, 2] Subscript[$CellContext`m, 3, 2], 
     Subscript[$CellContext`f, 4, 3] Subscript[$CellContext`m, 3, 2], 
     Subscript[$CellContext`f, 4, 4] Subscript[$CellContext`m, 3, 2], 
     Subscript[$CellContext`f, 4, 1] Subscript[$CellContext`m, 3, 3], 
     Subscript[$CellContext`f, 4, 2] Subscript[$CellContext`m, 3, 3], 
     Subscript[$CellContext`f, 4, 3] Subscript[$CellContext`m, 3, 3], 
     Subscript[$CellContext`f, 4, 4] Subscript[$CellContext`m, 3, 3], 
     Subscript[$CellContext`f, 4, 1] Subscript[$CellContext`m, 3, 4], 
     Subscript[$CellContext`f, 4, 2] Subscript[$CellContext`m, 3, 4], 
     Subscript[$CellContext`f, 4, 3] Subscript[$CellContext`m, 3, 4], 
     Subscript[$CellContext`f, 4, 4] Subscript[$CellContext`m, 3, 4], 
     Subscript[$CellContext`f, 1, 1] Subscript[$CellContext`m, 4, 1], 
     Subscript[$CellContext`f, 1, 2] Subscript[$CellContext`m, 4, 1], 
     Subscript[$CellContext`f, 1, 3] Subscript[$CellContext`m, 4, 1], 
     Subscript[$CellContext`f, 1, 4] Subscript[$CellContext`m, 4, 1], 
     Subscript[$CellContext`f, 1, 1] Subscript[$CellContext`m, 4, 2], 
     Subscript[$CellContext`f, 1, 2] Subscript[$CellContext`m, 4, 2], 
     Subscript[$CellContext`f, 1, 3] Subscript[$CellContext`m, 4, 2], 
     Subscript[$CellContext`f, 1, 4] Subscript[$CellContext`m, 4, 2], 
     Subscript[$CellContext`f, 1, 1] Subscript[$CellContext`m, 4, 3], 
     Subscript[$CellContext`f, 1, 2] Subscript[$CellContext`m, 4, 3], 
     Subscript[$CellContext`f, 1, 3] Subscript[$CellContext`m, 4, 3], 
     Subscript[$CellContext`f, 1, 4] Subscript[$CellContext`m, 4, 3], 
     Subscript[$CellContext`f, 1, 1] Subscript[$CellContext`m, 4, 4], 
     Subscript[$CellContext`f, 1, 2] Subscript[$CellContext`m, 4, 4], 
     Subscript[$CellContext`f, 1, 3] Subscript[$CellContext`m, 4, 4], 
     Subscript[$CellContext`f, 1, 4] Subscript[$CellContext`m, 4, 4], 
     Subscript[$CellContext`f, 2, 1] Subscript[$CellContext`m, 4, 1], 
     Subscript[$CellContext`f, 2, 2] Subscript[$CellContext`m, 4, 1], 
     Subscript[$CellContext`f, 2, 3] Subscript[$CellContext`m, 4, 1], 
     Subscript[$CellContext`f, 2, 4] Subscript[$CellContext`m, 4, 1], 
     Subscript[$CellContext`f, 2, 1] Subscript[$CellContext`m, 4, 2], 
     Subscript[$CellContext`f, 2, 2] Subscript[$CellContext`m, 4, 2], 
     Subscript[$CellContext`f, 2, 3] Subscript[$CellContext`m, 4, 2], 
     Subscript[$CellContext`f, 2, 4] Subscript[$CellContext`m, 4, 2], 
     Subscript[$CellContext`f, 2, 1] Subscript[$CellContext`m, 4, 3], 
     Subscript[$CellContext`f, 2, 2] Subscript[$CellContext`m, 4, 3], 
     Subscript[$CellContext`f, 2, 3] Subscript[$CellContext`m, 4, 3], 
     Subscript[$CellContext`f, 2, 4] Subscript[$CellContext`m, 4, 3], 
     Subscript[$CellContext`f, 2, 1] Subscript[$CellContext`m, 4, 4], 
     Subscript[$CellContext`f, 2, 2] Subscript[$CellContext`m, 4, 4], 
     Subscript[$CellContext`f, 2, 3] Subscript[$CellContext`m, 4, 4], 
     Subscript[$CellContext`f, 2, 4] Subscript[$CellContext`m, 4, 4], 
     Subscript[$CellContext`f, 3, 1] Subscript[$CellContext`m, 4, 1], 
     Subscript[$CellContext`f, 3, 2] Subscript[$CellContext`m, 4, 1], 
     Subscript[$CellContext`f, 3, 3] Subscript[$CellContext`m, 4, 1], 
     Subscript[$CellContext`f, 3, 4] Subscript[$CellContext`m, 4, 1], 
     Subscript[$CellContext`f, 3, 1] Subscript[$CellContext`m, 4, 2], 
     Subscript[$CellContext`f, 3, 2] Subscript[$CellContext`m, 4, 2], 
     Subscript[$CellContext`f, 3, 3] Subscript[$CellContext`m, 4, 2], 
     Subscript[$CellContext`f, 3, 4] Subscript[$CellContext`m, 4, 2], 
     Subscript[$CellContext`f, 3, 1] Subscript[$CellContext`m, 4, 3], 
     Subscript[$CellContext`f, 3, 2] Subscript[$CellContext`m, 4, 3], 
     Subscript[$CellContext`f, 3, 3] Subscript[$CellContext`m, 4, 3], 
     Subscript[$CellContext`f, 3, 4] Subscript[$CellContext`m, 4, 3], 
     Subscript[$CellContext`f, 3, 1] Subscript[$CellContext`m, 4, 4], 
     Subscript[$CellContext`f, 3, 2] Subscript[$CellContext`m, 4, 4], 
     Subscript[$CellContext`f, 3, 3] Subscript[$CellContext`m, 4, 4], 
     Subscript[$CellContext`f, 3, 4] Subscript[$CellContext`m, 4, 4], 
     Subscript[$CellContext`f, 4, 1] Subscript[$CellContext`m, 4, 1], 
     Subscript[$CellContext`f, 4, 2] Subscript[$CellContext`m, 4, 1], 
     Subscript[$CellContext`f, 4, 3] Subscript[$CellContext`m, 4, 1], 
     Subscript[$CellContext`f, 4, 4] Subscript[$CellContext`m, 4, 1], 
     Subscript[$CellContext`f, 4, 1] Subscript[$CellContext`m, 4, 2], 
     Subscript[$CellContext`f, 4, 2] Subscript[$CellContext`m, 4, 2], 
     Subscript[$CellContext`f, 4, 3] Subscript[$CellContext`m, 4, 2], 
     Subscript[$CellContext`f, 4, 4] Subscript[$CellContext`m, 4, 2], 
     Subscript[$CellContext`f, 4, 1] Subscript[$CellContext`m, 4, 3], 
     Subscript[$CellContext`f, 4, 2] Subscript[$CellContext`m, 4, 3], 
     Subscript[$CellContext`f, 4, 3] Subscript[$CellContext`m, 4, 3], 
     Subscript[$CellContext`f, 4, 4] Subscript[$CellContext`m, 4, 3], 
     Subscript[$CellContext`f, 4, 1] Subscript[$CellContext`m, 4, 4], 
     Subscript[$CellContext`f, 4, 2] Subscript[$CellContext`m, 4, 4], 
     Subscript[$CellContext`f, 4, 3] Subscript[$CellContext`m, 4, 4], 
     Subscript[$CellContext`f, 4, 4] Subscript[$CellContext`m, 4, 4]}}],
  Editable->False,
  SelectWithContents->True,
  Selectable->False]], "Output",
 CellChangeTimes->{3.795672944061503*^9, 3.795673251577468*^9, 
  3.795673732533733*^9},
 CellLabel->"Out[63]=",ExpressionUUID->"6080302e-07c4-49d8-be50-da67b1481e7a"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{"Tr", "[", 
  RowBox[{"Dot", "[", 
   RowBox[{
    RowBox[{"KroneckerProduct", "[", 
     RowBox[{
      RowBox[{"Theta", "[", "4", "]"}], ",", 
      RowBox[{"IdentityMatrix", "[", "16", "]"}]}], "]"}], ",", " ", 
    "rhoinit"}], "]"}], "]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"(*", 
   RowBox[{
    RowBox[{
    "The", " ", "observable", " ", "in", " ", "the", " ", "initial", " ", 
     "parent", " ", "registers"}], " ", "\[Rule]", " ", 
    RowBox[{"\[Theta]i", " ", "with", " ", "its", " ", "probability"}]}], 
   "*)"}]}]}], "Input",
 CellChangeTimes->{{3.795672979876667*^9, 3.795673028087291*^9}, {
   3.7956731075146933`*^9, 3.7956731119082613`*^9}, 3.795673249041798*^9, {
   3.795673324052199*^9, 3.795673404949236*^9}},
 CellLabel->"In[64]:=",ExpressionUUID->"02a014de-edb9-4aac-a1ca-5d367bfcb16a"],

Cell[BoxData[
 RowBox[{
  RowBox[{
   SubscriptBox["\[Theta]", "1"], " ", 
   SubscriptBox["f", 
    RowBox[{"1", ",", "1"}]], " ", 
   SubscriptBox["m", 
    RowBox[{"1", ",", "1"}]]}], "+", 
  RowBox[{
   SubscriptBox["\[Theta]", "2"], " ", 
   SubscriptBox["f", 
    RowBox[{"2", ",", "2"}]], " ", 
   SubscriptBox["m", 
    RowBox[{"1", ",", "1"}]]}], "+", 
  RowBox[{
   SubscriptBox["\[Theta]", "3"], " ", 
   SubscriptBox["f", 
    RowBox[{"3", ",", "3"}]], " ", 
   SubscriptBox["m", 
    RowBox[{"1", ",", "1"}]]}], "+", 
  RowBox[{
   SubscriptBox["\[Theta]", "4"], " ", 
   SubscriptBox["f", 
    RowBox[{"4", ",", "4"}]], " ", 
   SubscriptBox["m", 
    RowBox[{"1", ",", "1"}]]}], "+", 
  RowBox[{
   SubscriptBox["\[Theta]", "5"], " ", 
   SubscriptBox["f", 
    RowBox[{"1", ",", "1"}]], " ", 
   SubscriptBox["m", 
    RowBox[{"2", ",", "2"}]]}], "+", 
  RowBox[{
   SubscriptBox["\[Theta]", "6"], " ", 
   SubscriptBox["f", 
    RowBox[{"2", ",", "2"}]], " ", 
   SubscriptBox["m", 
    RowBox[{"2", ",", "2"}]]}], "+", 
  RowBox[{
   SubscriptBox["\[Theta]", "7"], " ", 
   SubscriptBox["f", 
    RowBox[{"3", ",", "3"}]], " ", 
   SubscriptBox["m", 
    RowBox[{"2", ",", "2"}]]}], "+", 
  RowBox[{
   SubscriptBox["\[Theta]", "8"], " ", 
   SubscriptBox["f", 
    RowBox[{"4", ",", "4"}]], " ", 
   SubscriptBox["m", 
    RowBox[{"2", ",", "2"}]]}], "+", 
  RowBox[{
   SubscriptBox["\[Theta]", "9"], " ", 
   SubscriptBox["f", 
    RowBox[{"1", ",", "1"}]], " ", 
   SubscriptBox["m", 
    RowBox[{"3", ",", "3"}]]}], "+", 
  RowBox[{
   SubscriptBox["\[Theta]", "10"], " ", 
   SubscriptBox["f", 
    RowBox[{"2", ",", "2"}]], " ", 
   SubscriptBox["m", 
    RowBox[{"3", ",", "3"}]]}], "+", 
  RowBox[{
   SubscriptBox["\[Theta]", "11"], " ", 
   SubscriptBox["f", 
    RowBox[{"3", ",", "3"}]], " ", 
   SubscriptBox["m", 
    RowBox[{"3", ",", "3"}]]}], "+", 
  RowBox[{
   SubscriptBox["\[Theta]", "12"], " ", 
   SubscriptBox["f", 
    RowBox[{"4", ",", "4"}]], " ", 
   SubscriptBox["m", 
    RowBox[{"3", ",", "3"}]]}], "+", 
  RowBox[{
   SubscriptBox["\[Theta]", "13"], " ", 
   SubscriptBox["f", 
    RowBox[{"1", ",", "1"}]], " ", 
   SubscriptBox["m", 
    RowBox[{"4", ",", "4"}]]}], "+", 
  RowBox[{
   SubscriptBox["\[Theta]", "14"], " ", 
   SubscriptBox["f", 
    RowBox[{"2", ",", "2"}]], " ", 
   SubscriptBox["m", 
    RowBox[{"4", ",", "4"}]]}], "+", 
  RowBox[{
   SubscriptBox["\[Theta]", "15"], " ", 
   SubscriptBox["f", 
    RowBox[{"3", ",", "3"}]], " ", 
   SubscriptBox["m", 
    RowBox[{"4", ",", "4"}]]}], "+", 
  RowBox[{
   SubscriptBox["\[Theta]", "16"], " ", 
   SubscriptBox["f", 
    RowBox[{"4", ",", "4"}]], " ", 
   SubscriptBox["m", 
    RowBox[{"4", ",", "4"}]]}]}]], "Output",
 CellChangeTimes->{
  3.795673029605795*^9, 3.795673113344314*^9, {3.795673249955845*^9, 
   3.795673253327886*^9}, 3.7956737360522327`*^9},
 CellLabel->"Out[64]=",ExpressionUUID->"d7f7c60a-3a39-4cc9-9709-9e87fc3fa7cc"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{"Tr", "[", 
  RowBox[{"Dot", "[", 
   RowBox[{
    RowBox[{"KroneckerProduct", "[", 
     RowBox[{
      RowBox[{"IdentityMatrix", "[", "16", "]"}], ",", 
      RowBox[{"Theta", "[", "4", "]"}]}], "]"}], ",", " ", "rhoinit"}], "]"}],
   "]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"(*", 
   RowBox[{
    RowBox[{
    "The", " ", "observable", " ", "in", " ", "the", " ", "initial", " ", 
     "children", " ", "registers"}], " ", "\[Rule]", " ", 
    RowBox[{"only", " ", "\[Theta]1", " ", "appears"}]}], "*)"}]}]}], "Input",\

 CellChangeTimes->{{3.79567329214465*^9, 3.795673295472433*^9}, {
  3.795673350045926*^9, 3.7956733559538*^9}, {3.795673409411413*^9, 
  3.795673426967801*^9}, {3.7956735918036203`*^9, 3.7956735942695303`*^9}},
 CellLabel->"In[65]:=",ExpressionUUID->"811ec1b2-292e-413c-bd96-28bbd8ba1d7e"],

Cell[BoxData[
 RowBox[{
  RowBox[{
   SubscriptBox["\[Theta]", "1"], " ", 
   SubscriptBox["f", 
    RowBox[{"1", ",", "1"}]], " ", 
   SubscriptBox["m", 
    RowBox[{"1", ",", "1"}]]}], "+", 
  RowBox[{
   SubscriptBox["\[Theta]", "1"], " ", 
   SubscriptBox["f", 
    RowBox[{"2", ",", "2"}]], " ", 
   SubscriptBox["m", 
    RowBox[{"1", ",", "1"}]]}], "+", 
  RowBox[{
   SubscriptBox["\[Theta]", "1"], " ", 
   SubscriptBox["f", 
    RowBox[{"3", ",", "3"}]], " ", 
   SubscriptBox["m", 
    RowBox[{"1", ",", "1"}]]}], "+", 
  RowBox[{
   SubscriptBox["\[Theta]", "1"], " ", 
   SubscriptBox["f", 
    RowBox[{"4", ",", "4"}]], " ", 
   SubscriptBox["m", 
    RowBox[{"1", ",", "1"}]]}], "+", 
  RowBox[{
   SubscriptBox["\[Theta]", "1"], " ", 
   SubscriptBox["f", 
    RowBox[{"1", ",", "1"}]], " ", 
   SubscriptBox["m", 
    RowBox[{"2", ",", "2"}]]}], "+", 
  RowBox[{
   SubscriptBox["\[Theta]", "1"], " ", 
   SubscriptBox["f", 
    RowBox[{"2", ",", "2"}]], " ", 
   SubscriptBox["m", 
    RowBox[{"2", ",", "2"}]]}], "+", 
  RowBox[{
   SubscriptBox["\[Theta]", "1"], " ", 
   SubscriptBox["f", 
    RowBox[{"3", ",", "3"}]], " ", 
   SubscriptBox["m", 
    RowBox[{"2", ",", "2"}]]}], "+", 
  RowBox[{
   SubscriptBox["\[Theta]", "1"], " ", 
   SubscriptBox["f", 
    RowBox[{"4", ",", "4"}]], " ", 
   SubscriptBox["m", 
    RowBox[{"2", ",", "2"}]]}], "+", 
  RowBox[{
   SubscriptBox["\[Theta]", "1"], " ", 
   SubscriptBox["f", 
    RowBox[{"1", ",", "1"}]], " ", 
   SubscriptBox["m", 
    RowBox[{"3", ",", "3"}]]}], "+", 
  RowBox[{
   SubscriptBox["\[Theta]", "1"], " ", 
   SubscriptBox["f", 
    RowBox[{"2", ",", "2"}]], " ", 
   SubscriptBox["m", 
    RowBox[{"3", ",", "3"}]]}], "+", 
  RowBox[{
   SubscriptBox["\[Theta]", "1"], " ", 
   SubscriptBox["f", 
    RowBox[{"3", ",", "3"}]], " ", 
   SubscriptBox["m", 
    RowBox[{"3", ",", "3"}]]}], "+", 
  RowBox[{
   SubscriptBox["\[Theta]", "1"], " ", 
   SubscriptBox["f", 
    RowBox[{"4", ",", "4"}]], " ", 
   SubscriptBox["m", 
    RowBox[{"3", ",", "3"}]]}], "+", 
  RowBox[{
   SubscriptBox["\[Theta]", "1"], " ", 
   SubscriptBox["f", 
    RowBox[{"1", ",", "1"}]], " ", 
   SubscriptBox["m", 
    RowBox[{"4", ",", "4"}]]}], "+", 
  RowBox[{
   SubscriptBox["\[Theta]", "1"], " ", 
   SubscriptBox["f", 
    RowBox[{"2", ",", "2"}]], " ", 
   SubscriptBox["m", 
    RowBox[{"4", ",", "4"}]]}], "+", 
  RowBox[{
   SubscriptBox["\[Theta]", "1"], " ", 
   SubscriptBox["f", 
    RowBox[{"3", ",", "3"}]], " ", 
   SubscriptBox["m", 
    RowBox[{"4", ",", "4"}]]}], "+", 
  RowBox[{
   SubscriptBox["\[Theta]", "1"], " ", 
   SubscriptBox["f", 
    RowBox[{"4", ",", "4"}]], " ", 
   SubscriptBox["m", 
    RowBox[{"4", ",", "4"}]]}]}]], "Output",
 CellChangeTimes->{3.795673296345718*^9, 3.7956737382723*^9},
 CellLabel->"Out[65]=",ExpressionUUID->"15e427dd-4843-4dad-9efb-156524edc7e4"]
}, Open  ]],

Cell[BoxData[
 RowBox[{"VV", ":=", 
  RowBox[{"KroneckerProduct", "[", 
   RowBox[{
    RowBox[{"V", "[", 
     RowBox[{"2", ",", "4", ",", "4"}], "]"}], ",", 
    RowBox[{"V", "[", 
     RowBox[{"2", ",", "4", ",", "4"}], "]"}]}], "]"}]}]], "Input",
 CellChangeTimes->{{3.795673888840598*^9, 3.795673909502466*^9}},
 CellLabel->"In[68]:=",ExpressionUUID->"aa461481-d01b-46ae-806d-c0069ab025c9"],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{"rhocross", "=", 
  RowBox[{"Dot", "[", 
   RowBox[{"VV", ",", " ", 
    RowBox[{"U", "[", "16", "]"}], ",", "VV", ",", "rhoinit", ",", "VV", ",", 
    
    RowBox[{"ConjugateTranspose", "[", 
     RowBox[{"U", "[", "16", "]"}], "]"}], ",", "VV"}], 
   "]"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"(*", 
   RowBox[{
    RowBox[{"The", " ", "whole", " ", "state", " ", "after", " ", "cross"}], 
    "-", 
    RowBox[{
    "cloning", " ", "\[Theta]", " ", "in", " ", "the", " ", "children", " ", 
     "registers"}]}], "*)"}]}]}], "Input",
 CellChangeTimes->{{3.7956734385593987`*^9, 3.795673458074765*^9}, {
  3.795673504404149*^9, 3.795673598490333*^9}, {3.795673873453725*^9, 
  3.7956738757612133`*^9}, {3.795673916292321*^9, 3.795673933695826*^9}},
 CellLabel->"In[69]:=",ExpressionUUID->"381662ef-897d-4d99-9db7-0813c94afc83"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{
   TagBox["SparseArray",
    "SummaryHead"], "[", 
   DynamicModuleBox[{Typeset`open$$ = False, Typeset`embedState$$ = "Ready"}, 
    
    TemplateBox[{PaneSelectorBox[{False -> GridBox[{{
            PaneBox[
             ButtonBox[
              DynamicBox[
               FEPrivate`FrontEndResource[
               "FEBitmaps", "SquarePlusIconMedium"]], 
              ButtonFunction :> (Typeset`open$$ = True), Appearance -> None, 
              Evaluator -> Automatic, Method -> "Preemptive"], 
             Alignment -> {Center, Center}, ImageSize -> 
             Dynamic[{
               Automatic, 3.5 CurrentValue["FontCapHeight"]/
                AbsoluteCurrentValue[Magnification]}]], 
            GraphicsBox[
             RasterBox[CompressedData["
1:eJztlrEJAlEQRA+sw+BswUAwuRq0AAPB2NBexOhCYzN7MLIAwUSswFBEQxNx
5s9fdg4EeQzD7TKzXLtcz1eDpmmGn9/r//u5dM3X538+3RwX29Gp2437w+Rx
7m59e53t753KP7qe7aOaC6U3N6+Zo/qI6hHbP7qe7aOay/fWPANH9RHVI7Z/
dD3bRzWX7615Bo7qI6pHbP/oeraPai5VPlXvU9s+ndsyejbPtk/nVqs3N6+Z
o/qI6hHbP7qe7aOay98JsXLo3GL15uY1c1QfUT1i+0fXs31Uc/nemmfgqD6i
esT2j65n+6jm8r01z8BRfUT1iO0fXc/2Uc3le2uegaP6iOoR2z+6nu2jmsv3
1jwDR/UR1SO2f3Q920c1lyqfqvepbZ/ObRk9m2fbp3Or1Zub18xRfUT1iO0f
Xc/2Uc3l74RYOXRuy7z/rzzbPp3bMno2z7ZP57aM/gnSK1qY
              "], {{0, 0}, {
              29, 29}}, {0, 1}], AspectRatio -> 1, Axes -> False, Frame -> 
             False, FrameLabel -> {None, None}, FrameStyle -> Directive[
               Opacity[0.5], 
               Thickness[Tiny], 
               RGBColor[0.368417, 0.506779, 0.709798]], 
             FrameTicks -> {{None, None}, {None, None}}, GridLinesStyle -> 
             Directive[
               GrayLevel[0.5, 0.4]], ImageSize -> 
             Dynamic[{
               Automatic, 3.5 CurrentValue["FontCapHeight"]/
                AbsoluteCurrentValue[Magnification]}], 
             Method -> {
              "AxisPadding" -> Scaled[0.02], "DefaultBoundaryStyle" -> 
               Automatic, 
               "DefaultGraphicsInteraction" -> {
                "Version" -> 1.2, "TrackMousePosition" -> {True, False}, 
                 "Effects" -> {
                  "Highlight" -> {"ratio" -> 2}, 
                   "HighlightPoint" -> {"ratio" -> 2}, 
                   "Droplines" -> {
                    "freeformCursorMode" -> True, 
                    "placement" -> {"x" -> "All", "y" -> "None"}}}}, 
               "DefaultPlotStyle" -> Automatic, "DomainPadding" -> 
               Scaled[0.02], "RangePadding" -> Scaled[0.05]}], 
            GridBox[{{
               RowBox[{
                 TagBox["\"Specified elements: \"", "SummaryItemAnnotation"], 
                 "\[InvisibleSpace]", 
                 TagBox["576", "SummaryItem"]}]}, {
               RowBox[{
                 TagBox["\"Dimensions: \"", "SummaryItemAnnotation"], 
                 "\[InvisibleSpace]", 
                 TagBox[
                  RowBox[{"{", 
                    RowBox[{"256", ",", "256"}], "}"}], "SummaryItem"]}]}}, 
             GridBoxAlignment -> {
              "Columns" -> {{Left}}, "Rows" -> {{Automatic}}}, AutoDelete -> 
             False, GridBoxItemSize -> {
              "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}, 
             GridBoxSpacings -> {"Columns" -> {{2}}, "Rows" -> {{Automatic}}},
              BaseStyle -> {
              ShowStringCharacters -> False, NumberMarks -> False, 
               PrintPrecision -> 3, ShowSyntaxStyles -> False}]}}, 
          GridBoxAlignment -> {"Rows" -> {{Top}}}, AutoDelete -> False, 
          GridBoxItemSize -> {
           "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}, 
          BaselinePosition -> {1, 1}], True -> GridBox[{{
            PaneBox[
             ButtonBox[
              DynamicBox[
               FEPrivate`FrontEndResource[
               "FEBitmaps", "SquareMinusIconMedium"]], 
              ButtonFunction :> (Typeset`open$$ = False), Appearance -> None, 
              Evaluator -> Automatic, Method -> "Preemptive"], 
             Alignment -> {Center, Center}, ImageSize -> 
             Dynamic[{
               Automatic, 3.5 CurrentValue["FontCapHeight"]/
                AbsoluteCurrentValue[Magnification]}]], 
            GraphicsBox[
             RasterBox[CompressedData["
1:eJztlrEJAlEQRA+sw+BswUAwuRq0AAPB2NBexOhCYzN7MLIAwUSswFBEQxNx
5s9fdg4EeQzD7TKzXLtcz1eDpmmGn9/r//u5dM3X538+3RwX29Gp2437w+Rx
7m59e53t753KP7qe7aOaC6U3N6+Zo/qI6hHbP7qe7aOay/fWPANH9RHVI7Z/
dD3bRzWX7615Bo7qI6pHbP/oeraPai5VPlXvU9s+ndsyejbPtk/nVqs3N6+Z
o/qI6hHbP7qe7aOay98JsXLo3GL15uY1c1QfUT1i+0fXs31Uc/nemmfgqD6i
esT2j65n+6jm8r01z8BRfUT1iO0fXc/2Uc3le2uegaP6iOoR2z+6nu2jmsv3
1jwDR/UR1SO2f3Q920c1lyqfqvepbZ/ObRk9m2fbp3Or1Zub18xRfUT1iO0f
Xc/2Uc3l74RYOXRuy7z/rzzbPp3bMno2z7ZP57aM/gnSK1qY
              "], {{0, 0}, {
              29, 29}}, {0, 1}], AspectRatio -> 1, Axes -> False, Frame -> 
             False, FrameLabel -> {None, None}, FrameStyle -> Directive[
               Opacity[0.5], 
               Thickness[Tiny], 
               RGBColor[0.368417, 0.506779, 0.709798]], 
             FrameTicks -> {{None, None}, {None, None}}, GridLinesStyle -> 
             Directive[
               GrayLevel[0.5, 0.4]], ImageSize -> 
             Dynamic[{
               Automatic, 3.5 CurrentValue["FontCapHeight"]/
                AbsoluteCurrentValue[Magnification]}], 
             Method -> {
              "AxisPadding" -> Scaled[0.02], "DefaultBoundaryStyle" -> 
               Automatic, 
               "DefaultGraphicsInteraction" -> {
                "Version" -> 1.2, "TrackMousePosition" -> {True, False}, 
                 "Effects" -> {
                  "Highlight" -> {"ratio" -> 2}, 
                   "HighlightPoint" -> {"ratio" -> 2}, 
                   "Droplines" -> {
                    "freeformCursorMode" -> True, 
                    "placement" -> {"x" -> "All", "y" -> "None"}}}}, 
               "DefaultPlotStyle" -> Automatic, "DomainPadding" -> 
               Scaled[0.02], "RangePadding" -> Scaled[0.05]}], 
            GridBox[{{
               RowBox[{
                 TagBox["\"Specified elements: \"", "SummaryItemAnnotation"], 
                 "\[InvisibleSpace]", 
                 TagBox["576", "SummaryItem"]}]}, {
               RowBox[{
                 TagBox["\"Dimensions: \"", "SummaryItemAnnotation"], 
                 "\[InvisibleSpace]", 
                 TagBox[
                  RowBox[{"{", 
                    RowBox[{"256", ",", "256"}], "}"}], "SummaryItem"]}]}, {
               RowBox[{
                 TagBox["\"Default: \"", "SummaryItemAnnotation"], 
                 "\[InvisibleSpace]", 
                 TagBox["0", "SummaryItem"]}]}, {
               RowBox[{
                 TagBox["\"Density: \"", "SummaryItemAnnotation"], 
                 "\[InvisibleSpace]", 
                 TagBox["0.0087890625`", "SummaryItem"]}]}, {
               RowBox[{
                 TagBox["\"Elements:\"", "SummaryItemAnnotation"], 
                 "\[InvisibleSpace]", 
                 TagBox["\"\"", "SummaryItem"]}]}, {
               TagBox[
                TagBox[
                 GridBox[{{
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{"1", ",", "1"}], "}"}], "\[Rule]", 
                    StyleBox[
                    PaneBox[
                    RowBox[{
                    SubscriptBox["f", 
                    RowBox[{"1", ",", "1"}]], " ", 
                    SubscriptBox["m", 
                    RowBox[{"1", ",", "1"}]]}], ContentPadding -> False, 
                    FrameMargins -> 0, StripOnInput -> True, BaselinePosition -> 
                    Baseline, ImageSize -> {{1, 300}, Automatic}], 
                    LineBreakWithin -> False]}]}, {
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{"1", ",", "18"}], "}"}], "\[Rule]", 
                    StyleBox[
                    PaneBox[
                    RowBox[{
                    RowBox[{
                    FractionBox["1", "2"], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    FractionBox[
                    RowBox[{
                    SubscriptBox["f", 
                    RowBox[{"1", ",", "2"}]], " ", 
                    SubscriptBox["m", 
                    RowBox[{"1", ",", "1"}]]}], 
                    SqrtBox["2"]], "-", 
                    FractionBox[
                    RowBox[{
                    SubscriptBox["f", 
                    RowBox[{"1", ",", "1"}]], " ", 
                    SubscriptBox["m", 
                    RowBox[{"1", ",", "2"}]]}], 
                    SqrtBox["2"]]}], ")"}]}], "+", 
                    RowBox[{
                    FractionBox["1", "2"], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    FractionBox[
                    RowBox[{
                    SubscriptBox["f", 
                    RowBox[{"1", ",", "2"}]], " ", 
                    SubscriptBox["m", 
                    RowBox[{"1", ",", "1"}]]}], 
                    SqrtBox["2"]], "+", 
                    FractionBox[
                    RowBox[{
                    SubscriptBox["f", 
                    RowBox[{"1", ",", "1"}]], " ", 
                    SubscriptBox["m", 
                    RowBox[{"1", ",", "2"}]]}], 
                    SqrtBox["2"]]}], ")"}]}]}], ContentPadding -> False, 
                    FrameMargins -> 0, StripOnInput -> True, BaselinePosition -> 
                    Baseline, ImageSize -> {{1, 300}, Automatic}], 
                    LineBreakWithin -> False]}]}, {
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{"1", ",", "21"}], "}"}], "\[Rule]", 
                    StyleBox[
                    PaneBox[
                    RowBox[{
                    RowBox[{
                    FractionBox["1", "2"], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"-", 
                    FractionBox[
                    RowBox[{
                    SubscriptBox["f", 
                    RowBox[{"1", ",", "2"}]], " ", 
                    SubscriptBox["m", 
                    RowBox[{"1", ",", "1"}]]}], 
                    SqrtBox["2"]]}], "+", 
                    FractionBox[
                    RowBox[{
                    SubscriptBox["f", 
                    RowBox[{"1", ",", "1"}]], " ", 
                    SubscriptBox["m", 
                    RowBox[{"1", ",", "2"}]]}], 
                    SqrtBox["2"]]}], ")"}]}], "+", 
                    RowBox[{
                    FractionBox["1", "2"], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    FractionBox[
                    RowBox[{
                    SubscriptBox["f", 
                    RowBox[{"1", ",", "2"}]], " ", 
                    SubscriptBox["m", 
                    RowBox[{"1", ",", "1"}]]}], 
                    SqrtBox["2"]], "+", 
                    FractionBox[
                    RowBox[{
                    SubscriptBox["f", 
                    RowBox[{"1", ",", "1"}]], " ", 
                    SubscriptBox["m", 
                    RowBox[{"1", ",", "2"}]]}], 
                    SqrtBox["2"]]}], ")"}]}]}], ContentPadding -> False, 
                    FrameMargins -> 0, StripOnInput -> True, BaselinePosition -> 
                    Baseline, ImageSize -> {{1, 300}, Automatic}], 
                    LineBreakWithin -> False]}]}, {
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{"1", ",", "66"}], "}"}], "\[Rule]", 
                    StyleBox[
                    PaneBox[
                    RowBox[{
                    RowBox[{
                    FractionBox["1", "2"], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"-", 
                    FractionBox[
                    RowBox[{
                    SubscriptBox["f", 
                    RowBox[{"1", ",", "2"}]], " ", 
                    SubscriptBox["m", 
                    RowBox[{"1", ",", "1"}]]}], 
                    SqrtBox["2"]]}], "+", 
                    FractionBox[
                    RowBox[{
                    SubscriptBox["f", 
                    RowBox[{"1", ",", "1"}]], " ", 
                    SubscriptBox["m", 
                    RowBox[{"1", ",", "2"}]]}], 
                    SqrtBox["2"]]}], ")"}]}], "+", 
                    RowBox[{
                    FractionBox["1", "2"], " ", 
                    RowBox[{"(", 
                    RowBox[{
                    FractionBox[
                    RowBox[{
                    SubscriptBox["f", 
                    RowBox[{"1", ",", "2"}]], " ", 
                    SubscriptBox["m", 
                    RowBox[{"1", ",", "1"}]]}], 
                    SqrtBox["2"]], "+", 
                    FractionBox[
                    RowBox[{
                    SubscriptBox["f", 
                    RowBox[{"1", ",", "1"}]], " ", 
                    SubscriptBox["m", 
                    RowBox[{"1", ",", "2"}]]}], 
                    SqrtBox["2"]]}], ")"}]}]}], ContentPadding -> False, 
                    FrameMargins -> 0, StripOnInput -> True, BaselinePosition -> 
                    Baseline, ImageSize -> {{1, 300}, Automatic}], 
                    LineBreakWithin -> False]}]}, {
                    ItemBox[
                    "\"\[VerticalEllipsis]\"", Alignment -> Center, 
                    StripOnInput -> False]}}, 
                  GridBoxAlignment -> {"Columns" -> {{Left}}}, 
                  DefaultBaseStyle -> "Column", 
                  GridBoxItemSize -> {
                   "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}], 
                 "Column"], "SummaryItem"]}}, 
             GridBoxAlignment -> {
              "Columns" -> {{Left}}, "Rows" -> {{Automatic}}}, AutoDelete -> 
             False, GridBoxItemSize -> {
              "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}, 
             GridBoxSpacings -> {"Columns" -> {{2}}, "Rows" -> {{Automatic}}},
              BaseStyle -> {
              ShowStringCharacters -> False, NumberMarks -> False, 
               PrintPrecision -> 3, ShowSyntaxStyles -> False}]}}, 
          GridBoxAlignment -> {"Rows" -> {{Top}}}, AutoDelete -> False, 
          GridBoxItemSize -> {
           "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}, 
          BaselinePosition -> {1, 1}]}, 
       Dynamic[Typeset`open$$], ImageSize -> Automatic]},
     "SummaryPanel"],
    DynamicModuleValues:>{}], "]"}],
  SparseArray[Automatic, {256, 256}, 0, {1, {CompressedData["
1:eJxTTMoPymNkYGBgBBFAIEEFbICEPcjECVTAFUh4Agl4BRI+QAV8g0z8AQlz
MFKOFaiALaiAA5BwBpm4gQp4BhLeQAI+gYQfUAH/IBMLMCGwBhWwAxADAN70
dIU=
     "], CompressedData["
1:eJxTTMoPymNiYGBwABKMDBAsBMSiQOwExK5ArAzEJkBsDsQpQJwOxGFAXAHE
nUA8C4jnAvEpID4LxKuBeA8Q7wfiN0D8HojvMUAMHzV/1PxR80fNHzV/1PxR
80fNH2zmAwC9aAs/
     "]}, {
    Subscript[$CellContext`f, 1, 1] Subscript[$CellContext`m, 1, 1], 
     Rational[1, 2] (
       2^Rational[-1, 2] Subscript[$CellContext`f, 1, 2] 
        Subscript[$CellContext`m, 1, 1] - 2^Rational[-1, 2] 
       Subscript[$CellContext`f, 1, 1] Subscript[$CellContext`m, 1, 2]) + 
     Rational[1, 2] (
       2^Rational[-1, 2] Subscript[$CellContext`f, 1, 2] 
        Subscript[$CellContext`m, 1, 1] + 
       2^Rational[-1, 2] Subscript[$CellContext`f, 1, 1] 
        Subscript[$CellContext`m, 1, 2]), 
     Rational[1, 2] (-2^Rational[-1, 2] Subscript[$CellContext`f, 1, 2] 
        Subscript[$CellContext`m, 1, 1] + 
       2^Rational[-1, 2] Subscript[$CellContext`f, 1, 1] 
        Subscript[$CellContext`m, 1, 2]) + 
     Rational[1, 2] (
       2^Rational[-1, 2] Subscript[$CellContext`f, 1, 2] 
        Subscript[$CellContext`m, 1, 1] + 
       2^Rational[-1, 2] Subscript[$CellContext`f, 1, 1] 
        Subscript[$CellContext`m, 1, 2]), 
     Rational[1, 2] (-2^Rational[-1, 2] Subscript[$CellContext`f, 1, 2] 
        Subscript[$CellContext`m, 1, 1] + 
       2^Rational[-1, 2] Subscript[$CellContext`f, 1, 1] 
        Subscript[$CellContext`m, 1, 2]) + 
     Rational[1, 2] (
       2^Rational[-1, 2] Subscript[$CellContext`f, 1, 2] 
        Subscript[$CellContext`m, 1, 1] + 
       2^Rational[-1, 2] Subscript[$CellContext`f, 1, 1] 
        Subscript[$CellContext`m, 1, 2]), 
     Rational[1, 2] (
       2^Rational[-1, 2] Subscript[$CellContext`f, 1, 2] 
        Subscript[$CellContext`m, 1, 1] - 2^Rational[-1, 2] 
       Subscript[$CellContext`f, 1, 1] Subscript[$CellContext`m, 1, 2]) + 
     Rational[1, 2] (
       2^Rational[-1, 2] Subscript[$CellContext`f, 1, 2] 
        Subscript[$CellContext`m, 1, 1] + 
       2^Rational[-1, 2] Subscript[$CellContext`f, 1, 1] 
        Subscript[$CellContext`m, 1, 2]), Subscript[$CellContext`f, 1, 3] 
     Subscript[$CellContext`m, 1, 1], 
     Rational[1, 2] (
       2^Rational[-1, 2] Subscript[$CellContext`f, 1, 4] 
        Subscript[$CellContext`m, 1, 1] - 2^Rational[-1, 2] 
       Subscript[$CellContext`f, 1, 3] Subscript[$CellContext`m, 1, 2]) + 
     Rational[1, 2] (
       2^Rational[-1, 2] Subscript[$CellContext`f, 1, 4] 
        Subscript[$CellContext`m, 1, 1] + 
       2^Rational[-1, 2] Subscript[$CellContext`f, 1, 3] 
        Subscript[$CellContext`m, 1, 2]), 
     Rational[1, 2] (-2^Rational[-1, 2] Subscript[$CellContext`f, 1, 4] 
        Subscript[$CellContext`m, 1, 1] + 
       2^Rational[-1, 2] Subscript[$CellContext`f, 1, 3] 
        Subscript[$CellContext`m, 1, 2]) + 
     Rational[1, 2] (
       2^Rational[-1, 2] Subscript[$CellContext`f, 1, 4] 
        Subscript[$CellContext`m, 1, 1] + 
       2^Rational[-1, 2] Subscript[$CellContext`f, 1, 3] 
        Subscript[$CellContext`m, 1, 2]), 
     Rational[1, 2] (-2^Rational[-1, 2] Subscript[$CellContext`f, 1, 4] 
        Subscript[$CellContext`m, 1, 1] + 
       2^Rational[-1, 2] Subscript[$CellContext`f, 1, 3] 
        Subscript[$CellContext`m, 1, 2]) + 
     Rational[1, 2] (
       2^Rational[-1, 2] Subscript[$CellContext`f, 1, 4] 
        Subscript[$CellContext`m, 1, 1] + 
       2^Rational[-1, 2] Subscript[$CellContext`f, 1, 3] 
        Subscript[$CellContext`m, 1, 2]), 
     Rational[1, 2] (
       2^Rational[-1, 2] Subscript[$CellContext`f, 1, 4] 
        Subscript[$CellContext`m, 1, 1] - 2^Rational[-1, 2] 
       Subscript[$CellContext`f, 1, 3] Subscript[$CellContext`m, 1, 2]) + 
     Rational[1, 2] (
       2^Rational[-1, 2] Subscript[$CellContext`f, 1, 4] 
        Subscript[$CellContext`m, 1, 1] + 
       2^Rational[-1, 2] Subscript[$CellContext`f, 1, 3] 
        Subscript[$CellContext`m, 1, 2]), Subscript[$CellContext`f, 1, 2] 
     Subscript[$CellContext`m, 1, 2], Subscript[$CellContext`f, 1, 4] 
     Subscript[$CellContext`m, 1, 2], Subscript[$CellContext`f, 1, 1] 
     Subscript[$CellContext`m, 1, 3], 
     Rational[1, 2] (
       2^Rational[-1, 2] Subscript[$CellContext`f, 1, 2] 
        Subscript[$CellContext`m, 1, 3] - 2^Rational[-1, 2] 
       Subscript[$CellContext`f, 1, 1] Subscript[$CellContext`m, 1, 4]) + 
     Rational[1, 2] (
       2^Rational[-1, 2] Subscript[$CellContext`f, 1, 2] 
        Subscript[$CellContext`m, 1, 3] + 
       2^Rational[-1, 2] Subscript[$CellContext`f, 1, 1] 
        Subscript[$CellContext`m, 1, 4]), 
     Rational[1, 2] (-2^Rational[-1, 2] Subscript[$CellContext`f, 1, 2] 
        Subscript[$CellContext`m, 1, 3] + 
       2^Rational[-1, 2] Subscript[$CellContext`f, 1, 1] 
        Subscript[$CellContext`m, 1, 4]) + 
     Rational[1, 2] (
       2^Rational[-1, 2] Subscript[$CellContext`f, 1, 2] 
        Subscript[$CellContext`m, 1, 3] + 
       2^Rational[-1, 2] Subscript[$CellContext`f, 1, 1] 
        Subscript[$CellContext`m, 1, 4]), 
     Rational[1, 2] (-2^Rational[-1, 2] Subscript[$CellContext`f, 1, 2] 
        Subscript[$CellContext`m, 1, 3] + 
       2^Rational[-1, 2] Subscript[$CellContext`f, 1, 1] 
        Subscript[$CellContext`m, 1, 4]) + 
     Rational[1, 2] (
       2^Rational[-1, 2] Subscript[$CellContext`f, 1, 2] 
        Subscript[$CellContext`m, 1, 3] + 
       2^Rational[-1, 2] Subscript[$CellContext`f, 1, 1] 
        Subscript[$CellContext`m, 1, 4]), 
     Rational[1, 2] (
       2^Rational[-1, 2] Subscript[$CellContext`f, 1, 2] 
        Subscript[$CellContext`m, 1, 3] - 2^Rational[-1, 2] 
       Subscript[$CellContext`f, 1, 1] Subscript[$CellContext`m, 1, 4]) + 
     Rational[1, 2] (
       2^Rational[-1, 2] Subscript[$CellContext`f, 1, 2] 
        Subscript[$CellContext`m, 1, 3] + 
       2^Rational[-1, 2] Subscript[$CellContext`f, 1, 1] 
        Subscript[$CellContext`m, 1, 4]), Subscript[$CellContext`f, 1, 3] 
     Subscript[$CellContext`m, 1, 3], 
     Rational[1, 2] (
       2^Rational[-1, 2] Subscript[$CellContext`f, 1, 4] 
        Subscript[$CellContext`m, 1, 3] - 2^Rational[-1, 2] 
       Subscript[$CellContext`f, 1, 3] Subscript[$CellContext`m, 1, 4]) + 
     Rational[1, 2] (
       2^Rational[-1, 2] Subscript[$CellContext`f, 1, 4] 
        Subscript[$CellContext`m, 1, 3] + 
       2^Rational[-1, 2] Subscript[$CellContext`f, 1, 3] 
        Subscript[$CellContext`m, 1, 4]), 
     Rational[1, 2] (-2^Rational[-1, 2] Subscript[$CellContext`f, 1, 4] 
        Subscript[$CellContext`m, 1, 3] + 
       2^Rational[-1, 2] Subscript[$CellContext`f, 1, 3] 
        Subscript[$CellContext`m, 1, 4]) + 
     Rational[1, 2] (
       2^Rational[-1, 2] Subscript[$CellContext`f, 1, 4] 
        Subscript[$CellContext`m, 1, 3] + 
       2^Rational[-1, 2] Subscript[$CellContext`f, 1, 3] 
        Subscript[$CellContext`m, 1, 4]), 
     Rational[1, 2] (-2^Rational[-1, 2] Subscript[$CellContext`f, 1, 4] 
        Subscript[$CellContext`m, 1, 3] + 
       2^Rational[-1, 2] Subscript[$CellContext`f, 1, 3] 
        Subscript[$CellContext`m, 1, 4]) + 
     Rational[1, 2] (
       2^Rational[-1, 2] Subscript[$CellContext`f, 1, 4] 
        Subscript[$CellContext`m, 1, 3] + 
       2^Rational[-1, 2] Subscript[$CellContext`f, 1, 3] 
        Subscript[$CellContext`m, 1, 4]), 
     Rational[1, 2] (
       2^Rational[-1, 2] Subscript[$CellContext`f, 1, 4] 
        Subscript[$CellContext`m, 1, 3] - 2^Rational[-1, 2] 
       Subscript[$CellContext`f, 1, 3] Subscript[$CellContext`m, 1, 4]) + 
     Rational[1, 2] (
       2^Rational[-1, 2] Subscript[$CellContext`f, 1, 4] 
        Subscript[$CellContext`m, 1, 3] + 
       2^Rational[-1, 2] Subscript[$CellContext`f, 1, 3] 
        Subscript[$CellContext`m, 1, 4]), Subscript[$CellContext`f, 1, 2] 
     Subscript[$CellContext`m, 1, 4], Subscript[$CellContext`f, 1, 4] 
     Subscript[$CellContext`m, 1, 4], 2^Rational[-1, 2] 
     Subscript[$CellContext`f, 2, 1] Subscript[$CellContext`m, 1, 1], 
     Rational[1, 2] (
       Rational[1, 2] Subscript[$CellContext`f, 2, 2] 
        Subscript[$CellContext`m, 1, 1] + 
       Rational[-1, 2] Subscript[$CellContext`f, 2, 1] 
        Subscript[$CellContext`m, 1, 2]) + 
     Rational[1, 2] (
       Rational[1, 2] Subscript[$CellContext`f, 2, 2] 
        Subscript[$CellContext`m, 1, 1] + 
       Rational[1, 2] Subscript[$CellContext`f, 2, 1] 
        Subscript[$CellContext`m, 1, 2]), 
     Rational[1, 2] (
       Rational[-1, 2] Subscript[$CellContext`f, 2, 2] 
        Subscript[$CellContext`m, 1, 1] + 
       Rational[1, 2] Subscript[$CellContext`f, 2, 1] 
        Subscript[$CellContext`m, 1, 2]) + 
     Rational[1, 2] (
       Rational[1, 2] Subscript[$CellContext`f, 2, 2] 
        Subscript[$CellContext`m, 1, 1] + 
       Rational[1, 2] Subscript[$CellContext`f, 2, 1] 
        Subscript[$CellContext`m, 1, 2]), 
     Rational[1, 2] (
       Rational[-1, 2] Subscript[$CellContext`f, 2, 2] 
        Subscript[$CellContext`m, 1, 1] + 
       Rational[1, 2] Subscript[$CellContext`f, 2, 1] 
        Subscript[$CellContext`m, 1, 2]) + 
     Rational[1, 2] (
       Rational[1, 2] Subscript[$CellContext`f, 2, 2] 
        Subscript[$CellContext`m, 1, 1] + 
       Rational[1, 2] Subscript[$CellContext`f, 2, 1] 
        Subscript[$CellContext`m, 1, 2]), 
     Rational[1, 2] (
       Rational[1, 2] Subscript[$CellContext`f, 2, 2] 
        Subscript[$CellContext`m, 1, 1] + 
       Rational[-1, 2] Subscript[$CellContext`f, 2, 1] 
        Subscript[$CellContext`m, 1, 2]) + 
     Rational[1, 2] (
       Rational[1, 2] Subscript[$CellContext`f, 2, 2] 
        Subscript[$CellContext`m, 1, 1] + 
       Rational[1, 2] Subscript[$CellContext`f, 2, 1] 
        Subscript[$CellContext`m, 1, 2]), 2^Rational[-1, 2] 
     Subscript[$CellContext`f, 2, 3] Subscript[$CellContext`m, 1, 1], 
     Rational[1, 2] (
       Rational[1, 2] Subscript[$CellContext`f, 2, 4] 
        Subscript[$CellContext`m, 1, 1] + 
       Rational[-1, 2] Subscript[$CellContext`f, 2, 3] 
        Subscript[$CellContext`m, 1, 2]) + 
     Rational[1, 2] (
       Rational[1, 2] Subscript[$CellContext`f, 2, 4] 
        Subscript[$CellContext`m, 1, 1] + 
       Rational[1, 2] Subscript[$CellContext`f, 2, 3] 
        Subscript[$CellContext`m, 1, 2]), 
     Rational[1, 2] (
       Rational[-1, 2] Subscript[$CellContext`f, 2, 4] 
        Subscript[$CellContext`m, 1, 1] + 
       Rational[1, 2] Subscript[$CellContext`f, 2, 3] 
        Subscript[$CellContext`m, 1, 2]) + 
     Rational[1, 2] (
       Rational[1, 2] Subscript[$CellContext`f, 2, 4] 
        Subscript[$CellContext`m, 1, 1] + 
       Rational[1, 2] Subscript[$CellContext`f, 2, 3] 
        Subscript[$CellContext`m, 1, 2]), 
     Rational[1, 2] (
       Rational[-1, 2] Subscript[$CellContext`f, 2, 4] 
        Subscript[$CellContext`m, 1, 1] + 
       Rational[1, 2] Subscript[$CellContext`f, 2, 3] 
        Subscript[$CellContext`m, 1, 2]) + 
     Rational[1, 2] (
       Rational[1, 2] Subscript[$CellContext`f, 2, 4] 
        Subscript[$CellContext`m, 1, 1] + 
       Rational[1, 2] Subscript[$CellContext`f, 2, 3] 
        Subscript[$CellContext`m, 1, 2]), 
     Rational[1, 2] (
       Rational[1, 2] Subscript[$CellContext`f, 2, 4] 
        Subscript[$CellContext`m, 1, 1] + 
       Rational[-1, 2] Subscript[$CellContext`f, 2, 3] 
        Subscript[$CellContext`m, 1, 2]) + 
     Rational[1, 2] (
       Rational[1, 2] Subscript[$CellContext`f, 2, 4] 
        Subscript[$CellContext`m, 1, 1] + 
       Rational[1, 2] Subscript[$CellContext`f, 2, 3] 
        Subscript[$CellContext`m, 1, 2]), 2^Rational[-1, 2] 
     Subscript[$CellContext`f, 2, 2] Subscript[$CellContext`m, 1, 2], 
     2^Rational[-1, 2] Subscript[$CellContext`f, 2, 4] 
     Subscript[$CellContext`m, 1, 2], 2^Rational[-1, 2] 
     Subscript[$CellContext`f, 2, 1] Subscript[$CellContext`m, 1, 3], 
     Rational[1, 2] (
       Rational[1, 2] Subscript[$CellContext`f, 2, 2] 
        Subscript[$CellContext`m, 1, 3] + 
       Rational[-1, 2] Subscript[$CellContext`f, 2, 1] 
        Subscript[$CellContext`m, 1, 4]) + 
     Rational[1, 2] (
       Rational[1, 2] Subscript[$CellContext`f, 2, 2] 
        Subscript[$CellContext`m, 1, 3] + 
       Rational[1, 2] Subscript[$CellContext`f, 2, 1] 
        Subscript[$CellContext`m, 1, 4]), 
     Rational[1, 2] (
       Rational[-1, 2] Subscript[$CellContext`f, 2, 2] 
        Subscript[$CellContext`m, 1, 3] + 
       Rational[1, 2] Subscript[$CellContext`f, 2, 1] 
        Subscript[$CellContext`m, 1, 4]) + 
     Rational[1, 2] (
       Rational[1, 2] Subscript[$CellContext`f, 2, 2] 
        Subscript[$CellContext`m, 1, 3] + 
       Rational[1, 2] Subscript[$CellContext`f, 2, 1] 
        Subscript[$CellContext`m, 1, 4]), 
     Rational[1, 2] (
       Rational[-1, 2] Subscript[$CellContext`f, 2, 2] 
        Subscript[$CellContext`m, 1, 3] + 
       Rational[1, 2] Subscript[$CellContext`f, 2, 1] 
        Subscript[$CellContext`m, 1, 4]) + 
     Rational[1, 2] (
       Rational[1, 2] Subscript[$CellContext`f, 2, 2] 
        Subscript[$CellContext`m, 1, 3] + 
       Rational[1, 2] Subscript[$CellContext`f, 2, 1] 
        Subscript[$CellContext`m, 1, 4]), 
     Rational[1, 2] (
       Rational[1, 2] Subscript[$CellContext`f, 2, 2] 
        Subscript[$CellContext`m, 1, 3] + 
       Rational[-1, 2] Subscript[$CellContext`f, 2, 1] 
        Subscript[$CellContext`m, 1, 4]) + 
     Rational[1, 2] (
       Rational[1, 2] Subscript[$CellContext`f, 2, 2] 
        Subscript[$CellContext`m, 1, 3] + 
       Rational[1, 2] Subscript[$CellContext`f, 2, 1] 
        Subscript[$CellContext`m, 1, 4]), 2^Rational[-1, 2] 
     Subscript[$CellContext`f, 2, 3] Subscript[$CellContext`m, 1, 3], 
     Rational[1, 2] (
       Rational[1, 2] Subscript[$CellContext`f, 2, 4] 
        Subscript[$CellContext`m, 1, 3] + 
       Rational[-1, 2] Subscript[$CellContext`f, 2, 3] 
        Subscript[$CellContext`m, 1, 4]) + 
     Rational[1, 2] (
       Rational[1, 2] Subscript[$CellContext`f, 2, 4] 
        Subscript[$CellContext`m, 1, 3] + 
       Rational[1, 2] Subscript[$CellContext`f, 2, 3] 
        Subscript[$CellContext`m, 1, 4]), 
     Rational[1, 2] (
       Rational[-1, 2] Subscript[$CellContext`f, 2, 4] 
        Subscript[$CellContext`m, 1, 3] + 
       Rational[1, 2] Subscript[$CellContext`f, 2, 3] 
        Subscript[$CellContext`m, 1, 4]) + 
     Rational[1, 2] (
       Rational[1, 2] Subscript[$CellContext`f, 2, 4] 
        Subscript[$CellContext`m, 1, 3] + 
       Rational[1, 2] Subscript[$CellContext`f, 2, 3] 
        Subscript[$CellContext`m, 1, 4]), 
     Rational[1, 2] (
       Rational[-1, 2] Subscript[$CellContext`f, 2, 4] 
        Subscript[$CellContext`m, 1, 3] + 
       Rational[1, 2] Subscript[$CellContext`f, 2, 3] 
        Subscript[$CellContext`m, 1, 4]) + 
     Rational[1, 2] (
       Rational[1, 2] Subscript[$CellContext`f, 2, 4] 
        Subscript[$CellContext`m, 1, 3] + 
       Rational[1, 2] Subscript[$CellContext`f, 2, 3] 
        Subscript[$CellContext`m, 1, 4]), 
     Rational[1, 2] (
       Rational[1, 2] Subscript[$CellContext`f, 2, 4] 
        Subscript[$CellContext`m, 1, 3] + 
       Rational[-1, 2] Subscript[$CellContext`f, 2, 3] 
        Subscript[$CellContext`m, 1, 4]) + 
     Rational[1, 2] (
       Rational[1, 2] Subscript[$CellContext`f, 2, 4] 
        Subscript[$CellContext`m, 1, 3] + 
       Rational[1, 2] Subscript[$CellContext`f, 2, 3] 
        Subscript[$CellContext`m, 1, 4]), 2^Rational[-1, 2] 
     Subscript[$CellContext`f, 2, 2] Subscript[$CellContext`m, 1, 4], 
     2^Rational[-1, 2] Subscript[$CellContext`f, 2, 4] 
     Subscript[$CellContext`m, 1, 4], 2^Rational[-1, 2] 
     Subscript[$CellContext`f, 1, 1] Subscript[$CellContext`m, 2, 1], 
     Rational[1, 2] (
       Rational[1, 2] Subscript[$CellContext`f, 1, 2] 
        Subscript[$CellContext`m, 2, 1] + 
       Rational[-1, 2] Subscript[$CellContext`f, 1, 1] 
        Subscript[$CellContext`m, 2, 2]) + 
     Rational[1, 2] (
       Rational[1, 2] Subscript[$CellContext`f, 1, 2] 
        Subscript[$CellContext`m, 2, 1] + 
       Rational[1, 2] Subscript[$CellContext`f, 1, 1] 
        Subscript[$CellContext`m, 2, 2]), 
     Rational[1, 2] (
       Rational[-1, 2] Subscript[$CellContext`f, 1, 2] 
        Subscript[$CellContext`m, 2, 1] + 
       Rational[1, 2] Subscript[$CellContext`f, 1, 1] 
        Subscript[$CellContext`m, 2, 2]) + 
     Rational[1, 2] (
       Rational[1, 2] Subscript[$CellContext`f, 1, 2] 
        Subscript[$CellContext`m, 2, 1] + 
       Rational[1, 2] Subscript[$CellContext`f, 1, 1] 
        Subscript[$CellContext`m, 2, 2]), 
     Rational[1, 2] (
       Rational[-1, 2] Subscript[$CellContext`f, 1, 2] 
        Subscript[$CellContext`m, 2, 1] + 
       Rational[1, 2] Subscript[$CellContext`f, 1, 1] 
        Subscript[$CellContext`m, 2, 2]) + 
     Rational[1, 2] (
       Rational[1, 2] Subscript[$CellContext`f, 1, 2] 
        Subscript[$CellContext`m, 2, 1] + 
       Rational[1, 2] Subscript[$CellContext`f, 1, 1] 
        Subscript[$CellContext`m, 2, 2]), 
     Rational[1, 2] (
       Rational[1, 2] Subscript[$CellContext`f, 1, 2] 
        Subscript[$CellContext`m, 2, 1] + 
       Rational[-1, 2] Subscript[$CellContext`f, 1, 1] 
        Subscript[$CellContext`m, 2, 2]) + 
     Rational[1, 2] (
       Rational[1, 2] Subscript[$CellContext`f, 1, 2] 
        Subscript[$CellContext`m, 2, 1] + 
       Rational[1, 2] Subscript[$CellContext`f, 1, 1] 
        Subscript[$CellContext`m, 2, 2]), 2^Rational[-1, 2] 
     Subscript[$CellContext`f, 1, 3] Subscript[$CellContext`m, 2, 1], 
     Rational[1, 2] (
       Rational[1, 2] Subscript[$CellContext`f, 1, 4] 
        Subscript[$CellContext`m, 2, 1] + 
       Rational[-1, 2] Subscript[$CellContext`f, 1, 3] 
        Subscript[$CellContext`m, 2, 2]) + 
     Rational[1, 2] (
       Rational[1, 2] Subscript[$CellContext`f, 1, 4] 
        Subscript[$CellContext`m, 2, 1] + 
       Rational[1, 2] Subscript[$CellContext`f, 1, 3] 
        Subscript[$CellContext`m, 2, 2]), 
     Rational[1, 2] (
       Rational[-1, 2] Subscript[$CellContext`f, 1, 4] 
        Subscript[$CellContext`m, 2, 1] + 
       Rational[1, 2] Subscript[$CellContext`f, 1, 3] 
        Subscript[$CellContext`m, 2, 2]) + 
     Rational[1, 2] (
       Rational[1, 2] Subscript[$CellContext`f, 1, 4] 
        Subscript[$CellContext`m, 2, 1] + 
       Rational[1, 2] Subscript[$CellContext`f, 1, 3] 
        Subscript[$CellContext`m, 2, 2]), 
     Rational[1, 2] (
       Rational[-1, 2] Subscript[$CellContext`f, 1, 4] 
        Subscript[$CellContext`m, 2, 1] + 
       Rational[1, 2] Subscript[$CellContext`f, 1, 3] 
        Subscript[$CellContext`m, 2, 2]) + 
     Rational[1, 2] (
       Rational[1, 2] Subscript[$CellContext`f, 1, 4] 
        Subscript[$CellContext`m, 2, 1] + 
       Rational[1, 2] Subscript[$CellContext`f, 1, 3] 
        Subscript[$CellContext`m, 2, 2]), 
     Rational[1, 2] (
       Rational[1, 2] Subscript[$CellContext`f, 1, 4] 
        Subscript[$CellContext`m, 2, 1] + 
       Rational[-1, 2] Subscript[$CellContext`f, 1, 3] 
        Subscript[$CellContext`m, 2, 2]) + 
     Rational[1, 2] (
       Rational[1, 2] Subscript[$CellContext`f, 1, 4] 
        Subscript[$CellContext`m, 2, 1] + 
       Rational[1, 2] Subscript[$CellContext`f, 1, 3] 
        Subscript[$CellContext`m, 2, 2]), 2^Rational[-1, 2] 
     Subscript[$CellContext`f, 1, 2] Subscript[$CellContext`m, 2, 2], 
     2^Rational[-1, 2] Subscript[$CellContext`f, 1, 4] 
     Subscript[$CellContext`m, 2, 2], 2^Rational[-1, 2] 
     Subscript[$CellContext`f, 1, 1] Subscript[$CellContext`m, 2, 3], 
     Rational[1, 2] (
       Rational[1, 2] Subscript[$CellContext`f, 1, 2] 
        Subscript[$CellContext`m, 2, 3] + 
       Rational[-1, 2] Subscript[$CellContext`f, 1, 1] 
        Subscript[$CellContext`m, 2, 4]) + 
     Rational[1, 2] (
       Rational[1, 2] Subscript[$CellContext`f, 1, 2] 
        Subscript[$CellContext`m, 2, 3] + 
       Rational[1, 2] Subscript[$CellContext`f, 1, 1] 
        Subscript[$CellContext`m, 2, 4]), 
     Rational[1, 2] (
       Rational[-1, 2] Subscript[$CellContext`f, 1, 2] 
        Subscript[$CellContext`m, 2, 3] + 
       Rational[1, 2] Subscript[$CellContext`f, 1, 1] 
        Subscript[$CellContext`m, 2, 4]) + 
     Rational[1, 2] (
       Rational[1, 2] Subscript[$CellContext`f, 1, 2] 
        Subscript[$CellContext`m, 2, 3] + 
       Rational[1, 2] Subscript[$CellContext`f, 1, 1] 
        Subscript[$CellContext`m, 2, 4]), 
     Rational[1, 2] (
       Rational[-1, 2] Subscript[$CellContext`f, 1, 2] 
        Subscript[$CellContext`m, 2, 3] + 
       Rational[1, 2] Subscript[$CellContext`f, 1, 1] 
        Subscript[$CellContext`m, 2, 4]) + 
     Rational[1, 2] (
       Rational[1, 2] Subscript[$CellContext`f, 1, 2] 
        Subscript[$CellContext`m, 2, 3] + 
       Rational[1, 2] Subscript[$CellContext`f, 1, 1] 
        Subscript[$CellContext`m, 2, 4]), 
     Rational[1, 2] (
       Rational[1, 2] Subscript[$CellContext`f, 1, 2] 
        Subscript[$CellContext`m, 2, 3] + 
       Rational[-1, 2] Subscript[$CellContext`f, 1, 1] 
        Subscript[$CellContext`m, 2, 4]) + 
     Rational[1, 2] (
       Rational[1, 2] Subscript[$CellContext`f, 1, 2] 
        Subscript[$CellContext`m, 2, 3] + 
       Rational[1, 2] Subscript[$CellContext`f, 1, 1] 
        Subscript[$CellContext`m, 2, 4]), 2^Rational[-1, 2] 
     Subscript[$CellContext`f, 1, 3] Subscript[$CellContext`m, 2, 3], 
     Rational[1, 2] (
       Rational[1, 2] Subscript[$CellContext`f, 1, 4] 
        Subscript[$CellContext`m, 2, 3] + 
       Rational[-1, 2] Subscript[$CellContext`f, 1, 3] 
        Subscript[$CellContext`m, 2, 4]) + 
     Rational[1, 2] (
       Rational[1, 2] Subscript[$CellContext`f, 1, 4] 
        Subscript[$CellContext`m, 2, 3] + 
       Rational[1, 2] Subscript[$CellContext`f, 1, 3] 
        Subscript[$CellContext`m, 2, 4]), 
     Rational[1, 2] (
       Rational[-1, 2] Subscript[$CellContext`f, 1, 4] 
        Subscript[$CellContext`m, 2, 3] + 
       Rational[1, 2] Subscript[$CellContext`f, 1, 3] 
        Subscript[$CellContext`m, 2, 4]) + 
     Rational[1, 2] (
       Rational[1, 2] Subscript[$CellContext`f, 1, 4] 
        Subscript[$CellContext`m, 2, 3] + 
       Rational[1, 2] Subscript[$CellContext`f, 1, 3] 
        Subscript[$CellContext`m, 2, 4]), 
     Rational[1, 2] (
       Rational[-1, 2] Subscript[$CellContext`f, 1, 4] 
        Subscript[$CellContext`m, 2, 3] + 
       Rational[1, 2] Subscript[$CellContext`f, 1, 3] 
        Subscript[$CellContext`m, 2, 4]) + 
     Rational[1, 2] (
       Rational[1, 2] Subscript[$CellContext`f, 1, 4] 
        Subscript[$CellContext`m, 2, 3] + 
       Rational[1, 2] Subscript[$CellContext`f, 1, 3] 
        Subscript[$CellContext`m, 2, 4]), 
     Rational[1, 2] (
       Rational[1, 2] Subscript[$CellContext`f, 1, 4] 
        Subscript[$CellContext`m, 2, 3] + 
       Rational[-1, 2] Subscript[$CellContext`f, 1, 3] 
        Subscript[$CellContext`m, 2, 4]) + 
     Rational[1, 2] (
       Rational[1, 2] Subscript[$CellContext`f, 1, 4] 
        Subscript[$CellContext`m, 2, 3] + 
       Rational[1, 2] Subscript[$CellContext`f, 1, 3] 
        Subscript[$CellContext`m, 2, 4]), 2^Rational[-1, 2] 
     Subscript[$CellContext`f, 1, 2] Subscript[$CellContext`m, 2, 4], 
     2^Rational[-1, 2] Subscript[$CellContext`f, 1, 4] 
     Subscript[$CellContext`m, 2, 4], Subscript[$CellContext`f, 3, 1] 
     Subscript[$CellContext`m, 1, 1], 
     Rational[1, 2] (
       2^Rational[-1, 2] Subscript[$CellContext`f, 3, 2] 
        Subscript[$CellContext`m, 1, 1] - 2^Rational[-1, 2] 
       Subscript[$CellContext`f, 3, 1] Subscript[$CellContext`m, 1, 2]) + 
     Rational[1, 2] (
       2^Rational[-1, 2] Subscript[$CellContext`f, 3, 2] 
        Subscript[$CellContext`m, 1, 1] + 
       2^Rational[-1, 2] Subscript[$CellContext`f, 3, 1] 
        Subscript[$CellContext`m, 1, 2]), 
     Rational[1, 2] (-2^Rational[-1, 2] Subscript[$CellContext`f, 3, 2] 
        Subscript[$CellContext`m, 1, 1] + 
       2^Rational[-1, 2] Subscript[$CellContext`f, 3, 1] 
        Subscript[$CellContext`m, 1, 2]) + 
     Rational[1, 2] (
       2^Rational[-1, 2] Subscript[$CellContext`f, 3, 2] 
        Subscript[$CellContext`m, 1, 1] + 
       2^Rational[-1, 2] Subscript[$CellContext`f, 3, 1] 
        Subscript[$CellContext`m, 1, 2]), 
     Rational[1, 2] (-2^Rational[-1, 2] Subscript[$CellContext`f, 3, 2] 
        Subscript[$CellContext`m, 1, 1] + 
       2^Rational[-1, 2] Subscript[$CellContext`f, 3, 1] 
        Subscript[$CellContext`m, 1, 2]) + 
     Rational[1, 2] (
       2^Rational[-1, 2] Subscript[$CellContext`f, 3, 2] 
        Subscript[$CellContext`m, 1, 1] + 
       2^Rational[-1, 2] Subscript[$CellContext`f, 3, 1] 
        Subscript[$CellContext`m, 1, 2]), 
     Rational[1, 2] (
       2^Rational[-1, 2] Subscript[$CellContext`f, 3, 2] 
        Subscript[$CellContext`m, 1, 1] - 2^Rational[-1, 2] 
       Subscript[$CellContext`f, 3, 1] Subscript[$CellContext`m, 1, 2]) + 
     Rational[1, 2] (
       2^Rational[-1, 2] Subscript[$CellContext`f, 3, 2] 
        Subscript[$CellContext`m, 1, 1] + 
       2^Rational[-1, 2] Subscript[$CellContext`f, 3, 1] 
        Subscript[$CellContext`m, 1, 2]), Subscript[$CellContext`f, 3, 3] 
     Subscript[$CellContext`m, 1, 1], 
     Rational[1, 2] (
       2^Rational[-1, 2] Subscript[$CellContext`f, 3, 4] 
        Subscript[$CellContext`m, 1, 1] - 2^Rational[-1, 2] 
       Subscript[$CellContext`f, 3, 3] Subscript[$CellContext`m, 1, 2]) + 
     Rational[1, 2] (
       2^Rational[-1, 2] Subscript[$CellContext`f, 3, 4] 
        Subscript[$CellContext`m, 1, 1] + 
       2^Rational[-1, 2] Subscript[$CellContext`f, 3, 3] 
        Subscript[$CellContext`m, 1, 2]), 
     Rational[1, 2] (-2^Rational[-1, 2] Subscript[$CellContext`f, 3, 4] 
        Subscript[$CellContext`m, 1, 1] + 
       2^Rational[-1, 2] Subscript[$CellContext`f, 3, 3] 
        Subscript[$CellContext`m, 1, 2]) + 
     Rational[1, 2] (
       2^Rational[-1, 2] Subscript[$CellContext`f, 3, 4] 
        Subscript[$CellContext`m, 1, 1] + 
       2^Rational[-1, 2] Subscript[$CellContext`f, 3, 3] 
        Subscript[$CellContext`m, 1, 2]), 
     Rational[1, 2] (-2^Rational[-1, 2] Subscript[$CellContext`f, 3, 4] 
        Subscript[$CellContext`m, 1, 1] + 
       2^Rational[-1, 2] Subscript[$CellContext`f, 3, 3] 
        Subscript[$CellContext`m, 1, 2]) + 
     Rational[1, 2] (
       2^Rational[-1, 2] Subscript[$CellContext`f, 3, 4] 
        Subscript[$CellContext`m, 1, 1] + 
       2^Rational[-1, 2] Subscript[$CellContext`f, 3, 3] 
        Subscript[$CellContext`m, 1, 2]), 
     Rational[1, 2] (
       2^Rational[-1, 2] Subscript[$CellContext`f, 3, 4] 
        Subscript[$CellContext`m, 1, 1] - 2^Rational[-1, 2] 
       Subscript[$CellContext`f, 3, 3] Subscript[$CellContext`m, 1, 2]) + 
     Rational[1, 2] (
       2^Rational[-1, 2] Subscript[$CellContext`f, 3, 4] 
        Subscript[$CellContext`m, 1, 1] + 
       2^Rational[-1, 2] Subscript[$CellContext`f, 3, 3] 
        Subscript[$CellContext`m, 1, 2]), Subscript[$CellContext`f, 3, 2] 
     Subscript[$CellContext`m, 1, 2], Subscript[$CellContext`f, 3, 4] 
     Subscript[$CellContext`m, 1, 2], Subscript[$CellContext`f, 3, 1] 
     Subscript[$CellContext`m, 1, 3], 
     Rational[1, 2] (
       2^Rational[-1, 2] Subscript[$CellContext`f, 3, 2] 
        Subscript[$CellContext`m, 1, 3] - 2^Rational[-1, 2] 
       Subscript[$CellContext`f, 3, 1] Subscript[$CellContext`m, 1, 4]) + 
     Rational[1, 2] (
       2^Rational[-1, 2] Subscript[$CellContext`f, 3, 2] 
        Subscript[$CellContext`m, 1, 3] + 
       2^Rational[-1, 2] Subscript[$CellContext`f, 3, 1] 
        Subscript[$CellContext`m, 1, 4]), 
     Rational[1, 2] (-2^Rational[-1, 2] Subscript[$CellContext`f, 3, 2] 
        Subscript[$CellContext`m, 1, 3] + 
       2^Rational[-1, 2] Subscript[$CellContext`f, 3, 1] 
        Subscript[$CellContext`m, 1, 4]) + 
     Rational[1, 2] (
       2^Rational[-1, 2] Subscript[$CellContext`f, 3, 2] 
        Subscript[$CellContext`m, 1, 3] + 
       2^Rational[-1, 2] Subscript[$CellContext`f, 3, 1] 
        Subscript[$CellContext`m, 1, 4]), 
     Rational[1, 2] (-2^Rational[-1, 2] Subscript[$CellContext`f, 3, 2] 
        Subscript[$CellContext`m, 1, 3] + 
       2^Rational[-1, 2] Subscript[$CellContext`f, 3, 1] 
        Subscript[$CellContext`m, 1, 4]) + 
     Rational[1, 2] (
       2^Rational[-1, 2] Subscript[$CellContext`f, 3, 2] 
        Subscript[$CellContext`m, 1, 3] + 
       2^Rational[-1, 2] Subscript[$CellContext`f, 3, 1] 
        Subscript[$CellContext`m, 1, 4]), 
     Rational[1, 2] (
       2^Rational[-1, 2] Subscript[$CellContext`f, 3, 2] 
        Subscript[$CellContext`m, 1, 3] - 2^Rational[-1, 2] 
       Subscript[$CellContext`f, 3, 1] Subscript[$CellContext`m, 1, 4]) + 
     Rational[1, 2] (
       2^Rational[-1, 2] Subscript[$CellContext`f, 3, 2] 
        Subscript[$CellContext`m, 1, 3] + 
       2^Rational[-1, 2] Subscript[$CellContext`f, 3, 1] 
        Subscript[$CellContext`m, 1, 4]), Subscript[$CellContext`f, 3, 3] 
     Subscript[$CellContext`m, 1, 3], 
     Rational[1, 2] (
       2^Rational[-1, 2] Subscript[$CellContext`f, 3, 4] 
        Subscript[$CellContext`m, 1, 3] - 2^Rational[-1, 2] 
       Subscript[$CellContext`f, 3, 3] Subscript[$CellContext`m, 1, 4]) + 
     Rational[1, 2] (
       2^Rational[-1, 2] Subscript[$CellContext`f, 3, 4] 
        Subscript[$CellContext`m, 1, 3] + 
       2^Rational[-1, 2] Subscript[$CellContext`f, 3, 3] 
        Subscript[$CellContext`m, 1, 4]), 
     Rational[1, 2] (-2^Rational[-1, 2] Subscript[$CellContext`f, 3, 4] 
        Subscript[$CellContext`m, 1, 3] + 
       2^Rational[-1, 2] Subscript[$CellContext`f, 3, 3] 
        Subscript[$CellContext`m, 1, 4]) + 
     Rational[1, 2] (
       2^Rational[-1, 2] Subscript[$CellContext`f, 3, 4] 
        Subscript[$CellContext`m, 1, 3] + 
       2^Rational[-1, 2] Subscript[$CellContext`f, 3, 3] 
        Subscript[$CellContext`m, 1, 4]), 
     Rational[1, 2] (-2^Rational[-1, 2] Subscript[$CellContext`f, 3, 4] 
        Subscript[$CellContext`m, 1, 3] + 
       2^Rational[-1, 2] Subscript[$CellContext`f, 3, 3] 
        Subscript[$CellContext`m, 1, 4]) + 
     Rational[1, 2] (
       2^Rational[-1, 2] Subscript[$CellContext`f, 3, 4] 
        Subscript[$CellContext`m, 1, 3] + 
       2^Rational[-1, 2] Subscript[$CellContext`f, 3, 3] 
        Subscript[$CellContext`m, 1, 4]), 
     Rational[1, 2] (
       2^Rational[-1, 2] Subscript[$CellContext`f, 3, 4] 
        Subscript[$CellContext`m, 1, 3] - 2^Rational[-1, 2] 
       Subscript[$CellContext`f, 3, 3] Subscript[$CellContext`m, 1, 4]) + 
     Rational[1, 2] (
       2^Rational[-1, 2] Subscript[$CellContext`f, 3, 4] 
        Subscript[$CellContext`m, 1, 3] + 
       2^Rational[-1, 2] Subscript[$CellContext`f, 3, 3] 
        Subscript[$CellContext`m, 1, 4]), Subscript[$CellContext`f, 3, 2] 
     Subscript[$CellContext`m, 1, 4], Subscript[$CellContext`f, 3, 4] 
     Subscript[$CellContext`m, 1, 4], 2^Rational[-1, 2] 
     Subscript[$CellContext`f, 4, 1] Subscript[$CellContext`m, 1, 1], 
     Rational[1, 2] (
       Rational[1, 2] Subscript[$CellContext`f, 4, 2] 
        Subscript[$CellContext`m, 1, 1] + 
       Rational[-1, 2] Subscript[$CellContext`f, 4, 1] 
        Subscript[$CellContext`m, 1, 2]) + 
     Rational[1, 2] (
       Rational[1, 2] Subscript[$CellContext`f, 4, 2] 
        Subscript[$CellContext`m, 1, 1] + 
       Rational[1, 2] Subscript[$CellContext`f, 4, 1] 
        Subscript[$CellContext`m, 1, 2]), 
     Rational[1, 2] (
       Rational[-1, 2] Subscript[$CellContext`f, 4, 2] 
        Subscript[$CellContext`m, 1, 1] + 
       Rational[1, 2] Subscript[$CellContext`f, 4, 1] 
        Subscript[$CellContext`m, 1, 2]) + 
     Rational[1, 2] (
       Rational[1, 2] Subscript[$CellContext`f, 4, 2] 
        Subscript[$CellContext`m, 1, 1] + 
       Rational[1, 2] Subscript[$CellContext`f, 4, 1] 
        Subscript[$CellContext`m, 1, 2]), 
     Rational[1, 2] (
       Rational[-1, 2] Subscript[$CellContext`f, 4, 2] 
        Subscript[$CellContext`m, 1, 1] + 
       Rational[1, 2] Subscript[$CellContext`f, 4, 1] 
        Subscript[$CellContext`m, 1, 2]) + 
     Rational[1, 2] (
       Rational[1, 2] Subscript[$CellContext`f, 4, 2] 
        Subscript[$CellContext`m, 1, 1] + 
       Rational[1, 2] Subscript[$CellContext`f, 4, 1] 
        Subscript[$CellContext`m, 1, 2]), 
     Rational[1, 2] (
       Rational[1, 2] Subscript[$CellContext`f, 4, 2] 
        Subscript[$CellContext`m, 1, 1] + 
       Rational[-1, 2] Subscript[$CellContext`f, 4, 1] 
        Subscript[$CellContext`m, 1, 2]) + 
     Rational[1, 2] (
       Rational[1, 2] Subscript[$CellContext`f, 4, 2] 
        Subscript[$CellContext`m, 1, 1] + 
       Rational[1, 2] Subscript[$CellContext`f, 4, 1] 
        Subscript[$CellContext`m, 1, 2]), 2^Rational[-1, 2] 
     Subscript[$CellContext`f, 4, 3] Subscript[$CellContext`m, 1, 1], 
     Rational[1, 2] (
       Rational[1, 2] Subscript[$CellContext`f, 4, 4] 
        Subscript[$CellContext`m, 1, 1] + 
       Rational[-1, 2] Subscript[$CellContext`f, 4, 3] 
        Subscript[$CellContext`m, 1, 2]) + 
     Rational[1, 2] (
       Rational[1, 2] Subscript[$CellContext`f, 4, 4] 
        Subscript[$CellContext`m, 1, 1] + 
       Rational[1, 2] Subscript[$CellContext`f, 4, 3] 
        Subscript[$CellContext`m, 1, 2]), 
     Rational[1, 2] (
       Rational[-1, 2] Subscript[$CellContext`f, 4, 4] 
        Subscript[$CellContext`m, 1, 1] + 
       Rational[1, 2] Subscript[$CellContext`f, 4, 3] 
        Subscript[$CellContext`m, 1, 2]) + 
     Rational[1, 2] (
       Rational[1, 2] Subscript[$CellContext`f, 4, 4] 
        Subscript[$CellContext`m, 1, 1] + 
       Rational[1, 2] Subscript[$CellContext`f, 4, 3] 
        Subscript[$CellContext`m, 1, 2]), 
     Rational[1, 2] (
       Rational[-1, 2] Subscript[$CellContext`f, 4, 4] 
        Subscript[$CellContext`m, 1, 1] + 
       Rational[1, 2] Subscript[$CellContext`f, 4, 3] 
        Subscript[$CellContext`m, 1, 2]) + 
     Rational[1, 2] (
       Rational[1, 2] Subscript[$CellContext`f, 4, 4] 
        Subscript[$CellContext`m, 1, 1] + 
       Rational[1, 2] Subscript[$CellContext`f, 4, 3] 
        Subscript[$CellContext`m, 1, 2]), 
     Rational[1, 2] (
       Rational[1, 2] Subscript[$CellContext`f, 4, 4] 
        Subscript[$CellContext`m, 1, 1] + 
       Rational[-1, 2] Subscript[$CellContext`f, 4, 3] 
        Subscript[$CellContext`m, 1, 2]) + 
     Rational[1, 2] (
       Rational[1, 2] Subscript[$CellContext`f, 4, 4] 
        Subscript[$CellContext`m, 1, 1] + 
       Rational[1, 2] Subscript[$CellContext`f, 4, 3] 
        Subscript[$CellContext`m, 1, 2]), 2^Rational[-1, 2] 
     Subscript[$CellContext`f, 4, 2] Subscript[$CellContext`m, 1, 2], 
     2^Rational[-1, 2] Subscript[$CellContext`f, 4, 4] 
     Subscript[$CellContext`m, 1, 2], 2^Rational[-1, 2] 
     Subscript[$CellContext`f, 4, 1] Subscript[$CellContext`m, 1, 3], 
     Rational[1, 2] (
       Rational[1, 2] Subscript[$CellContext`f, 4, 2] 
        Subscript[$CellContext`m, 1, 3] + 
       Rational[-1, 2] Subscript[$CellContext`f, 4, 1] 
        Subscript[$CellContext`m, 1, 4]) + 
     Rational[1, 2] (
       Rational[1, 2] Subscript[$CellContext`f, 4, 2] 
        Subscript[$CellContext`m, 1, 3] + 
       Rational[1, 2] Subscript[$CellContext`f, 4, 1] 
        Subscript[$CellContext`m, 1, 4]), 
     Rational[1, 2] (
       Rational[-1, 2] Subscript[$CellContext`f, 4, 2] 
        Subscript[$CellContext`m, 1, 3] + 
       Rational[1, 2] Subscript[$CellContext`f, 4, 1] 
        Subscript[$CellContext`m, 1, 4]) + 
     Rational[1, 2] (
       Rational[1, 2] Subscript[$CellContext`f, 4, 2] 
        Subscript[$CellContext`m, 1, 3] + 
       Rational[1, 2] Subscript[$CellContext`f, 4, 1] 
        Subscript[$CellContext`m, 1, 4]), 
     Rational[1, 2] (
       Rational[-1, 2] Subscript[$CellContext`f, 4, 2] 
        Subscript[$CellContext`m, 1, 3] + 
       Rational[1, 2] Subscript[$CellContext`f, 4, 1] 
        Subscript[$CellContext`m, 1, 4]) + 
     Rational[1, 2] (
       Rational[1, 2] Subscript[$CellContext`f, 4, 2] 
        Subscript[$CellContext`m, 1, 3] + 
       Rational[1, 2] Subscript[$CellContext`f, 4, 1] 
        Subscript[$CellContext`m, 1, 4]), 
     Rational[1, 2] (
       Rational[1, 2] Subscript[$CellContext`f, 4, 2] 
        Subscript[$CellContext`m, 1, 3] + 
       Rational[-1, 2] Subscript[$CellContext`f, 4, 1] 
        Subscript[$CellContext`m, 1, 4]) + 
     Rational[1, 2] (
       Rational[1, 2] Subscript[$CellContext`f, 4, 2] 
        Subscript[$CellContext`m, 1, 3] + 
       Rational[1, 2] Subscript[$CellContext`f, 4, 1] 
        Subscript[$CellContext`m, 1, 4]), 2^Rational[-1, 2] 
     Subscript[$CellContext`f, 4, 3] Subscript[$CellContext`m, 1, 3], 
     Rational[1, 2] (
       Rational[1, 2] Subscript[$CellContext`f, 4, 4] 
        Subscript[$CellContext`m, 1, 3] + 
       Rational[-1, 2] Subscript[$CellContext`f, 4, 3] 
        Subscript[$CellContext`m, 1, 4]) + 
     Rational[1, 2] (
       Rational[1, 2] Subscript[$CellContext`f, 4, 4] 
        Subscript[$CellContext`m, 1, 3] + 
       Rational[1, 2] Subscript[$CellContext`f, 4, 3] 
        Subscript[$CellContext`m, 1, 4]), 
     Rational[1, 2] (
       Rational[-1, 2] Subscript[$CellContext`f, 4, 4] 
        Subscript[$CellContext`m, 1, 3] + 
       Rational[1, 2] Subscript[$CellContext`f, 4, 3] 
        Subscript[$CellContext`m, 1, 4]) + 
     Rational[1, 2] (
       Rational[1, 2] Subscript[$CellContext`f, 4, 4] 
        Subscript[$CellContext`m, 1, 3] + 
       Rational[1, 2] Subscript[$CellContext`f, 4, 3] 
        Subscript[$CellContext`m, 1, 4]), 
     Rational[1, 2] (
       Rational[-1, 2] Subscript[$CellContext`f, 4, 4] 
        Subscript[$CellContext`m, 1, 3] + 
       Rational[1, 2] Subscript[$CellContext`f, 4, 3] 
        Subscript[$CellContext`m, 1, 4]) + 
     Rational[1, 2] (
       Rational[1, 2] Subscript[$CellContext`f, 4, 4] 
        Subscript[$CellContext`m, 1, 3] + 
       Rational[1, 2] Subscript[$CellContext`f, 4, 3] 
        Subscript[$CellContext`m, 1, 4]), 
     Rational[1, 2] (
       Rational[1, 2] Subscript[$CellContext`f, 4, 4] 
        Subscript[$CellContext`m, 1, 3] + 
       Rational[-1, 2] Subscript[$CellContext`f, 4, 3] 
        Subscript[$CellContext`m, 1, 4]) + 
     Rational[1, 2] (
       Rational[1, 2] Subscript[$CellContext`f, 4, 4] 
        Subscript[$CellContext`m, 1, 3] + 
       Rational[1, 2] Subscript[$CellContext`f, 4, 3] 
        Subscript[$CellContext`m, 1, 4]), 2^Rational[-1, 2] 
     Subscript[$CellContext`f, 4, 2] Subscript[$CellContext`m, 1, 4], 
     2^Rational[-1, 2] Subscript[$CellContext`f, 4, 4] 
     Subscript[$CellContext`m, 1, 4], 2^Rational[-1, 2] 
     Subscript[$CellContext`f, 3, 1] Subscript[$CellContext`m, 2, 1], 
     Rational[1, 2] (
       Rational[1, 2] Subscript[$CellContext`f, 3, 2] 
        Subscript[$CellContext`m, 2, 1] + 
       Rational[-1, 2] Subscript[$CellContext`f, 3, 1] 
        Subscript[$CellContext`m, 2, 2]) + 
     Rational[1, 2] (
       Rational[1, 2] Subscript[$CellContext`f, 3, 2] 
        Subscript[$CellContext`m, 2, 1] + 
       Rational[1, 2] Subscript[$CellContext`f, 3, 1] 
        Subscript[$CellContext`m, 2, 2]), 
     Rational[1, 2] (
       Rational[-1, 2] Subscript[$CellContext`f, 3, 2] 
        Subscript[$CellContext`m, 2, 1] + 
       Rational[1, 2] Subscript[$CellContext`f, 3, 1] 
        Subscript[$CellContext`m, 2, 2]) + 
     Rational[1, 2] (
       Rational[1, 2] Subscript[$CellContext`f, 3, 2] 
        Subscript[$CellContext`m, 2, 1] + 
       Rational[1, 2] Subscript[$CellContext`f, 3, 1] 
        Subscript[$CellContext`m, 2, 2]), 
     Rational[1, 2] (
       Rational[-1, 2] Subscript[$CellContext`f, 3, 2] 
        Subscript[$CellContext`m, 2, 1] + 
       Rational[1, 2] Subscript[$CellContext`f, 3, 1] 
        Subscript[$CellContext`m, 2, 2]) + 
     Rational[1, 2] (
       Rational[1, 2] Subscript[$CellContext`f, 3, 2] 
        Subscript[$CellContext`m, 2, 1] + 
       Rational[1, 2] Subscript[$CellContext`f, 3, 1] 
        Subscript[$CellContext`m, 2, 2]), 
     Rational[1, 2] (
       Rational[1, 2] Subscript[$CellContext`f, 3, 2] 
        Subscript[$CellContext`m, 2, 1] + 
       Rational[-1, 2] Subscript[$CellContext`f, 3, 1] 
        Subscript[$CellContext`m, 2, 2]) + 
     Rational[1, 2] (
       Rational[1, 2] Subscript[$CellContext`f, 3, 2] 
        Subscript[$CellContext`m, 2, 1] + 
       Rational[1, 2] Subscript[$CellContext`f, 3, 1] 
        Subscript[$CellContext`m, 2, 2]), 2^Rational[-1, 2] 
     Subscript[$CellContext`f, 3, 3] Subscript[$CellContext`m, 2, 1], 
     Rational[1, 2] (
       Rational[1, 2] Subscript[$CellContext`f, 3, 4] 
        Subscript[$CellContext`m, 2, 1] + 
       Rational[-1, 2] Subscript[$CellContext`f, 3, 3] 
        Subscript[$CellContext`m, 2, 2]) + 
     Rational[1, 2] (
       Rational[1, 2] Subscript[$CellContext`f, 3, 4] 
        Subscript[$CellContext`m, 2, 1] + 
       Rational[1, 2] Subscript[$CellContext`f, 3, 3] 
        Subscript[$CellContext`m, 2, 2]), 
     Rational[1, 2] (
       Rational[-1, 2] Subscript[$CellContext`f, 3, 4] 
        Subscript[$CellContext`m, 2, 1] + 
       Rational[1, 2] Subscript[$CellContext`f, 3, 3] 
        Subscript[$CellContext`m, 2, 2]) + 
     Rational[1, 2] (
       Rational[1, 2] Subscript[$CellContext`f, 3, 4] 
        Subscript[$CellContext`m, 2, 1] + 
       Rational[1, 2] Subscript[$CellContext`f, 3, 3] 
        Subscript[$CellContext`m, 2, 2]), 
     Rational[1, 2] (
       Rational[-1, 2] Subscript[$CellContext`f, 3, 4] 
        Subscript[$CellContext`m, 2, 1] + 
       Rational[1, 2] Subscript[$CellContext`f, 3, 3] 
        Subscript[$CellContext`m, 2, 2]) + 
     Rational[1, 2] (
       Rational[1, 2] Subscript[$CellContext`f, 3, 4] 
        Subscript[$CellContext`m, 2, 1] + 
       Rational[1, 2] Subscript[$CellContext`f, 3, 3] 
        Subscript[$CellContext`m, 2, 2]), 
     Rational[1, 2] (
       Rational[1, 2] Subscript[$CellContext`f, 3, 4] 
        Subscript[$CellContext`m, 2, 1] + 
       Rational[-1, 2] Subscript[$CellContext`f, 3, 3] 
        Subscript[$CellContext`m, 2, 2]) + 
     Rational[1, 2] (
       Rational[1, 2] Subscript[$CellContext`f, 3, 4] 
        Subscript[$CellContext`m, 2, 1] + 
       Rational[1, 2] Subscript[$CellContext`f, 3, 3] 
        Subscript[$CellContext`m, 2, 2]), 2^Rational[-1, 2] 
     Subscript[$CellContext`f, 3, 2] Subscript[$CellContext`m, 2, 2], 
     2^Rational[-1, 2] Subscript[$CellContext`f, 3, 4] 
     Subscript[$CellContext`m, 2, 2], 2^Rational[-1, 2] 
     Subscript[$CellContext`f, 3, 1] Subscript[$CellContext`m, 2, 3], 
     Rational[1, 2] (
       Rational[1, 2] Subscript[$CellContext`f, 3, 2] 
        Subscript[$CellContext`m, 2, 3] + 
       Rational[-1, 2] Subscript[$CellContext`f, 3, 1] 
        Subscript[$CellContext`m, 2, 4]) + 
     Rational[1, 2] (
       Rational[1, 2] Subscript[$CellContext`f, 3, 2] 
        Subscript[$CellContext`m, 2, 3] + 
       Rational[1, 2] Subscript[$CellContext`f, 3, 1] 
        Subscript[$CellContext`m, 2, 4]), 
     Rational[1, 2] (
       Rational[-1, 2] Subscript[$CellContext`f, 3, 2] 
        Subscript[$CellContext`m, 2, 3] + 
       Rational[1, 2] Subscript[$CellContext`f, 3, 1] 
        Subscript[$CellContext`m, 2, 4]) + 
     Rational[1, 2] (
       Rational[1, 2] Subscript[$CellContext`f, 3, 2] 
        Subscript[$CellContext`m, 2, 3] + 
       Rational[1, 2] Subscript[$CellContext`f, 3, 1] 
        Subscript[$CellContext`m, 2, 4]), 
     Rational[1, 2] (
       Rational[-1, 2] Subscript[$CellContext`f, 3, 2] 
        Subscript[$CellContext`m, 2, 3] + 
       Rational[1, 2] Subscript[$CellContext`f, 3, 1] 
        Subscript[$CellContext`m, 2, 4]) + 
     Rational[1, 2] (
       Rational[1, 2] Subscript[$CellContext`f, 3, 2] 
        Subscript[$CellContext`m, 2, 3] + 
       Rational[1, 2] Subscript[$CellContext`f, 3, 1] 
        Subscript[$CellContext`m, 2, 4]), 
     Rational[1, 2] (
       Rational[1, 2] Subscript[$CellContext`f, 3, 2] 
        Subscript[$CellContext`m, 2, 3] + 
       Rational[-1, 2] Subscript[$CellContext`f, 3, 1] 
        Subscript[$CellContext`m, 2, 4]) + 
     Rational[1, 2] (
       Rational[1, 2] Subscript[$CellContext`f, 3, 2] 
        Subscript[$CellContext`m, 2, 3] + 
       Rational[1, 2] Subscript[$CellContext`f, 3, 1] 
        Subscript[$CellContext`m, 2, 4]), 2^Rational[-1, 2] 
     Subscript[$CellContext`f, 3, 3] Subscript[$CellContext`m, 2, 3], 
     Rational[1, 2] (
       Rational[1, 2] Subscript[$CellContext`f, 3, 4] 
        Subscript[$CellContext`m, 2, 3] + 
       Rational[-1, 2] Subscript[$CellContext`f, 3, 3] 
        Subscript[$CellContext`m, 2, 4]) + 
     Rational[1, 2] (
       Rational[1, 2] Subscript[$CellContext`f, 3, 4] 
        Subscript[$CellContext`m, 2, 3] + 
       Rational[1, 2] Subscript[$CellContext`f, 3, 3] 
        Subscript[$CellContext`m, 2, 4]), 
     Rational[1, 2] (
       Rational[-1, 2] Subscript[$CellContext`f, 3, 4] 
        Subscript[$CellContext`m, 2, 3] + 
       Rational[1, 2] Subscript[$CellContext`f, 3, 3] 
        Subscript[$CellContext`m, 2, 4]) + 
     Rational[1, 2] (
       Rational[1, 2] Subscript[$CellContext`f, 3, 4] 
        Subscript[$CellContext`m, 2, 3] + 
       Rational[1, 2] Subscript[$CellContext`f, 3, 3] 
        Subscript[$CellContext`m, 2, 4]), 
     Rational[1, 2] (
       Rational[-1, 2] Subscript[$CellContext`f, 3, 4] 
        Subscript[$CellContext`m, 2, 3] + 
       Rational[1, 2] Subscript[$CellContext`f, 3, 3] 
        Subscript[$CellContext`m, 2, 4]) + 
     Rational[1, 2] (
       Rational[1, 2] Subscript[$CellContext`f, 3, 4] 
        Subscript[$CellContext`m, 2, 3] + 
       Rational[1, 2] Subscript[$CellContext`f, 3, 3] 
        Subscript[$CellContext`m, 2, 4]), 
     Rational[1, 2] (
       Rational[1, 2] Subscript[$CellContext`f, 3, 4] 
        Subscript[$CellContext`m, 2, 3] + 
       Rational[-1, 2] Subscript[$CellContext`f, 3, 3] 
        Subscript[$CellContext`m, 2, 4]) + 
     Rational[1, 2] (
       Rational[1, 2] Subscript[$CellContext`f, 3, 4] 
        Subscript[$CellContext`m, 2, 3] + 
       Rational[1, 2] Subscript[$CellContext`f, 3, 3] 
        Subscript[$CellContext`m, 2, 4]), 2^Rational[-1, 2] 
     Subscript[$CellContext`f, 3, 2] Subscript[$CellContext`m, 2, 4], 
     2^Rational[-1, 2] Subscript[$CellContext`f, 3, 4] 
     Subscript[$CellContext`m, 2, 4], 2^Rational[-1, 2] 
     Subscript[$CellContext`f, 1, 1] Subscript[$CellContext`m, 2, 1], 
     Rational[1, 2] (
       Rational[1, 2] Subscript[$CellContext`f, 1, 2] 
        Subscript[$CellContext`m, 2, 1] + 
       Rational[-1, 2] Subscript[$CellContext`f, 1, 1] 
        Subscript[$CellContext`m, 2, 2]) + 
     Rational[1, 2] (
       Rational[1, 2] Subscript[$CellContext`f, 1, 2] 
        Subscript[$CellContext`m, 2, 1] + 
       Rational[1, 2] Subscript[$CellContext`f, 1, 1] 
        Subscript[$CellContext`m, 2, 2]), 
     Rational[1, 2] (
       Rational[-1, 2] Subscript[$CellContext`f, 1, 2] 
        Subscript[$CellContext`m, 2, 1] + 
       Rational[1, 2] Subscript[$CellContext`f, 1, 1] 
        Subscript[$CellContext`m, 2, 2]) + 
     Rational[1, 2] (
       Rational[1, 2] Subscript[$CellContext`f, 1, 2] 
        Subscript[$CellContext`m, 2, 1] + 
       Rational[1, 2] Subscript[$CellContext`f, 1, 1] 
        Subscript[$CellContext`m, 2, 2]), 
     Rational[1, 2] (
       Rational[-1, 2] Subscript[$CellContext`f, 1, 2] 
        Subscript[$CellContext`m, 2, 1] + 
       Rational[1, 2] Subscript[$CellContext`f, 1, 1] 
        Subscript[$CellContext`m, 2, 2]) + 
     Rational[1, 2] (
       Rational[1, 2] Subscript[$CellContext`f, 1, 2] 
        Subscript[$CellContext`m, 2, 1] + 
       Rational[1, 2] Subscript[$CellContext`f, 1, 1] 
        Subscript[$CellContext`m, 2, 2]), 
     Rational[1, 2] (
       Rational[1, 2] Subscript[$CellContext`f, 1, 2] 
        Subscript[$CellContext`m, 2, 1] + 
       Rational[-1, 2] Subscript[$CellContext`f, 1, 1] 
        Subscript[$CellContext`m, 2, 2]) + 
     Rational[1, 2] (
       Rational[1, 2] Subscript[$CellContext`f, 1, 2] 
        Subscript[$CellContext`m, 2, 1] + 
       Rational[1, 2] Subscript[$CellContext`f, 1, 1] 
        Subscript[$CellContext`m, 2, 2]), 2^Rational[-1, 2] 
     Subscript[$CellContext`f, 1, 3] Subscript[$CellContext`m, 2, 1], 
     Rational[1, 2] (
       Rational[1, 2] Subscript[$CellContext`f, 1, 4] 
        Subscript[$CellContext`m, 2, 1] + 
       Rational[-1, 2] Subscript[$CellContext`f, 1, 3] 
        Subscript[$CellContext`m, 2, 2]) + 
     Rational[1, 2] (
       Rational[1, 2] Subscript[$CellContext`f, 1, 4] 
        Subscript[$CellContext`m, 2, 1] + 
       Rational[1, 2] Subscript[$CellContext`f, 1, 3] 
        Subscript[$CellContext`m, 2, 2]), 
     Rational[1, 2] (
       Rational[-1, 2] Subscript[$CellContext`f, 1, 4] 
        Subscript[$CellContext`m, 2, 1] + 
       Rational[1, 2] Subscript[$CellContext`f, 1, 3] 
        Subscript[$CellContext`m, 2, 2]) + 
     Rational[1, 2] (
       Rational[1, 2] Subscript[$CellContext`f, 1, 4] 
        Subscript[$CellContext`m, 2, 1] + 
       Rational[1, 2] Subscript[$CellContext`f, 1, 3] 
        Subscript[$CellContext`m, 2, 2]), 
     Rational[1, 2] (
       Rational[-1, 2] Subscript[$CellContext`f, 1, 4] 
        Subscript[$CellContext`m, 2, 1] + 
       Rational[1, 2] Subscript[$CellContext`f, 1, 3] 
        Subscript[$CellContext`m, 2, 2]) + 
     Rational[1, 2] (
       Rational[1, 2] Subscript[$CellContext`f, 1, 4] 
        Subscript[$CellContext`m, 2, 1] + 
       Rational[1, 2] Subscript[$CellContext`f, 1, 3] 
        Subscript[$CellContext`m, 2, 2]), 
     Rational[1, 2] (
       Rational[1, 2] Subscript[$CellContext`f, 1, 4] 
        Subscript[$CellContext`m, 2, 1] + 
       Rational[-1, 2] Subscript[$CellContext`f, 1, 3] 
        Subscript[$CellContext`m, 2, 2]) + 
     Rational[1, 2] (
       Rational[1, 2] Subscript[$CellContext`f, 1, 4] 
        Subscript[$CellContext`m, 2, 1] + 
       Rational[1, 2] Subscript[$CellContext`f, 1, 3] 
        Subscript[$CellContext`m, 2, 2]), 2^Rational[-1, 2] 
     Subscript[$CellContext`f, 1, 2] Subscript[$CellContext`m, 2, 2], 
     2^Rational[-1, 2] Subscript[$CellContext`f, 1, 4] 
     Subscript[$CellContext`m, 2, 2], 2^Rational[-1, 2] 
     Subscript[$CellContext`f, 1, 1] Subscript[$CellContext`m, 2, 3], 
     Rational[1, 2] (
       Rational[1, 2] Subscript[$CellContext`f, 1, 2] 
        Subscript[$CellContext`m, 2, 3] + 
       Rational[-1, 2] Subscript[$CellContext`f, 1, 1] 
        Subscript[$CellContext`m, 2, 4]) + 
     Rational[1, 2] (
       Rational[1, 2] Subscript[$CellContext`f, 1, 2] 
        Subscript[$CellContext`m, 2, 3] + 
       Rational[1, 2] Subscript[$CellContext`f, 1, 1] 
        Subscript[$CellContext`m, 2, 4]), 
     Rational[1, 2] (
       Rational[-1, 2] Subscript[$CellContext`f, 1, 2] 
        Subscript[$CellContext`m, 2, 3] + 
       Rational[1, 2] Subscript[$CellContext`f, 1, 1] 
        Subscript[$CellContext`m, 2, 4]) + 
     Rational[1, 2] (
       Rational[1, 2] Subscript[$CellContext`f, 1, 2] 
        Subscript[$CellContext`m, 2, 3] + 
       Rational[1, 2] Subscript[$CellContext`f, 1, 1] 
        Subscript[$CellContext`m, 2, 4]), 
     Rational[1, 2] (
       Rational[-1, 2] Subscript[$CellContext`f, 1, 2] 
        Subscript[$CellContext`m, 2, 3] + 
       Rational[1, 2] Subscript[$CellContext`f, 1, 1] 
        Subscript[$CellContext`m, 2, 4]) + 
     Rational[1, 2] (
       Rational[1, 2] Subscript[$CellContext`f, 1, 2] 
        Subscript[$CellContext`m, 2, 3] + 
       Rational[1, 2] Subscript[$CellContext`f, 1, 1] 
        Subscript[$CellContext`m, 2, 4]), 
     Rational[1, 2] (
       Rational[1, 2] Subscript[$CellContext`f, 1, 2] 
        Subscript[$CellContext`m, 2, 3] + 
       Rational[-1, 2] Subscript[$CellContext`f, 1, 1] 
        Subscript[$CellContext`m, 2, 4]) + 
     Rational[1, 2] (
       Rational[1, 2] Subscript[$CellContext`f, 1, 2] 
        Subscript[$CellContext`m, 2, 3] + 
       Rational[1, 2] Subscript[$CellContext`f, 1, 1] 
        Subscript[$CellContext`m, 2, 4]), 2^Rational[-1, 2] 
     Subscript[$CellContext`f, 1, 3] Subscript[$CellContext`m, 2, 3], 
     Rational[1, 2] (
       Rational[1, 2] Subscript[$CellContext`f, 1, 4] 
        Subscript[$CellContext`m, 2, 3] + 
       Rational[-1, 2] Subscript[$CellContext`f, 1, 3] 
        Subscript[$CellContext`m, 2, 4]) + 
     Rational[1, 2] (
       Rational[1, 2] Subscript[$CellContext`f, 1, 4] 
        Subscript[$CellContext`m, 2, 3] + 
       Rational[1, 2] Subscript[$CellContext`f, 1, 3] 
        Subscript[$CellContext`m, 2, 4]), 
     Rational[1, 2] (
       Rational[-1, 2] Subscript[$CellContext`f, 1, 4] 
        Subscript[$CellContext`m, 2, 3] + 
       Rational[1, 2] Subscript[$CellContext`f, 1, 3] 
        Subscript[$CellContext`m, 2, 4]) + 
     Rational[1, 2] (
       Rational[1, 2] Subscript[$CellContext`f, 1, 4] 
        Subscript[$CellContext`m, 2, 3] + 
       Rational[1, 2] Subscript[$CellContext`f, 1, 3] 
        Subscript[$CellContext`m, 2, 4]), 
     Rational[1, 2] (
       Rational[-1, 2] Subscript[$CellContext`f, 1, 4] 
        Subscript[$CellContext`m, 2, 3] + 
       Rational[1, 2] Subscript[$CellContext`f, 1, 3] 
        Subscript[$CellContext`m, 2, 4]) + 
     Rational[1, 2] (
       Rational[1, 2] Subscript[$CellContext`f, 1, 4] 
        Subscript[$CellContext`m, 2, 3] + 
       Rational[1, 2] Subscript[$CellContext`f, 1, 3] 
        Subscript[$CellContext`m, 2, 4]), 
     Rational[1, 2] (
       Rational[1, 2] Subscript[$CellContext`f, 1, 4] 
        Subscript[$CellContext`m, 2, 3] + 
       Rational[-1, 2] Subscript[$CellContext`f, 1, 3] 
        Subscript[$CellContext`m, 2, 4]) + 
     Rational[1, 2] (
       Rational[1, 2] Subscript[$CellContext`f, 1, 4] 
        Subscript[$CellContext`m, 2, 3] + 
       Rational[1, 2] Subscript[$CellContext`f, 1, 3] 
        Subscript[$CellContext`m, 2, 4]), 2^Rational[-1, 2] 
     Subscript[$CellContext`f, 1, 2] Subscript[$CellContext`m, 2, 4], 
     2^Rational[-1, 2] Subscript[$CellContext`f, 1, 4] 
     Subscript[$CellContext`m, 2, 4], 2^Rational[-1, 2] 
     Subscript[$CellContext`f, 2, 1] Subscript[$CellContext`m, 1, 1], 
     Rational[1, 2] (
       Rational[1, 2] Subscript[$CellContext`f, 2, 2] 
        Subscript[$CellContext`m, 1, 1] + 
       Rational[-1, 2] Subscript[$CellContext`f, 2, 1] 
        Subscript[$CellContext`m, 1, 2]) + 
     Rational[1, 2] (
       Rational[1, 2] Subscript[$CellContext`f, 2, 2] 
        Subscript[$CellContext`m, 1, 1] + 
       Rational[1, 2] Subscript[$CellContext`f, 2, 1] 
        Subscript[$CellContext`m, 1, 2]), 
     Rational[1, 2] (
       Rational[-1, 2] Subscript[$CellContext`f, 2, 2] 
        Subscript[$CellContext`m, 1, 1] + 
       Rational[1, 2] Subscript[$CellContext`f, 2, 1] 
        Subscript[$CellContext`m, 1, 2]) + 
     Rational[1, 2] (
       Rational[1, 2] Subscript[$CellContext`f, 2, 2] 
        Subscript[$CellContext`m, 1, 1] + 
       Rational[1, 2] Subscript[$CellContext`f, 2, 1] 
        Subscript[$CellContext`m, 1, 2]), 
     Rational[1, 2] (
       Rational[-1, 2] Subscript[$CellContext`f, 2, 2] 
        Subscript[$CellContext`m, 1, 1] + 
       Rational[1, 2] Subscript[$CellContext`f, 2, 1] 
        Subscript[$CellContext`m, 1, 2]) + 
     Rational[1, 2] (
       Rational[1, 2] Subscript[$CellContext`f, 2, 2] 
        Subscript[$CellContext`m, 1, 1] + 
       Rational[1, 2] Subscript[$CellContext`f, 2, 1] 
        Subscript[$CellContext`m, 1, 2]), 
     Rational[1, 2] (
       Rational[1, 2] Subscript[$CellContext`f, 2, 2] 
        Subscript[$CellContext`m, 1, 1] + 
       Rational[-1, 2] Subscript[$CellContext`f, 2, 1] 
        Subscript[$CellContext`m, 1, 2]) + 
     Rational[1, 2] (
       Rational[1, 2] Subscript[$CellContext`f, 2, 2] 
        Subscript[$CellContext`m, 1, 1] + 
       Rational[1, 2] Subscript[$CellContext`f, 2, 1] 
        Subscript[$CellContext`m, 1, 2]), 2^Rational[-1, 2] 
     Subscript[$CellContext`f, 2, 3] Subscript[$CellContext`m, 1, 1], 
     Rational[1, 2] (
       Rational[1, 2] Subscript[$CellContext`f, 2, 4] 
        Subscript[$CellContext`m, 1, 1] + 
       Rational[-1, 2] Subscript[$CellContext`f, 2, 3] 
        Subscript[$CellContext`m, 1, 2]) + 
     Rational[1, 2] (
       Rational[1, 2] Subscript[$CellContext`f, 2, 4] 
        Subscript[$CellContext`m, 1, 1] + 
       Rational[1, 2] Subscript[$CellContext`f, 2, 3] 
        Subscript[$CellContext`m, 1, 2]), 
     Rational[1, 2] (
       Rational[-1, 2] Subscript[$CellContext`f, 2, 4] 
        Subscript[$CellContext`m, 1, 1] + 
       Rational[1, 2] Subscript[$CellContext`f, 2, 3] 
        Subscript[$CellContext`m, 1, 2]) + 
     Rational[1, 2] (
       Rational[1, 2] Subscript[$CellContext`f, 2, 4] 
        Subscript[$CellContext`m, 1, 1] + 
       Rational[1, 2] Subscript[$CellContext`f, 2, 3] 
        Subscript[$CellContext`m, 1, 2]), 
     Rational[1, 2] (
       Rational[-1, 2] Subscript[$CellContext`f, 2, 4] 
        Subscript[$CellContext`m, 1, 1] + 
       Rational[1, 2] Subscript[$CellContext`f, 2, 3] 
        Subscript[$CellContext`m, 1, 2]) + 
     Rational[1, 2] (
       Rational[1, 2] Subscript[$CellContext`f, 2, 4] 
        Subscript[$CellContext`m, 1, 1] + 
       Rational[1, 2] Subscript[$CellContext`f, 2, 3] 
        Subscript[$CellContext`m, 1, 2]), 
     Rational[1, 2] (
       Rational[1, 2] Subscript[$CellContext`f, 2, 4] 
        Subscript[$CellContext`m, 1, 1] + 
       Rational[-1, 2] Subscript[$CellContext`f, 2, 3] 
        Subscript[$CellContext`m, 1, 2]) + 
     Rational[1, 2] (
       Rational[1, 2] Subscript[$CellContext`f, 2, 4] 
        Subscript[$CellContext`m, 1, 1] + 
       Rational[1, 2] Subscript[$CellContext`f, 2, 3] 
        Subscript[$CellContext`m, 1, 2]), 2^Rational[-1, 2] 
     Subscript[$CellContext`f, 2, 2] Subscript[$CellContext`m, 1, 2], 
     2^Rational[-1, 2] Subscript[$CellContext`f, 2, 4] 
     Subscript[$CellContext`m, 1, 2], 2^Rational[-1, 2] 
     Subscript[$CellContext`f, 2, 1] Subscript[$CellContext`m, 1, 3], 
     Rational[1, 2] (
       Rational[1, 2] Subscript[$CellContext`f, 2, 2] 
        Subscript[$CellContext`m, 1, 3] + 
       Rational[-1, 2] Subscript[$CellContext`f, 2, 1] 
        Subscript[$CellContext`m, 1, 4]) + 
     Rational[1, 2] (
       Rational[1, 2] Subscript[$CellContext`f, 2, 2] 
        Subscript[$CellContext`m, 1, 3] + 
       Rational[1, 2] Subscript[$CellContext`f, 2, 1] 
        Subscript[$CellContext`m, 1, 4]), 
     Rational[1, 2] (
       Rational[-1, 2] Subscript[$CellContext`f, 2, 2] 
        Subscript[$CellContext`m, 1, 3] + 
       Rational[1, 2] Subscript[$CellContext`f, 2, 1] 
        Subscript[$CellContext`m, 1, 4]) + 
     Rational[1, 2] (
       Rational[1, 2] Subscript[$CellContext`f, 2, 2] 
        Subscript[$CellContext`m, 1, 3] + 
       Rational[1, 2] Subscript[$CellContext`f, 2, 1] 
        Subscript[$CellContext`m, 1, 4]), 
     Rational[1, 2] (
       Rational[-1, 2] Subscript[$CellContext`f, 2, 2] 
        Subscript[$CellContext`m, 1, 3] + 
       Rational[1, 2] Subscript[$CellContext`f, 2, 1] 
        Subscript[$CellContext`m, 1, 4]) + 
     Rational[1, 2] (
       Rational[1, 2] Subscript[$CellContext`f, 2, 2] 
        Subscript[$CellContext`m, 1, 3] + 
       Rational[1, 2] Subscript[$CellContext`f, 2, 1] 
        Subscript[$CellContext`m, 1, 4]), 
     Rational[1, 2] (
       Rational[1, 2] Subscript[$CellContext`f, 2, 2] 
        Subscript[$CellContext`m, 1, 3] + 
       Rational[-1, 2] Subscript[$CellContext`f, 2, 1] 
        Subscript[$CellContext`m, 1, 4]) + 
     Rational[1, 2] (
       Rational[1, 2] Subscript[$CellContext`f, 2, 2] 
        Subscript[$CellContext`m, 1, 3] + 
       Rational[1, 2] Subscript[$CellContext`f, 2, 1] 
        Subscript[$CellContext`m, 1, 4]), 2^Rational[-1, 2] 
     Subscript[$CellContext`f, 2, 3] Subscript[$CellContext`m, 1, 3], 
     Rational[1, 2] (
       Rational[1, 2] Subscript[$CellContext`f, 2, 4] 
        Subscript[$CellContext`m, 1, 3] + 
       Rational[-1, 2] Subscript[$CellContext`f, 2, 3] 
        Subscript[$CellContext`m, 1, 4]) + 
     Rational[1, 2] (
       Rational[1, 2] Subscript[$CellContext`f, 2, 4] 
        Subscript[$CellContext`m, 1, 3] + 
       Rational[1, 2] Subscript[$CellContext`f, 2, 3] 
        Subscript[$CellContext`m, 1, 4]), 
     Rational[1, 2] (
       Rational[-1, 2] Subscript[$CellContext`f, 2, 4] 
        Subscript[$CellContext`m, 1, 3] + 
       Rational[1, 2] Subscript[$CellContext`f, 2, 3] 
        Subscript[$CellContext`m, 1, 4]) + 
     Rational[1, 2] (
       Rational[1, 2] Subscript[$CellContext`f, 2, 4] 
        Subscript[$CellContext`m, 1, 3] + 
       Rational[1, 2] Subscript[$CellContext`f, 2, 3] 
        Subscript[$CellContext`m, 1, 4]), 
     Rational[1, 2] (
       Rational[-1, 2] Subscript[$CellContext`f, 2, 4] 
        Subscript[$CellContext`m, 1, 3] + 
       Rational[1, 2] Subscript[$CellContext`f, 2, 3] 
        Subscript[$CellContext`m, 1, 4]) + 
     Rational[1, 2] (
       Rational[1, 2] Subscript[$CellContext`f, 2, 4] 
        Subscript[$CellContext`m, 1, 3] + 
       Rational[1, 2] Subscript[$CellContext`f, 2, 3] 
        Subscript[$CellContext`m, 1, 4]), 
     Rational[1, 2] (
       Rational[1, 2] Subscript[$CellContext`f, 2, 4] 
        Subscript[$CellContext`m, 1, 3] + 
       Rational[-1, 2] Subscript[$CellContext`f, 2, 3] 
        Subscript[$CellContext`m, 1, 4]) + 
     Rational[1, 2] (
       Rational[1, 2] Subscript[$CellContext`f, 2, 4] 
        Subscript[$CellContext`m, 1, 3] + 
       Rational[1, 2] Subscript[$CellContext`f, 2, 3] 
        Subscript[$CellContext`m, 1, 4]), 2^Rational[-1, 2] 
     Subscript[$CellContext`f, 2, 2] Subscript[$CellContext`m, 1, 4], 
     2^Rational[-1, 2] Subscript[$CellContext`f, 2, 4] 
     Subscript[$CellContext`m, 1, 4], Subscript[$CellContext`f, 2, 1] 
     Subscript[$CellContext`m, 2, 1], 
     Rational[1, 2] (
       2^Rational[-1, 2] Subscript[$CellContext`f, 2, 2] 
        Subscript[$CellContext`m, 2, 1] - 2^Rational[-1, 2] 
       Subscript[$CellContext`f, 2, 1] Subscript[$CellContext`m, 2, 2]) + 
     Rational[1, 2] (
       2^Rational[-1, 2] Subscript[$CellContext`f, 2, 2] 
        Subscript[$CellContext`m, 2, 1] + 
       2^Rational[-1, 2] Subscript[$CellContext`f, 2, 1] 
        Subscript[$CellContext`m, 2, 2]), 
     Rational[1, 2] (-2^Rational[-1, 2] Subscript[$CellContext`f, 2, 2] 
        Subscript[$CellContext`m, 2, 1] + 
       2^Rational[-1, 2] Subscript[$CellContext`f, 2, 1] 
        Subscript[$CellContext`m, 2, 2]) + 
     Rational[1, 2] (
       2^Rational[-1, 2] Subscript[$CellContext`f, 2, 2] 
        Subscript[$CellContext`m, 2, 1] + 
       2^Rational[-1, 2] Subscript[$CellContext`f, 2, 1] 
        Subscript[$CellContext`m, 2, 2]), 
     Rational[
       1, 2] (-2^Rational[-1, 2] Subscript[$CellContext`f, 2, 2] 
        Subscript[$CellContext`m, 2, 1] + 
       2^Rational[-1, 2] Subscript[$CellContext`f, 2, 1] 
        Subscript[$CellContext`m, 2, 2]) + 
     Rational[1, 2] (
       2^Rational[-1, 2] Subscript[$CellContext`f, 2, 2] 
        Subscript[$CellContext`m, 2, 1] + 
       2^Rational[-1, 2] Subscript[$CellContext`f, 2, 1] 
        Subscript[$CellContext`m, 2, 2]), 
     Rational[1, 2] (
       2^Rational[-1, 2] Subscript[$CellContext`f, 2, 2] 
        Subscript[$CellContext`m, 2, 1] - 2^Rational[-1, 2] 
       Subscript[$CellContext`f, 2, 1] Subscript[$CellContext`m, 2, 2]) + 
     Rational[1, 2] (
       2^Rational[-1, 2] Subscript[$CellContext`f, 2, 2] 
        Subscript[$CellContext`m, 2, 1] + 
       2^Rational[-1, 2] Subscript[$CellContext`f, 2, 1] 
        Subscript[$CellContext`m, 2, 2]), Subscript[$CellContext`f, 2, 3] 
     Subscript[$CellContext`m, 2, 1], 
     Rational[1, 2] (
       2^Rational[-1, 2] Subscript[$CellContext`f, 2, 4] 
        Subscript[$CellContext`m, 2, 1] - 2^Rational[-1, 2] 
       Subscript[$CellContext`f, 2, 3] Subscript[$CellContext`m, 2, 2]) + 
     Rational[1, 2] (
       2^Rational[-1, 2] Subscript[$CellContext`f, 2, 4] 
        Subscript[$CellContext`m, 2, 1] + 
       2^Rational[-1, 2] Subscript[$CellContext`f, 2, 3] 
        Subscript[$CellContext`m, 2, 2]), 
     Rational[1, 2] (-2^Rational[-1, 2] Subscript[$CellContext`f, 2, 4] 
        Subscript[$CellContext`m, 2, 1] + 
       2^Rational[-1, 2] Subscript[$CellContext`f, 2, 3] 
        Subscript[$CellContext`m, 2, 2]) + 
     Rational[1, 2] (
       2^Rational[-1, 2] Subscript[$CellContext`f, 2, 4] 
        Subscript[$CellContext`m, 2, 1] + 
       2^Rational[-1, 2] Subscript[$CellContext`f, 2, 3] 
        Subscript[$CellContext`m, 2, 2]), 
     Rational[1, 2] (-2^Rational[-1, 2] Subscript[$CellContext`f, 2, 4] 
        Subscript[$CellContext`m, 2, 1] + 
       2^Rational[-1, 2] Subscript[$CellContext`f, 2, 3] 
        Subscript[$CellContext`m, 2, 2]) + 
     Rational[1, 2] (
       2^Rational[-1, 2] Subscript[$CellContext`f, 2, 4] 
        Subscript[$CellContext`m, 2, 1] + 
       2^Rational[-1, 2] Subscript[$CellContext`f, 2, 3] 
        Subscript[$CellContext`m, 2, 2]), 
     Rational[1, 2] (
       2^Rational[-1, 2] Subscript[$CellContext`f, 2, 4] 
        Subscript[$CellContext`m, 2, 1] - 2^Rational[-1, 2] 
       Subscript[$CellContext`f, 2, 3] Subscript[$CellContext`m, 2, 2]) + 
     Rational[1, 2] (
       2^Rational[-1, 2] Subscript[$CellContext`f, 2, 4] 
        Subscript[$CellContext`m, 2, 1] + 
       2^Rational[-1, 2] Subscript[$CellContext`f, 2, 3] 
        Subscript[$CellContext`m, 2, 2]), Subscript[$CellContext`f, 2, 2] 
     Subscript[$CellContext`m, 2, 2], Subscript[$CellContext`f, 2, 4] 
     Subscript[$CellContext`m, 2, 2], Subscript[$CellContext`f, 2, 1] 
     Subscript[$CellContext`m, 2, 3], 
     Rational[1, 2] (
       2^Rational[-1, 2] Subscript[$CellContext`f, 2, 2] 
        Subscript[$CellContext`m, 2, 3] - 2^Rational[-1, 2] 
       Subscript[$CellContext`f, 2, 1] Subscript[$CellContext`m, 2, 4]) + 
     Rational[1, 2] (
       2^Rational[-1, 2] Subscript[$CellContext`f, 2, 2] 
        Subscript[$CellContext`m, 2, 3] + 
       2^Rational[-1, 2] Subscript[$CellContext`f, 2, 1] 
        Subscript[$CellContext`m, 2, 4]), 
     Rational[1, 2] (-2^Rational[-1, 2] Subscript[$CellContext`f, 2, 2] 
        Subscript[$CellContext`m, 2, 3] + 
       2^Rational[-1, 2] Subscript[$CellContext`f, 2, 1] 
        Subscript[$CellContext`m, 2, 4]) + 
     Rational[1, 2] (
       2^Rational[-1, 2] Subscript[$CellContext`f, 2, 2] 
        Subscript[$CellContext`m, 2, 3] + 
       2^Rational[-1, 2] Subscript[$CellContext`f, 2, 1] 
        Subscript[$CellContext`m, 2, 4]), 
     Rational[1, 2] (-2^Rational[-1, 2] Subscript[$CellContext`f, 2, 2] 
        Subscript[$CellContext`m, 2, 3] + 
       2^Rational[-1, 2] Subscript[$CellContext`f, 2, 1] 
        Subscript[$CellContext`m, 2, 4]) + 
     Rational[1, 2] (
       2^Rational[-1, 2] Subscript[$CellContext`f, 2, 2] 
        Subscript[$CellContext`m, 2, 3] + 
       2^Rational[-1, 2] Subscript[$CellContext`f, 2, 1] 
        Subscript[$CellContext`m, 2, 4]), 
     Rational[1, 2] (
       2^Rational[-1, 2] Subscript[$CellContext`f, 2, 2] 
        Subscript[$CellContext`m, 2, 3] - 2^Rational[-1, 2] 
       Subscript[$CellContext`f, 2, 1] Subscript[$CellContext`m, 2, 4]) + 
     Rational[1, 2] (
       2^Rational[-1, 2] Subscript[$CellContext`f, 2, 2] 
        Subscript[$CellContext`m, 2, 3] + 
       2^Rational[-1, 2] Subscript[$CellContext`f, 2, 1] 
        Subscript[$CellContext`m, 2, 4]), Subscript[$CellContext`f, 2, 3] 
     Subscript[$CellContext`m, 2, 3], 
     Rational[1, 2] (
       2^Rational[-1, 2] Subscript[$CellContext`f, 2, 4] 
        Subscript[$CellContext`m, 2, 3] - 2^Rational[-1, 2] 
       Subscript[$CellContext`f, 2, 3] Subscript[$CellContext`m, 2, 4]) + 
     Rational[1, 2] (
       2^Rational[-1, 2] Subscript[$CellContext`f, 2, 4] 
        Subscript[$CellContext`m, 2, 3] + 
       2^Rational[-1, 2] Subscript[$CellContext`f, 2, 3] 
        Subscript[$CellContext`m, 2, 4]), 
     Rational[1, 2] (-2^Rational[-1, 2] Subscript[$CellContext`f, 2, 4] 
        Subscript[$CellContext`m, 2, 3] + 
       2^Rational[-1, 2] Subscript[$CellContext`f, 2, 3] 
        Subscript[$CellContext`m, 2, 4]) + 
     Rational[1, 2] (
       2^Rational[-1, 2] Subscript[$CellContext`f, 2, 4] 
        Subscript[$CellContext`m, 2, 3] + 
       2^Rational[-1, 2] Subscript[$CellContext`f, 2, 3] 
        Subscript[$CellContext`m, 2, 4]), 
     Rational[1, 2] (-2^Rational[-1, 2] Subscript[$CellContext`f, 2, 4] 
        Subscript[$CellContext`m, 2, 3] + 
       2^Rational[-1, 2] Subscript[$CellContext`f, 2, 3] 
        Subscript[$CellContext`m, 2, 4]) + 
     Rational[1, 2] (
       2^Rational[-1, 2] Subscript[$CellContext`f, 2, 4] 
        Subscript[$CellContext`m, 2, 3] + 
       2^Rational[-1, 2] Subscript[$CellContext`f, 2, 3] 
        Subscript[$CellContext`m, 2, 4]), 
     Rational[1, 2] (
       2^Rational[-1, 2] Subscript[$CellContext`f, 2, 4] 
        Subscript[$CellContext`m, 2, 3] - 2^Rational[-1, 2] 
       Subscript[$CellContext`f, 2, 3] Subscript[$CellContext`m, 2, 4]) + 
     Rational[1, 2] (
       2^Rational[-1, 2] Subscript[$CellContext`f, 2, 4] 
        Subscript[$CellContext`m, 2, 3] + 
       2^Rational[-1, 2] Subscript[$CellContext`f, 2, 3] 
        Subscript[$CellContext`m, 2, 4]), Subscript[$CellContext`f, 2, 2] 
     Subscript[$CellContext`m, 2, 4], Subscript[$CellContext`f, 2, 4] 
     Subscript[$CellContext`m, 2, 4], 2^Rational[-1, 2] 
     Subscript[$CellContext`f, 3, 1] Subscript[$CellContext`m, 2, 1], 
     Rational[1, 2] (
       Rational[1, 2] Subscript[$CellContext`f, 3, 2] 
        Subscript[$CellContext`m, 2, 1] + 
       Rational[-1, 2] Subscript[$CellContext`f, 3, 1] 
        Subscript[$CellContext`m, 2, 2]) + 
     Rational[1, 2] (
       Rational[1, 2] Subscript[$CellContext`f, 3, 2] 
        Subscript[$CellContext`m, 2, 1] + 
       Rational[1, 2] Subscript[$CellContext`f, 3, 1] 
        Subscript[$CellContext`m, 2, 2]), 
     Rational[1, 2] (
       Rational[-1, 2] Subscript[$CellContext`f, 3, 2] 
        Subscript[$CellContext`m, 2, 1] + 
       Rational[1, 2] Subscript[$CellContext`f, 3, 1] 
        Subscript[$CellContext`m, 2, 2]) + 
     Rational[1, 2] (
       Rational[1, 2] Subscript[$CellContext`f, 3, 2] 
        Subscript[$CellContext`m, 2, 1] + 
       Rational[1, 2] Subscript[$CellContext`f, 3, 1] 
        Subscript[$CellContext`m, 2, 2]), 
     Rational[1, 2] (
       Rational[-1, 2] Subscript[$CellContext`f, 3, 2] 
        Subscript[$CellContext`m, 2, 1] + 
       Rational[1, 2] Subscript[$CellContext`f, 3, 1] 
        Subscript[$CellContext`m, 2, 2]) + 
     Rational[1, 2] (
       Rational[1, 2] Subscript[$CellContext`f, 3, 2] 
        Subscript[$CellContext`m, 2, 1] + 
       Rational[1, 2] Subscript[$CellContext`f, 3, 1] 
        Subscript[$CellContext`m, 2, 2]), 
     Rational[1, 2] (
       Rational[1, 2] Subscript[$CellContext`f, 3, 2] 
        Subscript[$CellContext`m, 2, 1] + 
       Rational[-1, 2] Subscript[$CellContext`f, 3, 1] 
        Subscript[$CellContext`m, 2, 2]) + 
     Rational[1, 2] (
       Rational[1, 2] Subscript[$CellContext`f, 3, 2] 
        Subscript[$CellContext`m, 2, 1] + 
       Rational[1, 2] Subscript[$CellContext`f, 3, 1] 
        Subscript[$CellContext`m, 2, 2]), 2^Rational[-1, 2] 
     Subscript[$CellContext`f, 3, 3] Subscript[$CellContext`m, 2, 1], 
     Rational[1, 2] (
       Rational[1, 2] Subscript[$CellContext`f, 3, 4] 
        Subscript[$CellContext`m, 2, 1] + 
       Rational[-1, 2] Subscript[$CellContext`f, 3, 3] 
        Subscript[$CellContext`m, 2, 2]) + 
     Rational[1, 2] (
       Rational[1, 2] Subscript[$CellContext`f, 3, 4] 
        Subscript[$CellContext`m, 2, 1] + 
       Rational[1, 2] Subscript[$CellContext`f, 3, 3] 
        Subscript[$CellContext`m, 2, 2]), 
     Rational[1, 2] (
       Rational[-1, 2] Subscript[$CellContext`f, 3, 4] 
        Subscript[$CellContext`m, 2, 1] + 
       Rational[1, 2] Subscript[$CellContext`f, 3, 3] 
        Subscript[$CellContext`m, 2, 2]) + 
     Rational[1, 2] (
       Rational[1, 2] Subscript[$CellContext`f, 3, 4] 
        Subscript[$CellContext`m, 2, 1] + 
       Rational[1, 2] Subscript[$CellContext`f, 3, 3] 
        Subscript[$CellContext`m, 2, 2]), 
     Rational[1, 2] (
       Rational[-1, 2] Subscript[$CellContext`f, 3, 4] 
        Subscript[$CellContext`m, 2, 1] + 
       Rational[1, 2] Subscript[$CellContext`f, 3, 3] 
        Subscript[$CellContext`m, 2, 2]) + 
     Rational[1, 2] (
       Rational[1, 2] Subscript[$CellContext`f, 3, 4] 
        Subscript[$CellContext`m, 2, 1] + 
       Rational[1, 2] Subscript[$CellContext`f, 3, 3] 
        Subscript[$CellContext`m, 2, 2]), 
     Rational[1, 2] (
       Rational[1, 2] Subscript[$CellContext`f, 3, 4] 
        Subscript[$CellContext`m, 2, 1] + 
       Rational[-1, 2] Subscript[$CellContext`f, 3, 3] 
        Subscript[$CellContext`m, 2, 2]) + 
     Rational[1, 2] (
       Rational[1, 2] Subscript[$CellContext`f, 3, 4] 
        Subscript[$CellContext`m, 2, 1] + 
       Rational[1, 2] Subscript[$CellContext`f, 3, 3] 
        Subscript[$CellContext`m, 2, 2]), 2^Rational[-1, 2] 
     Subscript[$CellContext`f, 3, 2] Subscript[$CellContext`m, 2, 2], 
     2^Rational[-1, 2] Subscript[$CellContext`f, 3, 4] 
     Subscript[$CellContext`m, 2, 2], 2^Rational[-1, 2] 
     Subscript[$CellContext`f, 3, 1] Subscript[$CellContext`m, 2, 3], 
     Rational[1, 2] (
       Rational[1, 2] Subscript[$CellContext`f, 3, 2] 
        Subscript[$CellContext`m, 2, 3] + 
       Rational[-1, 2] Subscript[$CellContext`f, 3, 1] 
        Subscript[$CellContext`m, 2, 4]) + 
     Rational[1, 2] (
       Rational[1, 2] Subscript[$CellContext`f, 3, 2] 
        Subscript[$CellContext`m, 2, 3] + 
       Rational[1, 2] Subscript[$CellContext`f, 3, 1] 
        Subscript[$CellContext`m, 2, 4]), 
     Rational[1, 2] (
       Rational[-1, 2] Subscript[$CellContext`f, 3, 2] 
        Subscript[$CellContext`m, 2, 3] + 
       Rational[1, 2] Subscript[$CellContext`f, 3, 1] 
        Subscript[$CellContext`m, 2, 4]) + 
     Rational[1, 2] (
       Rational[1, 2] Subscript[$CellContext`f, 3, 2] 
        Subscript[$CellContext`m, 2, 3] + 
       Rational[1, 2] Subscript[$CellContext`f, 3, 1] 
        Subscript[$CellContext`m, 2, 4]), 
     Rational[1, 2] (
       Rational[-1, 2] Subscript[$CellContext`f, 3, 2] 
        Subscript[$CellContext`m, 2, 3] + 
       Rational[1, 2] Subscript[$CellContext`f, 3, 1] 
        Subscript[$CellContext`m, 2, 4]) + 
     Rational[1, 2] (
       Rational[1, 2] Subscript[$CellContext`f, 3, 2] 
        Subscript[$CellContext`m, 2, 3] + 
       Rational[1, 2] Subscript[$CellContext`f, 3, 1] 
        Subscript[$CellContext`m, 2, 4]), 
     Rational[1, 2] (
       Rational[1, 2] Subscript[$CellContext`f, 3, 2] 
        Subscript[$CellContext`m, 2, 3] + 
       Rational[-1, 2] Subscript[$CellContext`f, 3, 1] 
        Subscript[$CellContext`m, 2, 4]) + 
     Rational[1, 2] (
       Rational[1, 2] Subscript[$CellContext`f, 3, 2] 
        Subscript[$CellContext`m, 2, 3] + 
       Rational[1, 2] Subscript[$CellContext`f, 3, 1] 
        Subscript[$CellContext`m, 2, 4]), 2^Rational[-1, 2] 
     Subscript[$CellContext`f, 3, 3] Subscript[$CellContext`m, 2, 3], 
     Rational[1, 2] (
       Rational[1, 2] Subscript[$CellContext`f, 3, 4] 
        Subscript[$CellContext`m, 2, 3] + 
       Rational[-1, 2] Subscript[$CellContext`f, 3, 3] 
        Subscript[$CellContext`m, 2, 4]) + 
     Rational[1, 2] (
       Rational[1, 2] Subscript[$CellContext`f, 3, 4] 
        Subscript[$CellContext`m, 2, 3] + 
       Rational[1, 2] Subscript[$CellContext`f, 3, 3] 
        Subscript[$CellContext`m, 2, 4]), 
     Rational[1, 2] (
       Rational[-1, 2] Subscript[$CellContext`f, 3, 4] 
        Subscript[$CellContext`m, 2, 3] + 
       Rational[1, 2] Subscript[$CellContext`f, 3, 3] 
        Subscript[$CellContext`m, 2, 4]) + 
     Rational[1, 2] (
       Rational[1, 2] Subscript[$CellContext`f, 3, 4] 
        Subscript[$CellContext`m, 2, 3] + 
       Rational[1, 2] Subscript[$CellContext`f, 3, 3] 
        Subscript[$CellContext`m, 2, 4]), 
     Rational[1, 2] (
       Rational[-1, 2] Subscript[$CellContext`f, 3, 4] 
        Subscript[$CellContext`m, 2, 3] + 
       Rational[1, 2] Subscript[$CellContext`f, 3, 3] 
        Subscript[$CellContext`m, 2, 4]) + 
     Rational[1, 2] (
       Rational[1, 2] Subscript[$CellContext`f, 3, 4] 
        Subscript[$CellContext`m, 2, 3] + 
       Rational[1, 2] Subscript[$CellContext`f, 3, 3] 
        Subscript[$CellContext`m, 2, 4]), 
     Rational[1, 2] (
       Rational[1, 2] Subscript[$CellContext`f, 3, 4] 
        Subscript[$CellContext`m, 2, 3] + 
       Rational[-1, 2] Subscript[$CellContext`f, 3, 3] 
        Subscript[$CellContext`m, 2, 4]) + 
     Rational[1, 2] (
       Rational[1, 2] Subscript[$CellContext`f, 3, 4] 
        Subscript[$CellContext`m, 2, 3] + 
       Rational[1, 2] Subscript[$CellContext`f, 3, 3] 
        Subscript[$CellContext`m, 2, 4]), 2^Rational[-1, 2] 
     Subscript[$CellContext`f, 3, 2] Subscript[$CellContext`m, 2, 4], 
     2^Rational[-1, 2] Subscript[$CellContext`f, 3, 4] 
     Subscript[$CellContext`m, 2, 4], 2^Rational[-1, 2] 
     Subscript[$CellContext`f, 4, 1] Subscript[$CellContext`m, 1, 1], 
     Rational[1, 2] (
       Rational[1, 2] Subscript[$CellContext`f, 4, 2] 
        Subscript[$CellContext`m, 1, 1] + 
       Rational[-1, 2] Subscript[$CellContext`f, 4, 1] 
        Subscript[$CellContext`m, 1, 2]) + 
     Rational[1, 2] (
       Rational[1, 2] Subscript[$CellContext`f, 4, 2] 
        Subscript[$CellContext`m, 1, 1] + 
       Rational[1, 2] Subscript[$CellContext`f, 4, 1] 
        Subscript[$CellContext`m, 1, 2]), 
     Rational[1, 2] (
       Rational[-1, 2] Subscript[$CellContext`f, 4, 2] 
        Subscript[$CellContext`m, 1, 1] + 
       Rational[1, 2] Subscript[$CellContext`f, 4, 1] 
        Subscript[$CellContext`m, 1, 2]) + 
     Rational[1, 2] (
       Rational[1, 2] Subscript[$CellContext`f, 4, 2] 
        Subscript[$CellContext`m, 1, 1] + 
       Rational[1, 2] Subscript[$CellContext`f, 4, 1] 
        Subscript[$CellContext`m, 1, 2]), 
     Rational[1, 2] (
       Rational[-1, 2] Subscript[$CellContext`f, 4, 2] 
        Subscript[$CellContext`m, 1, 1] + 
       Rational[1, 2] Subscript[$CellContext`f, 4, 1] 
        Subscript[$CellContext`m, 1, 2]) + 
     Rational[1, 2] (
       Rational[1, 2] Subscript[$CellContext`f, 4, 2] 
        Subscript[$CellContext`m, 1, 1] + 
       Rational[1, 2] Subscript[$CellContext`f, 4, 1] 
        Subscript[$CellContext`m, 1, 2]), 
     Rational[1, 2] (
       Rational[1, 2] Subscript[$CellContext`f, 4, 2] 
        Subscript[$CellContext`m, 1, 1] + 
       Rational[-1, 2] Subscript[$CellContext`f, 4, 1] 
        Subscript[$CellContext`m, 1, 2]) + 
     Rational[1, 2] (
       Rational[1, 2] Subscript[$CellContext`f, 4, 2] 
        Subscript[$CellContext`m, 1, 1] + 
       Rational[1, 2] Subscript[$CellContext`f, 4, 1] 
        Subscript[$CellContext`m, 1, 2]), 2^Rational[-1, 2] 
     Subscript[$CellContext`f, 4, 3] Subscript[$CellContext`m, 1, 1], 
     Rational[1, 2] (
       Rational[1, 2] Subscript[$CellContext`f, 4, 4] 
        Subscript[$CellContext`m, 1, 1] + 
       Rational[-1, 2] Subscript[$CellContext`f, 4, 3] 
        Subscript[$CellContext`m, 1, 2]) + 
     Rational[1, 2] (
       Rational[1, 2] Subscript[$CellContext`f, 4, 4] 
        Subscript[$CellContext`m, 1, 1] + 
       Rational[1, 2] Subscript[$CellContext`f, 4, 3] 
        Subscript[$CellContext`m, 1, 2]), 
     Rational[1, 2] (
       Rational[-1, 2] Subscript[$CellContext`f, 4, 4] 
        Subscript[$CellContext`m, 1, 1] + 
       Rational[1, 2] Subscript[$CellContext`f, 4, 3] 
        Subscript[$CellContext`m, 1, 2]) + 
     Rational[1, 2] (
       Rational[1, 2] Subscript[$CellContext`f, 4, 4] 
        Subscript[$CellContext`m, 1, 1] + 
       Rational[1, 2] Subscript[$CellContext`f, 4, 3] 
        Subscript[$CellContext`m, 1, 2]), 
     Rational[1, 2] (
       Rational[-1, 2] Subscript[$CellContext`f, 4, 4] 
        Subscript[$CellContext`m, 1, 1] + 
       Rational[1, 2] Subscript[$CellContext`f, 4, 3] 
        Subscript[$CellContext`m, 1, 2]) + 
     Rational[1, 2] (
       Rational[1, 2] Subscript[$CellContext`f, 4, 4] 
        Subscript[$CellContext`m, 1, 1] + 
       Rational[1, 2] Subscript[$CellContext`f, 4, 3] 
        Subscript[$CellContext`m, 1, 2]), 
     Rational[1, 2] (
       Rational[1, 2] Subscript[$CellContext`f, 4, 4] 
        Subscript[$CellContext`m, 1, 1] + 
       Rational[-1, 2] Subscript[$CellContext`f, 4, 3] 
        Subscript[$CellContext`m, 1, 2]) + 
     Rational[1, 2] (
       Rational[1, 2] Subscript[$CellContext`f, 4, 4] 
        Subscript[$CellContext`m, 1, 1] + 
       Rational[1, 2] Subscript[$CellContext`f, 4, 3] 
        Subscript[$CellContext`m, 1, 2]), 2^Rational[-1, 2] 
     Subscript[$CellContext`f, 4, 2] Subscript[$CellContext`m, 1, 2], 
     2^Rational[-1, 2] Subscript[$CellContext`f, 4, 4] 
     Subscript[$CellContext`m, 1, 2], 2^Rational[-1, 2] 
     Subscript[$CellContext`f, 4, 1] Subscript[$CellContext`m, 1, 3], 
     Rational[1, 2] (
       Rational[1, 2] Subscript[$CellContext`f, 4, 2] 
        Subscript[$CellContext`m, 1, 3] + 
       Rational[-1, 2] Subscript[$CellContext`f, 4, 1] 
        Subscript[$CellContext`m, 1, 4]) + 
     Rational[1, 2] (
       Rational[1, 2] Subscript[$CellContext`f, 4, 2] 
        Subscript[$CellContext`m, 1, 3] + 
       Rational[1, 2] Subscript[$CellContext`f, 4, 1] 
        Subscript[$CellContext`m, 1, 4]), 
     Rational[1, 2] (
       Rational[-1, 2] Subscript[$CellContext`f, 4, 2] 
        Subscript[$CellContext`m, 1, 3] + 
       Rational[1, 2] Subscript[$CellContext`f, 4, 1] 
        Subscript[$CellContext`m, 1, 4]) + 
     Rational[1, 2] (
       Rational[1, 2] Subscript[$CellContext`f, 4, 2] 
        Subscript[$CellContext`m, 1, 3] + 
       Rational[1, 2] Subscript[$CellContext`f, 4, 1] 
        Subscript[$CellContext`m, 1, 4]), 
     Rational[1, 2] (
       Rational[-1, 2] Subscript[$CellContext`f, 4, 2] 
        Subscript[$CellContext`m, 1, 3] + 
       Rational[1, 2] Subscript[$CellContext`f, 4, 1] 
        Subscript[$CellContext`m, 1, 4]) + 
     Rational[1, 2] (
       Rational[1, 2] Subscript[$CellContext`f, 4, 2] 
        Subscript[$CellContext`m, 1, 3] + 
       Rational[1, 2] Subscript[$CellContext`f, 4, 1] 
        Subscript[$CellContext`m, 1, 4]), 
     Rational[1, 2] (
       Rational[1, 2] Subscript[$CellContext`f, 4, 2] 
        Subscript[$CellContext`m, 1, 3] + 
       Rational[-1, 2] Subscript[$CellContext`f, 4, 1] 
        Subscript[$CellContext`m, 1, 4]) + 
     Rational[1, 2] (
       Rational[1, 2] Subscript[$CellContext`f, 4, 2] 
        Subscript[$CellContext`m, 1, 3] + 
       Rational[1, 2] Subscript[$CellContext`f, 4, 1] 
        Subscript[$CellContext`m, 1, 4]), 2^Rational[-1, 2] 
     Subscript[$CellContext`f, 4, 3] Subscript[$CellContext`m, 1, 3], 
     Rational[1, 2] (
       Rational[1, 2] Subscript[$CellContext`f, 4, 4] 
        Subscript[$CellContext`m, 1, 3] + 
       Rational[-1, 2] Subscript[$CellContext`f, 4, 3] 
        Subscript[$CellContext`m, 1, 4]) + 
     Rational[1, 2] (
       Rational[1, 2] Subscript[$CellContext`f, 4, 4] 
        Subscript[$CellContext`m, 1, 3] + 
       Rational[1, 2] Subscript[$CellContext`f, 4, 3] 
        Subscript[$CellContext`m, 1, 4]), 
     Rational[1, 2] (
       Rational[-1, 2] Subscript[$CellContext`f, 4, 4] 
        Subscript[$CellContext`m, 1, 3] + 
       Rational[1, 2] Subscript[$CellContext`f, 4, 3] 
        Subscript[$CellContext`m, 1, 4]) + 
     Rational[1, 2] (
       Rational[1, 2] Subscript[$CellContext`f, 4, 4] 
        Subscript[$CellContext`m, 1, 3] + 
       Rational[1, 2] Subscript[$CellContext`f, 4, 3] 
        Subscript[$CellContext`m, 1, 4]), 
     Rational[1, 2] (
       Rational[-1, 2] Subscript[$CellContext`f, 4, 4] 
        Subscript[$CellContext`m, 1, 3] + 
       Rational[1, 2] Subscript[$CellContext`f, 4, 3] 
        Subscript[$CellContext`m, 1, 4]) + 
     Rational[1, 2] (
       Rational[1, 2] Subscript[$CellContext`f, 4, 4] 
        Subscript[$CellContext`m, 1, 3] + 
       Rational[1, 2] Subscript[$CellContext`f, 4, 3] 
        Subscript[$CellContext`m, 1, 4]), 
     Rational[1, 2] (
       Rational[1, 2] Subscript[$CellContext`f, 4, 4] 
        Subscript[$CellContext`m, 1, 3] + 
       Rational[-1, 2] Subscript[$CellContext`f, 4, 3] 
        Subscript[$CellContext`m, 1, 4]) + 
     Rational[1, 2] (
       Rational[1, 2] Subscript[$CellContext`f, 4, 4] 
        Subscript[$CellContext`m, 1, 3] + 
       Rational[1, 2] Subscript[$CellContext`f, 4, 3] 
        Subscript[$CellContext`m, 1, 4]), 2^Rational[-1, 2] 
     Subscript[$CellContext`f, 4, 2] Subscript[$CellContext`m, 1, 4], 
     2^Rational[-1, 2] Subscript[$CellContext`f, 4, 4] 
     Subscript[$CellContext`m, 1, 4], Subscript[$CellContext`f, 4, 1] 
     Subscript[$CellContext`m, 2, 1], 
     Rational[1, 2] (
       2^Rational[-1, 2] Subscript[$CellContext`f, 4, 2] 
        Subscript[$CellContext`m, 2, 1] - 2^Rational[-1, 2] 
       Subscript[$CellContext`f, 4, 1] Subscript[$CellContext`m, 2, 2]) + 
     Rational[1, 2] (
       2^Rational[-1, 2] Subscript[$CellContext`f, 4, 2] 
        Subscript[$CellContext`m, 2, 1] + 
       2^Rational[-1, 2] Subscript[$CellContext`f, 4, 1] 
        Subscript[$CellContext`m, 2, 2]), 
     Rational[1, 2] (-2^Rational[-1, 2] Subscript[$CellContext`f, 4, 2] 
        Subscript[$CellContext`m, 2, 1] + 
       2^Rational[-1, 2] Subscript[$CellContext`f, 4, 1] 
        Subscript[$CellContext`m, 2, 2]) + 
     Rational[1, 2] (
       2^Rational[-1, 2] Subscript[$CellContext`f, 4, 2] 
        Subscript[$CellContext`m, 2, 1] + 
       2^Rational[-1, 2] Subscript[$CellContext`f, 4, 1] 
        Subscript[$CellContext`m, 2, 2]), 
     Rational[1, 2] (-2^Rational[-1, 2] Subscript[$CellContext`f, 4, 2] 
        Subscript[$CellContext`m, 2, 1] + 
       2^Rational[-1, 2] Subscript[$CellContext`f, 4, 1] 
        Subscript[$CellContext`m, 2, 2]) + 
     Rational[1, 2] (
       2^Rational[-1, 2] Subscript[$CellContext`f, 4, 2] 
        Subscript[$CellContext`m, 2, 1] + 
       2^Rational[-1, 2] Subscript[$CellContext`f, 4, 1] 
        Subscript[$CellContext`m, 2, 2]), 
     Rational[1, 2] (
       2^Rational[-1, 2] Subscript[$CellContext`f, 4, 2] 
        Subscript[$CellContext`m, 2, 1] - 2^Rational[-1, 2] 
       Subscript[$CellContext`f, 4, 1] Subscript[$CellContext`m, 2, 2]) + 
     Rational[1, 2] (
       2^Rational[-1, 2] Subscript[$CellContext`f, 4, 2] 
        Subscript[$CellContext`m, 2, 1] + 
       2^Rational[-1, 2] Subscript[$CellContext`f, 4, 1] 
        Subscript[$CellContext`m, 2, 2]), Subscript[$CellContext`f, 4, 3] 
     Subscript[$CellContext`m, 2, 1], 
     Rational[1, 2] (
       2^Rational[-1, 2] Subscript[$CellContext`f, 4, 4] 
        Subscript[$CellContext`m, 2, 1] - 2^Rational[-1, 2] 
       Subscript[$CellContext`f, 4, 3] Subscript[$CellContext`m, 2, 2]) + 
     Rational[1, 2] (
       2^Rational[-1, 2] Subscript[$CellContext`f, 4, 4] 
        Subscript[$CellContext`m, 2, 1] + 
       2^Rational[-1, 2] Subscript[$CellContext`f, 4, 3] 
        Subscript[$CellContext`m, 2, 2]), 
     Rational[1, 2] (-2^Rational[-1, 2] Subscript[$CellContext`f, 4, 4] 
        Subscript[$CellContext`m, 2, 1] + 
       2^Rational[-1, 2] Subscript[$CellContext`f, 4, 3] 
        Subscript[$CellContext`m, 2, 2]) + 
     Rational[1, 2] (
       2^Rational[-1, 2] Subscript[$CellContext`f, 4, 4] 
        Subscript[$CellContext`m, 2, 1] + 
       2^Rational[-1, 2] Subscript[$CellContext`f, 4, 3] 
        Subscript[$CellContext`m, 2, 2]), 
     Rational[1, 2] (-2^Rational[-1, 2] Subscript[$CellContext`f, 4, 4] 
        Subscript[$CellContext`m, 2, 1] + 
       2^Rational[-1, 2] Subscript[$CellContext`f, 4, 3] 
        Subscript[$CellContext`m, 2, 2]) + 
     Rational[1, 2] (
       2^Rational[-1, 2] Subscript[$CellContext`f, 4, 4] 
        Subscript[$CellContext`m, 2, 1] + 
       2^Rational[-1, 2] Subscript[$CellContext`f, 4, 3] 
        Subscript[$CellContext`m, 2, 2]), 
     Rational[1, 2] (
       2^Rational[-1, 2] Subscript[$CellContext`f, 4, 4] 
        Subscript[$CellContext`m, 2, 1] - 2^Rational[-1, 2] 
       Subscript[$CellContext`f, 4, 3] Subscript[$CellContext`m, 2, 2]) + 
     Rational[1, 2] (
       2^Rational[-1, 2] Subscript[$CellContext`f, 4, 4] 
        Subscript[$CellContext`m, 2, 1] + 
       2^Rational[-1, 2] Subscript[$CellContext`f, 4, 3] 
        Subscript[$CellContext`m, 2, 2]), Subscript[$CellContext`f, 4, 2] 
     Subscript[$CellContext`m, 2, 2], Subscript[$CellContext`f, 4, 4] 
     Subscript[$CellContext`m, 2, 2], Subscript[$CellContext`f, 4, 1] 
     Subscript[$CellContext`m, 2, 3], 
     Rational[1, 2] (
       2^Rational[-1, 2] Subscript[$CellContext`f, 4, 2] 
        Subscript[$CellContext`m, 2, 3] - 2^Rational[-1, 2] 
       Subscript[$CellContext`f, 4, 1] Subscript[$CellContext`m, 2, 4]) + 
     Rational[1, 2] (
       2^Rational[-1, 2] Subscript[$CellContext`f, 4, 2] 
        Subscript[$CellContext`m, 2, 3] + 
       2^Rational[-1, 2] Subscript[$CellContext`f, 4, 1] 
        Subscript[$CellContext`m, 2, 4]), 
     Rational[1, 2] (-2^Rational[-1, 2] Subscript[$CellContext`f, 4, 2] 
        Subscript[$CellContext`m, 2, 3] + 
       2^Rational[-1, 2] Subscript[$CellContext`f, 4, 1] 
        Subscript[$CellContext`m, 2, 4]) + 
     Rational[1, 2] (
       2^Rational[-1, 2] Subscript[$CellContext`f, 4, 2] 
        Subscript[$CellContext`m, 2, 3] + 
       2^Rational[-1, 2] Subscript[$CellContext`f, 4, 1] 
        Subscript[$CellContext`m, 2, 4]), 
     Rational[1, 2] (-2^Rational[-1, 2] Subscript[$CellContext`f, 4, 2] 
        Subscript[$CellContext`m, 2, 3] + 
       2^Rational[-1, 2] Subscript[$CellContext`f, 4, 1] 
        Subscript[$CellContext`m, 2, 4]) + 
     Rational[1, 2] (
       2^Rational[-1, 2] Subscript[$CellContext`f, 4, 2] 
        Subscript[$CellContext`m, 2, 3] + 
       2^Rational[-1, 2] Subscript[$CellContext`f, 4, 1] 
        Subscript[$CellContext`m, 2, 4]), 
     Rational[1, 2] (
       2^Rational[-1, 2] Subscript[$CellContext`f, 4, 2] 
        Subscript[$CellContext`m, 2, 3] - 2^Rational[-1, 2] 
       Subscript[$CellContext`f, 4, 1] Subscript[$CellContext`m, 2, 4]) + 
     Rational[1, 2] (
       2^Rational[-1, 2] Subscript[$CellContext`f, 4, 2] 
        Subscript[$CellContext`m, 2, 3] + 
       2^Rational[-1, 2] Subscript[$CellContext`f, 4, 1] 
        Subscript[$CellContext`m, 2, 4]), Subscript[$CellContext`f, 4, 3] 
     Subscript[$CellContext`m, 2, 3], 
     Rational[1, 2] (
       2^Rational[-1, 2] Subscript[$CellContext`f, 4, 4] 
        Subscript[$CellContext`m, 2, 3] - 2^Rational[-1, 2] 
       Subscript[$CellContext`f, 4, 3] Subscript[$CellContext`m, 2, 4]) + 
     Rational[1, 2] (
       2^Rational[-1, 2] Subscript[$CellContext`f, 4, 4] 
        Subscript[$CellContext`m, 2, 3] + 
       2^Rational[-1, 2] Subscript[$CellContext`f, 4, 3] 
        Subscript[$CellContext`m, 2, 4]), 
     Rational[1, 2] (-2^Rational[-1, 2] Subscript[$CellContext`f, 4, 4] 
        Subscript[$CellContext`m, 2, 3] + 
       2^Rational[-1, 2] Subscript[$CellContext`f, 4, 3] 
        Subscript[$CellContext`m, 2, 4]) + 
     Rational[1, 2] (
       2^Rational[-1, 2] Subscript[$CellContext`f, 4, 4] 
        Subscript[$CellContext`m, 2, 3] + 
       2^Rational[-1, 2] Subscript[$CellContext`f, 4, 3] 
        Subscript[$CellContext`m, 2, 4]), 
     Rational[1, 2] (-2^Rational[-1, 2] Subscript[$CellContext`f, 4, 4] 
        Subscript[$CellContext`m, 2, 3] + 
       2^Rational[-1, 2] Subscript[$CellContext`f, 4, 3] 
        Subscript[$CellContext`m, 2, 4]) + 
     Rational[1, 2] (
       2^Rational[-1, 2] Subscript[$CellContext`f, 4, 4] 
        Subscript[$CellContext`m, 2, 3] + 
       2^Rational[-1, 2] Subscript[$CellContext`f, 4, 3] 
        Subscript[$CellContext`m, 2, 4]), 
     Rational[1, 2] (
       2^Rational[-1, 2] Subscript[$CellContext`f, 4, 4] 
        Subscript[$CellContext`m, 2, 3] - 2^Rational[-1, 2] 
       Subscript[$CellContext`f, 4, 3] Subscript[$CellContext`m, 2, 4]) + 
     Rational[1, 2] (
       2^Rational[-1, 2] Subscript[$CellContext`f, 4, 4] 
        Subscript[$CellContext`m, 2, 3] + 
       2^Rational[-1, 2] Subscript[$CellContext`f, 4, 3] 
        Subscript[$CellContext`m, 2, 4]), Subscript[$CellContext`f, 4, 2] 
     Subscript[$CellContext`m, 2, 4], Subscript[$CellContext`f, 4, 4] 
     Subscript[$CellContext`m, 2, 4], Subscript[$CellContext`f, 1, 1] 
     Subscript[$CellContext`m, 3, 1], 
     Rational[1, 2] (
       2^Rational[-1, 2] Subscript[$CellContext`f, 1, 2] 
        Subscript[$CellContext`m, 3, 1] - 2^Rational[-1, 2] 
       Subscript[$CellContext`f, 1, 1] Subscript[$CellContext`m, 3, 2]) + 
     Rational[1, 2] (
       2^Rational[-1, 2] Subscript[$CellContext`f, 1, 2] 
        Subscript[$CellContext`m, 3, 1] + 
       2^Rational[-1, 2] Subscript[$CellContext`f, 1, 1] 
        Subscript[$CellContext`m, 3, 2]), 
     Rational[1, 2] (-2^Rational[-1, 2] Subscript[$CellContext`f, 1, 2] 
        Subscript[$CellContext`m, 3, 1] + 
       2^Rational[-1, 2] Subscript[$CellContext`f, 1, 1] 
        Subscript[$CellContext`m, 3, 2]) + 
     Rational[1, 2] (
       2^Rational[-1, 2] Subscript[$CellContext`f, 1, 2] 
        Subscript[$CellContext`m, 3, 1] + 
       2^Rational[-1, 2] Subscript[$CellContext`f, 1, 1] 
        Subscript[$CellContext`m, 3, 2]), 
     Rational[1, 2] (-2^Rational[-1, 2] Subscript[$CellContext`f, 1, 2] 
        Subscript[$CellContext`m, 3, 1] + 
       2^Rational[-1, 2] Subscript[$CellContext`f, 1, 1] 
        Subscript[$CellContext`m, 3, 2]) + 
     Rational[1, 2] (
       2^Rational[-1, 2] Subscript[$CellContext`f, 1, 2] 
        Subscript[$CellContext`m, 3, 1] + 
       2^Rational[-1, 2] Subscript[$CellContext`f, 1, 1] 
        Subscript[$CellContext`m, 3, 2]), 
     Rational[1, 2] (
       2^Rational[-1, 2] Subscript[$CellContext`f, 1, 2] 
        Subscript[$CellContext`m, 3, 1] - 2^Rational[-1, 2] 
       Subscript[$CellContext`f, 1, 1] Subscript[$CellContext`m, 3, 2]) + 
     Rational[1, 2] (
       2^Rational[-1, 2] Subscript[$CellContext`f, 1, 2] 
        Subscript[$CellContext`m, 3, 1] + 
       2^Rational[-1, 2] Subscript[$CellContext`f, 1, 1] 
        Subscript[$CellContext`m, 3, 2]), Subscript[$CellContext`f, 1, 3] 
     Subscript[$CellContext`m, 3, 1], 
     Rational[1, 2] (
       2^Rational[-1, 2] Subscript[$CellContext`f, 1, 4] 
        Subscript[$CellContext`m, 3, 1] - 2^Rational[-1, 2] 
       Subscript[$CellContext`f, 1, 3] Subscript[$CellContext`m, 3, 2]) + 
     Rational[1, 2] (
       2^Rational[-1, 2] Subscript[$CellContext`f, 1, 4] 
        Subscript[$CellContext`m, 3, 1] + 
       2^Rational[-1, 2] Subscript[$CellContext`f, 1, 3] 
        Subscript[$CellContext`m, 3, 2]), 
     Rational[1, 2] (-2^Rational[-1, 2] Subscript[$CellContext`f, 1, 4] 
        Subscript[$CellContext`m, 3, 1] + 
       2^Rational[-1, 2] Subscript[$CellContext`f, 1, 3] 
        Subscript[$CellContext`m, 3, 2]) + 
     Rational[1, 2] (
       2^Rational[-1, 2] Subscript[$CellContext`f, 1, 4] 
        Subscript[$CellContext`m, 3, 1] + 
       2^Rational[-1, 2] Subscript[$CellContext`f, 1, 3] 
        Subscript[$CellContext`m, 3, 2]), 
     Rational[1, 2] (-2^Rational[-1, 2] Subscript[$CellContext`f, 1, 4] 
        Subscript[$CellContext`m, 3, 1] + 
       2^Rational[-1, 2] Subscript[$CellContext`f, 1, 3] 
        Subscript[$CellContext`m, 3, 2]) + 
     Rational[1, 2] (
       2^Rational[-1, 2] Subscript[$CellContext`f, 1, 4] 
        Subscript[$CellContext`m, 3, 1] + 
       2^Rational[-1, 2] Subscript[$CellContext`f, 1, 3] 
        Subscript[$CellContext`m, 3, 2]), 
     Rational[1, 2] (
       2^Rational[-1, 2] Subscript[$CellContext`f, 1, 4] 
        Subscript[$CellContext`m, 3, 1] - 2^Rational[-1, 2] 
       Subscript[$CellContext`f, 1, 3] Subscript[$CellContext`m, 3, 2]) + 
     Rational[1, 2] (
       2^Rational[-1, 2] Subscript[$CellContext`f, 1, 4] 
        Subscript[$CellContext`m, 3, 1] + 
       2^Rational[-1, 2] Subscript[$CellContext`f, 1, 3] 
        Subscript[$CellContext`m, 3, 2]), Subscript[$CellContext`f, 1, 2] 
     Subscript[$CellContext`m, 3, 2], Subscript[$CellContext`f, 1, 4] 
     Subscript[$CellContext`m, 3, 2], Subscript[$CellContext`f, 1, 1] 
     Subscript[$CellContext`m, 3, 3], 
     Rational[1, 2] (
       2^Rational[-1, 2] Subscript[$CellContext`f, 1, 2] 
        Subscript[$CellContext`m, 3, 3] - 2^Rational[-1, 2] 
       Subscript[$CellContext`f, 1, 1] Subscript[$CellContext`m, 3, 4]) + 
     Rational[1, 2] (
       2^Rational[-1, 2] Subscript[$CellContext`f, 1, 2] 
        Subscript[$CellContext`m, 3, 3] + 
       2^Rational[-1, 2] Subscript[$CellContext`f, 1, 1] 
        Subscript[$CellContext`m, 3, 4]), 
     Rational[1, 2] (-2^Rational[-1, 2] Subscript[$CellContext`f, 1, 2] 
        Subscript[$CellContext`m, 3, 3] + 
       2^Rational[-1, 2] Subscript[$CellContext`f, 1, 1] 
        Subscript[$CellContext`m, 3, 4]) + 
     Rational[1, 2] (
       2^Rational[-1, 2] Subscript[$CellContext`f, 1, 2] 
        Subscript[$CellContext`m, 3, 3] + 
       2^Rational[-1, 2] Subscript[$CellContext`f, 1, 1] 
        Subscript[$CellContext`m, 3, 4]), 
     Rational[1, 2] (-2^Rational[-1, 2] Subscript[$CellContext`f, 1, 2] 
        Subscript[$CellContext`m, 3, 3] + 
       2^Rational[-1, 2] Subscript[$CellContext`f, 1, 1] 
        Subscript[$CellContext`m, 3, 4]) + 
     Rational[1, 2] (
       2^Rational[-1, 2] Subscript[$CellContext`f, 1, 2] 
        Subscript[$CellContext`m, 3, 3] + 
       2^Rational[-1, 2] Subscript[$CellContext`f, 1, 1] 
        Subscript[$CellContext`m, 3, 4]), 
     Rational[1, 2] (
       2^Rational[-1, 2] Subscript[$CellContext`f, 1, 2] 
        Subscript[$CellContext`m, 3, 3] - 2^Rational[-1, 2] 
       Subscript[$CellContext`f, 1, 1] Subscript[$CellContext`m, 3, 4]) + 
     Rational[1, 2] (
       2^Rational[-1, 2] Subscript[$CellContext`f, 1, 2] 
        Subscript[$CellContext`m, 3, 3] + 
       2^Rational[-1, 2] Subscript[$CellContext`f, 1, 1] 
        Subscript[$CellContext`m, 3, 4]), Subscript[$CellContext`f, 1, 3] 
     Subscript[$CellContext`m, 3, 3], 
     Rational[1, 2] (
       2^Rational[-1, 2] Subscript[$CellContext`f, 1, 4] 
        Subscript[$CellContext`m, 3, 3] - 2^Rational[-1, 2] 
       Subscript[$CellContext`f, 1, 3] Subscript[$CellContext`m, 3, 4]) + 
     Rational[1, 2] (
       2^Rational[-1, 2] Subscript[$CellContext`f, 1, 4] 
        Subscript[$CellContext`m, 3, 3] + 
       2^Rational[-1, 2] Subscript[$CellContext`f, 1, 3] 
        Subscript[$CellContext`m, 3, 4]), 
     Rational[1, 2] (-2^Rational[-1, 2] Subscript[$CellContext`f, 1, 4] 
        Subscript[$CellContext`m, 3, 3] + 
       2^Rational[-1, 2] Subscript[$CellContext`f, 1, 3] 
        Subscript[$CellContext`m, 3, 4]) + 
     Rational[1, 2] (
       2^Rational[-1, 2] Subscript[$CellContext`f, 1, 4] 
        Subscript[$CellContext`m, 3, 3] + 
       2^Rational[-1, 2] Subscript[$CellContext`f, 1, 3] 
        Subscript[$CellContext`m, 3, 4]), 
     Rational[1, 2] (-2^Rational[-1, 2] Subscript[$CellContext`f, 1, 4] 
        Subscript[$CellContext`m, 3, 3] + 
       2^Rational[-1, 2] Subscript[$CellContext`f, 1, 3] 
        Subscript[$CellContext`m, 3, 4]) + 
     Rational[1, 2] (
       2^Rational[-1, 2] Subscript[$CellContext`f, 1, 4] 
        Subscript[$CellContext`m, 3, 3] + 
       2^Rational[-1, 2] Subscript[$CellContext`f, 1, 3] 
        Subscript[$CellContext`m, 3, 4]), 
     Rational[1, 2] (
       2^Rational[-1, 2] Subscript[$CellContext`f, 1, 4] 
        Subscript[$CellContext`m, 3, 3] - 2^Rational[-1, 2] 
       Subscript[$CellContext`f, 1, 3] Subscript[$CellContext`m, 3, 4]) + 
     Rational[1, 2] (
       2^Rational[-1, 2] Subscript[$CellContext`f, 1, 4] 
        Subscript[$CellContext`m, 3, 3] + 
       2^Rational[-1, 2] Subscript[$CellContext`f, 1, 3] 
        Subscript[$CellContext`m, 3, 4]), Subscript[$CellContext`f, 1, 2] 
     Subscript[$CellContext`m, 3, 4], Subscript[$CellContext`f, 1, 4] 
     Subscript[$CellContext`m, 3, 4], 2^Rational[-1, 2] 
     Subscript[$CellContext`f, 2, 1] Subscript[$CellContext`m, 3, 1], 
     Rational[1, 2] (
       Rational[1, 2] Subscript[$CellContext`f, 2, 2] 
        Subscript[$CellContext`m, 3, 1] + 
       Rational[-1, 2] Subscript[$CellContext`f, 2, 1] 
        Subscript[$CellContext`m, 3, 2]) + 
     Rational[1, 2] (
       Rational[1, 2] Subscript[$CellContext`f, 2, 2] 
        Subscript[$CellContext`m, 3, 1] + 
       Rational[1, 2] Subscript[$CellContext`f, 2, 1] 
        Subscript[$CellContext`m, 3, 2]), 
     Rational[1, 2] (
       Rational[-1, 2] Subscript[$CellContext`f, 2, 2] 
        Subscript[$CellContext`m, 3, 1] + 
       Rational[1, 2] Subscript[$CellContext`f, 2, 1] 
        Subscript[$CellContext`m, 3, 2]) + 
     Rational[1, 2] (
       Rational[1, 2] Subscript[$CellContext`f, 2, 2] 
        Subscript[$CellContext`m, 3, 1] + 
       Rational[1, 2] Subscript[$CellContext`f, 2, 1] 
        Subscript[$CellContext`m, 3, 2]), 
     Rational[1, 2] (
       Rational[-1, 2] Subscript[$CellContext`f, 2, 2] 
        Subscript[$CellContext`m, 3, 1] + 
       Rational[1, 2] Subscript[$CellContext`f, 2, 1] 
        Subscript[$CellContext`m, 3, 2]) + 
     Rational[1, 2] (
       Rational[1, 2] Subscript[$CellContext`f, 2, 2] 
        Subscript[$CellContext`m, 3, 1] + 
       Rational[1, 2] Subscript[$CellContext`f, 2, 1] 
        Subscript[$CellContext`m, 3, 2]), 
     Rational[1, 2] (
       Rational[1, 2] Subscript[$CellContext`f, 2, 2] 
        Subscript[$CellContext`m, 3, 1] + 
       Rational[-1, 2] Subscript[$CellContext`f, 2, 1] 
        Subscript[$CellContext`m, 3, 2]) + 
     Rational[1, 2] (
       Rational[1, 2] Subscript[$CellContext`f, 2, 2] 
        Subscript[$CellContext`m, 3, 1] + 
       Rational[1, 2] Subscript[$CellContext`f, 2, 1] 
        Subscript[$CellContext`m, 3, 2]), 2^Rational[-1, 2] 
     Subscript[$CellContext`f, 2, 3] Subscript[$CellContext`m, 3, 1], 
     Rational[1, 2] (
       Rational[1, 2] Subscript[$CellContext`f, 2, 4] 
        Subscript[$CellContext`m, 3, 1] + 
       Rational[-1, 2] Subscript[$CellContext`f, 2, 3] 
        Subscript[$CellContext`m, 3, 2]) + 
     Rational[1, 2] (
       Rational[1, 2] Subscript[$CellContext`f, 2, 4] 
        Subscript[$CellContext`m, 3, 1] + 
       Rational[1, 2] Subscript[$CellContext`f, 2, 3] 
        Subscript[$CellContext`m, 3, 2]), 
     Rational[1, 2] (
       Rational[-1, 2] Subscript[$CellContext`f, 2, 4] 
        Subscript[$CellContext`m, 3, 1] + 
       Rational[1, 2] Subscript[$CellContext`f, 2, 3] 
        Subscript[$CellContext`m, 3, 2]) + 
     Rational[1, 2] (
       Rational[1, 2] Subscript[$CellContext`f, 2, 4] 
        Subscript[$CellContext`m, 3, 1] + 
       Rational[1, 2] Subscript[$CellContext`f, 2, 3] 
        Subscript[$CellContext`m, 3, 2]), 
     Rational[1, 2] (
       Rational[-1, 2] Subscript[$CellContext`f, 2, 4] 
        Subscript[$CellContext`m, 3, 1] + 
       Rational[1, 2] Subscript[$CellContext`f, 2, 3] 
        Subscript[$CellContext`m, 3, 2]) + 
     Rational[1, 2] (
       Rational[1, 2] Subscript[$CellContext`f, 2, 4] 
        Subscript[$CellContext`m, 3, 1] + 
       Rational[1, 2] Subscript[$CellContext`f, 2, 3] 
        Subscript[$CellContext`m, 3, 2]), 
     Rational[1, 2] (
       Rational[1, 2] Subscript[$CellContext`f, 2, 4] 
        Subscript[$CellContext`m, 3, 1] + 
       Rational[-1, 2] Subscript[$CellContext`f, 2, 3] 
        Subscript[$CellContext`m, 3, 2]) + 
     Rational[1, 2] (
       Rational[1, 2] Subscript[$CellContext`f, 2, 4] 
        Subscript[$CellContext`m, 3, 1] + 
       Rational[1, 2] Subscript[$CellContext`f, 2, 3] 
        Subscript[$CellContext`m, 3, 2]), 2^Rational[-1, 2] 
     Subscript[$CellContext`f, 2, 2] Subscript[$CellContext`m, 3, 2], 
     2^Rational[-1, 2] Subscript[$CellContext`f, 2, 4] 
     Subscript[$CellContext`m, 3, 2], 2^Rational[-1, 2] 
     Subscript[$CellContext`f, 2, 1] Subscript[$CellContext`m, 3, 3], 
     Rational[1, 2] (
       Rational[1, 2] Subscript[$CellContext`f, 2, 2] 
        Subscript[$CellContext`m, 3, 3] + 
       Rational[-1, 2] Subscript[$CellContext`f, 2, 1] 
        Subscript[$CellContext`m, 3, 4]) + 
     Rational[1, 2] (
       Rational[1, 2] Subscript[$CellContext`f, 2, 2] 
        Subscript[$CellContext`m, 3, 3] + 
       Rational[1, 2] Subscript[$CellContext`f, 2, 1] 
        Subscript[$CellContext`m, 3, 4]), 
     Rational[1, 2] (
       Rational[-1, 2] Subscript[$CellContext`f, 2, 2] 
        Subscript[$CellContext`m, 3, 3] + 
       Rational[1, 2] Subscript[$CellContext`f, 2, 1] 
        Subscript[$CellContext`m, 3, 4]) + 
     Rational[1, 2] (
       Rational[1, 2] Subscript[$CellContext`f, 2, 2] 
        Subscript[$CellContext`m, 3, 3] + 
       Rational[1, 2] Subscript[$CellContext`f, 2, 1] 
        Subscript[$CellContext`m, 3, 4]), 
     Rational[1, 2] (
       Rational[-1, 2] Subscript[$CellContext`f, 2, 2] 
        Subscript[$CellContext`m, 3, 3] + 
       Rational[1, 2] Subscript[$CellContext`f, 2, 1] 
        Subscript[$CellContext`m, 3, 4]) + 
     Rational[1, 2] (
       Rational[1, 2] Subscript[$CellContext`f, 2, 2] 
        Subscript[$CellContext`m, 3, 3] + 
       Rational[1, 2] Subscript[$CellContext`f, 2, 1] 
        Subscript[$CellContext`m, 3, 4]), 
     Rational[1, 2] (
       Rational[1, 2] Subscript[$CellContext`f, 2, 2] 
        Subscript[$CellContext`m, 3, 3] + 
       Rational[-1, 2] Subscript[$CellContext`f, 2, 1] 
        Subscript[$CellContext`m, 3, 4]) + 
     Rational[1, 2] (
       Rational[1, 2] Subscript[$CellContext`f, 2, 2] 
        Subscript[$CellContext`m, 3, 3] + 
       Rational[1, 2] Subscript[$CellContext`f, 2, 1] 
        Subscript[$CellContext`m, 3, 4]), 2^Rational[-1, 2] 
     Subscript[$CellContext`f, 2, 3] Subscript[$CellContext`m, 3, 3], 
     Rational[1, 2] (
       Rational[1, 2] Subscript[$CellContext`f, 2, 4] 
        Subscript[$CellContext`m, 3, 3] + 
       Rational[-1, 2] Subscript[$CellContext`f, 2, 3] 
        Subscript[$CellContext`m, 3, 4]) + 
     Rational[1, 2] (
       Rational[1, 2] Subscript[$CellContext`f, 2, 4] 
        Subscript[$CellContext`m, 3, 3] + 
       Rational[1, 2] Subscript[$CellContext`f, 2, 3] 
        Subscript[$CellContext`m, 3, 4]), 
     Rational[1, 2] (
       Rational[-1, 2] Subscript[$CellContext`f, 2, 4] 
        Subscript[$CellContext`m, 3, 3] + 
       Rational[1, 2] Subscript[$CellContext`f, 2, 3] 
        Subscript[$CellContext`m, 3, 4]) + 
     Rational[1, 2] (
       Rational[1, 2] Subscript[$CellContext`f, 2, 4] 
        Subscript[$CellContext`m, 3, 3] + 
       Rational[1, 2] Subscript[$CellContext`f, 2, 3] 
        Subscript[$CellContext`m, 3, 4]), 
     Rational[1, 2] (
       Rational[-1, 2] Subscript[$CellContext`f, 2, 4] 
        Subscript[$CellContext`m, 3, 3] + 
       Rational[1, 2] Subscript[$CellContext`f, 2, 3] 
        Subscript[$CellContext`m, 3, 4]) + 
     Rational[1, 2] (
       Rational[1, 2] Subscript[$CellContext`f, 2, 4] 
        Subscript[$CellContext`m, 3, 3] + 
       Rational[1, 2] Subscript[$CellContext`f, 2, 3] 
        Subscript[$CellContext`m, 3, 4]), 
     Rational[1, 2] (
       Rational[1, 2] Subscript[$CellContext`f, 2, 4] 
        Subscript[$CellContext`m, 3, 3] + 
       Rational[-1, 2] Subscript[$CellContext`f, 2, 3] 
        Subscript[$CellContext`m, 3, 4]) + 
     Rational[1, 2] (
       Rational[1, 2] Subscript[$CellContext`f, 2, 4] 
        Subscript[$CellContext`m, 3, 3] + 
       Rational[1, 2] Subscript[$CellContext`f, 2, 3] 
        Subscript[$CellContext`m, 3, 4]), 2^Rational[-1, 2] 
     Subscript[$CellContext`f, 2, 2] Subscript[$CellContext`m, 3, 4], 
     2^Rational[-1, 2] Subscript[$CellContext`f, 2, 4] 
     Subscript[$CellContext`m, 3, 4], 2^Rational[-1, 2] 
     Subscript[$CellContext`f, 1, 1] Subscript[$CellContext`m, 4, 1], 
     Rational[1, 2] (
       Rational[1, 2] Subscript[$CellContext`f, 1, 2] 
        Subscript[$CellContext`m, 4, 1] + 
       Rational[-1, 2] Subscript[$CellContext`f, 1, 1] 
        Subscript[$CellContext`m, 4, 2]) + 
     Rational[1, 2] (
       Rational[1, 2] Subscript[$CellContext`f, 1, 2] 
        Subscript[$CellContext`m, 4, 1] + 
       Rational[1, 2] Subscript[$CellContext`f, 1, 1] 
        Subscript[$CellContext`m, 4, 2]), 
     Rational[1, 2] (
       Rational[-1, 2] Subscript[$CellContext`f, 1, 2] 
        Subscript[$CellContext`m, 4, 1] + 
       Rational[1, 2] Subscript[$CellContext`f, 1, 1] 
        Subscript[$CellContext`m, 4, 2]) + 
     Rational[1, 2] (
       Rational[1, 2] Subscript[$CellContext`f, 1, 2] 
        Subscript[$CellContext`m, 4, 1] + 
       Rational[1, 2] Subscript[$CellContext`f, 1, 1] 
        Subscript[$CellContext`m, 4, 2]), 
     Rational[1, 2] (
       Rational[-1, 2] Subscript[$CellContext`f, 1, 2] 
        Subscript[$CellContext`m, 4, 1] + 
       Rational[1, 2] Subscript[$CellContext`f, 1, 1] 
        Subscript[$CellContext`m, 4, 2]) + 
     Rational[1, 2] (
       Rational[1, 2] Subscript[$CellContext`f, 1, 2] 
        Subscript[$CellContext`m, 4, 1] + 
       Rational[1, 2] Subscript[$CellContext`f, 1, 1] 
        Subscript[$CellContext`m, 4, 2]), 
     Rational[1, 2] (
       Rational[1, 2] Subscript[$CellContext`f, 1, 2] 
        Subscript[$CellContext`m, 4, 1] + 
       Rational[-1, 2] Subscript[$CellContext`f, 1, 1] 
        Subscript[$CellContext`m, 4, 2]) + 
     Rational[1, 2] (
       Rational[1, 2] Subscript[$CellContext`f, 1, 2] 
        Subscript[$CellContext`m, 4, 1] + 
       Rational[1, 2] Subscript[$CellContext`f, 1, 1] 
        Subscript[$CellContext`m, 4, 2]), 2^Rational[-1, 2] 
     Subscript[$CellContext`f, 1, 3] Subscript[$CellContext`m, 4, 1], 
     Rational[1, 2] (
       Rational[1, 2] Subscript[$CellContext`f, 1, 4] 
        Subscript[$CellContext`m, 4, 1] + 
       Rational[-1, 2] Subscript[$CellContext`f, 1, 3] 
        Subscript[$CellContext`m, 4, 2]) + 
     Rational[1, 2] (
       Rational[1, 2] Subscript[$CellContext`f, 1, 4] 
        Subscript[$CellContext`m, 4, 1] + 
       Rational[1, 2] Subscript[$CellContext`f, 1, 3] 
        Subscript[$CellContext`m, 4, 2]), 
     Rational[1, 2] (
       Rational[-1, 2] Subscript[$CellContext`f, 1, 4] 
        Subscript[$CellContext`m, 4, 1] + 
       Rational[1, 2] Subscript[$CellContext`f, 1, 3] 
        Subscript[$CellContext`m, 4, 2]) + 
     Rational[1, 2] (
       Rational[1, 2] Subscript[$CellContext`f, 1, 4] 
        Subscript[$CellContext`m, 4, 1] + 
       Rational[1, 2] Subscript[$CellContext`f, 1, 3] 
        Subscript[$CellContext`m, 4, 2]), 
     Rational[1, 2] (
       Rational[-1, 2] Subscript[$CellContext`f, 1, 4] 
        Subscript[$CellContext`m, 4, 1] + 
       Rational[1, 2] Subscript[$CellContext`f, 1, 3] 
        Subscript[$CellContext`m, 4, 2]) + 
     Rational[1, 2] (
       Rational[1, 2] Subscript[$CellContext`f, 1, 4] 
        Subscript[$CellContext`m, 4, 1] + 
       Rational[1, 2] Subscript[$CellContext`f, 1, 3] 
        Subscript[$CellContext`m, 4, 2]), 
     Rational[1, 2] (
       Rational[1, 2] Subscript[$CellContext`f, 1, 4] 
        Subscript[$CellContext`m, 4, 1] + 
       Rational[-1, 2] Subscript[$CellContext`f, 1, 3] 
        Subscript[$CellContext`m, 4, 2]) + 
     Rational[1, 2] (
       Rational[1, 2] Subscript[$CellContext`f, 1, 4] 
        Subscript[$CellContext`m, 4, 1] + 
       Rational[1, 2] Subscript[$CellContext`f, 1, 3] 
        Subscript[$CellContext`m, 4, 2]), 2^Rational[-1, 2] 
     Subscript[$CellContext`f, 1, 2] Subscript[$CellContext`m, 4, 2], 
     2^Rational[-1, 2] Subscript[$CellContext`f, 1, 4] 
     Subscript[$CellContext`m, 4, 2], 2^Rational[-1, 2] 
     Subscript[$CellContext`f, 1, 1] Subscript[$CellContext`m, 4, 3], 
     Rational[1, 2] (
       Rational[1, 2] Subscript[$CellContext`f, 1, 2] 
        Subscript[$CellContext`m, 4, 3] + 
       Rational[-1, 2] Subscript[$CellContext`f, 1, 1] 
        Subscript[$CellContext`m, 4, 4]) + 
     Rational[1, 2] (
       Rational[1, 2] Subscript[$CellContext`f, 1, 2] 
        Subscript[$CellContext`m, 4, 3] + 
       Rational[1, 2] Subscript[$CellContext`f, 1, 1] 
        Subscript[$CellContext`m, 4, 4]), 
     Rational[1, 2] (
       Rational[-1, 2] Subscript[$CellContext`f, 1, 2] 
        Subscript[$CellContext`m, 4, 3] + 
       Rational[1, 2] Subscript[$CellContext`f, 1, 1] 
        Subscript[$CellContext`m, 4, 4]) + 
     Rational[1, 2] (
       Rational[1, 2] Subscript[$CellContext`f, 1, 2] 
        Subscript[$CellContext`m, 4, 3] + 
       Rational[1, 2] Subscript[$CellContext`f, 1, 1] 
        Subscript[$CellContext`m, 4, 4]), 
     Rational[1, 2] (
       Rational[-1, 2] Subscript[$CellContext`f, 1, 2] 
        Subscript[$CellContext`m, 4, 3] + 
       Rational[1, 2] Subscript[$CellContext`f, 1, 1] 
        Subscript[$CellContext`m, 4, 4]) + 
     Rational[1, 2] (
       Rational[1, 2] Subscript[$CellContext`f, 1, 2] 
        Subscript[$CellContext`m, 4, 3] + 
       Rational[1, 2] Subscript[$CellContext`f, 1, 1] 
        Subscript[$CellContext`m, 4, 4]), 
     Rational[1, 2] (
       Rational[1, 2] Subscript[$CellContext`f, 1, 2] 
        Subscript[$CellContext`m, 4, 3] + 
       Rational[-1, 2] Subscript[$CellContext`f, 1, 1] 
        Subscript[$CellContext`m, 4, 4]) + 
     Rational[1, 2] (
       Rational[1, 2] Subscript[$CellContext`f, 1, 2] 
        Subscript[$CellContext`m, 4, 3] + 
       Rational[1, 2] Subscript[$CellContext`f, 1, 1] 
        Subscript[$CellContext`m, 4, 4]), 2^Rational[-1, 2] 
     Subscript[$CellContext`f, 1, 3] Subscript[$CellContext`m, 4, 3], 
     Rational[1, 2] (
       Rational[1, 2] Subscript[$CellContext`f, 1, 4] 
        Subscript[$CellContext`m, 4, 3] + 
       Rational[-1, 2] Subscript[$CellContext`f, 1, 3] 
        Subscript[$CellContext`m, 4, 4]) + 
     Rational[1, 2] (
       Rational[1, 2] Subscript[$CellContext`f, 1, 4] 
        Subscript[$CellContext`m, 4, 3] + 
       Rational[1, 2] Subscript[$CellContext`f, 1, 3] 
        Subscript[$CellContext`m, 4, 4]), 
     Rational[1, 2] (
       Rational[-1, 2] Subscript[$CellContext`f, 1, 4] 
        Subscript[$CellContext`m, 4, 3] + 
       Rational[1, 2] Subscript[$CellContext`f, 1, 3] 
        Subscript[$CellContext`m, 4, 4]) + 
     Rational[1, 2] (
       Rational[1, 2] Subscript[$CellContext`f, 1, 4] 
        Subscript[$CellContext`m, 4, 3] + 
       Rational[1, 2] Subscript[$CellContext`f, 1, 3] 
        Subscript[$CellContext`m, 4, 4]), 
     Rational[1, 2] (
       Rational[-1, 2] Subscript[$CellContext`f, 1, 4] 
        Subscript[$CellContext`m, 4, 3] + 
       Rational[1, 2] Subscript[$CellContext`f, 1, 3] 
        Subscript[$CellContext`m, 4, 4]) + 
     Rational[1, 2] (
       Rational[1, 2] Subscript[$CellContext`f, 1, 4] 
        Subscript[$CellContext`m, 4, 3] + 
       Rational[1, 2] Subscript[$CellContext`f, 1, 3] 
        Subscript[$CellContext`m, 4, 4]), 
     Rational[1, 2] (
       Rational[1, 2] Subscript[$CellContext`f, 1, 4] 
        Subscript[$CellContext`m, 4, 3] + 
       Rational[-1, 2] Subscript[$CellContext`f, 1, 3] 
        Subscript[$CellContext`m, 4, 4]) + 
     Rational[1, 2] (
       Rational[1, 2] Subscript[$CellContext`f, 1, 4] 
        Subscript[$CellContext`m, 4, 3] + 
       Rational[1, 2] Subscript[$CellContext`f, 1, 3] 
        Subscript[$CellContext`m, 4, 4]), 2^Rational[-1, 2] 
     Subscript[$CellContext`f, 1, 2] Subscript[$CellContext`m, 4, 4], 
     2^Rational[-1, 2] Subscript[$CellContext`f, 1, 4] 
     Subscript[$CellContext`m, 4, 4], Subscript[$CellContext`f, 3, 1] 
     Subscript[$CellContext`m, 3, 1], 
     Rational[1, 2] (
       2^Rational[-1, 2] Subscript[$CellContext`f, 3, 2] 
        Subscript[$CellContext`m, 3, 1] - 2^Rational[-1, 2] 
       Subscript[$CellContext`f, 3, 1] Subscript[$CellContext`m, 3, 2]) + 
     Rational[1, 2] (
       2^Rational[-1, 2] Subscript[$CellContext`f, 3, 2] 
        Subscript[$CellContext`m, 3, 1] + 
       2^Rational[-1, 2] Subscript[$CellContext`f, 3, 1] 
        Subscript[$CellContext`m, 3, 2]), 
     Rational[1, 2] (-2^Rational[-1, 2] Subscript[$CellContext`f, 3, 2] 
        Subscript[$CellContext`m, 3, 1] + 
       2^Rational[-1, 2] Subscript[$CellContext`f, 3, 1] 
        Subscript[$CellContext`m, 3, 2]) + 
     Rational[1, 2] (
       2^Rational[-1, 2] Subscript[$CellContext`f, 3, 2] 
        Subscript[$CellContext`m, 3, 1] + 
       2^Rational[-1, 2] Subscript[$CellContext`f, 3, 1] 
        Subscript[$CellContext`m, 3, 2]), 
     Rational[
       1, 2] (-2^Rational[-1, 2] Subscript[$CellContext`f, 3, 2] 
        Subscript[$CellContext`m, 3, 1] + 
       2^Rational[-1, 2] Subscript[$CellContext`f, 3, 1] 
        Subscript[$CellContext`m, 3, 2]) + 
     Rational[1, 2] (
       2^Rational[-1, 2] Subscript[$CellContext`f, 3, 2] 
        Subscript[$CellContext`m, 3, 1] + 
       2^Rational[-1, 2] Subscript[$CellContext`f, 3, 1] 
        Subscript[$CellContext`m, 3, 2]), 
     Rational[1, 2] (
       2^Rational[-1, 2] Subscript[$CellContext`f, 3, 2] 
        Subscript[$CellContext`m, 3, 1] - 2^Rational[-1, 2] 
       Subscript[$CellContext`f, 3, 1] Subscript[$CellContext`m, 3, 2]) + 
     Rational[1, 2] (
       2^Rational[-1, 2] Subscript[$CellContext`f, 3, 2] 
        Subscript[$CellContext`m, 3, 1] + 
       2^Rational[-1, 2] Subscript[$CellContext`f, 3, 1] 
        Subscript[$CellContext`m, 3, 2]), Subscript[$CellContext`f, 3, 3] 
     Subscript[$CellContext`m, 3, 1], 
     Rational[1, 2] (
       2^Rational[-1, 2] Subscript[$CellContext`f, 3, 4] 
        Subscript[$CellContext`m, 3, 1] - 2^Rational[-1, 2] 
       Subscript[$CellContext`f, 3, 3] Subscript[$CellContext`m, 3, 2]) + 
     Rational[1, 2] (
       2^Rational[-1, 2] Subscript[$CellContext`f, 3, 4] 
        Subscript[$CellContext`m, 3, 1] + 
       2^Rational[-1, 2] Subscript[$CellContext`f, 3, 3] 
        Subscript[$CellContext`m, 3, 2]), 
     Rational[1, 2] (-2^Rational[-1, 2] Subscript[$CellContext`f, 3, 4] 
        Subscript[$CellContext`m, 3, 1] + 
       2^Rational[-1, 2] Subscript[$CellContext`f, 3, 3] 
        Subscript[$CellContext`m, 3, 2]) + 
     Rational[1, 2] (
       2^Rational[-1, 2] Subscript[$CellContext`f, 3, 4] 
        Subscript[$CellContext`m, 3, 1] + 
       2^Rational[-1, 2] Subscript[$CellContext`f, 3, 3] 
        Subscript[$CellContext`m, 3, 2]), 
     Rational[1, 2] (-2^Rational[-1, 2] Subscript[$CellContext`f, 3, 4] 
        Subscript[$CellContext`m, 3, 1] + 
       2^Rational[-1, 2] Subscript[$CellContext`f, 3, 3] 
        Subscript[$CellContext`m, 3, 2]) + 
     Rational[1, 2] (
       2^Rational[-1, 2] Subscript[$CellContext`f, 3, 4] 
        Subscript[$CellContext`m, 3, 1] + 
       2^Rational[-1, 2] Subscript[$CellContext`f, 3, 3] 
        Subscript[$CellContext`m, 3, 2]), 
     Rational[1, 2] (
       2^Rational[-1, 2] Subscript[$CellContext`f, 3, 4] 
        Subscript[$CellContext`m, 3, 1] - 2^Rational[-1, 2] 
       Subscript[$CellContext`f, 3, 3] Subscript[$CellContext`m, 3, 2]) + 
     Rational[1, 2] (
       2^Rational[-1, 2] Subscript[$CellContext`f, 3, 4] 
        Subscript[$CellContext`m, 3, 1] + 
       2^Rational[-1, 2] Subscript[$CellContext`f, 3, 3] 
        Subscript[$CellContext`m, 3, 2]), Subscript[$CellContext`f, 3, 2] 
     Subscript[$CellContext`m, 3, 2], Subscript[$CellContext`f, 3, 4] 
     Subscript[$CellContext`m, 3, 2], Subscript[$CellContext`f, 3, 1] 
     Subscript[$CellContext`m, 3, 3], 
     Rational[1, 2] (
       2^Rational[-1, 2] Subscript[$CellContext`f, 3, 2] 
        Subscript[$CellContext`m, 3, 3] - 2^Rational[-1, 2] 
       Subscript[$CellContext`f, 3, 1] Subscript[$CellContext`m, 3, 4]) + 
     Rational[1, 2] (
       2^Rational[-1, 2] Subscript[$CellContext`f, 3, 2] 
        Subscript[$CellContext`m, 3, 3] + 
       2^Rational[-1, 2] Subscript[$CellContext`f, 3, 1] 
        Subscript[$CellContext`m, 3, 4]), 
     Rational[1, 2] (-2^Rational[-1, 2] Subscript[$CellContext`f, 3, 2] 
        Subscript[$CellContext`m, 3, 3] + 
       2^Rational[-1, 2] Subscript[$CellContext`f, 3, 1] 
        Subscript[$CellContext`m, 3, 4]) + 
     Rational[1, 2] (
       2^Rational[-1, 2] Subscript[$CellContext`f, 3, 2] 
        Subscript[$CellContext`m, 3, 3] + 
       2^Rational[-1, 2] Subscript[$CellContext`f, 3, 1] 
        Subscript[$CellContext`m, 3, 4]), 
     Rational[1, 2] (-2^Rational[-1, 2] Subscript[$CellContext`f, 3, 2] 
        Subscript[$CellContext`m, 3, 3] + 
       2^Rational[-1, 2] Subscript[$CellContext`f, 3, 1] 
        Subscript[$CellContext`m, 3, 4]) + 
     Rational[1, 2] (
       2^Rational[-1, 2] Subscript[$CellContext`f, 3, 2] 
        Subscript[$CellContext`m, 3, 3] + 
       2^Rational[-1, 2] Subscript[$CellContext`f, 3, 1] 
        Subscript[$CellContext`m, 3, 4]), 
     Rational[1, 2] (
       2^Rational[-1, 2] Subscript[$CellContext`f, 3, 2] 
        Subscript[$CellContext`m, 3, 3] - 2^Rational[-1, 2] 
       Subscript[$CellContext`f, 3, 1] Subscript[$CellContext`m, 3, 4]) + 
     Rational[1, 2] (
       2^Rational[-1, 2] Subscript[$CellContext`f, 3, 2] 
        Subscript[$CellContext`m, 3, 3] + 
       2^Rational[-1, 2] Subscript[$CellContext`f, 3, 1] 
        Subscript[$CellContext`m, 3, 4]), Subscript[$CellContext`f, 3, 3] 
     Subscript[$CellContext`m, 3, 3], 
     Rational[1, 2] (
       2^Rational[-1, 2] Subscript[$CellContext`f, 3, 4] 
        Subscript[$CellContext`m, 3, 3] - 2^Rational[-1, 2] 
       Subscript[$CellContext`f, 3, 3] Subscript[$CellContext`m, 3, 4]) + 
     Rational[1, 2] (
       2^Rational[-1, 2] Subscript[$CellContext`f, 3, 4] 
        Subscript[$CellContext`m, 3, 3] + 
       2^Rational[-1, 2] Subscript[$CellContext`f, 3, 3] 
        Subscript[$CellContext`m, 3, 4]), 
     Rational[1, 2] (-2^Rational[-1, 2] Subscript[$CellContext`f, 3, 4] 
        Subscript[$CellContext`m, 3, 3] + 
       2^Rational[-1, 2] Subscript[$CellContext`f, 3, 3] 
        Subscript[$CellContext`m, 3, 4]) + 
     Rational[1, 2] (
       2^Rational[-1, 2] Subscript[$CellContext`f, 3, 4] 
        Subscript[$CellContext`m, 3, 3] + 
       2^Rational[-1, 2] Subscript[$CellContext`f, 3, 3] 
        Subscript[$CellContext`m, 3, 4]), 
     Rational[1, 2] (-2^Rational[-1, 2] Subscript[$CellContext`f, 3, 4] 
        Subscript[$CellContext`m, 3, 3] + 
       2^Rational[-1, 2] Subscript[$CellContext`f, 3, 3] 
        Subscript[$CellContext`m, 3, 4]) + 
     Rational[1, 2] (
       2^Rational[-1, 2] Subscript[$CellContext`f, 3, 4] 
        Subscript[$CellContext`m, 3, 3] + 
       2^Rational[-1, 2] Subscript[$CellContext`f, 3, 3] 
        Subscript[$CellContext`m, 3, 4]), 
     Rational[1, 2] (
       2^Rational[-1, 2] Subscript[$CellContext`f, 3, 4] 
        Subscript[$CellContext`m, 3, 3] - 2^Rational[-1, 2] 
       Subscript[$CellContext`f, 3, 3] Subscript[$CellContext`m, 3, 4]) + 
     Rational[1, 2] (
       2^Rational[-1, 2] Subscript[$CellContext`f, 3, 4] 
        Subscript[$CellContext`m, 3, 3] + 
       2^Rational[-1, 2] Subscript[$CellContext`f, 3, 3] 
        Subscript[$CellContext`m, 3, 4]), Subscript[$CellContext`f, 3, 2] 
     Subscript[$CellContext`m, 3, 4], Subscript[$CellContext`f, 3, 4] 
     Subscript[$CellContext`m, 3, 4], 2^Rational[-1, 2] 
     Subscript[$CellContext`f, 4, 1] Subscript[$CellContext`m, 3, 1], 
     Rational[1, 2] (
       Rational[1, 2] Subscript[$CellContext`f, 4, 2] 
        Subscript[$CellContext`m, 3, 1] + 
       Rational[-1, 2] Subscript[$CellContext`f, 4, 1] 
        Subscript[$CellContext`m, 3, 2]) + 
     Rational[1, 2] (
       Rational[1, 2] Subscript[$CellContext`f, 4, 2] 
        Subscript[$CellContext`m, 3, 1] + 
       Rational[1, 2] Subscript[$CellContext`f, 4, 1] 
        Subscript[$CellContext`m, 3, 2]), 
     Rational[1, 2] (
       Rational[-1, 2] Subscript[$CellContext`f, 4, 2] 
        Subscript[$CellContext`m, 3, 1] + 
       Rational[1, 2] Subscript[$CellContext`f, 4, 1] 
        Subscript[$CellContext`m, 3, 2]) + 
     Rational[1, 2] (
       Rational[1, 2] Subscript[$CellContext`f, 4, 2] 
        Subscript[$CellContext`m, 3, 1] + 
       Rational[1, 2] Subscript[$CellContext`f, 4, 1] 
        Subscript[$CellContext`m, 3, 2]), 
     Rational[1, 2] (
       Rational[-1, 2] Subscript[$CellContext`f, 4, 2] 
        Subscript[$CellContext`m, 3, 1] + 
       Rational[1, 2] Subscript[$CellContext`f, 4, 1] 
        Subscript[$CellContext`m, 3, 2]) + 
     Rational[1, 2] (
       Rational[1, 2] Subscript[$CellContext`f, 4, 2] 
        Subscript[$CellContext`m, 3, 1] + 
       Rational[1, 2] Subscript[$CellContext`f, 4, 1] 
        Subscript[$CellContext`m, 3, 2]), 
     Rational[1, 2] (
       Rational[1, 2] Subscript[$CellContext`f, 4, 2] 
        Subscript[$CellContext`m, 3, 1] + 
       Rational[-1, 2] Subscript[$CellContext`f, 4, 1] 
        Subscript[$CellContext`m, 3, 2]) + 
     Rational[1, 2] (
       Rational[1, 2] Subscript[$CellContext`f, 4, 2] 
        Subscript[$CellContext`m, 3, 1] + 
       Rational[1, 2] Subscript[$CellContext`f, 4, 1] 
        Subscript[$CellContext`m, 3, 2]), 2^Rational[-1, 2] 
     Subscript[$CellContext`f, 4, 3] Subscript[$CellContext`m, 3, 1], 
     Rational[1, 2] (
       Rational[1, 2] Subscript[$CellContext`f, 4, 4] 
        Subscript[$CellContext`m, 3, 1] + 
       Rational[-1, 2] Subscript[$CellContext`f, 4, 3] 
        Subscript[$CellContext`m, 3, 2]) + 
     Rational[1, 2] (
       Rational[1, 2] Subscript[$CellContext`f, 4, 4] 
        Subscript[$CellContext`m, 3, 1] + 
       Rational[1, 2] Subscript[$CellContext`f, 4, 3] 
        Subscript[$CellContext`m, 3, 2]), 
     Rational[1, 2] (
       Rational[-1, 2] Subscript[$CellContext`f, 4, 4] 
        Subscript[$CellContext`m, 3, 1] + 
       Rational[1, 2] Subscript[$CellContext`f, 4, 3] 
        Subscript[$CellContext`m, 3, 2]) + 
     Rational[1, 2] (
       Rational[1, 2] Subscript[$CellContext`f, 4, 4] 
        Subscript[$CellContext`m, 3, 1] + 
       Rational[1, 2] Subscript[$CellContext`f, 4, 3] 
        Subscript[$CellContext`m, 3, 2]), 
     Rational[1, 2] (
       Rational[-1, 2] Subscript[$CellContext`f, 4, 4] 
        Subscript[$CellContext`m, 3, 1] + 
       Rational[1, 2] Subscript[$CellContext`f, 4, 3] 
        Subscript[$CellContext`m, 3, 2]) + 
     Rational[1, 2] (
       Rational[1, 2] Subscript[$CellContext`f, 4, 4] 
        Subscript[$CellContext`m, 3, 1] + 
       Rational[1, 2] Subscript[$CellContext`f, 4, 3] 
        Subscript[$CellContext`m, 3, 2]), 
     Rational[1, 2] (
       Rational[1, 2] Subscript[$CellContext`f, 4, 4] 
        Subscript[$CellContext`m, 3, 1] + 
       Rational[-1, 2] Subscript[$CellContext`f, 4, 3] 
        Subscript[$CellContext`m, 3, 2]) + 
     Rational[1, 2] (
       Rational[1, 2] Subscript[$CellContext`f, 4, 4] 
        Subscript[$CellContext`m, 3, 1] + 
       Rational[1, 2] Subscript[$CellContext`f, 4, 3] 
        Subscript[$CellContext`m, 3, 2]), 2^Rational[-1, 2] 
     Subscript[$CellContext`f, 4, 2] Subscript[$CellContext`m, 3, 2], 
     2^Rational[-1, 2] Subscript[$CellContext`f, 4, 4] 
     Subscript[$CellContext`m, 3, 2], 2^Rational[-1, 2] 
     Subscript[$CellContext`f, 4, 1] Subscript[$CellContext`m, 3, 3], 
     Rational[1, 2] (
       Rational[1, 2] Subscript[$CellContext`f, 4, 2] 
        Subscript[$CellContext`m, 3, 3] + 
       Rational[-1, 2] Subscript[$CellContext`f, 4, 1] 
        Subscript[$CellContext`m, 3, 4]) + 
     Rational[1, 2] (
       Rational[1, 2] Subscript[$CellContext`f, 4, 2] 
        Subscript[$CellContext`m, 3, 3] + 
       Rational[1, 2] Subscript[$CellContext`f, 4, 1] 
        Subscript[$CellContext`m, 3, 4]), 
     Rational[1, 2] (
       Rational[-1, 2] Subscript[$CellContext`f, 4, 2] 
        Subscript[$CellContext`m, 3, 3] + 
       Rational[1, 2] Subscript[$CellContext`f, 4, 1] 
        Subscript[$CellContext`m, 3, 4]) + 
     Rational[1, 2] (
       Rational[1, 2] Subscript[$CellContext`f, 4, 2] 
        Subscript[$CellContext`m, 3, 3] + 
       Rational[1, 2] Subscript[$CellContext`f, 4, 1] 
        Subscript[$CellContext`m, 3, 4]), 
     Rational[1, 2] (
       Rational[-1, 2] Subscript[$CellContext`f, 4, 2] 
        Subscript[$CellContext`m, 3, 3] + 
       Rational[1, 2] Subscript[$CellContext`f, 4, 1] 
        Subscript[$CellContext`m, 3, 4]) + 
     Rational[1, 2] (
       Rational[1, 2] Subscript[$CellContext`f, 4, 2] 
        Subscript[$CellContext`m, 3, 3] + 
       Rational[1, 2] Subscript[$CellContext`f, 4, 1] 
        Subscript[$CellContext`m, 3, 4]), 
     Rational[1, 2] (
       Rational[1, 2] Subscript[$CellContext`f, 4, 2] 
        Subscript[$CellContext`m, 3, 3] + 
       Rational[-1, 2] Subscript[$CellContext`f, 4, 1] 
        Subscript[$CellContext`m, 3, 4]) + 
     Rational[1, 2] (
       Rational[1, 2] Subscript[$CellContext`f, 4, 2] 
        Subscript[$CellContext`m, 3, 3] + 
       Rational[1, 2] Subscript[$CellContext`f, 4, 1] 
        Subscript[$CellContext`m, 3, 4]), 2^Rational[-1, 2] 
     Subscript[$CellContext`f, 4, 3] Subscript[$CellContext`m, 3, 3], 
     Rational[1, 2] (
       Rational[1, 2] Subscript[$CellContext`f, 4, 4] 
        Subscript[$CellContext`m, 3, 3] + 
       Rational[-1, 2] Subscript[$CellContext`f, 4, 3] 
        Subscript[$CellContext`m, 3, 4]) + 
     Rational[1, 2] (
       Rational[1, 2] Subscript[$CellContext`f, 4, 4] 
        Subscript[$CellContext`m, 3, 3] + 
       Rational[1, 2] Subscript[$CellContext`f, 4, 3] 
        Subscript[$CellContext`m, 3, 4]), 
     Rational[1, 2] (
       Rational[-1, 2] Subscript[$CellContext`f, 4, 4] 
        Subscript[$CellContext`m, 3, 3] + 
       Rational[1, 2] Subscript[$CellContext`f, 4, 3] 
        Subscript[$CellContext`m, 3, 4]) + 
     Rational[1, 2] (
       Rational[1, 2] Subscript[$CellContext`f, 4, 4] 
        Subscript[$CellContext`m, 3, 3] + 
       Rational[1, 2] Subscript[$CellContext`f, 4, 3] 
        Subscript[$CellContext`m, 3, 4]), 
     Rational[1, 2] (
       Rational[-1, 2] Subscript[$CellContext`f, 4, 4] 
        Subscript[$CellContext`m, 3, 3] + 
       Rational[1, 2] Subscript[$CellContext`f, 4, 3] 
        Subscript[$CellContext`m, 3, 4]) + 
     Rational[1, 2] (
       Rational[1, 2] Subscript[$CellContext`f, 4, 4] 
        Subscript[$CellContext`m, 3, 3] + 
       Rational[1, 2] Subscript[$CellContext`f, 4, 3] 
        Subscript[$CellContext`m, 3, 4]), 
     Rational[1, 2] (
       Rational[1, 2] Subscript[$CellContext`f, 4, 4] 
        Subscript[$CellContext`m, 3, 3] + 
       Rational[-1, 2] Subscript[$CellContext`f, 4, 3] 
        Subscript[$CellContext`m, 3, 4]) + 
     Rational[1, 2] (
       Rational[1, 2] Subscript[$CellContext`f, 4, 4] 
        Subscript[$CellContext`m, 3, 3] + 
       Rational[1, 2] Subscript[$CellContext`f, 4, 3] 
        Subscript[$CellContext`m, 3, 4]), 2^Rational[-1, 2] 
     Subscript[$CellContext`f, 4, 2] Subscript[$CellContext`m, 3, 4], 
     2^Rational[-1, 2] Subscript[$CellContext`f, 4, 4] 
     Subscript[$CellContext`m, 3, 4], 2^Rational[-1, 2] 
     Subscript[$CellContext`f, 3, 1] Subscript[$CellContext`m, 4, 1], 
     Rational[1, 2] (
       Rational[1, 2] Subscript[$CellContext`f, 3, 2] 
        Subscript[$CellContext`m, 4, 1] + 
       Rational[-1, 2] Subscript[$CellContext`f, 3, 1] 
        Subscript[$CellContext`m, 4, 2]) + 
     Rational[1, 2] (
       Rational[1, 2] Subscript[$CellContext`f, 3, 2] 
        Subscript[$CellContext`m, 4, 1] + 
       Rational[1, 2] Subscript[$CellContext`f, 3, 1] 
        Subscript[$CellContext`m, 4, 2]), 
     Rational[1, 2] (
       Rational[-1, 2] Subscript[$CellContext`f, 3, 2] 
        Subscript[$CellContext`m, 4, 1] + 
       Rational[1, 2] Subscript[$CellContext`f, 3, 1] 
        Subscript[$CellContext`m, 4, 2]) + 
     Rational[1, 2] (
       Rational[1, 2] Subscript[$CellContext`f, 3, 2] 
        Subscript[$CellContext`m, 4, 1] + 
       Rational[1, 2] Subscript[$CellContext`f, 3, 1] 
        Subscript[$CellContext`m, 4, 2]), 
     Rational[1, 2] (
       Rational[-1, 2] Subscript[$CellContext`f, 3, 2] 
        Subscript[$CellContext`m, 4, 1] + 
       Rational[1, 2] Subscript[$CellContext`f, 3, 1] 
        Subscript[$CellContext`m, 4, 2]) + 
     Rational[1, 2] (
       Rational[1, 2] Subscript[$CellContext`f, 3, 2] 
        Subscript[$CellContext`m, 4, 1] + 
       Rational[1, 2] Subscript[$CellContext`f, 3, 1] 
        Subscript[$CellContext`m, 4, 2]), 
     Rational[1, 2] (
       Rational[1, 2] Subscript[$CellContext`f, 3, 2] 
        Subscript[$CellContext`m, 4, 1] + 
       Rational[-1, 2] Subscript[$CellContext`f, 3, 1] 
        Subscript[$CellContext`m, 4, 2]) + 
     Rational[1, 2] (
       Rational[1, 2] Subscript[$CellContext`f, 3, 2] 
        Subscript[$CellContext`m, 4, 1] + 
       Rational[1, 2] Subscript[$CellContext`f, 3, 1] 
        Subscript[$CellContext`m, 4, 2]), 2^Rational[-1, 2] 
     Subscript[$CellContext`f, 3, 3] Subscript[$CellContext`m, 4, 1], 
     Rational[1, 2] (
       Rational[1, 2] Subscript[$CellContext`f, 3, 4] 
        Subscript[$CellContext`m, 4, 1] + 
       Rational[-1, 2] Subscript[$CellContext`f, 3, 3] 
        Subscript[$CellContext`m, 4, 2]) + 
     Rational[1, 2] (
       Rational[1, 2] Subscript[$CellContext`f, 3, 4] 
        Subscript[$CellContext`m, 4, 1] + 
       Rational[1, 2] Subscript[$CellContext`f, 3, 3] 
        Subscript[$CellContext`m, 4, 2]), 
     Rational[1, 2] (
       Rational[-1, 2] Subscript[$CellContext`f, 3, 4] 
        Subscript[$CellContext`m, 4, 1] + 
       Rational[1, 2] Subscript[$CellContext`f, 3, 3] 
        Subscript[$CellContext`m, 4, 2]) + 
     Rational[1, 2] (
       Rational[1, 2] Subscript[$CellContext`f, 3, 4] 
        Subscript[$CellContext`m, 4, 1] + 
       Rational[1, 2] Subscript[$CellContext`f, 3, 3] 
        Subscript[$CellContext`m, 4, 2]), 
     Rational[1, 2] (
       Rational[-1, 2] Subscript[$CellContext`f, 3, 4] 
        Subscript[$CellContext`m, 4, 1] + 
       Rational[1, 2] Subscript[$CellContext`f, 3, 3] 
        Subscript[$CellContext`m, 4, 2]) + 
     Rational[1, 2] (
       Rational[1, 2] Subscript[$CellContext`f, 3, 4] 
        Subscript[$CellContext`m, 4, 1] + 
       Rational[1, 2] Subscript[$CellContext`f, 3, 3] 
        Subscript[$CellContext`m, 4, 2]), 
     Rational[1, 2] (
       Rational[1, 2] Subscript[$CellContext`f, 3, 4] 
        Subscript[$CellContext`m, 4, 1] + 
       Rational[-1, 2] Subscript[$CellContext`f, 3, 3] 
        Subscript[$CellContext`m, 4, 2]) + 
     Rational[1, 2] (
       Rational[1, 2] Subscript[$CellContext`f, 3, 4] 
        Subscript[$CellContext`m, 4, 1] + 
       Rational[1, 2] Subscript[$CellContext`f, 3, 3] 
        Subscript[$CellContext`m, 4, 2]), 2^Rational[-1, 2] 
     Subscript[$CellContext`f, 3, 2] Subscript[$CellContext`m, 4, 2], 
     2^Rational[-1, 2] Subscript[$CellContext`f, 3, 4] 
     Subscript[$CellContext`m, 4, 2], 2^Rational[-1, 2] 
     Subscript[$CellContext`f, 3, 1] Subscript[$CellContext`m, 4, 3], 
     Rational[1, 2] (
       Rational[1, 2] Subscript[$CellContext`f, 3, 2] 
        Subscript[$CellContext`m, 4, 3] + 
       Rational[-1, 2] Subscript[$CellContext`f, 3, 1] 
        Subscript[$CellContext`m, 4, 4]) + 
     Rational[1, 2] (
       Rational[1, 2] Subscript[$CellContext`f, 3, 2] 
        Subscript[$CellContext`m, 4, 3] + 
       Rational[1, 2] Subscript[$CellContext`f, 3, 1] 
        Subscript[$CellContext`m, 4, 4]), 
     Rational[1, 2] (
       Rational[-1, 2] Subscript[$CellContext`f, 3, 2] 
        Subscript[$CellContext`m, 4, 3] + 
       Rational[1, 2] Subscript[$CellContext`f, 3, 1] 
        Subscript[$CellContext`m, 4, 4]) + 
     Rational[1, 2] (
       Rational[1, 2] Subscript[$CellContext`f, 3, 2] 
        Subscript[$CellContext`m, 4, 3] + 
       Rational[1, 2] Subscript[$CellContext`f, 3, 1] 
        Subscript[$CellContext`m, 4, 4]), 
     Rational[1, 2] (
       Rational[-1, 2] Subscript[$CellContext`f, 3, 2] 
        Subscript[$CellContext`m, 4, 3] + 
       Rational[1, 2] Subscript[$CellContext`f, 3, 1] 
        Subscript[$CellContext`m, 4, 4]) + 
     Rational[1, 2] (
       Rational[1, 2] Subscript[$CellContext`f, 3, 2] 
        Subscript[$CellContext`m, 4, 3] + 
       Rational[1, 2] Subscript[$CellContext`f, 3, 1] 
        Subscript[$CellContext`m, 4, 4]), 
     Rational[1, 2] (
       Rational[1, 2] Subscript[$CellContext`f, 3, 2] 
        Subscript[$CellContext`m, 4, 3] + 
       Rational[-1, 2] Subscript[$CellContext`f, 3, 1] 
        Subscript[$CellContext`m, 4, 4]) + 
     Rational[1, 2] (
       Rational[1, 2] Subscript[$CellContext`f, 3, 2] 
        Subscript[$CellContext`m, 4, 3] + 
       Rational[1, 2] Subscript[$CellContext`f, 3, 1] 
        Subscript[$CellContext`m, 4, 4]), 2^Rational[-1, 2] 
     Subscript[$CellContext`f, 3, 3] Subscript[$CellContext`m, 4, 3], 
     Rational[1, 2] (
       Rational[1, 2] Subscript[$CellContext`f, 3, 4] 
        Subscript[$CellContext`m, 4, 3] + 
       Rational[-1, 2] Subscript[$CellContext`f, 3, 3] 
        Subscript[$CellContext`m, 4, 4]) + 
     Rational[1, 2] (
       Rational[1, 2] Subscript[$CellContext`f, 3, 4] 
        Subscript[$CellContext`m, 4, 3] + 
       Rational[1, 2] Subscript[$CellContext`f, 3, 3] 
        Subscript[$CellContext`m, 4, 4]), 
     Rational[1, 2] (
       Rational[-1, 2] Subscript[$CellContext`f, 3, 4] 
        Subscript[$CellContext`m, 4, 3] + 
       Rational[1, 2] Subscript[$CellContext`f, 3, 3] 
        Subscript[$CellContext`m, 4, 4]) + 
     Rational[1, 2] (
       Rational[1, 2] Subscript[$CellContext`f, 3, 4] 
        Subscript[$CellContext`m, 4, 3] + 
       Rational[1, 2] Subscript[$CellContext`f, 3, 3] 
        Subscript[$CellContext`m, 4, 4]), 
     Rational[1, 2] (
       Rational[-1, 2] Subscript[$CellContext`f, 3, 4] 
        Subscript[$CellContext`m, 4, 3] + 
       Rational[1, 2] Subscript[$CellContext`f, 3, 3] 
        Subscript[$CellContext`m, 4, 4]) + 
     Rational[1, 2] (
       Rational[1, 2] Subscript[$CellContext`f, 3, 4] 
        Subscript[$CellContext`m, 4, 3] + 
       Rational[1, 2] Subscript[$CellContext`f, 3, 3] 
        Subscript[$CellContext`m, 4, 4]), 
     Rational[1, 2] (
       Rational[1, 2] Subscript[$CellContext`f, 3, 4] 
        Subscript[$CellContext`m, 4, 3] + 
       Rational[-1, 2] Subscript[$CellContext`f, 3, 3] 
        Subscript[$CellContext`m, 4, 4]) + 
     Rational[1, 2] (
       Rational[1, 2] Subscript[$CellContext`f, 3, 4] 
        Subscript[$CellContext`m, 4, 3] + 
       Rational[1, 2] Subscript[$CellContext`f, 3, 3] 
        Subscript[$CellContext`m, 4, 4]), 2^Rational[-1, 2] 
     Subscript[$CellContext`f, 3, 2] Subscript[$CellContext`m, 4, 4], 
     2^Rational[-1, 2] Subscript[$CellContext`f, 3, 4] 
     Subscript[$CellContext`m, 4, 4], 2^Rational[-1, 2] 
     Subscript[$CellContext`f, 1, 1] Subscript[$CellContext`m, 4, 1], 
     Rational[1, 2] (
       Rational[1, 2] Subscript[$CellContext`f, 1, 2] 
        Subscript[$CellContext`m, 4, 1] + 
       Rational[-1, 2] Subscript[$CellContext`f, 1, 1] 
        Subscript[$CellContext`m, 4, 2]) + 
     Rational[1, 2] (
       Rational[1, 2] Subscript[$CellContext`f, 1, 2] 
        Subscript[$CellContext`m, 4, 1] + 
       Rational[1, 2] Subscript[$CellContext`f, 1, 1] 
        Subscript[$CellContext`m, 4, 2]), 
     Rational[1, 2] (
       Rational[-1, 2] Subscript[$CellContext`f, 1, 2] 
        Subscript[$CellContext`m, 4, 1] + 
       Rational[1, 2] Subscript[$CellContext`f, 1, 1] 
        Subscript[$CellContext`m, 4, 2]) + 
     Rational[1, 2] (
       Rational[1, 2] Subscript[$CellContext`f, 1, 2] 
        Subscript[$CellContext`m, 4, 1] + 
       Rational[1, 2] Subscript[$CellContext`f, 1, 1] 
        Subscript[$CellContext`m, 4, 2]), 
     Rational[1, 2] (
       Rational[-1, 2] Subscript[$CellContext`f, 1, 2] 
        Subscript[$CellContext`m, 4, 1] + 
       Rational[1, 2] Subscript[$CellContext`f, 1, 1] 
        Subscript[$CellContext`m, 4, 2]) + 
     Rational[1, 2] (
       Rational[1, 2] Subscript[$CellContext`f, 1, 2] 
        Subscript[$CellContext`m, 4, 1] + 
       Rational[1, 2] Subscript[$CellContext`f, 1, 1] 
        Subscript[$CellContext`m, 4, 2]), 
     Rational[1, 2] (
       Rational[1, 2] Subscript[$CellContext`f, 1, 2] 
        Subscript[$CellContext`m, 4, 1] + 
       Rational[-1, 2] Subscript[$CellContext`f, 1, 1] 
        Subscript[$CellContext`m, 4, 2]) + 
     Rational[1, 2] (
       Rational[1, 2] Subscript[$CellContext`f, 1, 2] 
        Subscript[$CellContext`m, 4, 1] + 
       Rational[1, 2] Subscript[$CellContext`f, 1, 1] 
        Subscript[$CellContext`m, 4, 2]), 2^Rational[-1, 2] 
     Subscript[$CellContext`f, 1, 3] Subscript[$CellContext`m, 4, 1], 
     Rational[1, 2] (
       Rational[1, 2] Subscript[$CellContext`f, 1, 4] 
        Subscript[$CellContext`m, 4, 1] + 
       Rational[-1, 2] Subscript[$CellContext`f, 1, 3] 
        Subscript[$CellContext`m, 4, 2]) + 
     Rational[1, 2] (
       Rational[1, 2] Subscript[$CellContext`f, 1, 4] 
        Subscript[$CellContext`m, 4, 1] + 
       Rational[1, 2] Subscript[$CellContext`f, 1, 3] 
        Subscript[$CellContext`m, 4, 2]), 
     Rational[1, 2] (
       Rational[-1, 2] Subscript[$CellContext`f, 1, 4] 
        Subscript[$CellContext`m, 4, 1] + 
       Rational[1, 2] Subscript[$CellContext`f, 1, 3] 
        Subscript[$CellContext`m, 4, 2]) + 
     Rational[1, 2] (
       Rational[1, 2] Subscript[$CellContext`f, 1, 4] 
        Subscript[$CellContext`m, 4, 1] + 
       Rational[1, 2] Subscript[$CellContext`f, 1, 3] 
        Subscript[$CellContext`m, 4, 2]), 
     Rational[1, 2] (
       Rational[-1, 2] Subscript[$CellContext`f, 1, 4] 
        Subscript[$CellContext`m, 4, 1] + 
       Rational[1, 2] Subscript[$CellContext`f, 1, 3] 
        Subscript[$CellContext`m, 4, 2]) + 
     Rational[1, 2] (
       Rational[1, 2] Subscript[$CellContext`f, 1, 4] 
        Subscript[$CellContext`m, 4, 1] + 
       Rational[1, 2] Subscript[$CellContext`f, 1, 3] 
        Subscript[$CellContext`m, 4, 2]), 
     Rational[1, 2] (
       Rational[1, 2] Subscript[$CellContext`f, 1, 4] 
        Subscript[$CellContext`m, 4, 1] + 
       Rational[-1, 2] Subscript[$CellContext`f, 1, 3] 
        Subscript[$CellContext`m, 4, 2]) + 
     Rational[1, 2] (
       Rational[1, 2] Subscript[$CellContext`f, 1, 4] 
        Subscript[$CellContext`m, 4, 1] + 
       Rational[1, 2] Subscript[$CellContext`f, 1, 3] 
        Subscript[$CellContext`m, 4, 2]), 2^Rational[-1, 2] 
     Subscript[$CellContext`f, 1, 2] Subscript[$CellContext`m, 4, 2], 
     2^Rational[-1, 2] Subscript[$CellContext`f, 1, 4] 
     Subscript[$CellContext`m, 4, 2], 2^Rational[-1, 2] 
     Subscript[$CellContext`f, 1, 1] Subscript[$CellContext`m, 4, 3], 
     Rational[1, 2] (
       Rational[1, 2] Subscript[$CellContext`f, 1, 2] 
        Subscript[$CellContext`m, 4, 3] + 
       Rational[-1, 2] Subscript[$CellContext`f, 1, 1] 
        Subscript[$CellContext`m, 4, 4]) + 
     Rational[1, 2] (
       Rational[1, 2] Subscript[$CellContext`f, 1, 2] 
        Subscript[$CellContext`m, 4, 3] + 
       Rational[1, 2] Subscript[$CellContext`f, 1, 1] 
        Subscript[$CellContext`m, 4, 4]), 
     Rational[1, 2] (
       Rational[-1, 2] Subscript[$CellContext`f, 1, 2] 
        Subscript[$CellContext`m, 4, 3] + 
       Rational[1, 2] Subscript[$CellContext`f, 1, 1] 
        Subscript[$CellContext`m, 4, 4]) + 
     Rational[1, 2] (
       Rational[1, 2] Subscript[$CellContext`f, 1, 2] 
        Subscript[$CellContext`m, 4, 3] + 
       Rational[1, 2] Subscript[$CellContext`f, 1, 1] 
        Subscript[$CellContext`m, 4, 4]), 
     Rational[1, 2] (
       Rational[-1, 2] Subscript[$CellContext`f, 1, 2] 
        Subscript[$CellContext`m, 4, 3] + 
       Rational[1, 2] Subscript[$CellContext`f, 1, 1] 
        Subscript[$CellContext`m, 4, 4]) + 
     Rational[1, 2] (
       Rational[1, 2] Subscript[$CellContext`f, 1, 2] 
        Subscript[$CellContext`m, 4, 3] + 
       Rational[1, 2] Subscript[$CellContext`f, 1, 1] 
        Subscript[$CellContext`m, 4, 4]), 
     Rational[1, 2] (
       Rational[1, 2] Subscript[$CellContext`f, 1, 2] 
        Subscript[$CellContext`m, 4, 3] + 
       Rational[-1, 2] Subscript[$CellContext`f, 1, 1] 
        Subscript[$CellContext`m, 4, 4]) + 
     Rational[1, 2] (
       Rational[1, 2] Subscript[$CellContext`f, 1, 2] 
        Subscript[$CellContext`m, 4, 3] + 
       Rational[1, 2] Subscript[$CellContext`f, 1, 1] 
        Subscript[$CellContext`m, 4, 4]), 2^Rational[-1, 2] 
     Subscript[$CellContext`f, 1, 3] Subscript[$CellContext`m, 4, 3], 
     Rational[1, 2] (
       Rational[1, 2] Subscript[$CellContext`f, 1, 4] 
        Subscript[$CellContext`m, 4, 3] + 
       Rational[-1, 2] Subscript[$CellContext`f, 1, 3] 
        Subscript[$CellContext`m, 4, 4]) + 
     Rational[1, 2] (
       Rational[1, 2] Subscript[$CellContext`f, 1, 4] 
        Subscript[$CellContext`m, 4, 3] + 
       Rational[1, 2] Subscript[$CellContext`f, 1, 3] 
        Subscript[$CellContext`m, 4, 4]), 
     Rational[1, 2] (
       Rational[-1, 2] Subscript[$CellContext`f, 1, 4] 
        Subscript[$CellContext`m, 4, 3] + 
       Rational[1, 2] Subscript[$CellContext`f, 1, 3] 
        Subscript[$CellContext`m, 4, 4]) + 
     Rational[1, 2] (
       Rational[1, 2] Subscript[$CellContext`f, 1, 4] 
        Subscript[$CellContext`m, 4, 3] + 
       Rational[1, 2] Subscript[$CellContext`f, 1, 3] 
        Subscript[$CellContext`m, 4, 4]), 
     Rational[1, 2] (
       Rational[-1, 2] Subscript[$CellContext`f, 1, 4] 
        Subscript[$CellContext`m, 4, 3] + 
       Rational[1, 2] Subscript[$CellContext`f, 1, 3] 
        Subscript[$CellContext`m, 4, 4]) + 
     Rational[1, 2] (
       Rational[1, 2] Subscript[$CellContext`f, 1, 4] 
        Subscript[$CellContext`m, 4, 3] + 
       Rational[1, 2] Subscript[$CellContext`f, 1, 3] 
        Subscript[$CellContext`m, 4, 4]), 
     Rational[1, 2] (
       Rational[1, 2] Subscript[$CellContext`f, 1, 4] 
        Subscript[$CellContext`m, 4, 3] + 
       Rational[-1, 2] Subscript[$CellContext`f, 1, 3] 
        Subscript[$CellContext`m, 4, 4]) + 
     Rational[1, 2] (
       Rational[1, 2] Subscript[$CellContext`f, 1, 4] 
        Subscript[$CellContext`m, 4, 3] + 
       Rational[1, 2] Subscript[$CellContext`f, 1, 3] 
        Subscript[$CellContext`m, 4, 4]), 2^Rational[-1, 2] 
     Subscript[$CellContext`f, 1, 2] Subscript[$CellContext`m, 4, 4], 
     2^Rational[-1, 2] Subscript[$CellContext`f, 1, 4] 
     Subscript[$CellContext`m, 4, 4], 2^Rational[-1, 2] 
     Subscript[$CellContext`f, 2, 1] Subscript[$CellContext`m, 3, 1], 
     Rational[1, 2] (
       Rational[1, 2] Subscript[$CellContext`f, 2, 2] 
        Subscript[$CellContext`m, 3, 1] + 
       Rational[-1, 2] Subscript[$CellContext`f, 2, 1] 
        Subscript[$CellContext`m, 3, 2]) + 
     Rational[1, 2] (
       Rational[1, 2] Subscript[$CellContext`f, 2, 2] 
        Subscript[$CellContext`m, 3, 1] + 
       Rational[1, 2] Subscript[$CellContext`f, 2, 1] 
        Subscript[$CellContext`m, 3, 2]), 
     Rational[1, 2] (
       Rational[-1, 2] Subscript[$CellContext`f, 2, 2] 
        Subscript[$CellContext`m, 3, 1] + 
       Rational[1, 2] Subscript[$CellContext`f, 2, 1] 
        Subscript[$CellContext`m, 3, 2]) + 
     Rational[1, 2] (
       Rational[1, 2] Subscript[$CellContext`f, 2, 2] 
        Subscript[$CellContext`m, 3, 1] + 
       Rational[1, 2] Subscript[$CellContext`f, 2, 1] 
        Subscript[$CellContext`m, 3, 2]), 
     Rational[1, 2] (
       Rational[-1, 2] Subscript[$CellContext`f, 2, 2] 
        Subscript[$CellContext`m, 3, 1] + 
       Rational[1, 2] Subscript[$CellContext`f, 2, 1] 
        Subscript[$CellContext`m, 3, 2]) + 
     Rational[1, 2] (
       Rational[1, 2] Subscript[$CellContext`f, 2, 2] 
        Subscript[$CellContext`m, 3, 1] + 
       Rational[1, 2] Subscript[$CellContext`f, 2, 1] 
        Subscript[$CellContext`m, 3, 2]), 
     Rational[1, 2] (
       Rational[1, 2] Subscript[$CellContext`f, 2, 2] 
        Subscript[$CellContext`m, 3, 1] + 
       Rational[-1, 2] Subscript[$CellContext`f, 2, 1] 
        Subscript[$CellContext`m, 3, 2]) + 
     Rational[1, 2] (
       Rational[1, 2] Subscript[$CellContext`f, 2, 2] 
        Subscript[$CellContext`m, 3, 1] + 
       Rational[1, 2] Subscript[$CellContext`f, 2, 1] 
        Subscript[$CellContext`m, 3, 2]), 2^Rational[-1, 2] 
     Subscript[$CellContext`f, 2, 3] Subscript[$CellContext`m, 3, 1], 
     Rational[1, 2] (
       Rational[1, 2] Subscript[$CellContext`f, 2, 4] 
        Subscript[$CellContext`m, 3, 1] + 
       Rational[-1, 2] Subscript[$CellContext`f, 2, 3] 
        Subscript[$CellContext`m, 3, 2]) + 
     Rational[1, 2] (
       Rational[1, 2] Subscript[$CellContext`f, 2, 4] 
        Subscript[$CellContext`m, 3, 1] + 
       Rational[1, 2] Subscript[$CellContext`f, 2, 3] 
        Subscript[$CellContext`m, 3, 2]), 
     Rational[1, 2] (
       Rational[-1, 2] Subscript[$CellContext`f, 2, 4] 
        Subscript[$CellContext`m, 3, 1] + 
       Rational[1, 2] Subscript[$CellContext`f, 2, 3] 
        Subscript[$CellContext`m, 3, 2]) + 
     Rational[1, 2] (
       Rational[1, 2] Subscript[$CellContext`f, 2, 4] 
        Subscript[$CellContext`m, 3, 1] + 
       Rational[1, 2] Subscript[$CellContext`f, 2, 3] 
        Subscript[$CellContext`m, 3, 2]), 
     Rational[1, 2] (
       Rational[-1, 2] Subscript[$CellContext`f, 2, 4] 
        Subscript[$CellContext`m, 3, 1] + 
       Rational[1, 2] Subscript[$CellContext`f, 2, 3] 
        Subscript[$CellContext`m, 3, 2]) + 
     Rational[1, 2] (
       Rational[1, 2] Subscript[$CellContext`f, 2, 4] 
        Subscript[$CellContext`m, 3, 1] + 
       Rational[1, 2] Subscript[$CellContext`f, 2, 3] 
        Subscript[$CellContext`m, 3, 2]), 
     Rational[1, 2] (
       Rational[1, 2] Subscript[$CellContext`f, 2, 4] 
        Subscript[$CellContext`m, 3, 1] + 
       Rational[-1, 2] Subscript[$CellContext`f, 2, 3] 
        Subscript[$CellContext`m, 3, 2]) + 
     Rational[1, 2] (
       Rational[1, 2] Subscript[$CellContext`f, 2, 4] 
        Subscript[$CellContext`m, 3, 1] + 
       Rational[1, 2] Subscript[$CellContext`f, 2, 3] 
        Subscript[$CellContext`m, 3, 2]), 2^Rational[-1, 2] 
     Subscript[$CellContext`f, 2, 2] Subscript[$CellContext`m, 3, 2], 
     2^Rational[-1, 2] Subscript[$CellContext`f, 2, 4] 
     Subscript[$CellContext`m, 3, 2], 2^Rational[-1, 2] 
     Subscript[$CellContext`f, 2, 1] Subscript[$CellContext`m, 3, 3], 
     Rational[1, 2] (
       Rational[1, 2] Subscript[$CellContext`f, 2, 2] 
        Subscript[$CellContext`m, 3, 3] + 
       Rational[-1, 2] Subscript[$CellContext`f, 2, 1] 
        Subscript[$CellContext`m, 3, 4]) + 
     Rational[1, 2] (
       Rational[1, 2] Subscript[$CellContext`f, 2, 2] 
        Subscript[$CellContext`m, 3, 3] + 
       Rational[1, 2] Subscript[$CellContext`f, 2, 1] 
        Subscript[$CellContext`m, 3, 4]), 
     Rational[1, 2] (
       Rational[-1, 2] Subscript[$CellContext`f, 2, 2] 
        Subscript[$CellContext`m, 3, 3] + 
       Rational[1, 2] Subscript[$CellContext`f, 2, 1] 
        Subscript[$CellContext`m, 3, 4]) + 
     Rational[1, 2] (
       Rational[1, 2] Subscript[$CellContext`f, 2, 2] 
        Subscript[$CellContext`m, 3, 3] + 
       Rational[1, 2] Subscript[$CellContext`f, 2, 1] 
        Subscript[$CellContext`m, 3, 4]), 
     Rational[1, 2] (
       Rational[-1, 2] Subscript[$CellContext`f, 2, 2] 
        Subscript[$CellContext`m, 3, 3] + 
       Rational[1, 2] Subscript[$CellContext`f, 2, 1] 
        Subscript[$CellContext`m, 3, 4]) + 
     Rational[1, 2] (
       Rational[1, 2] Subscript[$CellContext`f, 2, 2] 
        Subscript[$CellContext`m, 3, 3] + 
       Rational[1, 2] Subscript[$CellContext`f, 2, 1] 
        Subscript[$CellContext`m, 3, 4]), 
     Rational[1, 2] (
       Rational[1, 2] Subscript[$CellContext`f, 2, 2] 
        Subscript[$CellContext`m, 3, 3] + 
       Rational[-1, 2] Subscript[$CellContext`f, 2, 1] 
        Subscript[$CellContext`m, 3, 4]) + 
     Rational[1, 2] (
       Rational[1, 2] Subscript[$CellContext`f, 2, 2] 
        Subscript[$CellContext`m, 3, 3] + 
       Rational[1, 2] Subscript[$CellContext`f, 2, 1] 
        Subscript[$CellContext`m, 3, 4]), 2^Rational[-1, 2] 
     Subscript[$CellContext`f, 2, 3] Subscript[$CellContext`m, 3, 3], 
     Rational[1, 2] (
       Rational[1, 2] Subscript[$CellContext`f, 2, 4] 
        Subscript[$CellContext`m, 3, 3] + 
       Rational[-1, 2] Subscript[$CellContext`f, 2, 3] 
        Subscript[$CellContext`m, 3, 4]) + 
     Rational[1, 2] (
       Rational[1, 2] Subscript[$CellContext`f, 2, 4] 
        Subscript[$CellContext`m, 3, 3] + 
       Rational[1, 2] Subscript[$CellContext`f, 2, 3] 
        Subscript[$CellContext`m, 3, 4]), 
     Rational[1, 2] (
       Rational[-1, 2] Subscript[$CellContext`f, 2, 4] 
        Subscript[$CellContext`m, 3, 3] + 
       Rational[1, 2] Subscript[$CellContext`f, 2, 3] 
        Subscript[$CellContext`m, 3, 4]) + 
     Rational[1, 2] (
       Rational[1, 2] Subscript[$CellContext`f, 2, 4] 
        Subscript[$CellContext`m, 3, 3] + 
       Rational[1, 2] Subscript[$CellContext`f, 2, 3] 
        Subscript[$CellContext`m, 3, 4]), 
     Rational[1, 2] (
       Rational[-1, 2] Subscript[$CellContext`f, 2, 4] 
        Subscript[$CellContext`m, 3, 3] + 
       Rational[1, 2] Subscript[$CellContext`f, 2, 3] 
        Subscript[$CellContext`m, 3, 4]) + 
     Rational[1, 2] (
       Rational[1, 2] Subscript[$CellContext`f, 2, 4] 
        Subscript[$CellContext`m, 3, 3] + 
       Rational[1, 2] Subscript[$CellContext`f, 2, 3] 
        Subscript[$CellContext`m, 3, 4]), 
     Rational[1, 2] (
       Rational[1, 2] Subscript[$CellContext`f, 2, 4] 
        Subscript[$CellContext`m, 3, 3] + 
       Rational[-1, 2] Subscript[$CellContext`f, 2, 3] 
        Subscript[$CellContext`m, 3, 4]) + 
     Rational[1, 2] (
       Rational[1, 2] Subscript[$CellContext`f, 2, 4] 
        Subscript[$CellContext`m, 3, 3] + 
       Rational[1, 2] Subscript[$CellContext`f, 2, 3] 
        Subscript[$CellContext`m, 3, 4]), 2^Rational[-1, 2] 
     Subscript[$CellContext`f, 2, 2] Subscript[$CellContext`m, 3, 4], 
     2^Rational[-1, 2] Subscript[$CellContext`f, 2, 4] 
     Subscript[$CellContext`m, 3, 4], Subscript[$CellContext`f, 2, 1] 
     Subscript[$CellContext`m, 4, 1], 
     Rational[1, 2] (
       2^Rational[-1, 2] Subscript[$CellContext`f, 2, 2] 
        Subscript[$CellContext`m, 4, 1] - 2^Rational[-1, 2] 
       Subscript[$CellContext`f, 2, 1] Subscript[$CellContext`m, 4, 2]) + 
     Rational[1, 2] (
       2^Rational[-1, 2] Subscript[$CellContext`f, 2, 2] 
        Subscript[$CellContext`m, 4, 1] + 
       2^Rational[-1, 2] Subscript[$CellContext`f, 2, 1] 
        Subscript[$CellContext`m, 4, 2]), 
     Rational[1, 2] (-2^Rational[-1, 2] Subscript[$CellContext`f, 2, 2] 
        Subscript[$CellContext`m, 4, 1] + 
       2^Rational[-1, 2] Subscript[$CellContext`f, 2, 1] 
        Subscript[$CellContext`m, 4, 2]) + 
     Rational[1, 2] (
       2^Rational[-1, 2] Subscript[$CellContext`f, 2, 2] 
        Subscript[$CellContext`m, 4, 1] + 
       2^Rational[-1, 2] Subscript[$CellContext`f, 2, 1] 
        Subscript[$CellContext`m, 4, 2]), 
     Rational[1, 2] (-2^Rational[-1, 2] Subscript[$CellContext`f, 2, 2] 
        Subscript[$CellContext`m, 4, 1] + 
       2^Rational[-1, 2] Subscript[$CellContext`f, 2, 1] 
        Subscript[$CellContext`m, 4, 2]) + 
     Rational[1, 2] (
       2^Rational[-1, 2] Subscript[$CellContext`f, 2, 2] 
        Subscript[$CellContext`m, 4, 1] + 
       2^Rational[-1, 2] Subscript[$CellContext`f, 2, 1] 
        Subscript[$CellContext`m, 4, 2]), 
     Rational[1, 2] (
       2^Rational[-1, 2] Subscript[$CellContext`f, 2, 2] 
        Subscript[$CellContext`m, 4, 1] - 2^Rational[-1, 2] 
       Subscript[$CellContext`f, 2, 1] Subscript[$CellContext`m, 4, 2]) + 
     Rational[1, 2] (
       2^Rational[-1, 2] Subscript[$CellContext`f, 2, 2] 
        Subscript[$CellContext`m, 4, 1] + 
       2^Rational[-1, 2] Subscript[$CellContext`f, 2, 1] 
        Subscript[$CellContext`m, 4, 2]), Subscript[$CellContext`f, 2, 3] 
     Subscript[$CellContext`m, 4, 1], 
     Rational[1, 2] (
       2^Rational[-1, 2] Subscript[$CellContext`f, 2, 4] 
        Subscript[$CellContext`m, 4, 1] - 2^Rational[-1, 2] 
       Subscript[$CellContext`f, 2, 3] Subscript[$CellContext`m, 4, 2]) + 
     Rational[1, 2] (
       2^Rational[-1, 2] Subscript[$CellContext`f, 2, 4] 
        Subscript[$CellContext`m, 4, 1] + 
       2^Rational[-1, 2] Subscript[$CellContext`f, 2, 3] 
        Subscript[$CellContext`m, 4, 2]), 
     Rational[1, 2] (-2^Rational[-1, 2] Subscript[$CellContext`f, 2, 4] 
        Subscript[$CellContext`m, 4, 1] + 
       2^Rational[-1, 2] Subscript[$CellContext`f, 2, 3] 
        Subscript[$CellContext`m, 4, 2]) + 
     Rational[1, 2] (
       2^Rational[-1, 2] Subscript[$CellContext`f, 2, 4] 
        Subscript[$CellContext`m, 4, 1] + 
       2^Rational[-1, 2] Subscript[$CellContext`f, 2, 3] 
        Subscript[$CellContext`m, 4, 2]), 
     Rational[1, 2] (-2^Rational[-1, 2] Subscript[$CellContext`f, 2, 4] 
        Subscript[$CellContext`m, 4, 1] + 
       2^Rational[-1, 2] Subscript[$CellContext`f, 2, 3] 
        Subscript[$CellContext`m, 4, 2]) + 
     Rational[1, 2] (
       2^Rational[-1, 2] Subscript[$CellContext`f, 2, 4] 
        Subscript[$CellContext`m, 4, 1] + 
       2^Rational[-1, 2] Subscript[$CellContext`f, 2, 3] 
        Subscript[$CellContext`m, 4, 2]), 
     Rational[1, 2] (
       2^Rational[-1, 2] Subscript[$CellContext`f, 2, 4] 
        Subscript[$CellContext`m, 4, 1] - 2^Rational[-1, 2] 
       Subscript[$CellContext`f, 2, 3] Subscript[$CellContext`m, 4, 2]) + 
     Rational[1, 2] (
       2^Rational[-1, 2] Subscript[$CellContext`f, 2, 4] 
        Subscript[$CellContext`m, 4, 1] + 
       2^Rational[-1, 2] Subscript[$CellContext`f, 2, 3] 
        Subscript[$CellContext`m, 4, 2]), Subscript[$CellContext`f, 2, 2] 
     Subscript[$CellContext`m, 4, 2], Subscript[$CellContext`f, 2, 4] 
     Subscript[$CellContext`m, 4, 2], Subscript[$CellContext`f, 2, 1] 
     Subscript[$CellContext`m, 4, 3], 
     Rational[1, 2] (
       2^Rational[-1, 2] Subscript[$CellContext`f, 2, 2] 
        Subscript[$CellContext`m, 4, 3] - 2^Rational[-1, 2] 
       Subscript[$CellContext`f, 2, 1] Subscript[$CellContext`m, 4, 4]) + 
     Rational[1, 2] (
       2^Rational[-1, 2] Subscript[$CellContext`f, 2, 2] 
        Subscript[$CellContext`m, 4, 3] + 
       2^Rational[-1, 2] Subscript[$CellContext`f, 2, 1] 
        Subscript[$CellContext`m, 4, 4]), 
     Rational[1, 2] (-2^Rational[-1, 2] Subscript[$CellContext`f, 2, 2] 
        Subscript[$CellContext`m, 4, 3] + 
       2^Rational[-1, 2] Subscript[$CellContext`f, 2, 1] 
        Subscript[$CellContext`m, 4, 4]) + 
     Rational[1, 2] (
       2^Rational[-1, 2] Subscript[$CellContext`f, 2, 2] 
        Subscript[$CellContext`m, 4, 3] + 
       2^Rational[-1, 2] Subscript[$CellContext`f, 2, 1] 
        Subscript[$CellContext`m, 4, 4]), 
     Rational[1, 2] (-2^Rational[-1, 2] Subscript[$CellContext`f, 2, 2] 
        Subscript[$CellContext`m, 4, 3] + 
       2^Rational[-1, 2] Subscript[$CellContext`f, 2, 1] 
        Subscript[$CellContext`m, 4, 4]) + 
     Rational[1, 2] (
       2^Rational[-1, 2] Subscript[$CellContext`f, 2, 2] 
        Subscript[$CellContext`m, 4, 3] + 
       2^Rational[-1, 2] Subscript[$CellContext`f, 2, 1] 
        Subscript[$CellContext`m, 4, 4]), 
     Rational[1, 2] (
       2^Rational[-1, 2] Subscript[$CellContext`f, 2, 2] 
        Subscript[$CellContext`m, 4, 3] - 2^Rational[-1, 2] 
       Subscript[$CellContext`f, 2, 1] Subscript[$CellContext`m, 4, 4]) + 
     Rational[1, 2] (
       2^Rational[-1, 2] Subscript[$CellContext`f, 2, 2] 
        Subscript[$CellContext`m, 4, 3] + 
       2^Rational[-1, 2] Subscript[$CellContext`f, 2, 1] 
        Subscript[$CellContext`m, 4, 4]), Subscript[$CellContext`f, 2, 3] 
     Subscript[$CellContext`m, 4, 3], 
     Rational[1, 2] (
       2^Rational[-1, 2] Subscript[$CellContext`f, 2, 4] 
        Subscript[$CellContext`m, 4, 3] - 2^Rational[-1, 2] 
       Subscript[$CellContext`f, 2, 3] Subscript[$CellContext`m, 4, 4]) + 
     Rational[1, 2] (
       2^Rational[-1, 2] Subscript[$CellContext`f, 2, 4] 
        Subscript[$CellContext`m, 4, 3] + 
       2^Rational[-1, 2] Subscript[$CellContext`f, 2, 3] 
        Subscript[$CellContext`m, 4, 4]), 
     Rational[1, 2] (-2^Rational[-1, 2] Subscript[$CellContext`f, 2, 4] 
        Subscript[$CellContext`m, 4, 3] + 
       2^Rational[-1, 2] Subscript[$CellContext`f, 2, 3] 
        Subscript[$CellContext`m, 4, 4]) + 
     Rational[1, 2] (
       2^Rational[-1, 2] Subscript[$CellContext`f, 2, 4] 
        Subscript[$CellContext`m, 4, 3] + 
       2^Rational[-1, 2] Subscript[$CellContext`f, 2, 3] 
        Subscript[$CellContext`m, 4, 4]), 
     Rational[1, 2] (-2^Rational[-1, 2] Subscript[$CellContext`f, 2, 4] 
        Subscript[$CellContext`m, 4, 3] + 
       2^Rational[-1, 2] Subscript[$CellContext`f, 2, 3] 
        Subscript[$CellContext`m, 4, 4]) + 
     Rational[1, 2] (
       2^Rational[-1, 2] Subscript[$CellContext`f, 2, 4] 
        Subscript[$CellContext`m, 4, 3] + 
       2^Rational[-1, 2] Subscript[$CellContext`f, 2, 3] 
        Subscript[$CellContext`m, 4, 4]), 
     Rational[1, 2] (
       2^Rational[-1, 2] Subscript[$CellContext`f, 2, 4] 
        Subscript[$CellContext`m, 4, 3] - 2^Rational[-1, 2] 
       Subscript[$CellContext`f, 2, 3] Subscript[$CellContext`m, 4, 4]) + 
     Rational[1, 2] (
       2^Rational[-1, 2] Subscript[$CellContext`f, 2, 4] 
        Subscript[$CellContext`m, 4, 3] + 
       2^Rational[-1, 2] Subscript[$CellContext`f, 2, 3] 
        Subscript[$CellContext`m, 4, 4]), Subscript[$CellContext`f, 2, 2] 
     Subscript[$CellContext`m, 4, 4], Subscript[$CellContext`f, 2, 4] 
     Subscript[$CellContext`m, 4, 4], 2^Rational[-1, 2] 
     Subscript[$CellContext`f, 3, 1] Subscript[$CellContext`m, 4, 1], 
     Rational[1, 2] (
       Rational[1, 2] Subscript[$CellContext`f, 3, 2] 
        Subscript[$CellContext`m, 4, 1] + 
       Rational[-1, 2] Subscript[$CellContext`f, 3, 1] 
        Subscript[$CellContext`m, 4, 2]) + 
     Rational[1, 2] (
       Rational[1, 2] Subscript[$CellContext`f, 3, 2] 
        Subscript[$CellContext`m, 4, 1] + 
       Rational[1, 2] Subscript[$CellContext`f, 3, 1] 
        Subscript[$CellContext`m, 4, 2]), 
     Rational[1, 2] (
       Rational[-1, 2] Subscript[$CellContext`f, 3, 2] 
        Subscript[$CellContext`m, 4, 1] + 
       Rational[1, 2] Subscript[$CellContext`f, 3, 1] 
        Subscript[$CellContext`m, 4, 2]) + 
     Rational[1, 2] (
       Rational[1, 2] Subscript[$CellContext`f, 3, 2] 
        Subscript[$CellContext`m, 4, 1] + 
       Rational[1, 2] Subscript[$CellContext`f, 3, 1] 
        Subscript[$CellContext`m, 4, 2]), 
     Rational[1, 2] (
       Rational[-1, 2] Subscript[$CellContext`f, 3, 2] 
        Subscript[$CellContext`m, 4, 1] + 
       Rational[1, 2] Subscript[$CellContext`f, 3, 1] 
        Subscript[$CellContext`m, 4, 2]) + 
     Rational[1, 2] (
       Rational[1, 2] Subscript[$CellContext`f, 3, 2] 
        Subscript[$CellContext`m, 4, 1] + 
       Rational[1, 2] Subscript[$CellContext`f, 3, 1] 
        Subscript[$CellContext`m, 4, 2]), 
     Rational[1, 2] (
       Rational[1, 2] Subscript[$CellContext`f, 3, 2] 
        Subscript[$CellContext`m, 4, 1] + 
       Rational[-1, 2] Subscript[$CellContext`f, 3, 1] 
        Subscript[$CellContext`m, 4, 2]) + 
     Rational[1, 2] (
       Rational[1, 2] Subscript[$CellContext`f, 3, 2] 
        Subscript[$CellContext`m, 4, 1] + 
       Rational[1, 2] Subscript[$CellContext`f, 3, 1] 
        Subscript[$CellContext`m, 4, 2]), 2^Rational[-1, 2] 
     Subscript[$CellContext`f, 3, 3] Subscript[$CellContext`m, 4, 1], 
     Rational[1, 2] (
       Rational[1, 2] Subscript[$CellContext`f, 3, 4] 
        Subscript[$CellContext`m, 4, 1] + 
       Rational[-1, 2] Subscript[$CellContext`f, 3, 3] 
        Subscript[$CellContext`m, 4, 2]) + 
     Rational[1, 2] (
       Rational[1, 2] Subscript[$CellContext`f, 3, 4] 
        Subscript[$CellContext`m, 4, 1] + 
       Rational[1, 2] Subscript[$CellContext`f, 3, 3] 
        Subscript[$CellContext`m, 4, 2]), 
     Rational[1, 2] (
       Rational[-1, 2] Subscript[$CellContext`f, 3, 4] 
        Subscript[$CellContext`m, 4, 1] + 
       Rational[1, 2] Subscript[$CellContext`f, 3, 3] 
        Subscript[$CellContext`m, 4, 2]) + 
     Rational[1, 2] (
       Rational[1, 2] Subscript[$CellContext`f, 3, 4] 
        Subscript[$CellContext`m, 4, 1] + 
       Rational[1, 2] Subscript[$CellContext`f, 3, 3] 
        Subscript[$CellContext`m, 4, 2]), 
     Rational[1, 2] (
       Rational[-1, 2] Subscript[$CellContext`f, 3, 4] 
        Subscript[$CellContext`m, 4, 1] + 
       Rational[1, 2] Subscript[$CellContext`f, 3, 3] 
        Subscript[$CellContext`m, 4, 2]) + 
     Rational[1, 2] (
       Rational[1, 2] Subscript[$CellContext`f, 3, 4] 
        Subscript[$CellContext`m, 4, 1] + 
       Rational[1, 2] Subscript[$CellContext`f, 3, 3] 
        Subscript[$CellContext`m, 4, 2]), 
     Rational[1, 2] (
       Rational[1, 2] Subscript[$CellContext`f, 3, 4] 
        Subscript[$CellContext`m, 4, 1] + 
       Rational[-1, 2] Subscript[$CellContext`f, 3, 3] 
        Subscript[$CellContext`m, 4, 2]) + 
     Rational[1, 2] (
       Rational[1, 2] Subscript[$CellContext`f, 3, 4] 
        Subscript[$CellContext`m, 4, 1] + 
       Rational[1, 2] Subscript[$CellContext`f, 3, 3] 
        Subscript[$CellContext`m, 4, 2]), 2^Rational[-1, 2] 
     Subscript[$CellContext`f, 3, 2] Subscript[$CellContext`m, 4, 2], 
     2^Rational[-1, 2] Subscript[$CellContext`f, 3, 4] 
     Subscript[$CellContext`m, 4, 2], 2^Rational[-1, 2] 
     Subscript[$CellContext`f, 3, 1] Subscript[$CellContext`m, 4, 3], 
     Rational[1, 2] (
       Rational[1, 2] Subscript[$CellContext`f, 3, 2] 
        Subscript[$CellContext`m, 4, 3] + 
       Rational[-1, 2] Subscript[$CellContext`f, 3, 1] 
        Subscript[$CellContext`m, 4, 4]) + 
     Rational[1, 2] (
       Rational[1, 2] Subscript[$CellContext`f, 3, 2] 
        Subscript[$CellContext`m, 4, 3] + 
       Rational[1, 2] Subscript[$CellContext`f, 3, 1] 
        Subscript[$CellContext`m, 4, 4]), 
     Rational[1, 2] (
       Rational[-1, 2] Subscript[$CellContext`f, 3, 2] 
        Subscript[$CellContext`m, 4, 3] + 
       Rational[1, 2] Subscript[$CellContext`f, 3, 1] 
        Subscript[$CellContext`m, 4, 4]) + 
     Rational[1, 2] (
       Rational[1, 2] Subscript[$CellContext`f, 3, 2] 
        Subscript[$CellContext`m, 4, 3] + 
       Rational[1, 2] Subscript[$CellContext`f, 3, 1] 
        Subscript[$CellContext`m, 4, 4]), 
     Rational[1, 2] (
       Rational[-1, 2] Subscript[$CellContext`f, 3, 2] 
        Subscript[$CellContext`m, 4, 3] + 
       Rational[1, 2] Subscript[$CellContext`f, 3, 1] 
        Subscript[$CellContext`m, 4, 4]) + 
     Rational[1, 2] (
       Rational[1, 2] Subscript[$CellContext`f, 3, 2] 
        Subscript[$CellContext`m, 4, 3] + 
       Rational[1, 2] Subscript[$CellContext`f, 3, 1] 
        Subscript[$CellContext`m, 4, 4]), 
     Rational[1, 2] (
       Rational[1, 2] Subscript[$CellContext`f, 3, 2] 
        Subscript[$CellContext`m, 4, 3] + 
       Rational[-1, 2] Subscript[$CellContext`f, 3, 1] 
        Subscript[$CellContext`m, 4, 4]) + 
     Rational[1, 2] (
       Rational[1, 2] Subscript[$CellContext`f, 3, 2] 
        Subscript[$CellContext`m, 4, 3] + 
       Rational[1, 2] Subscript[$CellContext`f, 3, 1] 
        Subscript[$CellContext`m, 4, 4]), 2^Rational[-1, 2] 
     Subscript[$CellContext`f, 3, 3] Subscript[$CellContext`m, 4, 3], 
     Rational[1, 2] (
       Rational[1, 2] Subscript[$CellContext`f, 3, 4] 
        Subscript[$CellContext`m, 4, 3] + 
       Rational[-1, 2] Subscript[$CellContext`f, 3, 3] 
        Subscript[$CellContext`m, 4, 4]) + 
     Rational[1, 2] (
       Rational[1, 2] Subscript[$CellContext`f, 3, 4] 
        Subscript[$CellContext`m, 4, 3] + 
       Rational[1, 2] Subscript[$CellContext`f, 3, 3] 
        Subscript[$CellContext`m, 4, 4]), 
     Rational[1, 2] (
       Rational[-1, 2] Subscript[$CellContext`f, 3, 4] 
        Subscript[$CellContext`m, 4, 3] + 
       Rational[1, 2] Subscript[$CellContext`f, 3, 3] 
        Subscript[$CellContext`m, 4, 4]) + 
     Rational[1, 2] (
       Rational[1, 2] Subscript[$CellContext`f, 3, 4] 
        Subscript[$CellContext`m, 4, 3] + 
       Rational[1, 2] Subscript[$CellContext`f, 3, 3] 
        Subscript[$CellContext`m, 4, 4]), 
     Rational[1, 2] (
       Rational[-1, 2] Subscript[$CellContext`f, 3, 4] 
        Subscript[$CellContext`m, 4, 3] + 
       Rational[1, 2] Subscript[$CellContext`f, 3, 3] 
        Subscript[$CellContext`m, 4, 4]) + 
     Rational[1, 2] (
       Rational[1, 2] Subscript[$CellContext`f, 3, 4] 
        Subscript[$CellContext`m, 4, 3] + 
       Rational[1, 2] Subscript[$CellContext`f, 3, 3] 
        Subscript[$CellContext`m, 4, 4]), 
     Rational[1, 2] (
       Rational[1, 2] Subscript[$CellContext`f, 3, 4] 
        Subscript[$CellContext`m, 4, 3] + 
       Rational[-1, 2] Subscript[$CellContext`f, 3, 3] 
        Subscript[$CellContext`m, 4, 4]) + 
     Rational[1, 2] (
       Rational[1, 2] Subscript[$CellContext`f, 3, 4] 
        Subscript[$CellContext`m, 4, 3] + 
       Rational[1, 2] Subscript[$CellContext`f, 3, 3] 
        Subscript[$CellContext`m, 4, 4]), 2^Rational[-1, 2] 
     Subscript[$CellContext`f, 3, 2] Subscript[$CellContext`m, 4, 4], 
     2^Rational[-1, 2] Subscript[$CellContext`f, 3, 4] 
     Subscript[$CellContext`m, 4, 4], 2^Rational[-1, 2] 
     Subscript[$CellContext`f, 4, 1] Subscript[$CellContext`m, 3, 1], 
     Rational[1, 2] (
       Rational[1, 2] Subscript[$CellContext`f, 4, 2] 
        Subscript[$CellContext`m, 3, 1] + 
       Rational[-1, 2] Subscript[$CellContext`f, 4, 1] 
        Subscript[$CellContext`m, 3, 2]) + 
     Rational[1, 2] (
       Rational[1, 2] Subscript[$CellContext`f, 4, 2] 
        Subscript[$CellContext`m, 3, 1] + 
       Rational[1, 2] Subscript[$CellContext`f, 4, 1] 
        Subscript[$CellContext`m, 3, 2]), 
     Rational[1, 2] (
       Rational[-1, 2] Subscript[$CellContext`f, 4, 2] 
        Subscript[$CellContext`m, 3, 1] + 
       Rational[1, 2] Subscript[$CellContext`f, 4, 1] 
        Subscript[$CellContext`m, 3, 2]) + 
     Rational[1, 2] (
       Rational[1, 2] Subscript[$CellContext`f, 4, 2] 
        Subscript[$CellContext`m, 3, 1] + 
       Rational[1, 2] Subscript[$CellContext`f, 4, 1] 
        Subscript[$CellContext`m, 3, 2]), 
     Rational[1, 2] (
       Rational[-1, 2] Subscript[$CellContext`f, 4, 2] 
        Subscript[$CellContext`m, 3, 1] + 
       Rational[1, 2] Subscript[$CellContext`f, 4, 1] 
        Subscript[$CellContext`m, 3, 2]) + 
     Rational[1, 2] (
       Rational[1, 2] Subscript[$CellContext`f, 4, 2] 
        Subscript[$CellContext`m, 3, 1] + 
       Rational[1, 2] Subscript[$CellContext`f, 4, 1] 
        Subscript[$CellContext`m, 3, 2]), 
     Rational[1, 2] (
       Rational[1, 2] Subscript[$CellContext`f, 4, 2] 
        Subscript[$CellContext`m, 3, 1] + 
       Rational[-1, 2] Subscript[$CellContext`f, 4, 1] 
        Subscript[$CellContext`m, 3, 2]) + 
     Rational[1, 2] (
       Rational[1, 2] Subscript[$CellContext`f, 4, 2] 
        Subscript[$CellContext`m, 3, 1] + 
       Rational[1, 2] Subscript[$CellContext`f, 4, 1] 
        Subscript[$CellContext`m, 3, 2]), 2^Rational[-1, 2] 
     Subscript[$CellContext`f, 4, 3] Subscript[$CellContext`m, 3, 1], 
     Rational[1, 2] (
       Rational[1, 2] Subscript[$CellContext`f, 4, 4] 
        Subscript[$CellContext`m, 3, 1] + 
       Rational[-1, 2] Subscript[$CellContext`f, 4, 3] 
        Subscript[$CellContext`m, 3, 2]) + 
     Rational[1, 2] (
       Rational[1, 2] Subscript[$CellContext`f, 4, 4] 
        Subscript[$CellContext`m, 3, 1] + 
       Rational[1, 2] Subscript[$CellContext`f, 4, 3] 
        Subscript[$CellContext`m, 3, 2]), 
     Rational[1, 2] (
       Rational[-1, 2] Subscript[$CellContext`f, 4, 4] 
        Subscript[$CellContext`m, 3, 1] + 
       Rational[1, 2] Subscript[$CellContext`f, 4, 3] 
        Subscript[$CellContext`m, 3, 2]) + 
     Rational[1, 2] (
       Rational[1, 2] Subscript[$CellContext`f, 4, 4] 
        Subscript[$CellContext`m, 3, 1] + 
       Rational[1, 2] Subscript[$CellContext`f, 4, 3] 
        Subscript[$CellContext`m, 3, 2]), 
     Rational[1, 2] (
       Rational[-1, 2] Subscript[$CellContext`f, 4, 4] 
        Subscript[$CellContext`m, 3, 1] + 
       Rational[1, 2] Subscript[$CellContext`f, 4, 3] 
        Subscript[$CellContext`m, 3, 2]) + 
     Rational[1, 2] (
       Rational[1, 2] Subscript[$CellContext`f, 4, 4] 
        Subscript[$CellContext`m, 3, 1] + 
       Rational[1, 2] Subscript[$CellContext`f, 4, 3] 
        Subscript[$CellContext`m, 3, 2]), 
     Rational[1, 2] (
       Rational[1, 2] Subscript[$CellContext`f, 4, 4] 
        Subscript[$CellContext`m, 3, 1] + 
       Rational[-1, 2] Subscript[$CellContext`f, 4, 3] 
        Subscript[$CellContext`m, 3, 2]) + 
     Rational[1, 2] (
       Rational[1, 2] Subscript[$CellContext`f, 4, 4] 
        Subscript[$CellContext`m, 3, 1] + 
       Rational[1, 2] Subscript[$CellContext`f, 4, 3] 
        Subscript[$CellContext`m, 3, 2]), 2^Rational[-1, 2] 
     Subscript[$CellContext`f, 4, 2] Subscript[$CellContext`m, 3, 2], 
     2^Rational[-1, 2] Subscript[$CellContext`f, 4, 4] 
     Subscript[$CellContext`m, 3, 2], 2^Rational[-1, 2] 
     Subscript[$CellContext`f, 4, 1] Subscript[$CellContext`m, 3, 3], 
     Rational[1, 2] (
       Rational[1, 2] Subscript[$CellContext`f, 4, 2] 
        Subscript[$CellContext`m, 3, 3] + 
       Rational[-1, 2] Subscript[$CellContext`f, 4, 1] 
        Subscript[$CellContext`m, 3, 4]) + 
     Rational[1, 2] (
       Rational[1, 2] Subscript[$CellContext`f, 4, 2] 
        Subscript[$CellContext`m, 3, 3] + 
       Rational[1, 2] Subscript[$CellContext`f, 4, 1] 
        Subscript[$CellContext`m, 3, 4]), 
     Rational[1, 2] (
       Rational[-1, 2] Subscript[$CellContext`f, 4, 2] 
        Subscript[$CellContext`m, 3, 3] + 
       Rational[1, 2] Subscript[$CellContext`f, 4, 1] 
        Subscript[$CellContext`m, 3, 4]) + 
     Rational[1, 2] (
       Rational[1, 2] Subscript[$CellContext`f, 4, 2] 
        Subscript[$CellContext`m, 3, 3] + 
       Rational[1, 2] Subscript[$CellContext`f, 4, 1] 
        Subscript[$CellContext`m, 3, 4]), 
     Rational[1, 2] (
       Rational[-1, 2] Subscript[$CellContext`f, 4, 2] 
        Subscript[$CellContext`m, 3, 3] + 
       Rational[1, 2] Subscript[$CellContext`f, 4, 1] 
        Subscript[$CellContext`m, 3, 4]) + 
     Rational[1, 2] (
       Rational[1, 2] Subscript[$CellContext`f, 4, 2] 
        Subscript[$CellContext`m, 3, 3] + 
       Rational[1, 2] Subscript[$CellContext`f, 4, 1] 
        Subscript[$CellContext`m, 3, 4]), 
     Rational[1, 2] (
       Rational[1, 2] Subscript[$CellContext`f, 4, 2] 
        Subscript[$CellContext`m, 3, 3] + 
       Rational[-1, 2] Subscript[$CellContext`f, 4, 1] 
        Subscript[$CellContext`m, 3, 4]) + 
     Rational[1, 2] (
       Rational[1, 2] Subscript[$CellContext`f, 4, 2] 
        Subscript[$CellContext`m, 3, 3] + 
       Rational[1, 2] Subscript[$CellContext`f, 4, 1] 
        Subscript[$CellContext`m, 3, 4]), 2^Rational[-1, 2] 
     Subscript[$CellContext`f, 4, 3] Subscript[$CellContext`m, 3, 3], 
     Rational[1, 2] (
       Rational[1, 2] Subscript[$CellContext`f, 4, 4] 
        Subscript[$CellContext`m, 3, 3] + 
       Rational[-1, 2] Subscript[$CellContext`f, 4, 3] 
        Subscript[$CellContext`m, 3, 4]) + 
     Rational[1, 2] (
       Rational[1, 2] Subscript[$CellContext`f, 4, 4] 
        Subscript[$CellContext`m, 3, 3] + 
       Rational[1, 2] Subscript[$CellContext`f, 4, 3] 
        Subscript[$CellContext`m, 3, 4]), 
     Rational[1, 2] (
       Rational[-1, 2] Subscript[$CellContext`f, 4, 4] 
        Subscript[$CellContext`m, 3, 3] + 
       Rational[1, 2] Subscript[$CellContext`f, 4, 3] 
        Subscript[$CellContext`m, 3, 4]) + 
     Rational[1, 2] (
       Rational[1, 2] Subscript[$CellContext`f, 4, 4] 
        Subscript[$CellContext`m, 3, 3] + 
       Rational[1, 2] Subscript[$CellContext`f, 4, 3] 
        Subscript[$CellContext`m, 3, 4]), 
     Rational[1, 2] (
       Rational[-1, 2] Subscript[$CellContext`f, 4, 4] 
        Subscript[$CellContext`m, 3, 3] + 
       Rational[1, 2] Subscript[$CellContext`f, 4, 3] 
        Subscript[$CellContext`m, 3, 4]) + 
     Rational[1, 2] (
       Rational[1, 2] Subscript[$CellContext`f, 4, 4] 
        Subscript[$CellContext`m, 3, 3] + 
       Rational[1, 2] Subscript[$CellContext`f, 4, 3] 
        Subscript[$CellContext`m, 3, 4]), 
     Rational[1, 2] (
       Rational[1, 2] Subscript[$CellContext`f, 4, 4] 
        Subscript[$CellContext`m, 3, 3] + 
       Rational[-1, 2] Subscript[$CellContext`f, 4, 3] 
        Subscript[$CellContext`m, 3, 4]) + 
     Rational[1, 2] (
       Rational[1, 2] Subscript[$CellContext`f, 4, 4] 
        Subscript[$CellContext`m, 3, 3] + 
       Rational[1, 2] Subscript[$CellContext`f, 4, 3] 
        Subscript[$CellContext`m, 3, 4]), 2^Rational[-1, 2] 
     Subscript[$CellContext`f, 4, 2] Subscript[$CellContext`m, 3, 4], 
     2^Rational[-1, 2] Subscript[$CellContext`f, 4, 4] 
     Subscript[$CellContext`m, 3, 4], Subscript[$CellContext`f, 4, 1] 
     Subscript[$CellContext`m, 4, 1], 
     Rational[1, 2] (
       2^Rational[-1, 2] Subscript[$CellContext`f, 4, 2] 
        Subscript[$CellContext`m, 4, 1] - 2^Rational[-1, 2] 
       Subscript[$CellContext`f, 4, 1] Subscript[$CellContext`m, 4, 2]) + 
     Rational[1, 2] (
       2^Rational[-1, 2] Subscript[$CellContext`f, 4, 2] 
        Subscript[$CellContext`m, 4, 1] + 
       2^Rational[-1, 2] Subscript[$CellContext`f, 4, 1] 
        Subscript[$CellContext`m, 4, 2]), 
     Rational[1, 2] (-2^Rational[-1, 2] Subscript[$CellContext`f, 4, 2] 
        Subscript[$CellContext`m, 4, 1] + 
       2^Rational[-1, 2] Subscript[$CellContext`f, 4, 1] 
        Subscript[$CellContext`m, 4, 2]) + 
     Rational[1, 2] (
       2^Rational[-1, 2] Subscript[$CellContext`f, 4, 2] 
        Subscript[$CellContext`m, 4, 1] + 
       2^Rational[-1, 2] Subscript[$CellContext`f, 4, 1] 
        Subscript[$CellContext`m, 4, 2]), 
     Rational[1, 2] (-2^Rational[-1, 2] Subscript[$CellContext`f, 4, 2] 
        Subscript[$CellContext`m, 4, 1] + 
       2^Rational[-1, 2] Subscript[$CellContext`f, 4, 1] 
        Subscript[$CellContext`m, 4, 2]) + 
     Rational[1, 2] (
       2^Rational[-1, 2] Subscript[$CellContext`f, 4, 2] 
        Subscript[$CellContext`m, 4, 1] + 
       2^Rational[-1, 2] Subscript[$CellContext`f, 4, 1] 
        Subscript[$CellContext`m, 4, 2]), 
     Rational[1, 2] (
       2^Rational[-1, 2] Subscript[$CellContext`f, 4, 2] 
        Subscript[$CellContext`m, 4, 1] - 2^Rational[-1, 2] 
       Subscript[$CellContext`f, 4, 1] Subscript[$CellContext`m, 4, 2]) + 
     Rational[1, 2] (
       2^Rational[-1, 2] Subscript[$CellContext`f, 4, 2] 
        Subscript[$CellContext`m, 4, 1] + 
       2^Rational[-1, 2] Subscript[$CellContext`f, 4, 1] 
        Subscript[$CellContext`m, 4, 2]), Subscript[$CellContext`f, 4, 3] 
     Subscript[$CellContext`m, 4, 1], 
     Rational[1, 2] (
       2^Rational[-1, 2] Subscript[$CellContext`f, 4, 4] 
        Subscript[$CellContext`m, 4, 1] - 2^Rational[-1, 2] 
       Subscript[$CellContext`f, 4, 3] Subscript[$CellContext`m, 4, 2]) + 
     Rational[1, 2] (
       2^Rational[-1, 2] Subscript[$CellContext`f, 4, 4] 
        Subscript[$CellContext`m, 4, 1] + 
       2^Rational[-1, 2] Subscript[$CellContext`f, 4, 3] 
        Subscript[$CellContext`m, 4, 2]), 
     Rational[1, 2] (-2^Rational[-1, 2] Subscript[$CellContext`f, 4, 4] 
        Subscript[$CellContext`m, 4, 1] + 
       2^Rational[-1, 2] Subscript[$CellContext`f, 4, 3] 
        Subscript[$CellContext`m, 4, 2]) + 
     Rational[1, 2] (
       2^Rational[-1, 2] Subscript[$CellContext`f, 4, 4] 
        Subscript[$CellContext`m, 4, 1] + 
       2^Rational[-1, 2] Subscript[$CellContext`f, 4, 3] 
        Subscript[$CellContext`m, 4, 2]), 
     Rational[1, 2] (-2^Rational[-1, 2] Subscript[$CellContext`f, 4, 4] 
        Subscript[$CellContext`m, 4, 1] + 
       2^Rational[-1, 2] Subscript[$CellContext`f, 4, 3] 
        Subscript[$CellContext`m, 4, 2]) + 
     Rational[1, 2] (
       2^Rational[-1, 2] Subscript[$CellContext`f, 4, 4] 
        Subscript[$CellContext`m, 4, 1] + 
       2^Rational[-1, 2] Subscript[$CellContext`f, 4, 3] 
        Subscript[$CellContext`m, 4, 2]), 
     Rational[1, 2] (
       2^Rational[-1, 2] Subscript[$CellContext`f, 4, 4] 
        Subscript[$CellContext`m, 4, 1] - 2^Rational[-1, 2] 
       Subscript[$CellContext`f, 4, 3] Subscript[$CellContext`m, 4, 2]) + 
     Rational[1, 2] (
       2^Rational[-1, 2] Subscript[$CellContext`f, 4, 4] 
        Subscript[$CellContext`m, 4, 1] + 
       2^Rational[-1, 2] Subscript[$CellContext`f, 4, 3] 
        Subscript[$CellContext`m, 4, 2]), Subscript[$CellContext`f, 4, 2] 
     Subscript[$CellContext`m, 4, 2], Subscript[$CellContext`f, 4, 4] 
     Subscript[$CellContext`m, 4, 2], Subscript[$CellContext`f, 4, 1] 
     Subscript[$CellContext`m, 4, 3], 
     Rational[1, 2] (
       2^Rational[-1, 2] Subscript[$CellContext`f, 4, 2] 
        Subscript[$CellContext`m, 4, 3] - 2^Rational[-1, 2] 
       Subscript[$CellContext`f, 4, 1] Subscript[$CellContext`m, 4, 4]) + 
     Rational[1, 2] (
       2^Rational[-1, 2] Subscript[$CellContext`f, 4, 2] 
        Subscript[$CellContext`m, 4, 3] + 
       2^Rational[-1, 2] Subscript[$CellContext`f, 4, 1] 
        Subscript[$CellContext`m, 4, 4]), 
     Rational[1, 2] (-2^Rational[-1, 2] Subscript[$CellContext`f, 4, 2] 
        Subscript[$CellContext`m, 4, 3] + 
       2^Rational[-1, 2] Subscript[$CellContext`f, 4, 1] 
        Subscript[$CellContext`m, 4, 4]) + 
     Rational[1, 2] (
       2^Rational[-1, 2] Subscript[$CellContext`f, 4, 2] 
        Subscript[$CellContext`m, 4, 3] + 
       2^Rational[-1, 2] Subscript[$CellContext`f, 4, 1] 
        Subscript[$CellContext`m, 4, 4]), 
     Rational[1, 2] (-2^Rational[-1, 2] Subscript[$CellContext`f, 4, 2] 
        Subscript[$CellContext`m, 4, 3] + 
       2^Rational[-1, 2] Subscript[$CellContext`f, 4, 1] 
        Subscript[$CellContext`m, 4, 4]) + 
     Rational[1, 2] (
       2^Rational[-1, 2] Subscript[$CellContext`f, 4, 2] 
        Subscript[$CellContext`m, 4, 3] + 
       2^Rational[-1, 2] Subscript[$CellContext`f, 4, 1] 
        Subscript[$CellContext`m, 4, 4]), 
     Rational[1, 2] (
       2^Rational[-1, 2] Subscript[$CellContext`f, 4, 2] 
        Subscript[$CellContext`m, 4, 3] - 2^Rational[-1, 2] 
       Subscript[$CellContext`f, 4, 1] Subscript[$CellContext`m, 4, 4]) + 
     Rational[1, 2] (
       2^Rational[-1, 2] Subscript[$CellContext`f, 4, 2] 
        Subscript[$CellContext`m, 4, 3] + 
       2^Rational[-1, 2] Subscript[$CellContext`f, 4, 1] 
        Subscript[$CellContext`m, 4, 4]), Subscript[$CellContext`f, 4, 3] 
     Subscript[$CellContext`m, 4, 3], 
     Rational[1, 2] (
       2^Rational[-1, 2] Subscript[$CellContext`f, 4, 4] 
        Subscript[$CellContext`m, 4, 3] - 2^Rational[-1, 2] 
       Subscript[$CellContext`f, 4, 3] Subscript[$CellContext`m, 4, 4]) + 
     Rational[1, 2] (
       2^Rational[-1, 2] Subscript[$CellContext`f, 4, 4] 
        Subscript[$CellContext`m, 4, 3] + 
       2^Rational[-1, 2] Subscript[$CellContext`f, 4, 3] 
        Subscript[$CellContext`m, 4, 4]), 
     Rational[1, 2] (-2^Rational[-1, 2] Subscript[$CellContext`f, 4, 4] 
        Subscript[$CellContext`m, 4, 3] + 
       2^Rational[-1, 2] Subscript[$CellContext`f, 4, 3] 
        Subscript[$CellContext`m, 4, 4]) + 
     Rational[1, 2] (
       2^Rational[-1, 2] Subscript[$CellContext`f, 4, 4] 
        Subscript[$CellContext`m, 4, 3] + 
       2^Rational[-1, 2] Subscript[$CellContext`f, 4, 3] 
        Subscript[$CellContext`m, 4, 4]), 
     Rational[1, 2] (-2^Rational[-1, 2] Subscript[$CellContext`f, 4, 4] 
        Subscript[$CellContext`m, 4, 3] + 
       2^Rational[-1, 2] Subscript[$CellContext`f, 4, 3] 
        Subscript[$CellContext`m, 4, 4]) + 
     Rational[1, 2] (
       2^Rational[-1, 2] Subscript[$CellContext`f, 4, 4] 
        Subscript[$CellContext`m, 4, 3] + 
       2^Rational[-1, 2] Subscript[$CellContext`f, 4, 3] 
        Subscript[$CellContext`m, 4, 4]), 
     Rational[1, 2] (
       2^Rational[-1, 2] Subscript[$CellContext`f, 4, 4] 
        Subscript[$CellContext`m, 4, 3] - 2^Rational[-1, 2] 
       Subscript[$CellContext`f, 4, 3] Subscript[$CellContext`m, 4, 4]) + 
     Rational[1, 2] (
       2^Rational[-1, 2] Subscript[$CellContext`f, 4, 4] 
        Subscript[$CellContext`m, 4, 3] + 
       2^Rational[-1, 2] Subscript[$CellContext`f, 4, 3] 
        Subscript[$CellContext`m, 4, 4]), Subscript[$CellContext`f, 4, 2] 
     Subscript[$CellContext`m, 4, 4], Subscript[$CellContext`f, 4, 4] 
     Subscript[$CellContext`m, 4, 4]}}],
  Editable->False,
  SelectWithContents->True,
  Selectable->False]], "Output",
 CellChangeTimes->{
  3.795673553489472*^9, 3.795673739991186*^9, {3.7956739415638447`*^9, 
   3.79567395365086*^9}},
 CellLabel->"Out[69]=",ExpressionUUID->"7e1bc078-4b5f-4bfc-9fa7-25998ba80d3b"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{"Simplify", "[", 
  RowBox[{"Tr", "[", 
   RowBox[{"Dot", "[", 
    RowBox[{
     RowBox[{"KroneckerProduct", "[", 
      RowBox[{
       RowBox[{"Theta", "[", "4", "]"}], ",", 
       RowBox[{"IdentityMatrix", "[", "16", "]"}]}], "]"}], ",", " ", 
     "rhocross"}], "]"}], "]"}], "]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"(*", 
   RowBox[{
    RowBox[{
     RowBox[{"The", " ", "observable", " ", "in", " ", "the", " ", "cross"}], 
     "-", 
     RowBox[{"cloned", " ", "parent", " ", "registers"}]}], " ", "\[Rule]", 
    " ", 
    RowBox[{"\[Theta]i", " ", "with", " ", "its", " ", "probability"}]}], 
   "*)"}]}]}], "Input",
 CellChangeTimes->{{3.7956736129863453`*^9, 3.795673625403656*^9}, {
  3.795673971754055*^9, 3.795673980389153*^9}, {3.795674055629849*^9, 
  3.795674062716474*^9}},
 NumberMarks->False,
 CellLabel->"In[72]:=",ExpressionUUID->"52dea67f-7857-4148-98f5-be8af01a6211"],

Cell[BoxData[
 RowBox[{
  FractionBox["1", "2"], " ", 
  RowBox[{"(", 
   RowBox[{
    RowBox[{"2", " ", 
     SubscriptBox["\[Theta]", "1"], " ", 
     SubscriptBox["f", 
      RowBox[{"1", ",", "1"}]], " ", 
     SubscriptBox["m", 
      RowBox[{"1", ",", "1"}]]}], "+", 
    RowBox[{
     SubscriptBox["\[Theta]", "5"], " ", 
     SubscriptBox["f", 
      RowBox[{"2", ",", "2"}]], " ", 
     SubscriptBox["m", 
      RowBox[{"1", ",", "1"}]]}], "+", 
    RowBox[{"2", " ", 
     SubscriptBox["\[Theta]", "3"], " ", 
     SubscriptBox["f", 
      RowBox[{"3", ",", "3"}]], " ", 
     SubscriptBox["m", 
      RowBox[{"1", ",", "1"}]]}], "+", 
    RowBox[{
     SubscriptBox["\[Theta]", "4"], " ", 
     SubscriptBox["f", 
      RowBox[{"4", ",", "4"}]], " ", 
     SubscriptBox["m", 
      RowBox[{"1", ",", "1"}]]}], "+", 
    RowBox[{
     SubscriptBox["\[Theta]", "7"], " ", 
     SubscriptBox["f", 
      RowBox[{"4", ",", "4"}]], " ", 
     SubscriptBox["m", 
      RowBox[{"1", ",", "1"}]]}], "+", 
    RowBox[{
     SubscriptBox["\[Theta]", "5"], " ", 
     SubscriptBox["f", 
      RowBox[{"1", ",", "1"}]], " ", 
     SubscriptBox["m", 
      RowBox[{"2", ",", "2"}]]}], "+", 
    RowBox[{"2", " ", 
     SubscriptBox["\[Theta]", "6"], " ", 
     SubscriptBox["f", 
      RowBox[{"2", ",", "2"}]], " ", 
     SubscriptBox["m", 
      RowBox[{"2", ",", "2"}]]}], "+", 
    RowBox[{
     SubscriptBox["\[Theta]", "4"], " ", 
     SubscriptBox["f", 
      RowBox[{"3", ",", "3"}]], " ", 
     SubscriptBox["m", 
      RowBox[{"2", ",", "2"}]]}], "+", 
    RowBox[{
     SubscriptBox["\[Theta]", "7"], " ", 
     SubscriptBox["f", 
      RowBox[{"3", ",", "3"}]], " ", 
     SubscriptBox["m", 
      RowBox[{"2", ",", "2"}]]}], "+", 
    RowBox[{"2", " ", 
     SubscriptBox["\[Theta]", "8"], " ", 
     SubscriptBox["f", 
      RowBox[{"4", ",", "4"}]], " ", 
     SubscriptBox["m", 
      RowBox[{"2", ",", "2"}]]}], "+", 
    RowBox[{
     SubscriptBox["\[Theta]", "2"], " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{
        SubscriptBox["f", 
         RowBox[{"2", ",", "2"}]], " ", 
        SubscriptBox["m", 
         RowBox[{"1", ",", "1"}]]}], "+", 
       RowBox[{
        SubscriptBox["f", 
         RowBox[{"1", ",", "1"}]], " ", 
        SubscriptBox["m", 
         RowBox[{"2", ",", "2"}]]}]}], ")"}]}], "+", 
    RowBox[{"2", " ", 
     SubscriptBox["\[Theta]", "9"], " ", 
     SubscriptBox["f", 
      RowBox[{"1", ",", "1"}]], " ", 
     SubscriptBox["m", 
      RowBox[{"3", ",", "3"}]]}], "+", 
    RowBox[{
     SubscriptBox["\[Theta]", "10"], " ", 
     SubscriptBox["f", 
      RowBox[{"2", ",", "2"}]], " ", 
     SubscriptBox["m", 
      RowBox[{"3", ",", "3"}]]}], "+", 
    RowBox[{
     SubscriptBox["\[Theta]", "13"], " ", 
     SubscriptBox["f", 
      RowBox[{"2", ",", "2"}]], " ", 
     SubscriptBox["m", 
      RowBox[{"3", ",", "3"}]]}], "+", 
    RowBox[{"2", " ", 
     SubscriptBox["\[Theta]", "11"], " ", 
     SubscriptBox["f", 
      RowBox[{"3", ",", "3"}]], " ", 
     SubscriptBox["m", 
      RowBox[{"3", ",", "3"}]]}], "+", 
    RowBox[{
     SubscriptBox["\[Theta]", "12"], " ", 
     SubscriptBox["f", 
      RowBox[{"4", ",", "4"}]], " ", 
     SubscriptBox["m", 
      RowBox[{"3", ",", "3"}]]}], "+", 
    RowBox[{
     SubscriptBox["\[Theta]", "15"], " ", 
     SubscriptBox["f", 
      RowBox[{"4", ",", "4"}]], " ", 
     SubscriptBox["m", 
      RowBox[{"3", ",", "3"}]]}], "+", 
    RowBox[{
     SubscriptBox["\[Theta]", "10"], " ", 
     SubscriptBox["f", 
      RowBox[{"1", ",", "1"}]], " ", 
     SubscriptBox["m", 
      RowBox[{"4", ",", "4"}]]}], "+", 
    RowBox[{
     SubscriptBox["\[Theta]", "13"], " ", 
     SubscriptBox["f", 
      RowBox[{"1", ",", "1"}]], " ", 
     SubscriptBox["m", 
      RowBox[{"4", ",", "4"}]]}], "+", 
    RowBox[{"2", " ", 
     SubscriptBox["\[Theta]", "14"], " ", 
     SubscriptBox["f", 
      RowBox[{"2", ",", "2"}]], " ", 
     SubscriptBox["m", 
      RowBox[{"4", ",", "4"}]]}], "+", 
    RowBox[{
     SubscriptBox["\[Theta]", "12"], " ", 
     SubscriptBox["f", 
      RowBox[{"3", ",", "3"}]], " ", 
     SubscriptBox["m", 
      RowBox[{"4", ",", "4"}]]}], "+", 
    RowBox[{
     SubscriptBox["\[Theta]", "15"], " ", 
     SubscriptBox["f", 
      RowBox[{"3", ",", "3"}]], " ", 
     SubscriptBox["m", 
      RowBox[{"4", ",", "4"}]]}], "+", 
    RowBox[{"2", " ", 
     SubscriptBox["\[Theta]", "16"], " ", 
     SubscriptBox["f", 
      RowBox[{"4", ",", "4"}]], " ", 
     SubscriptBox["m", 
      RowBox[{"4", ",", "4"}]]}]}], ")"}]}]], "Output",
 CellChangeTimes->{{3.795673610327943*^9, 3.795673629649701*^9}, 
   3.7956739887155113`*^9, 3.7956740635637827`*^9},
 CellLabel->"Out[72]=",ExpressionUUID->"b5b14173-2fd3-4ddc-bf44-ed45665aecb2"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{"Simplify", "[", 
  RowBox[{"Tr", "[", 
   RowBox[{"Dot", "[", 
    RowBox[{
     RowBox[{"KroneckerProduct", "[", 
      RowBox[{
       RowBox[{"IdentityMatrix", "[", "16", "]"}], ",", 
       RowBox[{"Theta", "[", "4", "]"}]}], "]"}], ",", " ", "rhocross"}], 
    "]"}], "]"}], "]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"(*", 
   RowBox[{
    RowBox[{
     RowBox[{"The", " ", "observable", " ", "in", " ", "the", " ", "cross"}], 
     "-", 
     RowBox[{"cloned", " ", "children", " ", "registers"}]}], " ", "\[Rule]", 
    " ", 
    RowBox[{"\[Theta]i", " ", "with", " ", "its", " ", "probability"}]}], 
   "*)"}]}]}], "Input",
 CellChangeTimes->{{3.795673642439437*^9, 3.795673655243915*^9}, {
  3.7956739925694227`*^9, 3.7956740002673073`*^9}, {3.79567406812219*^9, 
  3.795674071791099*^9}},
 CellLabel->"In[73]:=",ExpressionUUID->"3cfd0db2-5340-4c5b-93a5-55591f3a7235"],

Cell[BoxData[
 RowBox[{
  FractionBox["1", "2"], " ", 
  RowBox[{"(", 
   RowBox[{
    RowBox[{"2", " ", 
     SubscriptBox["\[Theta]", "1"], " ", 
     SubscriptBox["f", 
      RowBox[{"1", ",", "1"}]], " ", 
     SubscriptBox["m", 
      RowBox[{"1", ",", "1"}]]}], "+", 
    RowBox[{
     SubscriptBox["\[Theta]", "5"], " ", 
     SubscriptBox["f", 
      RowBox[{"2", ",", "2"}]], " ", 
     SubscriptBox["m", 
      RowBox[{"1", ",", "1"}]]}], "+", 
    RowBox[{"2", " ", 
     SubscriptBox["\[Theta]", "3"], " ", 
     SubscriptBox["f", 
      RowBox[{"3", ",", "3"}]], " ", 
     SubscriptBox["m", 
      RowBox[{"1", ",", "1"}]]}], "+", 
    RowBox[{
     SubscriptBox["\[Theta]", "4"], " ", 
     SubscriptBox["f", 
      RowBox[{"4", ",", "4"}]], " ", 
     SubscriptBox["m", 
      RowBox[{"1", ",", "1"}]]}], "+", 
    RowBox[{
     SubscriptBox["\[Theta]", "7"], " ", 
     SubscriptBox["f", 
      RowBox[{"4", ",", "4"}]], " ", 
     SubscriptBox["m", 
      RowBox[{"1", ",", "1"}]]}], "+", 
    RowBox[{
     SubscriptBox["\[Theta]", "5"], " ", 
     SubscriptBox["f", 
      RowBox[{"1", ",", "1"}]], " ", 
     SubscriptBox["m", 
      RowBox[{"2", ",", "2"}]]}], "+", 
    RowBox[{"2", " ", 
     SubscriptBox["\[Theta]", "6"], " ", 
     SubscriptBox["f", 
      RowBox[{"2", ",", "2"}]], " ", 
     SubscriptBox["m", 
      RowBox[{"2", ",", "2"}]]}], "+", 
    RowBox[{
     SubscriptBox["\[Theta]", "4"], " ", 
     SubscriptBox["f", 
      RowBox[{"3", ",", "3"}]], " ", 
     SubscriptBox["m", 
      RowBox[{"2", ",", "2"}]]}], "+", 
    RowBox[{
     SubscriptBox["\[Theta]", "7"], " ", 
     SubscriptBox["f", 
      RowBox[{"3", ",", "3"}]], " ", 
     SubscriptBox["m", 
      RowBox[{"2", ",", "2"}]]}], "+", 
    RowBox[{"2", " ", 
     SubscriptBox["\[Theta]", "8"], " ", 
     SubscriptBox["f", 
      RowBox[{"4", ",", "4"}]], " ", 
     SubscriptBox["m", 
      RowBox[{"2", ",", "2"}]]}], "+", 
    RowBox[{
     SubscriptBox["\[Theta]", "2"], " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{
        SubscriptBox["f", 
         RowBox[{"2", ",", "2"}]], " ", 
        SubscriptBox["m", 
         RowBox[{"1", ",", "1"}]]}], "+", 
       RowBox[{
        SubscriptBox["f", 
         RowBox[{"1", ",", "1"}]], " ", 
        SubscriptBox["m", 
         RowBox[{"2", ",", "2"}]]}]}], ")"}]}], "+", 
    RowBox[{"2", " ", 
     SubscriptBox["\[Theta]", "9"], " ", 
     SubscriptBox["f", 
      RowBox[{"1", ",", "1"}]], " ", 
     SubscriptBox["m", 
      RowBox[{"3", ",", "3"}]]}], "+", 
    RowBox[{
     SubscriptBox["\[Theta]", "10"], " ", 
     SubscriptBox["f", 
      RowBox[{"2", ",", "2"}]], " ", 
     SubscriptBox["m", 
      RowBox[{"3", ",", "3"}]]}], "+", 
    RowBox[{
     SubscriptBox["\[Theta]", "13"], " ", 
     SubscriptBox["f", 
      RowBox[{"2", ",", "2"}]], " ", 
     SubscriptBox["m", 
      RowBox[{"3", ",", "3"}]]}], "+", 
    RowBox[{"2", " ", 
     SubscriptBox["\[Theta]", "11"], " ", 
     SubscriptBox["f", 
      RowBox[{"3", ",", "3"}]], " ", 
     SubscriptBox["m", 
      RowBox[{"3", ",", "3"}]]}], "+", 
    RowBox[{
     SubscriptBox["\[Theta]", "12"], " ", 
     SubscriptBox["f", 
      RowBox[{"4", ",", "4"}]], " ", 
     SubscriptBox["m", 
      RowBox[{"3", ",", "3"}]]}], "+", 
    RowBox[{
     SubscriptBox["\[Theta]", "15"], " ", 
     SubscriptBox["f", 
      RowBox[{"4", ",", "4"}]], " ", 
     SubscriptBox["m", 
      RowBox[{"3", ",", "3"}]]}], "+", 
    RowBox[{
     SubscriptBox["\[Theta]", "10"], " ", 
     SubscriptBox["f", 
      RowBox[{"1", ",", "1"}]], " ", 
     SubscriptBox["m", 
      RowBox[{"4", ",", "4"}]]}], "+", 
    RowBox[{
     SubscriptBox["\[Theta]", "13"], " ", 
     SubscriptBox["f", 
      RowBox[{"1", ",", "1"}]], " ", 
     SubscriptBox["m", 
      RowBox[{"4", ",", "4"}]]}], "+", 
    RowBox[{"2", " ", 
     SubscriptBox["\[Theta]", "14"], " ", 
     SubscriptBox["f", 
      RowBox[{"2", ",", "2"}]], " ", 
     SubscriptBox["m", 
      RowBox[{"4", ",", "4"}]]}], "+", 
    RowBox[{
     SubscriptBox["\[Theta]", "12"], " ", 
     SubscriptBox["f", 
      RowBox[{"3", ",", "3"}]], " ", 
     SubscriptBox["m", 
      RowBox[{"4", ",", "4"}]]}], "+", 
    RowBox[{
     SubscriptBox["\[Theta]", "15"], " ", 
     SubscriptBox["f", 
      RowBox[{"3", ",", "3"}]], " ", 
     SubscriptBox["m", 
      RowBox[{"4", ",", "4"}]]}], "+", 
    RowBox[{"2", " ", 
     SubscriptBox["\[Theta]", "16"], " ", 
     SubscriptBox["f", 
      RowBox[{"4", ",", "4"}]], " ", 
     SubscriptBox["m", 
      RowBox[{"4", ",", "4"}]]}]}], ")"}]}]], "Output",
 CellChangeTimes->{3.795673656147591*^9, 3.7956740051900873`*^9, 
  3.7956740725701942`*^9},
 CellLabel->"Out[73]=",ExpressionUUID->"5de1ffd3-9729-45d5-a14f-9db26dc00b6c"]
}, Open  ]],

Cell[CellGroupData[{

Cell["\<\
Now we will check what happens if we have M ->  |00> and F -> |11> initially.\
\
\>", "Subsection",
 CellChangeTimes->{{3.795674140260688*^9, 
  3.795674190353294*^9}},ExpressionUUID->"fde5e762-6301-4078-8255-\
5bdad5223f49"],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{"Minit", "=", 
  RowBox[{"SparseArray", "[", 
   RowBox[{
    RowBox[{
     RowBox[{"{", 
      RowBox[{"1", ",", "1"}], "}"}], "\[Rule]", "1"}], ",", 
    RowBox[{"{", 
     RowBox[{"4", ",", "4"}], "}"}]}], "]"}]}], "\[IndentingNewLine]", 
 RowBox[{"Finit", "=", 
  RowBox[{"SparseArray", "[", 
   RowBox[{
    RowBox[{
     RowBox[{"{", 
      RowBox[{"4", ",", "4"}], "}"}], "\[Rule]", "1"}], ",", 
    RowBox[{"{", 
     RowBox[{"4", ",", "4"}], "}"}]}], "]"}]}], "\[IndentingNewLine]", 
 RowBox[{"rhoinit", "=", 
  RowBox[{"KroneckerProduct", "[", 
   RowBox[{"Minit", ",", " ", "Finit", ",", " ", 
    RowBox[{"SparseArray", "[", 
     RowBox[{
      RowBox[{
       RowBox[{"{", 
        RowBox[{"1", ",", "1"}], "}"}], "\[Rule]", "1"}], ",", 
      RowBox[{"2", "^", "4"}]}], "]"}]}], "]"}]}]}], "Input",
 CellChangeTimes->{{3.7956742000721083`*^9, 3.795674269511215*^9}, {
  3.7956743017386713`*^9, 3.795674325461184*^9}},
 CellLabel->"In[76]:=",ExpressionUUID->"cf77ebd2-1f22-4f5e-913c-8578babb30e5"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{
   TagBox["SparseArray",
    "SummaryHead"], "[", 
   DynamicModuleBox[{Typeset`open$$ = False, Typeset`embedState$$ = "Ready"}, 
    
    TemplateBox[{PaneSelectorBox[{False -> GridBox[{{
            PaneBox[
             ButtonBox[
              DynamicBox[
               FEPrivate`FrontEndResource[
               "FEBitmaps", "SquarePlusIconMedium"]], 
              ButtonFunction :> (Typeset`open$$ = True), Appearance -> None, 
              Evaluator -> Automatic, Method -> "Preemptive"], 
             Alignment -> {Center, Center}, ImageSize -> 
             Dynamic[{
               Automatic, 3.5 CurrentValue["FontCapHeight"]/
                AbsoluteCurrentValue[Magnification]}]], 
            GraphicsBox[
             RasterBox[CompressedData["
1:eJxTTMoPSmVmYGBggWIQ26p8d9wspXP2c4wXbTH/ccX+xSLFx4GrXtmPikPE
d3YbuO7c8sL+hvvydTXT3tqfjMj9F//1PdXMBwAgVM3Z
              "], {{0, 0}, {4, 
              4}}, {0, 1}], AspectRatio -> 1, Axes -> False, Frame -> False, 
             FrameLabel -> {None, None}, FrameStyle -> Directive[
               Opacity[0.5], 
               Thickness[Tiny], 
               RGBColor[0.368417, 0.506779, 0.709798]], 
             FrameTicks -> {{None, None}, {None, None}}, GridLinesStyle -> 
             Directive[
               GrayLevel[0.5, 0.4]], ImageSize -> 
             Dynamic[{
               Automatic, 3.5 CurrentValue["FontCapHeight"]/
                AbsoluteCurrentValue[Magnification]}], 
             Method -> {
              "AxisPadding" -> Scaled[0.02], "DefaultBoundaryStyle" -> 
               Automatic, 
               "DefaultGraphicsInteraction" -> {
                "Version" -> 1.2, "TrackMousePosition" -> {True, False}, 
                 "Effects" -> {
                  "Highlight" -> {"ratio" -> 2}, 
                   "HighlightPoint" -> {"ratio" -> 2}, 
                   "Droplines" -> {
                    "freeformCursorMode" -> True, 
                    "placement" -> {"x" -> "All", "y" -> "None"}}}}, 
               "DefaultPlotStyle" -> Automatic, "DomainPadding" -> 
               Scaled[0.02], "RangePadding" -> Scaled[0.05]}], 
            GridBox[{{
               RowBox[{
                 TagBox["\"Specified elements: \"", "SummaryItemAnnotation"], 
                 "\[InvisibleSpace]", 
                 TagBox["1", "SummaryItem"]}]}, {
               RowBox[{
                 TagBox["\"Dimensions: \"", "SummaryItemAnnotation"], 
                 "\[InvisibleSpace]", 
                 TagBox[
                  RowBox[{"{", 
                    RowBox[{"4", ",", "4"}], "}"}], "SummaryItem"]}]}}, 
             GridBoxAlignment -> {
              "Columns" -> {{Left}}, "Rows" -> {{Automatic}}}, AutoDelete -> 
             False, GridBoxItemSize -> {
              "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}, 
             GridBoxSpacings -> {"Columns" -> {{2}}, "Rows" -> {{Automatic}}},
              BaseStyle -> {
              ShowStringCharacters -> False, NumberMarks -> False, 
               PrintPrecision -> 3, ShowSyntaxStyles -> False}]}}, 
          GridBoxAlignment -> {"Rows" -> {{Top}}}, AutoDelete -> False, 
          GridBoxItemSize -> {
           "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}, 
          BaselinePosition -> {1, 1}], True -> GridBox[{{
            PaneBox[
             ButtonBox[
              DynamicBox[
               FEPrivate`FrontEndResource[
               "FEBitmaps", "SquareMinusIconMedium"]], 
              ButtonFunction :> (Typeset`open$$ = False), Appearance -> None, 
              Evaluator -> Automatic, Method -> "Preemptive"], 
             Alignment -> {Center, Center}, ImageSize -> 
             Dynamic[{
               Automatic, 3.5 CurrentValue["FontCapHeight"]/
                AbsoluteCurrentValue[Magnification]}]], 
            GraphicsBox[
             RasterBox[CompressedData["
1:eJxTTMoPSmVmYGBggWIQ26p8d9wspXP2c4wXbTH/ccX+xSLFx4GrXtmPikPE
d3YbuO7c8sL+hvvydTXT3tqfjMj9F//1PdXMBwAgVM3Z
              "], {{0, 0}, {4, 
              4}}, {0, 1}], AspectRatio -> 1, Axes -> False, Frame -> False, 
             FrameLabel -> {None, None}, FrameStyle -> Directive[
               Opacity[0.5], 
               Thickness[Tiny], 
               RGBColor[0.368417, 0.506779, 0.709798]], 
             FrameTicks -> {{None, None}, {None, None}}, GridLinesStyle -> 
             Directive[
               GrayLevel[0.5, 0.4]], ImageSize -> 
             Dynamic[{
               Automatic, 3.5 CurrentValue["FontCapHeight"]/
                AbsoluteCurrentValue[Magnification]}], 
             Method -> {
              "AxisPadding" -> Scaled[0.02], "DefaultBoundaryStyle" -> 
               Automatic, 
               "DefaultGraphicsInteraction" -> {
                "Version" -> 1.2, "TrackMousePosition" -> {True, False}, 
                 "Effects" -> {
                  "Highlight" -> {"ratio" -> 2}, 
                   "HighlightPoint" -> {"ratio" -> 2}, 
                   "Droplines" -> {
                    "freeformCursorMode" -> True, 
                    "placement" -> {"x" -> "All", "y" -> "None"}}}}, 
               "DefaultPlotStyle" -> Automatic, "DomainPadding" -> 
               Scaled[0.02], "RangePadding" -> Scaled[0.05]}], 
            GridBox[{{
               RowBox[{
                 TagBox["\"Specified elements: \"", "SummaryItemAnnotation"], 
                 "\[InvisibleSpace]", 
                 TagBox["1", "SummaryItem"]}]}, {
               RowBox[{
                 TagBox["\"Dimensions: \"", "SummaryItemAnnotation"], 
                 "\[InvisibleSpace]", 
                 TagBox[
                  RowBox[{"{", 
                    RowBox[{"4", ",", "4"}], "}"}], "SummaryItem"]}]}, {
               RowBox[{
                 TagBox["\"Default: \"", "SummaryItemAnnotation"], 
                 "\[InvisibleSpace]", 
                 TagBox["0", "SummaryItem"]}]}, {
               RowBox[{
                 TagBox["\"Density: \"", "SummaryItemAnnotation"], 
                 "\[InvisibleSpace]", 
                 TagBox["0.0625`", "SummaryItem"]}]}, {
               RowBox[{
                 TagBox["\"Elements:\"", "SummaryItemAnnotation"], 
                 "\[InvisibleSpace]", 
                 TagBox["\"\"", "SummaryItem"]}]}, {
               TagBox[
                TagBox[
                 GridBox[{{
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{"1", ",", "1"}], "}"}], "\[Rule]", 
                    StyleBox[
                    PaneBox[
                    "1", ContentPadding -> False, FrameMargins -> 0, 
                    StripOnInput -> True, BaselinePosition -> Baseline, 
                    ImageSize -> {{1, 300}, Automatic}], LineBreakWithin -> 
                    False]}]}}, GridBoxAlignment -> {"Columns" -> {{Left}}}, 
                  DefaultBaseStyle -> "Column", 
                  GridBoxItemSize -> {
                   "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}], 
                 "Column"], "SummaryItem"]}}, 
             GridBoxAlignment -> {
              "Columns" -> {{Left}}, "Rows" -> {{Automatic}}}, AutoDelete -> 
             False, GridBoxItemSize -> {
              "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}, 
             GridBoxSpacings -> {"Columns" -> {{2}}, "Rows" -> {{Automatic}}},
              BaseStyle -> {
              ShowStringCharacters -> False, NumberMarks -> False, 
               PrintPrecision -> 3, ShowSyntaxStyles -> False}]}}, 
          GridBoxAlignment -> {"Rows" -> {{Top}}}, AutoDelete -> False, 
          GridBoxItemSize -> {
           "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}, 
          BaselinePosition -> {1, 1}]}, 
       Dynamic[Typeset`open$$], ImageSize -> Automatic]},
     "SummaryPanel"],
    DynamicModuleValues:>{}], "]"}],
  SparseArray[Automatic, {4, 4}, 0, {1, {{0, 1, 1, 1, 1}, {{1}}}, {1}}],
  Editable->False,
  SelectWithContents->True,
  Selectable->False]], "Output",
 CellChangeTimes->{3.7956742725423098`*^9, 3.795674327937162*^9},
 CellLabel->"Out[76]=",ExpressionUUID->"cdc1746b-599e-49cf-b8f2-b1662a81ecdf"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{
   TagBox["SparseArray",
    "SummaryHead"], "[", 
   DynamicModuleBox[{Typeset`open$$ = False, Typeset`embedState$$ = "Ready"}, 
    
    TemplateBox[{PaneSelectorBox[{False -> GridBox[{{
            PaneBox[
             ButtonBox[
              DynamicBox[
               FEPrivate`FrontEndResource[
               "FEBitmaps", "SquarePlusIconMedium"]], 
              ButtonFunction :> (Typeset`open$$ = True), Appearance -> None, 
              Evaluator -> Automatic, Method -> "Preemptive"], 
             Alignment -> {Center, Center}, ImageSize -> 
             Dynamic[{
               Automatic, 3.5 CurrentValue["FontCapHeight"]/
                AbsoluteCurrentValue[Magnification]}]], 
            GraphicsBox[
             RasterBox[CompressedData["
1:eJxTTMoPSmVmYGBggWIQ26p8d9wspXP2c4wXbTH/ccX+xSLFx4GrXtmTKr6z
28B155YX9jfcl6+rmfbW/mRE7r/4r+9JNmekiQMASjvN2Q==
              "], {{0, 0}, {
              4, 4}}, {0, 1}], AspectRatio -> 1, Axes -> False, Frame -> 
             False, FrameLabel -> {None, None}, FrameStyle -> Directive[
               Opacity[0.5], 
               Thickness[Tiny], 
               RGBColor[0.368417, 0.506779, 0.709798]], 
             FrameTicks -> {{None, None}, {None, None}}, GridLinesStyle -> 
             Directive[
               GrayLevel[0.5, 0.4]], ImageSize -> 
             Dynamic[{
               Automatic, 3.5 CurrentValue["FontCapHeight"]/
                AbsoluteCurrentValue[Magnification]}], 
             Method -> {
              "AxisPadding" -> Scaled[0.02], "DefaultBoundaryStyle" -> 
               Automatic, 
               "DefaultGraphicsInteraction" -> {
                "Version" -> 1.2, "TrackMousePosition" -> {True, False}, 
                 "Effects" -> {
                  "Highlight" -> {"ratio" -> 2}, 
                   "HighlightPoint" -> {"ratio" -> 2}, 
                   "Droplines" -> {
                    "freeformCursorMode" -> True, 
                    "placement" -> {"x" -> "All", "y" -> "None"}}}}, 
               "DefaultPlotStyle" -> Automatic, "DomainPadding" -> 
               Scaled[0.02], "RangePadding" -> Scaled[0.05]}], 
            GridBox[{{
               RowBox[{
                 TagBox["\"Specified elements: \"", "SummaryItemAnnotation"], 
                 "\[InvisibleSpace]", 
                 TagBox["1", "SummaryItem"]}]}, {
               RowBox[{
                 TagBox["\"Dimensions: \"", "SummaryItemAnnotation"], 
                 "\[InvisibleSpace]", 
                 TagBox[
                  RowBox[{"{", 
                    RowBox[{"4", ",", "4"}], "}"}], "SummaryItem"]}]}}, 
             GridBoxAlignment -> {
              "Columns" -> {{Left}}, "Rows" -> {{Automatic}}}, AutoDelete -> 
             False, GridBoxItemSize -> {
              "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}, 
             GridBoxSpacings -> {"Columns" -> {{2}}, "Rows" -> {{Automatic}}},
              BaseStyle -> {
              ShowStringCharacters -> False, NumberMarks -> False, 
               PrintPrecision -> 3, ShowSyntaxStyles -> False}]}}, 
          GridBoxAlignment -> {"Rows" -> {{Top}}}, AutoDelete -> False, 
          GridBoxItemSize -> {
           "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}, 
          BaselinePosition -> {1, 1}], True -> GridBox[{{
            PaneBox[
             ButtonBox[
              DynamicBox[
               FEPrivate`FrontEndResource[
               "FEBitmaps", "SquareMinusIconMedium"]], 
              ButtonFunction :> (Typeset`open$$ = False), Appearance -> None, 
              Evaluator -> Automatic, Method -> "Preemptive"], 
             Alignment -> {Center, Center}, ImageSize -> 
             Dynamic[{
               Automatic, 3.5 CurrentValue["FontCapHeight"]/
                AbsoluteCurrentValue[Magnification]}]], 
            GraphicsBox[
             RasterBox[CompressedData["
1:eJxTTMoPSmVmYGBggWIQ26p8d9wspXP2c4wXbTH/ccX+xSLFx4GrXtmTKr6z
28B155YX9jfcl6+rmfbW/mRE7r/4r+9JNmekiQMASjvN2Q==
              "], {{0, 0}, {
              4, 4}}, {0, 1}], AspectRatio -> 1, Axes -> False, Frame -> 
             False, FrameLabel -> {None, None}, FrameStyle -> Directive[
               Opacity[0.5], 
               Thickness[Tiny], 
               RGBColor[0.368417, 0.506779, 0.709798]], 
             FrameTicks -> {{None, None}, {None, None}}, GridLinesStyle -> 
             Directive[
               GrayLevel[0.5, 0.4]], ImageSize -> 
             Dynamic[{
               Automatic, 3.5 CurrentValue["FontCapHeight"]/
                AbsoluteCurrentValue[Magnification]}], 
             Method -> {
              "AxisPadding" -> Scaled[0.02], "DefaultBoundaryStyle" -> 
               Automatic, 
               "DefaultGraphicsInteraction" -> {
                "Version" -> 1.2, "TrackMousePosition" -> {True, False}, 
                 "Effects" -> {
                  "Highlight" -> {"ratio" -> 2}, 
                   "HighlightPoint" -> {"ratio" -> 2}, 
                   "Droplines" -> {
                    "freeformCursorMode" -> True, 
                    "placement" -> {"x" -> "All", "y" -> "None"}}}}, 
               "DefaultPlotStyle" -> Automatic, "DomainPadding" -> 
               Scaled[0.02], "RangePadding" -> Scaled[0.05]}], 
            GridBox[{{
               RowBox[{
                 TagBox["\"Specified elements: \"", "SummaryItemAnnotation"], 
                 "\[InvisibleSpace]", 
                 TagBox["1", "SummaryItem"]}]}, {
               RowBox[{
                 TagBox["\"Dimensions: \"", "SummaryItemAnnotation"], 
                 "\[InvisibleSpace]", 
                 TagBox[
                  RowBox[{"{", 
                    RowBox[{"4", ",", "4"}], "}"}], "SummaryItem"]}]}, {
               RowBox[{
                 TagBox["\"Default: \"", "SummaryItemAnnotation"], 
                 "\[InvisibleSpace]", 
                 TagBox["0", "SummaryItem"]}]}, {
               RowBox[{
                 TagBox["\"Density: \"", "SummaryItemAnnotation"], 
                 "\[InvisibleSpace]", 
                 TagBox["0.0625`", "SummaryItem"]}]}, {
               RowBox[{
                 TagBox["\"Elements:\"", "SummaryItemAnnotation"], 
                 "\[InvisibleSpace]", 
                 TagBox["\"\"", "SummaryItem"]}]}, {
               TagBox[
                TagBox[
                 GridBox[{{
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{"4", ",", "4"}], "}"}], "\[Rule]", 
                    StyleBox[
                    PaneBox[
                    "1", ContentPadding -> False, FrameMargins -> 0, 
                    StripOnInput -> True, BaselinePosition -> Baseline, 
                    ImageSize -> {{1, 300}, Automatic}], LineBreakWithin -> 
                    False]}]}}, GridBoxAlignment -> {"Columns" -> {{Left}}}, 
                  DefaultBaseStyle -> "Column", 
                  GridBoxItemSize -> {
                   "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}], 
                 "Column"], "SummaryItem"]}}, 
             GridBoxAlignment -> {
              "Columns" -> {{Left}}, "Rows" -> {{Automatic}}}, AutoDelete -> 
             False, GridBoxItemSize -> {
              "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}, 
             GridBoxSpacings -> {"Columns" -> {{2}}, "Rows" -> {{Automatic}}},
              BaseStyle -> {
              ShowStringCharacters -> False, NumberMarks -> False, 
               PrintPrecision -> 3, ShowSyntaxStyles -> False}]}}, 
          GridBoxAlignment -> {"Rows" -> {{Top}}}, AutoDelete -> False, 
          GridBoxItemSize -> {
           "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}, 
          BaselinePosition -> {1, 1}]}, 
       Dynamic[Typeset`open$$], ImageSize -> Automatic]},
     "SummaryPanel"],
    DynamicModuleValues:>{}], "]"}],
  SparseArray[Automatic, {4, 4}, 0, {1, {{0, 0, 0, 0, 1}, {{4}}}, {1}}],
  Editable->False,
  SelectWithContents->True,
  Selectable->False]], "Output",
 CellChangeTimes->{3.7956742725423098`*^9, 3.795674327953891*^9},
 CellLabel->"Out[77]=",ExpressionUUID->"3af10f2e-4b3c-4b6e-acab-e17140ef3cac"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{
   TagBox["SparseArray",
    "SummaryHead"], "[", 
   DynamicModuleBox[{Typeset`open$$ = True, Typeset`embedState$$ = "Ready"}, 
    TemplateBox[{PaneSelectorBox[{False -> GridBox[{{
            PaneBox[
             ButtonBox[
              DynamicBox[
               FEPrivate`FrontEndResource[
               "FEBitmaps", "SquarePlusIconMedium"]], 
              ButtonFunction :> (Typeset`open$$ = True), Appearance -> None, 
              Evaluator -> Automatic, Method -> "Preemptive"], 
             Alignment -> {Center, Center}, ImageSize -> 
             Dynamic[{
               Automatic, 3.5 CurrentValue["FontCapHeight"]/
                AbsoluteCurrentValue[Magnification]}]], 
            GraphicsBox[
             RasterBox[CompressedData["
1:eJztziEKAlEARdEPrsMwrkAwCJafxKzJNIJgFKPFHdgNYpoiGExTBldgMRns
lkEQk2ASEWx2MZzw4HLSS4aT3qgSQqh+9u7WdJcua4e4amR583GMZZacu5tL
5JxzzjnnnHPOOeecc84555xzzjnnnHPOOeecc84555xzzjnnnHPOf+nFvN4u
8jKeOuvtbHGN+/74Objf/u4n55xzzjnnnHPOv/0Fdh+mvg==
              "], {{0, 0}, {
              29, 29}}, {0, 1}], AspectRatio -> 1, Axes -> False, Frame -> 
             False, FrameLabel -> {None, None}, FrameStyle -> Directive[
               Opacity[0.5], 
               Thickness[Tiny], 
               RGBColor[0.368417, 0.506779, 0.709798]], 
             FrameTicks -> {{None, None}, {None, None}}, GridLinesStyle -> 
             Directive[
               GrayLevel[0.5, 0.4]], ImageSize -> 
             Dynamic[{
               Automatic, 3.5 CurrentValue["FontCapHeight"]/
                AbsoluteCurrentValue[Magnification]}], 
             Method -> {
              "AxisPadding" -> Scaled[0.02], "DefaultBoundaryStyle" -> 
               Automatic, 
               "DefaultGraphicsInteraction" -> {
                "Version" -> 1.2, "TrackMousePosition" -> {True, False}, 
                 "Effects" -> {
                  "Highlight" -> {"ratio" -> 2}, 
                   "HighlightPoint" -> {"ratio" -> 2}, 
                   "Droplines" -> {
                    "freeformCursorMode" -> True, 
                    "placement" -> {"x" -> "All", "y" -> "None"}}}}, 
               "DefaultPlotStyle" -> Automatic, "DomainPadding" -> 
               Scaled[0.02], "RangePadding" -> Scaled[0.05]}], 
            GridBox[{{
               RowBox[{
                 TagBox["\"Specified elements: \"", "SummaryItemAnnotation"], 
                 "\[InvisibleSpace]", 
                 TagBox["1", "SummaryItem"]}]}, {
               RowBox[{
                 TagBox["\"Dimensions: \"", "SummaryItemAnnotation"], 
                 "\[InvisibleSpace]", 
                 TagBox[
                  RowBox[{"{", 
                    RowBox[{"256", ",", "256"}], "}"}], "SummaryItem"]}]}}, 
             GridBoxAlignment -> {
              "Columns" -> {{Left}}, "Rows" -> {{Automatic}}}, AutoDelete -> 
             False, GridBoxItemSize -> {
              "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}, 
             GridBoxSpacings -> {"Columns" -> {{2}}, "Rows" -> {{Automatic}}},
              BaseStyle -> {
              ShowStringCharacters -> False, NumberMarks -> False, 
               PrintPrecision -> 3, ShowSyntaxStyles -> False}]}}, 
          GridBoxAlignment -> {"Rows" -> {{Top}}}, AutoDelete -> False, 
          GridBoxItemSize -> {
           "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}, 
          BaselinePosition -> {1, 1}], True -> GridBox[{{
            PaneBox[
             ButtonBox[
              DynamicBox[
               FEPrivate`FrontEndResource[
               "FEBitmaps", "SquareMinusIconMedium"]], 
              ButtonFunction :> (Typeset`open$$ = False), Appearance -> None, 
              Evaluator -> Automatic, Method -> "Preemptive"], 
             Alignment -> {Center, Center}, ImageSize -> 
             Dynamic[{
               Automatic, 3.5 CurrentValue["FontCapHeight"]/
                AbsoluteCurrentValue[Magnification]}]], 
            GraphicsBox[
             RasterBox[CompressedData["
1:eJztziEKAlEARdEPrsMwrkAwCJafxKzJNIJgFKPFHdgNYpoiGExTBldgMRns
lkEQk2ASEWx2MZzw4HLSS4aT3qgSQqh+9u7WdJcua4e4amR583GMZZacu5tL
5JxzzjnnnHPOOeecc84555xzzjnnnHPOOeecc84555xzzjnnnHPOf+nFvN4u
8jKeOuvtbHGN+/74Objf/u4n55xzzjnnnHPOv/0Fdh+mvg==
              "], {{0, 0}, {
              29, 29}}, {0, 1}], AspectRatio -> 1, Axes -> False, Frame -> 
             False, FrameLabel -> {None, None}, FrameStyle -> Directive[
               Opacity[0.5], 
               Thickness[Tiny], 
               RGBColor[0.368417, 0.506779, 0.709798]], 
             FrameTicks -> {{None, None}, {None, None}}, GridLinesStyle -> 
             Directive[
               GrayLevel[0.5, 0.4]], ImageSize -> 
             Dynamic[{
               Automatic, 3.5 CurrentValue["FontCapHeight"]/
                AbsoluteCurrentValue[Magnification]}], 
             Method -> {
              "AxisPadding" -> Scaled[0.02], "DefaultBoundaryStyle" -> 
               Automatic, 
               "DefaultGraphicsInteraction" -> {
                "Version" -> 1.2, "TrackMousePosition" -> {True, False}, 
                 "Effects" -> {
                  "Highlight" -> {"ratio" -> 2}, 
                   "HighlightPoint" -> {"ratio" -> 2}, 
                   "Droplines" -> {
                    "freeformCursorMode" -> True, 
                    "placement" -> {"x" -> "All", "y" -> "None"}}}}, 
               "DefaultPlotStyle" -> Automatic, "DomainPadding" -> 
               Scaled[0.02], "RangePadding" -> Scaled[0.05]}], 
            GridBox[{{
               RowBox[{
                 TagBox["\"Specified elements: \"", "SummaryItemAnnotation"], 
                 "\[InvisibleSpace]", 
                 TagBox["1", "SummaryItem"]}]}, {
               RowBox[{
                 TagBox["\"Dimensions: \"", "SummaryItemAnnotation"], 
                 "\[InvisibleSpace]", 
                 TagBox[
                  RowBox[{"{", 
                    RowBox[{"256", ",", "256"}], "}"}], "SummaryItem"]}]}, {
               RowBox[{
                 TagBox["\"Default: \"", "SummaryItemAnnotation"], 
                 "\[InvisibleSpace]", 
                 TagBox["0", "SummaryItem"]}]}, {
               RowBox[{
                 TagBox["\"Density: \"", "SummaryItemAnnotation"], 
                 "\[InvisibleSpace]", 
                 TagBox["0.0000152587890625`", "SummaryItem"]}]}, {
               RowBox[{
                 TagBox["\"Elements:\"", "SummaryItemAnnotation"], 
                 "\[InvisibleSpace]", 
                 TagBox["\"\"", "SummaryItem"]}]}, {
               TagBox[
                TagBox[
                 GridBox[{{
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{"49", ",", "49"}], "}"}], "\[Rule]", 
                    StyleBox[
                    PaneBox[
                    "1", ContentPadding -> False, FrameMargins -> 0, 
                    StripOnInput -> True, BaselinePosition -> Baseline, 
                    ImageSize -> {{1, 300}, Automatic}], LineBreakWithin -> 
                    False]}]}}, GridBoxAlignment -> {"Columns" -> {{Left}}}, 
                  DefaultBaseStyle -> "Column", 
                  GridBoxItemSize -> {
                   "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}], 
                 "Column"], "SummaryItem"]}}, 
             GridBoxAlignment -> {
              "Columns" -> {{Left}}, "Rows" -> {{Automatic}}}, AutoDelete -> 
             False, GridBoxItemSize -> {
              "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}, 
             GridBoxSpacings -> {"Columns" -> {{2}}, "Rows" -> {{Automatic}}},
              BaseStyle -> {
              ShowStringCharacters -> False, NumberMarks -> False, 
               PrintPrecision -> 3, ShowSyntaxStyles -> False}]}}, 
          GridBoxAlignment -> {"Rows" -> {{Top}}}, AutoDelete -> False, 
          GridBoxItemSize -> {
           "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}, 
          BaselinePosition -> {1, 1}]}, 
       Dynamic[Typeset`open$$], ImageSize -> Automatic]},
     "SummaryPanel"],
    DynamicModuleValues:>{}], "]"}],
  SparseArray[
  Automatic, {256, 256}, 0, {
   1, {{0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
     0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
     0, 0, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 
     1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 
     1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 
     1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 
     1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 
     1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 
     1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 
     1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 
     1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1}, {{49}}}, {1}}],
  Editable->False,
  SelectWithContents->True,
  Selectable->False]], "Output",
 CellChangeTimes->{3.7956742725423098`*^9, 3.795674328016142*^9},
 CellLabel->"Out[78]=",ExpressionUUID->"0969ef92-a7f8-4328-9c94-7507519dc763"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Tr", "[", 
  RowBox[{"Dot", "[", 
   RowBox[{
    RowBox[{"KroneckerProduct", "[", 
     RowBox[{
      RowBox[{"Theta", "[", "4", "]"}], ",", 
      RowBox[{"IdentityMatrix", "[", "16", "]"}]}], "]"}], ",", " ", 
    "rhoinit"}], "]"}], "]"}]], "Input",
 CellLabel->"In[79]:=",ExpressionUUID->"89d8d38d-0fee-4bfc-b2c1-d0d2521f15c8"],

Cell[BoxData[
 SubscriptBox["\[Theta]", "4"]], "Output",
 CellChangeTimes->{3.795674344730163*^9},
 CellLabel->"Out[79]=",ExpressionUUID->"8f6b02b1-5d81-4093-aaa1-df3f8ac6b15f"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Tr", "[", 
  RowBox[{"Dot", "[", 
   RowBox[{
    RowBox[{"KroneckerProduct", "[", 
     RowBox[{
      RowBox[{"IdentityMatrix", "[", "16", "]"}], ",", 
      RowBox[{"Theta", "[", "4", "]"}]}], "]"}], ",", " ", "rhoinit"}], "]"}],
   "]"}]], "Input",
 CellLabel->"In[80]:=",ExpressionUUID->"2bd98f5d-bf1d-479c-b5db-24e8dcba2485"],

Cell[BoxData[
 SubscriptBox["\[Theta]", "1"]], "Output",
 CellChangeTimes->{3.7956743574948263`*^9},
 CellLabel->"Out[80]=",ExpressionUUID->"a2cba6fd-53de-418e-8294-e2968da1d561"]
}, Open  ]],

Cell[BoxData[
 RowBox[{"VV", ":=", 
  RowBox[{"KroneckerProduct", "[", 
   RowBox[{
    RowBox[{"V", "[", 
     RowBox[{"2", ",", "4", ",", "4"}], "]"}], ",", 
    RowBox[{"V", "[", 
     RowBox[{"2", ",", "4", ",", "4"}], "]"}]}], "]"}]}]], "Input",ExpressionU\
UID->"ffe0a3f5-7ef4-462a-963b-23941804f54b"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"rhocross", "=", 
  RowBox[{"Dot", "[", 
   RowBox[{"VV", ",", " ", 
    RowBox[{"U", "[", "16", "]"}], ",", "VV", ",", "rhoinit", ",", "VV", ",", 
    
    RowBox[{"ConjugateTranspose", "[", 
     RowBox[{"U", "[", "16", "]"}], "]"}], ",", "VV"}], "]"}]}]], "Input",
 CellLabel->"In[81]:=",ExpressionUUID->"bd361b43-12f6-462b-b823-fc59f983e1e7"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{
   TagBox["SparseArray",
    "SummaryHead"], "[", 
   DynamicModuleBox[{Typeset`open$$ = False, Typeset`embedState$$ = "Ready"}, 
    
    TemplateBox[{PaneSelectorBox[{False -> GridBox[{{
            PaneBox[
             ButtonBox[
              DynamicBox[
               FEPrivate`FrontEndResource[
               "FEBitmaps", "SquarePlusIconMedium"]], 
              ButtonFunction :> (Typeset`open$$ = True), Appearance -> None, 
              Evaluator -> Automatic, Method -> "Preemptive"], 
             Alignment -> {Center, Center}, ImageSize -> 
             Dynamic[{
               Automatic, 3.5 CurrentValue["FontCapHeight"]/
                AbsoluteCurrentValue[Magnification]}]], 
            GraphicsBox[
             RasterBox[CompressedData["
1:eJzt1yEKAlEABNAFz2FYTyAYBMtPYtZkUhCMYrR4A7tBTFsEg2nL4gksJoPd
sghiEkwigtVk+eGFgeGlqZOOpr1xJUmS6jef3prtB6vaMawbWd58nkKZpZfu
9ho455xzzjnnnHPOOeecc84555xzzjnnnHPOOeec83+8WNTbRV6Gc2ezmy9v
4dCfvIaPuz2cc84555xzzjn/6bH999j2cM4555xzzjnnMfsbT6uq4Q==
              "], {{
              0, 0}, {29, 29}}, {0, 1}], AspectRatio -> 1, Axes -> False, 
             Frame -> False, FrameLabel -> {None, None}, FrameStyle -> 
             Directive[
               Opacity[0.5], 
               Thickness[Tiny], 
               RGBColor[0.368417, 0.506779, 0.709798]], 
             FrameTicks -> {{None, None}, {None, None}}, GridLinesStyle -> 
             Directive[
               GrayLevel[0.5, 0.4]], ImageSize -> 
             Dynamic[{
               Automatic, 3.5 CurrentValue["FontCapHeight"]/
                AbsoluteCurrentValue[Magnification]}], 
             Method -> {
              "AxisPadding" -> Scaled[0.02], "DefaultBoundaryStyle" -> 
               Automatic, 
               "DefaultGraphicsInteraction" -> {
                "Version" -> 1.2, "TrackMousePosition" -> {True, False}, 
                 "Effects" -> {
                  "Highlight" -> {"ratio" -> 2}, 
                   "HighlightPoint" -> {"ratio" -> 2}, 
                   "Droplines" -> {
                    "freeformCursorMode" -> True, 
                    "placement" -> {"x" -> "All", "y" -> "None"}}}}, 
               "DefaultPlotStyle" -> Automatic, "DomainPadding" -> 
               Scaled[0.02], "RangePadding" -> Scaled[0.05]}], 
            GridBox[{{
               RowBox[{
                 TagBox["\"Specified elements: \"", "SummaryItemAnnotation"], 
                 "\[InvisibleSpace]", 
                 TagBox["16", "SummaryItem"]}]}, {
               RowBox[{
                 TagBox["\"Dimensions: \"", "SummaryItemAnnotation"], 
                 "\[InvisibleSpace]", 
                 TagBox[
                  RowBox[{"{", 
                    RowBox[{"256", ",", "256"}], "}"}], "SummaryItem"]}]}}, 
             GridBoxAlignment -> {
              "Columns" -> {{Left}}, "Rows" -> {{Automatic}}}, AutoDelete -> 
             False, GridBoxItemSize -> {
              "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}, 
             GridBoxSpacings -> {"Columns" -> {{2}}, "Rows" -> {{Automatic}}},
              BaseStyle -> {
              ShowStringCharacters -> False, NumberMarks -> False, 
               PrintPrecision -> 3, ShowSyntaxStyles -> False}]}}, 
          GridBoxAlignment -> {"Rows" -> {{Top}}}, AutoDelete -> False, 
          GridBoxItemSize -> {
           "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}, 
          BaselinePosition -> {1, 1}], True -> GridBox[{{
            PaneBox[
             ButtonBox[
              DynamicBox[
               FEPrivate`FrontEndResource[
               "FEBitmaps", "SquareMinusIconMedium"]], 
              ButtonFunction :> (Typeset`open$$ = False), Appearance -> None, 
              Evaluator -> Automatic, Method -> "Preemptive"], 
             Alignment -> {Center, Center}, ImageSize -> 
             Dynamic[{
               Automatic, 3.5 CurrentValue["FontCapHeight"]/
                AbsoluteCurrentValue[Magnification]}]], 
            GraphicsBox[
             RasterBox[CompressedData["
1:eJzt1yEKAlEABNAFz2FYTyAYBMtPYtZkUhCMYrR4A7tBTFsEg2nL4gksJoPd
sghiEkwigtVk+eGFgeGlqZOOpr1xJUmS6jef3prtB6vaMawbWd58nkKZpZfu
9ho455xzzjnnnHPOOeecc84555xzzjnnnHPOOeec83+8WNTbRV6Gc2ezmy9v
4dCfvIaPuz2cc84555xzzjn/6bH999j2cM4555xzzjnnMfsbT6uq4Q==
              "], {{
              0, 0}, {29, 29}}, {0, 1}], AspectRatio -> 1, Axes -> False, 
             Frame -> False, FrameLabel -> {None, None}, FrameStyle -> 
             Directive[
               Opacity[0.5], 
               Thickness[Tiny], 
               RGBColor[0.368417, 0.506779, 0.709798]], 
             FrameTicks -> {{None, None}, {None, None}}, GridLinesStyle -> 
             Directive[
               GrayLevel[0.5, 0.4]], ImageSize -> 
             Dynamic[{
               Automatic, 3.5 CurrentValue["FontCapHeight"]/
                AbsoluteCurrentValue[Magnification]}], 
             Method -> {
              "AxisPadding" -> Scaled[0.02], "DefaultBoundaryStyle" -> 
               Automatic, 
               "DefaultGraphicsInteraction" -> {
                "Version" -> 1.2, "TrackMousePosition" -> {True, False}, 
                 "Effects" -> {
                  "Highlight" -> {"ratio" -> 2}, 
                   "HighlightPoint" -> {"ratio" -> 2}, 
                   "Droplines" -> {
                    "freeformCursorMode" -> True, 
                    "placement" -> {"x" -> "All", "y" -> "None"}}}}, 
               "DefaultPlotStyle" -> Automatic, "DomainPadding" -> 
               Scaled[0.02], "RangePadding" -> Scaled[0.05]}], 
            GridBox[{{
               RowBox[{
                 TagBox["\"Specified elements: \"", "SummaryItemAnnotation"], 
                 "\[InvisibleSpace]", 
                 TagBox["16", "SummaryItem"]}]}, {
               RowBox[{
                 TagBox["\"Dimensions: \"", "SummaryItemAnnotation"], 
                 "\[InvisibleSpace]", 
                 TagBox[
                  RowBox[{"{", 
                    RowBox[{"256", ",", "256"}], "}"}], "SummaryItem"]}]}, {
               RowBox[{
                 TagBox["\"Default: \"", "SummaryItemAnnotation"], 
                 "\[InvisibleSpace]", 
                 TagBox["0", "SummaryItem"]}]}, {
               RowBox[{
                 TagBox["\"Density: \"", "SummaryItemAnnotation"], 
                 "\[InvisibleSpace]", 
                 TagBox["0.000244140625`", "SummaryItem"]}]}, {
               RowBox[{
                 TagBox["\"Elements:\"", "SummaryItemAnnotation"], 
                 "\[InvisibleSpace]", 
                 TagBox["\"\"", "SummaryItem"]}]}, {
               TagBox[
                TagBox[
                 GridBox[{{
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{"52", ",", "52"}], "}"}], "\[Rule]", 
                    StyleBox[
                    PaneBox[
                    FractionBox["1", "2"], ContentPadding -> False, 
                    FrameMargins -> 0, StripOnInput -> True, BaselinePosition -> 
                    Baseline, ImageSize -> {{1, 300}, Automatic}], 
                    LineBreakWithin -> False]}]}, {
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{"52", ",", "55"}], "}"}], "\[Rule]", 
                    StyleBox[
                    PaneBox[
                    "0", ContentPadding -> False, FrameMargins -> 0, 
                    StripOnInput -> True, BaselinePosition -> Baseline, 
                    ImageSize -> {{1, 300}, Automatic}], LineBreakWithin -> 
                    False]}]}, {
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{"52", ",", "100"}], "}"}], "\[Rule]", 
                    StyleBox[
                    PaneBox[
                    "0", ContentPadding -> False, FrameMargins -> 0, 
                    StripOnInput -> True, BaselinePosition -> Baseline, 
                    ImageSize -> {{1, 300}, Automatic}], LineBreakWithin -> 
                    False]}]}, {
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{"52", ",", "103"}], "}"}], "\[Rule]", 
                    StyleBox[
                    PaneBox[
                    FractionBox["1", "2"], ContentPadding -> False, 
                    FrameMargins -> 0, StripOnInput -> True, BaselinePosition -> 
                    Baseline, ImageSize -> {{1, 300}, Automatic}], 
                    LineBreakWithin -> False]}]}, {
                    ItemBox[
                    "\"\[VerticalEllipsis]\"", Alignment -> Center, 
                    StripOnInput -> False]}}, 
                  GridBoxAlignment -> {"Columns" -> {{Left}}}, 
                  DefaultBaseStyle -> "Column", 
                  GridBoxItemSize -> {
                   "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}], 
                 "Column"], "SummaryItem"]}}, 
             GridBoxAlignment -> {
              "Columns" -> {{Left}}, "Rows" -> {{Automatic}}}, AutoDelete -> 
             False, GridBoxItemSize -> {
              "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}, 
             GridBoxSpacings -> {"Columns" -> {{2}}, "Rows" -> {{Automatic}}},
              BaseStyle -> {
              ShowStringCharacters -> False, NumberMarks -> False, 
               PrintPrecision -> 3, ShowSyntaxStyles -> False}]}}, 
          GridBoxAlignment -> {"Rows" -> {{Top}}}, AutoDelete -> False, 
          GridBoxItemSize -> {
           "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}, 
          BaselinePosition -> {1, 1}]}, 
       Dynamic[Typeset`open$$], ImageSize -> Automatic]},
     "SummaryPanel"],
    DynamicModuleValues:>{}], "]"}],
  SparseArray[
  Automatic, {256, 256}, 0, {
   1, {{0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
     0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
     0, 0, 0, 0, 0, 4, 4, 4, 8, 8, 8, 8, 8, 8, 8, 8, 8, 8, 8, 8, 8, 8, 8, 8, 
     8, 8, 8, 8, 8, 8, 8, 8, 8, 8, 8, 8, 8, 8, 8, 8, 8, 8, 8, 8, 8, 8, 8, 8, 
     8, 8, 8, 8, 8, 12, 12, 12, 16, 16, 16, 16, 16, 16, 16, 16, 16, 16, 16, 
     16, 16, 16, 16, 16, 16, 16, 16, 16, 16, 16, 16, 16, 16, 16, 16, 16, 16, 
     16, 16, 16, 16, 16, 16, 16, 16, 16, 16, 16, 16, 16, 16, 16, 16, 16, 16, 
     16, 16, 16, 16, 16, 16, 16, 16, 16, 16, 16, 16, 16, 16, 16, 16, 16, 16, 
     16, 16, 16, 16, 16, 16, 16, 16, 16, 16, 16, 16, 16, 16, 16, 16, 16, 16, 
     16, 16, 16, 16, 16, 16, 16, 16, 16, 16, 16, 16, 16, 16, 16, 16, 16, 16, 
     16, 16, 16, 16, 16, 16, 16, 16, 16, 16, 16, 16, 16, 16, 16, 16, 16, 16, 
     16, 16, 16, 16, 16, 16, 16, 16, 16, 16, 16, 16, 16, 16, 16, 16, 16, 16, 
     16, 16, 16, 16, 16, 16, 16, 16, 16, 16, 16, 16, 16, 16, 16, 16, 16}, {{
     52}, {55}, {100}, {103}, {52}, {55}, {100}, {103}, {52}, {55}, {100}, {
     103}, {52}, {55}, {100}, {103}}}, {
    Rational[1, 2], 0, 0, Rational[1, 2], 0, 0, 0, 0, 0, 0, 0, 0, Rational[
     1, 2], 0, 0, Rational[1, 2]}}],
  Editable->False,
  SelectWithContents->True,
  Selectable->False]], "Output",
 CellChangeTimes->{3.795674382609182*^9},
 CellLabel->"Out[81]=",ExpressionUUID->"62b40d70-d051-4756-b5c6-850c4507bfcc"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Simplify", "[", 
  RowBox[{"Tr", "[", 
   RowBox[{"Dot", "[", 
    RowBox[{
     RowBox[{"KroneckerProduct", "[", 
      RowBox[{
       RowBox[{"Theta", "[", "4", "]"}], ",", 
       RowBox[{"IdentityMatrix", "[", "16", "]"}]}], "]"}], ",", " ", 
     "rhocross"}], "]"}], "]"}], "]"}]], "Input",
 CellLabel->"In[82]:=",ExpressionUUID->"5a122691-45b8-402f-9c82-670edb8f9dec"],

Cell[BoxData[
 RowBox[{
  FractionBox["1", "2"], " ", 
  RowBox[{"(", 
   RowBox[{
    SubscriptBox["\[Theta]", "4"], "+", 
    SubscriptBox["\[Theta]", "7"]}], ")"}]}]], "Output",
 CellChangeTimes->{3.795674418134795*^9},
 CellLabel->"Out[82]=",ExpressionUUID->"e4fa059d-28e0-4e7a-9921-2457dfe15a5e"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Simplify", "[", 
  RowBox[{"Tr", "[", 
   RowBox[{"Dot", "[", 
    RowBox[{
     RowBox[{"KroneckerProduct", "[", 
      RowBox[{
       RowBox[{"IdentityMatrix", "[", "16", "]"}], ",", 
       RowBox[{"Theta", "[", "4", "]"}]}], "]"}], ",", " ", "rhocross"}], 
    "]"}], "]"}], "]"}]], "Input",
 CellChangeTimes->{{3.795674424840292*^9, 
  3.7956744878255568`*^9}},ExpressionUUID->"d0dd52bf-8e5b-4beb-8a20-\
e2a247bde725"],

Cell[BoxData[
 RowBox[{
  FractionBox["1", "2"], " ", 
  RowBox[{"(", 
   RowBox[{
    SubscriptBox["\[Theta]", "4"], "+", 
    SubscriptBox["\[Theta]", "7"]}], ")"}]}]], "Output",
 CellChangeTimes->{3.795674429390984*^9},
 CellLabel->"Out[83]=",ExpressionUUID->"5d54562a-d81b-4fa3-8b17-8f9470290a4d"]
}, Open  ]],

Cell["\<\
The result crosses |00>| 11> with |01>| 10>, both in the parent and children \
registers.\
\>", "Text",
 CellChangeTimes->{{3.795674494889817*^9, 
  3.7956745406039352`*^9}},ExpressionUUID->"67185fb1-472d-4c89-a4c9-\
f62dbb2916ee"]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["First cloning, then swapping", "Section",
 CellChangeTimes->{{3.795674918399626*^9, 3.795674927135172*^9}, 
   3.795674979648158*^9},ExpressionUUID->"c4af3322-b56c-4829-8117-\
bc00d9e8e01c"],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{"Minit", "=", 
  RowBox[{"SparseArray", "[", 
   RowBox[{
    RowBox[{
     RowBox[{"{", 
      RowBox[{"1", ",", "1"}], "}"}], "\[Rule]", "1"}], ",", 
    RowBox[{"{", 
     RowBox[{"4", ",", "4"}], "}"}]}], "]"}]}], "\[IndentingNewLine]", 
 RowBox[{"Finit", "=", 
  RowBox[{"SparseArray", "[", 
   RowBox[{
    RowBox[{
     RowBox[{"{", 
      RowBox[{"4", ",", "4"}], "}"}], "\[Rule]", "1"}], ",", 
    RowBox[{"{", 
     RowBox[{"4", ",", "4"}], "}"}]}], "]"}]}], "\[IndentingNewLine]", 
 RowBox[{"rhoinit", "=", 
  RowBox[{"KroneckerProduct", "[", 
   RowBox[{"Minit", ",", " ", "Finit", ",", " ", 
    RowBox[{"SparseArray", "[", 
     RowBox[{
      RowBox[{
       RowBox[{"{", 
        RowBox[{"1", ",", "1"}], "}"}], "\[Rule]", "1"}], ",", 
      RowBox[{"2", "^", "4"}]}], "]"}]}], "]"}]}]}], "Input",
 CellChangeTimes->{{3.7956742000721083`*^9, 3.795674269511215*^9}, {
   3.7956743017386713`*^9, 3.795674325461184*^9}, 3.795675678768854*^9},
 CellLabel->"In[94]:=",ExpressionUUID->"fe340cd2-3273-447b-ab14-9aa3916d60e7"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{
   TagBox["SparseArray",
    "SummaryHead"], "[", 
   DynamicModuleBox[{Typeset`open$$ = False, Typeset`embedState$$ = "Ready"}, 
    
    TemplateBox[{PaneSelectorBox[{False -> GridBox[{{
            PaneBox[
             ButtonBox[
              DynamicBox[
               FEPrivate`FrontEndResource[
               "FEBitmaps", "SquarePlusIconMedium"]], 
              ButtonFunction :> (Typeset`open$$ = True), Appearance -> None, 
              Evaluator -> Automatic, Method -> "Preemptive"], 
             Alignment -> {Center, Center}, ImageSize -> 
             Dynamic[{
               Automatic, 3.5 CurrentValue["FontCapHeight"]/
                AbsoluteCurrentValue[Magnification]}]], 
            GraphicsBox[
             RasterBox[CompressedData["
1:eJxTTMoPSmVmYGBggWIQ26p8d9wspXP2c4wXbTH/ccX+xSLFx4GrXtmPikPE
d3YbuO7c8sL+hvvydTXT3tqfjMj9F//1PdXMBwAgVM3Z
              "], {{0, 0}, {4, 
              4}}, {0, 1}], AspectRatio -> 1, Axes -> False, Frame -> False, 
             FrameLabel -> {None, None}, FrameStyle -> Directive[
               Opacity[0.5], 
               Thickness[Tiny], 
               RGBColor[0.368417, 0.506779, 0.709798]], 
             FrameTicks -> {{None, None}, {None, None}}, GridLinesStyle -> 
             Directive[
               GrayLevel[0.5, 0.4]], ImageSize -> 
             Dynamic[{
               Automatic, 3.5 CurrentValue["FontCapHeight"]/
                AbsoluteCurrentValue[Magnification]}], 
             Method -> {
              "AxisPadding" -> Scaled[0.02], "DefaultBoundaryStyle" -> 
               Automatic, 
               "DefaultGraphicsInteraction" -> {
                "Version" -> 1.2, "TrackMousePosition" -> {True, False}, 
                 "Effects" -> {
                  "Highlight" -> {"ratio" -> 2}, 
                   "HighlightPoint" -> {"ratio" -> 2}, 
                   "Droplines" -> {
                    "freeformCursorMode" -> True, 
                    "placement" -> {"x" -> "All", "y" -> "None"}}}}, 
               "DefaultPlotStyle" -> Automatic, "DomainPadding" -> 
               Scaled[0.02], "RangePadding" -> Scaled[0.05]}], 
            GridBox[{{
               RowBox[{
                 TagBox["\"Specified elements: \"", "SummaryItemAnnotation"], 
                 "\[InvisibleSpace]", 
                 TagBox["1", "SummaryItem"]}]}, {
               RowBox[{
                 TagBox["\"Dimensions: \"", "SummaryItemAnnotation"], 
                 "\[InvisibleSpace]", 
                 TagBox[
                  RowBox[{"{", 
                    RowBox[{"4", ",", "4"}], "}"}], "SummaryItem"]}]}}, 
             GridBoxAlignment -> {
              "Columns" -> {{Left}}, "Rows" -> {{Automatic}}}, AutoDelete -> 
             False, GridBoxItemSize -> {
              "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}, 
             GridBoxSpacings -> {"Columns" -> {{2}}, "Rows" -> {{Automatic}}},
              BaseStyle -> {
              ShowStringCharacters -> False, NumberMarks -> False, 
               PrintPrecision -> 3, ShowSyntaxStyles -> False}]}}, 
          GridBoxAlignment -> {"Rows" -> {{Top}}}, AutoDelete -> False, 
          GridBoxItemSize -> {
           "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}, 
          BaselinePosition -> {1, 1}], True -> GridBox[{{
            PaneBox[
             ButtonBox[
              DynamicBox[
               FEPrivate`FrontEndResource[
               "FEBitmaps", "SquareMinusIconMedium"]], 
              ButtonFunction :> (Typeset`open$$ = False), Appearance -> None, 
              Evaluator -> Automatic, Method -> "Preemptive"], 
             Alignment -> {Center, Center}, ImageSize -> 
             Dynamic[{
               Automatic, 3.5 CurrentValue["FontCapHeight"]/
                AbsoluteCurrentValue[Magnification]}]], 
            GraphicsBox[
             RasterBox[CompressedData["
1:eJxTTMoPSmVmYGBggWIQ26p8d9wspXP2c4wXbTH/ccX+xSLFx4GrXtmPikPE
d3YbuO7c8sL+hvvydTXT3tqfjMj9F//1PdXMBwAgVM3Z
              "], {{0, 0}, {4, 
              4}}, {0, 1}], AspectRatio -> 1, Axes -> False, Frame -> False, 
             FrameLabel -> {None, None}, FrameStyle -> Directive[
               Opacity[0.5], 
               Thickness[Tiny], 
               RGBColor[0.368417, 0.506779, 0.709798]], 
             FrameTicks -> {{None, None}, {None, None}}, GridLinesStyle -> 
             Directive[
               GrayLevel[0.5, 0.4]], ImageSize -> 
             Dynamic[{
               Automatic, 3.5 CurrentValue["FontCapHeight"]/
                AbsoluteCurrentValue[Magnification]}], 
             Method -> {
              "AxisPadding" -> Scaled[0.02], "DefaultBoundaryStyle" -> 
               Automatic, 
               "DefaultGraphicsInteraction" -> {
                "Version" -> 1.2, "TrackMousePosition" -> {True, False}, 
                 "Effects" -> {
                  "Highlight" -> {"ratio" -> 2}, 
                   "HighlightPoint" -> {"ratio" -> 2}, 
                   "Droplines" -> {
                    "freeformCursorMode" -> True, 
                    "placement" -> {"x" -> "All", "y" -> "None"}}}}, 
               "DefaultPlotStyle" -> Automatic, "DomainPadding" -> 
               Scaled[0.02], "RangePadding" -> Scaled[0.05]}], 
            GridBox[{{
               RowBox[{
                 TagBox["\"Specified elements: \"", "SummaryItemAnnotation"], 
                 "\[InvisibleSpace]", 
                 TagBox["1", "SummaryItem"]}]}, {
               RowBox[{
                 TagBox["\"Dimensions: \"", "SummaryItemAnnotation"], 
                 "\[InvisibleSpace]", 
                 TagBox[
                  RowBox[{"{", 
                    RowBox[{"4", ",", "4"}], "}"}], "SummaryItem"]}]}, {
               RowBox[{
                 TagBox["\"Default: \"", "SummaryItemAnnotation"], 
                 "\[InvisibleSpace]", 
                 TagBox["0", "SummaryItem"]}]}, {
               RowBox[{
                 TagBox["\"Density: \"", "SummaryItemAnnotation"], 
                 "\[InvisibleSpace]", 
                 TagBox["0.0625`", "SummaryItem"]}]}, {
               RowBox[{
                 TagBox["\"Elements:\"", "SummaryItemAnnotation"], 
                 "\[InvisibleSpace]", 
                 TagBox["\"\"", "SummaryItem"]}]}, {
               TagBox[
                TagBox[
                 GridBox[{{
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{"1", ",", "1"}], "}"}], "\[Rule]", 
                    StyleBox[
                    PaneBox[
                    "1", ContentPadding -> False, FrameMargins -> 0, 
                    StripOnInput -> True, BaselinePosition -> Baseline, 
                    ImageSize -> {{1, 300}, Automatic}], LineBreakWithin -> 
                    False]}]}}, GridBoxAlignment -> {"Columns" -> {{Left}}}, 
                  DefaultBaseStyle -> "Column", 
                  GridBoxItemSize -> {
                   "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}], 
                 "Column"], "SummaryItem"]}}, 
             GridBoxAlignment -> {
              "Columns" -> {{Left}}, "Rows" -> {{Automatic}}}, AutoDelete -> 
             False, GridBoxItemSize -> {
              "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}, 
             GridBoxSpacings -> {"Columns" -> {{2}}, "Rows" -> {{Automatic}}},
              BaseStyle -> {
              ShowStringCharacters -> False, NumberMarks -> False, 
               PrintPrecision -> 3, ShowSyntaxStyles -> False}]}}, 
          GridBoxAlignment -> {"Rows" -> {{Top}}}, AutoDelete -> False, 
          GridBoxItemSize -> {
           "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}, 
          BaselinePosition -> {1, 1}]}, 
       Dynamic[Typeset`open$$], ImageSize -> Automatic]},
     "SummaryPanel"],
    DynamicModuleValues:>{}], "]"}],
  SparseArray[Automatic, {4, 4}, 0, {1, {{0, 1, 1, 1, 1}, {{1}}}, {1}}],
  Editable->False,
  SelectWithContents->True,
  Selectable->False]], "Output",
 CellChangeTimes->{3.7956742725423098`*^9, 3.795674327937162*^9, 
  3.795675762334552*^9},
 CellLabel->"Out[94]=",ExpressionUUID->"78c1e864-23f0-4804-8280-d7b284326310"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{
   TagBox["SparseArray",
    "SummaryHead"], "[", 
   DynamicModuleBox[{Typeset`open$$ = False, Typeset`embedState$$ = "Ready"}, 
    
    TemplateBox[{PaneSelectorBox[{False -> GridBox[{{
            PaneBox[
             ButtonBox[
              DynamicBox[
               FEPrivate`FrontEndResource[
               "FEBitmaps", "SquarePlusIconMedium"]], 
              ButtonFunction :> (Typeset`open$$ = True), Appearance -> None, 
              Evaluator -> Automatic, Method -> "Preemptive"], 
             Alignment -> {Center, Center}, ImageSize -> 
             Dynamic[{
               Automatic, 3.5 CurrentValue["FontCapHeight"]/
                AbsoluteCurrentValue[Magnification]}]], 
            GraphicsBox[
             RasterBox[CompressedData["
1:eJxTTMoPSmVmYGBggWIQ26p8d9wspXP2c4wXbTH/ccX+xSLFx4GrXtmTKr6z
28B155YX9jfcl6+rmfbW/mRE7r/4r+9JNmekiQMASjvN2Q==
              "], {{0, 0}, {
              4, 4}}, {0, 1}], AspectRatio -> 1, Axes -> False, Frame -> 
             False, FrameLabel -> {None, None}, FrameStyle -> Directive[
               Opacity[0.5], 
               Thickness[Tiny], 
               RGBColor[0.368417, 0.506779, 0.709798]], 
             FrameTicks -> {{None, None}, {None, None}}, GridLinesStyle -> 
             Directive[
               GrayLevel[0.5, 0.4]], ImageSize -> 
             Dynamic[{
               Automatic, 3.5 CurrentValue["FontCapHeight"]/
                AbsoluteCurrentValue[Magnification]}], 
             Method -> {
              "AxisPadding" -> Scaled[0.02], "DefaultBoundaryStyle" -> 
               Automatic, 
               "DefaultGraphicsInteraction" -> {
                "Version" -> 1.2, "TrackMousePosition" -> {True, False}, 
                 "Effects" -> {
                  "Highlight" -> {"ratio" -> 2}, 
                   "HighlightPoint" -> {"ratio" -> 2}, 
                   "Droplines" -> {
                    "freeformCursorMode" -> True, 
                    "placement" -> {"x" -> "All", "y" -> "None"}}}}, 
               "DefaultPlotStyle" -> Automatic, "DomainPadding" -> 
               Scaled[0.02], "RangePadding" -> Scaled[0.05]}], 
            GridBox[{{
               RowBox[{
                 TagBox["\"Specified elements: \"", "SummaryItemAnnotation"], 
                 "\[InvisibleSpace]", 
                 TagBox["1", "SummaryItem"]}]}, {
               RowBox[{
                 TagBox["\"Dimensions: \"", "SummaryItemAnnotation"], 
                 "\[InvisibleSpace]", 
                 TagBox[
                  RowBox[{"{", 
                    RowBox[{"4", ",", "4"}], "}"}], "SummaryItem"]}]}}, 
             GridBoxAlignment -> {
              "Columns" -> {{Left}}, "Rows" -> {{Automatic}}}, AutoDelete -> 
             False, GridBoxItemSize -> {
              "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}, 
             GridBoxSpacings -> {"Columns" -> {{2}}, "Rows" -> {{Automatic}}},
              BaseStyle -> {
              ShowStringCharacters -> False, NumberMarks -> False, 
               PrintPrecision -> 3, ShowSyntaxStyles -> False}]}}, 
          GridBoxAlignment -> {"Rows" -> {{Top}}}, AutoDelete -> False, 
          GridBoxItemSize -> {
           "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}, 
          BaselinePosition -> {1, 1}], True -> GridBox[{{
            PaneBox[
             ButtonBox[
              DynamicBox[
               FEPrivate`FrontEndResource[
               "FEBitmaps", "SquareMinusIconMedium"]], 
              ButtonFunction :> (Typeset`open$$ = False), Appearance -> None, 
              Evaluator -> Automatic, Method -> "Preemptive"], 
             Alignment -> {Center, Center}, ImageSize -> 
             Dynamic[{
               Automatic, 3.5 CurrentValue["FontCapHeight"]/
                AbsoluteCurrentValue[Magnification]}]], 
            GraphicsBox[
             RasterBox[CompressedData["
1:eJxTTMoPSmVmYGBggWIQ26p8d9wspXP2c4wXbTH/ccX+xSLFx4GrXtmTKr6z
28B155YX9jfcl6+rmfbW/mRE7r/4r+9JNmekiQMASjvN2Q==
              "], {{0, 0}, {
              4, 4}}, {0, 1}], AspectRatio -> 1, Axes -> False, Frame -> 
             False, FrameLabel -> {None, None}, FrameStyle -> Directive[
               Opacity[0.5], 
               Thickness[Tiny], 
               RGBColor[0.368417, 0.506779, 0.709798]], 
             FrameTicks -> {{None, None}, {None, None}}, GridLinesStyle -> 
             Directive[
               GrayLevel[0.5, 0.4]], ImageSize -> 
             Dynamic[{
               Automatic, 3.5 CurrentValue["FontCapHeight"]/
                AbsoluteCurrentValue[Magnification]}], 
             Method -> {
              "AxisPadding" -> Scaled[0.02], "DefaultBoundaryStyle" -> 
               Automatic, 
               "DefaultGraphicsInteraction" -> {
                "Version" -> 1.2, "TrackMousePosition" -> {True, False}, 
                 "Effects" -> {
                  "Highlight" -> {"ratio" -> 2}, 
                   "HighlightPoint" -> {"ratio" -> 2}, 
                   "Droplines" -> {
                    "freeformCursorMode" -> True, 
                    "placement" -> {"x" -> "All", "y" -> "None"}}}}, 
               "DefaultPlotStyle" -> Automatic, "DomainPadding" -> 
               Scaled[0.02], "RangePadding" -> Scaled[0.05]}], 
            GridBox[{{
               RowBox[{
                 TagBox["\"Specified elements: \"", "SummaryItemAnnotation"], 
                 "\[InvisibleSpace]", 
                 TagBox["1", "SummaryItem"]}]}, {
               RowBox[{
                 TagBox["\"Dimensions: \"", "SummaryItemAnnotation"], 
                 "\[InvisibleSpace]", 
                 TagBox[
                  RowBox[{"{", 
                    RowBox[{"4", ",", "4"}], "}"}], "SummaryItem"]}]}, {
               RowBox[{
                 TagBox["\"Default: \"", "SummaryItemAnnotation"], 
                 "\[InvisibleSpace]", 
                 TagBox["0", "SummaryItem"]}]}, {
               RowBox[{
                 TagBox["\"Density: \"", "SummaryItemAnnotation"], 
                 "\[InvisibleSpace]", 
                 TagBox["0.0625`", "SummaryItem"]}]}, {
               RowBox[{
                 TagBox["\"Elements:\"", "SummaryItemAnnotation"], 
                 "\[InvisibleSpace]", 
                 TagBox["\"\"", "SummaryItem"]}]}, {
               TagBox[
                TagBox[
                 GridBox[{{
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{"4", ",", "4"}], "}"}], "\[Rule]", 
                    StyleBox[
                    PaneBox[
                    "1", ContentPadding -> False, FrameMargins -> 0, 
                    StripOnInput -> True, BaselinePosition -> Baseline, 
                    ImageSize -> {{1, 300}, Automatic}], LineBreakWithin -> 
                    False]}]}}, GridBoxAlignment -> {"Columns" -> {{Left}}}, 
                  DefaultBaseStyle -> "Column", 
                  GridBoxItemSize -> {
                   "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}], 
                 "Column"], "SummaryItem"]}}, 
             GridBoxAlignment -> {
              "Columns" -> {{Left}}, "Rows" -> {{Automatic}}}, AutoDelete -> 
             False, GridBoxItemSize -> {
              "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}, 
             GridBoxSpacings -> {"Columns" -> {{2}}, "Rows" -> {{Automatic}}},
              BaseStyle -> {
              ShowStringCharacters -> False, NumberMarks -> False, 
               PrintPrecision -> 3, ShowSyntaxStyles -> False}]}}, 
          GridBoxAlignment -> {"Rows" -> {{Top}}}, AutoDelete -> False, 
          GridBoxItemSize -> {
           "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}, 
          BaselinePosition -> {1, 1}]}, 
       Dynamic[Typeset`open$$], ImageSize -> Automatic]},
     "SummaryPanel"],
    DynamicModuleValues:>{}], "]"}],
  SparseArray[Automatic, {4, 4}, 0, {1, {{0, 0, 0, 0, 1}, {{4}}}, {1}}],
  Editable->False,
  SelectWithContents->True,
  Selectable->False]], "Output",
 CellChangeTimes->{3.7956742725423098`*^9, 3.795674327937162*^9, 
  3.79567576239289*^9},
 CellLabel->"Out[95]=",ExpressionUUID->"9fe4160f-6017-40b9-98d2-42051f6b061d"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{
   TagBox["SparseArray",
    "SummaryHead"], "[", 
   DynamicModuleBox[{Typeset`open$$ = True, Typeset`embedState$$ = "Ready"}, 
    TemplateBox[{PaneSelectorBox[{False -> GridBox[{{
            PaneBox[
             ButtonBox[
              DynamicBox[
               FEPrivate`FrontEndResource[
               "FEBitmaps", "SquarePlusIconMedium"]], 
              ButtonFunction :> (Typeset`open$$ = True), Appearance -> None, 
              Evaluator -> Automatic, Method -> "Preemptive"], 
             Alignment -> {Center, Center}, ImageSize -> 
             Dynamic[{
               Automatic, 3.5 CurrentValue["FontCapHeight"]/
                AbsoluteCurrentValue[Magnification]}]], 
            GraphicsBox[
             RasterBox[CompressedData["
1:eJztziEKAlEARdEPrsMwrkAwCJafxKzJNIJgFKPFHdgNYpoiGExTBldgMRns
lkEQk2ASEWx2MZzw4HLSS4aT3qgSQqh+9u7WdJcua4e4amR583GMZZacu5tL
5JxzzjnnnHPOOeecc84555xzzjnnnHPOOeecc84555xzzjnnnHPOf+nFvN4u
8jKeOuvtbHGN+/74Objf/u4n55xzzjnnnHPOv/0Fdh+mvg==
              "], {{0, 0}, {
              29, 29}}, {0, 1}], AspectRatio -> 1, Axes -> False, Frame -> 
             False, FrameLabel -> {None, None}, FrameStyle -> Directive[
               Opacity[0.5], 
               Thickness[Tiny], 
               RGBColor[0.368417, 0.506779, 0.709798]], 
             FrameTicks -> {{None, None}, {None, None}}, GridLinesStyle -> 
             Directive[
               GrayLevel[0.5, 0.4]], ImageSize -> 
             Dynamic[{
               Automatic, 3.5 CurrentValue["FontCapHeight"]/
                AbsoluteCurrentValue[Magnification]}], 
             Method -> {
              "AxisPadding" -> Scaled[0.02], "DefaultBoundaryStyle" -> 
               Automatic, 
               "DefaultGraphicsInteraction" -> {
                "Version" -> 1.2, "TrackMousePosition" -> {True, False}, 
                 "Effects" -> {
                  "Highlight" -> {"ratio" -> 2}, 
                   "HighlightPoint" -> {"ratio" -> 2}, 
                   "Droplines" -> {
                    "freeformCursorMode" -> True, 
                    "placement" -> {"x" -> "All", "y" -> "None"}}}}, 
               "DefaultPlotStyle" -> Automatic, "DomainPadding" -> 
               Scaled[0.02], "RangePadding" -> Scaled[0.05]}], 
            GridBox[{{
               RowBox[{
                 TagBox["\"Specified elements: \"", "SummaryItemAnnotation"], 
                 "\[InvisibleSpace]", 
                 TagBox["1", "SummaryItem"]}]}, {
               RowBox[{
                 TagBox["\"Dimensions: \"", "SummaryItemAnnotation"], 
                 "\[InvisibleSpace]", 
                 TagBox[
                  RowBox[{"{", 
                    RowBox[{"256", ",", "256"}], "}"}], "SummaryItem"]}]}}, 
             GridBoxAlignment -> {
              "Columns" -> {{Left}}, "Rows" -> {{Automatic}}}, AutoDelete -> 
             False, GridBoxItemSize -> {
              "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}, 
             GridBoxSpacings -> {"Columns" -> {{2}}, "Rows" -> {{Automatic}}},
              BaseStyle -> {
              ShowStringCharacters -> False, NumberMarks -> False, 
               PrintPrecision -> 3, ShowSyntaxStyles -> False}]}}, 
          GridBoxAlignment -> {"Rows" -> {{Top}}}, AutoDelete -> False, 
          GridBoxItemSize -> {
           "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}, 
          BaselinePosition -> {1, 1}], True -> GridBox[{{
            PaneBox[
             ButtonBox[
              DynamicBox[
               FEPrivate`FrontEndResource[
               "FEBitmaps", "SquareMinusIconMedium"]], 
              ButtonFunction :> (Typeset`open$$ = False), Appearance -> None, 
              Evaluator -> Automatic, Method -> "Preemptive"], 
             Alignment -> {Center, Center}, ImageSize -> 
             Dynamic[{
               Automatic, 3.5 CurrentValue["FontCapHeight"]/
                AbsoluteCurrentValue[Magnification]}]], 
            GraphicsBox[
             RasterBox[CompressedData["
1:eJztziEKAlEARdEPrsMwrkAwCJafxKzJNIJgFKPFHdgNYpoiGExTBldgMRns
lkEQk2ASEWx2MZzw4HLSS4aT3qgSQqh+9u7WdJcua4e4amR583GMZZacu5tL
5JxzzjnnnHPOOeecc84555xzzjnnnHPOOeecc84555xzzjnnnHPOf+nFvN4u
8jKeOuvtbHGN+/74Objf/u4n55xzzjnnnHPOv/0Fdh+mvg==
              "], {{0, 0}, {
              29, 29}}, {0, 1}], AspectRatio -> 1, Axes -> False, Frame -> 
             False, FrameLabel -> {None, None}, FrameStyle -> Directive[
               Opacity[0.5], 
               Thickness[Tiny], 
               RGBColor[0.368417, 0.506779, 0.709798]], 
             FrameTicks -> {{None, None}, {None, None}}, GridLinesStyle -> 
             Directive[
               GrayLevel[0.5, 0.4]], ImageSize -> 
             Dynamic[{
               Automatic, 3.5 CurrentValue["FontCapHeight"]/
                AbsoluteCurrentValue[Magnification]}], 
             Method -> {
              "AxisPadding" -> Scaled[0.02], "DefaultBoundaryStyle" -> 
               Automatic, 
               "DefaultGraphicsInteraction" -> {
                "Version" -> 1.2, "TrackMousePosition" -> {True, False}, 
                 "Effects" -> {
                  "Highlight" -> {"ratio" -> 2}, 
                   "HighlightPoint" -> {"ratio" -> 2}, 
                   "Droplines" -> {
                    "freeformCursorMode" -> True, 
                    "placement" -> {"x" -> "All", "y" -> "None"}}}}, 
               "DefaultPlotStyle" -> Automatic, "DomainPadding" -> 
               Scaled[0.02], "RangePadding" -> Scaled[0.05]}], 
            GridBox[{{
               RowBox[{
                 TagBox["\"Specified elements: \"", "SummaryItemAnnotation"], 
                 "\[InvisibleSpace]", 
                 TagBox["1", "SummaryItem"]}]}, {
               RowBox[{
                 TagBox["\"Dimensions: \"", "SummaryItemAnnotation"], 
                 "\[InvisibleSpace]", 
                 TagBox[
                  RowBox[{"{", 
                    RowBox[{"256", ",", "256"}], "}"}], "SummaryItem"]}]}, {
               RowBox[{
                 TagBox["\"Default: \"", "SummaryItemAnnotation"], 
                 "\[InvisibleSpace]", 
                 TagBox["0", "SummaryItem"]}]}, {
               RowBox[{
                 TagBox["\"Density: \"", "SummaryItemAnnotation"], 
                 "\[InvisibleSpace]", 
                 TagBox["0.0000152587890625`", "SummaryItem"]}]}, {
               RowBox[{
                 TagBox["\"Elements:\"", "SummaryItemAnnotation"], 
                 "\[InvisibleSpace]", 
                 TagBox["\"\"", "SummaryItem"]}]}, {
               TagBox[
                TagBox[
                 GridBox[{{
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{"49", ",", "49"}], "}"}], "\[Rule]", 
                    StyleBox[
                    PaneBox[
                    "1", ContentPadding -> False, FrameMargins -> 0, 
                    StripOnInput -> True, BaselinePosition -> Baseline, 
                    ImageSize -> {{1, 300}, Automatic}], LineBreakWithin -> 
                    False]}]}}, GridBoxAlignment -> {"Columns" -> {{Left}}}, 
                  DefaultBaseStyle -> "Column", 
                  GridBoxItemSize -> {
                   "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}], 
                 "Column"], "SummaryItem"]}}, 
             GridBoxAlignment -> {
              "Columns" -> {{Left}}, "Rows" -> {{Automatic}}}, AutoDelete -> 
             False, GridBoxItemSize -> {
              "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}, 
             GridBoxSpacings -> {"Columns" -> {{2}}, "Rows" -> {{Automatic}}},
              BaseStyle -> {
              ShowStringCharacters -> False, NumberMarks -> False, 
               PrintPrecision -> 3, ShowSyntaxStyles -> False}]}}, 
          GridBoxAlignment -> {"Rows" -> {{Top}}}, AutoDelete -> False, 
          GridBoxItemSize -> {
           "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}, 
          BaselinePosition -> {1, 1}]}, 
       Dynamic[Typeset`open$$], ImageSize -> Automatic]},
     "SummaryPanel"],
    DynamicModuleValues:>{}], "]"}],
  SparseArray[
  Automatic, {256, 256}, 0, {
   1, {{0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
     0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
     0, 0, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 
     1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 
     1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 
     1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 
     1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 
     1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 
     1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 
     1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 
     1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1}, {{49}}}, {1}}],
  Editable->False,
  SelectWithContents->True,
  Selectable->False]], "Output",
 CellChangeTimes->{3.7956742725423098`*^9, 3.795674327937162*^9, 
  3.7956757624064302`*^9},
 CellLabel->"Out[96]=",ExpressionUUID->"3e44b1e8-a9c5-4cc0-9f2d-301d16d19d66"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{"rhoclone", "=", 
  RowBox[{"Dot", "[", 
   RowBox[{
    RowBox[{"U", "[", "16", "]"}], ",", "rhoinit", ",", 
    RowBox[{"ConjugateTranspose", "[", 
     RowBox[{"U", "[", "16", "]"}], "]"}]}], "]"}]}], "\[IndentingNewLine]", 
 RowBox[{"rhocross", "=", 
  RowBox[{"Dot", "[", 
   RowBox[{
    RowBox[{"KroneckerProduct", "[", 
     RowBox[{
      RowBox[{"IdentityMatrix", "[", "16", "]"}], ",", 
      RowBox[{"Swap", "[", 
       RowBox[{"2", ",", "4", ",", "4"}], "]"}]}], "]"}], ",", "rhoclone", 
    ",", 
    RowBox[{"KroneckerProduct", "[", 
     RowBox[{
      RowBox[{"IdentityMatrix", "[", "16", "]"}], ",", 
      RowBox[{"Swap", "[", 
       RowBox[{"2", ",", "4", ",", "4"}], "]"}]}], "]"}]}], "]"}]}]}], "Input",\

 CellChangeTimes->{{3.795675000524259*^9, 3.795675089970778*^9}, {
  3.7956757039255667`*^9, 3.795675706195471*^9}, {3.795675738408288*^9, 
  3.7956757432717857`*^9}},
 CellLabel->"In[97]:=",ExpressionUUID->"da1540e9-e2e7-4bdf-ac31-57008a35ad78"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{
   TagBox["SparseArray",
    "SummaryHead"], "[", 
   DynamicModuleBox[{Typeset`open$$ = True, Typeset`embedState$$ = "Ready"}, 
    TemplateBox[{PaneSelectorBox[{False -> GridBox[{{
            PaneBox[
             ButtonBox[
              DynamicBox[
               FEPrivate`FrontEndResource[
               "FEBitmaps", "SquarePlusIconMedium"]], 
              ButtonFunction :> (Typeset`open$$ = True), Appearance -> None, 
              Evaluator -> Automatic, Method -> "Preemptive"], 
             Alignment -> {Center, Center}, ImageSize -> 
             Dynamic[{
               Automatic, 3.5 CurrentValue["FontCapHeight"]/
                AbsoluteCurrentValue[Magnification]}]], 
            GraphicsBox[
             RasterBox[CompressedData["
1:eJztziEKAlEARdEPrsMwrkAwCJafxKzJNIJgFKPFHdgNYpoiGExTBldgMRns
lkEQk2ASEWx2MZzw4HLSS4aT3qgSQqh+9u7WdJcua4e4amR583GMZZacu5tL
5JxzzjnnnHPOOeecc84555xzzjnnnHPOOeecc84555xzzjnnnHPOf+nFvN4u
8jKeOuvtbHGN+/74Objf/u4n55xzzjnnnHPOv/0Fdh+mvg==
              "], {{0, 0}, {
              29, 29}}, {0, 1}], AspectRatio -> 1, Axes -> False, Frame -> 
             False, FrameLabel -> {None, None}, FrameStyle -> Directive[
               Opacity[0.5], 
               Thickness[Tiny], 
               RGBColor[0.368417, 0.506779, 0.709798]], 
             FrameTicks -> {{None, None}, {None, None}}, GridLinesStyle -> 
             Directive[
               GrayLevel[0.5, 0.4]], ImageSize -> 
             Dynamic[{
               Automatic, 3.5 CurrentValue["FontCapHeight"]/
                AbsoluteCurrentValue[Magnification]}], 
             Method -> {
              "AxisPadding" -> Scaled[0.02], "DefaultBoundaryStyle" -> 
               Automatic, 
               "DefaultGraphicsInteraction" -> {
                "Version" -> 1.2, "TrackMousePosition" -> {True, False}, 
                 "Effects" -> {
                  "Highlight" -> {"ratio" -> 2}, 
                   "HighlightPoint" -> {"ratio" -> 2}, 
                   "Droplines" -> {
                    "freeformCursorMode" -> True, 
                    "placement" -> {"x" -> "All", "y" -> "None"}}}}, 
               "DefaultPlotStyle" -> Automatic, "DomainPadding" -> 
               Scaled[0.02], "RangePadding" -> Scaled[0.05]}], 
            GridBox[{{
               RowBox[{
                 TagBox["\"Specified elements: \"", "SummaryItemAnnotation"], 
                 "\[InvisibleSpace]", 
                 TagBox["1", "SummaryItem"]}]}, {
               RowBox[{
                 TagBox["\"Dimensions: \"", "SummaryItemAnnotation"], 
                 "\[InvisibleSpace]", 
                 TagBox[
                  RowBox[{"{", 
                    RowBox[{"256", ",", "256"}], "}"}], "SummaryItem"]}]}}, 
             GridBoxAlignment -> {
              "Columns" -> {{Left}}, "Rows" -> {{Automatic}}}, AutoDelete -> 
             False, GridBoxItemSize -> {
              "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}, 
             GridBoxSpacings -> {"Columns" -> {{2}}, "Rows" -> {{Automatic}}},
              BaseStyle -> {
              ShowStringCharacters -> False, NumberMarks -> False, 
               PrintPrecision -> 3, ShowSyntaxStyles -> False}]}}, 
          GridBoxAlignment -> {"Rows" -> {{Top}}}, AutoDelete -> False, 
          GridBoxItemSize -> {
           "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}, 
          BaselinePosition -> {1, 1}], True -> GridBox[{{
            PaneBox[
             ButtonBox[
              DynamicBox[
               FEPrivate`FrontEndResource[
               "FEBitmaps", "SquareMinusIconMedium"]], 
              ButtonFunction :> (Typeset`open$$ = False), Appearance -> None, 
              Evaluator -> Automatic, Method -> "Preemptive"], 
             Alignment -> {Center, Center}, ImageSize -> 
             Dynamic[{
               Automatic, 3.5 CurrentValue["FontCapHeight"]/
                AbsoluteCurrentValue[Magnification]}]], 
            GraphicsBox[
             RasterBox[CompressedData["
1:eJztziEKAlEARdEPrsMwrkAwCJafxKzJNIJgFKPFHdgNYpoiGExTBldgMRns
lkEQk2ASEWx2MZzw4HLSS4aT3qgSQqh+9u7WdJcua4e4amR583GMZZacu5tL
5JxzzjnnnHPOOeecc84555xzzjnnnHPOOeecc84555xzzjnnnHPOf+nFvN4u
8jKeOuvtbHGN+/74Objf/u4n55xzzjnnnHPOv/0Fdh+mvg==
              "], {{0, 0}, {
              29, 29}}, {0, 1}], AspectRatio -> 1, Axes -> False, Frame -> 
             False, FrameLabel -> {None, None}, FrameStyle -> Directive[
               Opacity[0.5], 
               Thickness[Tiny], 
               RGBColor[0.368417, 0.506779, 0.709798]], 
             FrameTicks -> {{None, None}, {None, None}}, GridLinesStyle -> 
             Directive[
               GrayLevel[0.5, 0.4]], ImageSize -> 
             Dynamic[{
               Automatic, 3.5 CurrentValue["FontCapHeight"]/
                AbsoluteCurrentValue[Magnification]}], 
             Method -> {
              "AxisPadding" -> Scaled[0.02], "DefaultBoundaryStyle" -> 
               Automatic, 
               "DefaultGraphicsInteraction" -> {
                "Version" -> 1.2, "TrackMousePosition" -> {True, False}, 
                 "Effects" -> {
                  "Highlight" -> {"ratio" -> 2}, 
                   "HighlightPoint" -> {"ratio" -> 2}, 
                   "Droplines" -> {
                    "freeformCursorMode" -> True, 
                    "placement" -> {"x" -> "All", "y" -> "None"}}}}, 
               "DefaultPlotStyle" -> Automatic, "DomainPadding" -> 
               Scaled[0.02], "RangePadding" -> Scaled[0.05]}], 
            GridBox[{{
               RowBox[{
                 TagBox["\"Specified elements: \"", "SummaryItemAnnotation"], 
                 "\[InvisibleSpace]", 
                 TagBox["1", "SummaryItem"]}]}, {
               RowBox[{
                 TagBox["\"Dimensions: \"", "SummaryItemAnnotation"], 
                 "\[InvisibleSpace]", 
                 TagBox[
                  RowBox[{"{", 
                    RowBox[{"256", ",", "256"}], "}"}], "SummaryItem"]}]}, {
               RowBox[{
                 TagBox["\"Default: \"", "SummaryItemAnnotation"], 
                 "\[InvisibleSpace]", 
                 TagBox["0", "SummaryItem"]}]}, {
               RowBox[{
                 TagBox["\"Density: \"", "SummaryItemAnnotation"], 
                 "\[InvisibleSpace]", 
                 TagBox["0.0000152587890625`", "SummaryItem"]}]}, {
               RowBox[{
                 TagBox["\"Elements:\"", "SummaryItemAnnotation"], 
                 "\[InvisibleSpace]", 
                 TagBox["\"\"", "SummaryItem"]}]}, {
               TagBox[
                TagBox[
                 GridBox[{{
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{"52", ",", "52"}], "}"}], "\[Rule]", 
                    StyleBox[
                    PaneBox[
                    "1", ContentPadding -> False, FrameMargins -> 0, 
                    StripOnInput -> True, BaselinePosition -> Baseline, 
                    ImageSize -> {{1, 300}, Automatic}], LineBreakWithin -> 
                    False]}]}}, GridBoxAlignment -> {"Columns" -> {{Left}}}, 
                  DefaultBaseStyle -> "Column", 
                  GridBoxItemSize -> {
                   "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}], 
                 "Column"], "SummaryItem"]}}, 
             GridBoxAlignment -> {
              "Columns" -> {{Left}}, "Rows" -> {{Automatic}}}, AutoDelete -> 
             False, GridBoxItemSize -> {
              "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}, 
             GridBoxSpacings -> {"Columns" -> {{2}}, "Rows" -> {{Automatic}}},
              BaseStyle -> {
              ShowStringCharacters -> False, NumberMarks -> False, 
               PrintPrecision -> 3, ShowSyntaxStyles -> False}]}}, 
          GridBoxAlignment -> {"Rows" -> {{Top}}}, AutoDelete -> False, 
          GridBoxItemSize -> {
           "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}, 
          BaselinePosition -> {1, 1}]}, 
       Dynamic[Typeset`open$$], ImageSize -> Automatic]},
     "SummaryPanel"],
    DynamicModuleValues:>{}], "]"}],
  SparseArray[
  Automatic, {256, 256}, 0, {
   1, {{0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
     0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
     0, 0, 0, 0, 0, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 
     1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 
     1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 
     1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 
     1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 
     1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 
     1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 
     1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 
     1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1}, {{52}}}, {1}}],
  Editable->False,
  SelectWithContents->True,
  Selectable->False]], "Output",
 CellChangeTimes->{{3.7956750254892197`*^9, 3.795675053687828*^9}, 
   3.795675091002489*^9, {3.795675744820407*^9, 3.795675764497519*^9}},
 CellLabel->"Out[97]=",ExpressionUUID->"570f7188-83e1-4788-ac78-cac1743c5b04"]
}, Open  ]],

Cell[BoxData[
 InterpretationBox[
  RowBox[{
   TagBox["SparseArray",
    "SummaryHead"], "[", 
   DynamicModuleBox[{Typeset`open$$ = True, Typeset`embedState$$ = "Ready"}, 
    TemplateBox[{PaneSelectorBox[{False -> GridBox[{{
            PaneBox[
             ButtonBox[
              DynamicBox[
               FEPrivate`FrontEndResource[
               "FEBitmaps", "SquarePlusIconMedium"]], 
              ButtonFunction :> (Typeset`open$$ = True), Appearance -> None, 
              Evaluator -> Automatic, Method -> "Preemptive"], 
             Alignment -> {Center, Center}, ImageSize -> 
             Dynamic[{
               Automatic, 3.5 CurrentValue["FontCapHeight"]/
                AbsoluteCurrentValue[Magnification]}]], 
            GraphicsBox[
             RasterBox[CompressedData["
1:eJztziEKAlEARdEPrsMwrkAwCJafxKzJNIJgFKPFHdgNYpoiGExTBldgMRns
lkEQk2ASEVyEygkPLie9ZDjpjSohhOpn725Nd+mydoirRpY3H8dYZsm5u7lE
zjnnnHPOOeecc84555xzzjnnnHPOOeecc84555xzzjnnnHPO+f95Ma+3i7yM
p856O1tc474/fg7ut6/7yTnnnHPOOeecc85/y18U+6a+
              "], {{0, 0}, {29, 
              29}}, {0, 1}], AspectRatio -> 1, Axes -> False, Frame -> False, 
             FrameLabel -> {None, None}, FrameStyle -> Directive[
               Opacity[0.5], 
               Thickness[Tiny], 
               RGBColor[0.368417, 0.506779, 0.709798]], 
             FrameTicks -> {{None, None}, {None, None}}, GridLinesStyle -> 
             Directive[
               GrayLevel[0.5, 0.4]], ImageSize -> 
             Dynamic[{
               Automatic, 3.5 CurrentValue["FontCapHeight"]/
                AbsoluteCurrentValue[Magnification]}], 
             Method -> {
              "AxisPadding" -> Scaled[0.02], "DefaultBoundaryStyle" -> 
               Automatic, 
               "DefaultGraphicsInteraction" -> {
                "Version" -> 1.2, "TrackMousePosition" -> {True, False}, 
                 "Effects" -> {
                  "Highlight" -> {"ratio" -> 2}, 
                   "HighlightPoint" -> {"ratio" -> 2}, 
                   "Droplines" -> {
                    "freeformCursorMode" -> True, 
                    "placement" -> {"x" -> "All", "y" -> "None"}}}}, 
               "DefaultPlotStyle" -> Automatic, "DomainPadding" -> 
               Scaled[0.02], "RangePadding" -> Scaled[0.05]}], 
            GridBox[{{
               RowBox[{
                 TagBox["\"Specified elements: \"", "SummaryItemAnnotation"], 
                 "\[InvisibleSpace]", 
                 TagBox["1", "SummaryItem"]}]}, {
               RowBox[{
                 TagBox["\"Dimensions: \"", "SummaryItemAnnotation"], 
                 "\[InvisibleSpace]", 
                 TagBox[
                  RowBox[{"{", 
                    RowBox[{"256", ",", "256"}], "}"}], "SummaryItem"]}]}}, 
             GridBoxAlignment -> {
              "Columns" -> {{Left}}, "Rows" -> {{Automatic}}}, AutoDelete -> 
             False, GridBoxItemSize -> {
              "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}, 
             GridBoxSpacings -> {"Columns" -> {{2}}, "Rows" -> {{Automatic}}},
              BaseStyle -> {
              ShowStringCharacters -> False, NumberMarks -> False, 
               PrintPrecision -> 3, ShowSyntaxStyles -> False}]}}, 
          GridBoxAlignment -> {"Rows" -> {{Top}}}, AutoDelete -> False, 
          GridBoxItemSize -> {
           "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}, 
          BaselinePosition -> {1, 1}], True -> GridBox[{{
            PaneBox[
             ButtonBox[
              DynamicBox[
               FEPrivate`FrontEndResource[
               "FEBitmaps", "SquareMinusIconMedium"]], 
              ButtonFunction :> (Typeset`open$$ = False), Appearance -> None, 
              Evaluator -> Automatic, Method -> "Preemptive"], 
             Alignment -> {Center, Center}, ImageSize -> 
             Dynamic[{
               Automatic, 3.5 CurrentValue["FontCapHeight"]/
                AbsoluteCurrentValue[Magnification]}]], 
            GraphicsBox[
             RasterBox[CompressedData["
1:eJztziEKAlEARdEPrsMwrkAwCJafxKzJNIJgFKPFHdgNYpoiGExTBldgMRns
lkEQk2ASEVyEygkPLie9ZDjpjSohhOpn725Nd+mydoirRpY3H8dYZsm5u7lE
zjnnnHPOOeecc84555xzzjnnnHPOOeecc84555xzzjnnnHPO+f95Ma+3i7yM
p856O1tc474/fg7ut6/7yTnnnHPOOeecc85/y18U+6a+
              "], {{0, 0}, {29, 
              29}}, {0, 1}], AspectRatio -> 1, Axes -> False, Frame -> False, 
             FrameLabel -> {None, None}, FrameStyle -> Directive[
               Opacity[0.5], 
               Thickness[Tiny], 
               RGBColor[0.368417, 0.506779, 0.709798]], 
             FrameTicks -> {{None, None}, {None, None}}, GridLinesStyle -> 
             Directive[
               GrayLevel[0.5, 0.4]], ImageSize -> 
             Dynamic[{
               Automatic, 3.5 CurrentValue["FontCapHeight"]/
                AbsoluteCurrentValue[Magnification]}], 
             Method -> {
              "AxisPadding" -> Scaled[0.02], "DefaultBoundaryStyle" -> 
               Automatic, 
               "DefaultGraphicsInteraction" -> {
                "Version" -> 1.2, "TrackMousePosition" -> {True, False}, 
                 "Effects" -> {
                  "Highlight" -> {"ratio" -> 2}, 
                   "HighlightPoint" -> {"ratio" -> 2}, 
                   "Droplines" -> {
                    "freeformCursorMode" -> True, 
                    "placement" -> {"x" -> "All", "y" -> "None"}}}}, 
               "DefaultPlotStyle" -> Automatic, "DomainPadding" -> 
               Scaled[0.02], "RangePadding" -> Scaled[0.05]}], 
            GridBox[{{
               RowBox[{
                 TagBox["\"Specified elements: \"", "SummaryItemAnnotation"], 
                 "\[InvisibleSpace]", 
                 TagBox["1", "SummaryItem"]}]}, {
               RowBox[{
                 TagBox["\"Dimensions: \"", "SummaryItemAnnotation"], 
                 "\[InvisibleSpace]", 
                 TagBox[
                  RowBox[{"{", 
                    RowBox[{"256", ",", "256"}], "}"}], "SummaryItem"]}]}, {
               RowBox[{
                 TagBox["\"Default: \"", "SummaryItemAnnotation"], 
                 "\[InvisibleSpace]", 
                 TagBox["0", "SummaryItem"]}]}, {
               RowBox[{
                 TagBox["\"Density: \"", "SummaryItemAnnotation"], 
                 "\[InvisibleSpace]", 
                 TagBox["0.0000152587890625`", "SummaryItem"]}]}, {
               RowBox[{
                 TagBox["\"Elements:\"", "SummaryItemAnnotation"], 
                 "\[InvisibleSpace]", 
                 TagBox["\"\"", "SummaryItem"]}]}, {
               TagBox[
                TagBox[
                 GridBox[{{
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{"55", ",", "55"}], "}"}], "\[Rule]", 
                    StyleBox[
                    PaneBox[
                    "1", ContentPadding -> False, FrameMargins -> 0, 
                    StripOnInput -> True, BaselinePosition -> Baseline, 
                    ImageSize -> {{1, 300}, Automatic}], LineBreakWithin -> 
                    False]}]}}, GridBoxAlignment -> {"Columns" -> {{Left}}}, 
                  DefaultBaseStyle -> "Column", 
                  GridBoxItemSize -> {
                   "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}], 
                 "Column"], "SummaryItem"]}}, 
             GridBoxAlignment -> {
              "Columns" -> {{Left}}, "Rows" -> {{Automatic}}}, AutoDelete -> 
             False, GridBoxItemSize -> {
              "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}, 
             GridBoxSpacings -> {"Columns" -> {{2}}, "Rows" -> {{Automatic}}},
              BaseStyle -> {
              ShowStringCharacters -> False, NumberMarks -> False, 
               PrintPrecision -> 3, ShowSyntaxStyles -> False}]}}, 
          GridBoxAlignment -> {"Rows" -> {{Top}}}, AutoDelete -> False, 
          GridBoxItemSize -> {
           "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}, 
          BaselinePosition -> {1, 1}]}, 
       Dynamic[Typeset`open$$], ImageSize -> Automatic]},
     "SummaryPanel"],
    DynamicModuleValues:>{}], "]"}],
  SparseArray[
  Automatic, {256, 256}, 0, {
   1, {{0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
     0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 
     0, 0, 0, 0, 0, 0, 0, 0, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 
     1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 
     1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 
     1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 
     1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 
     1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 
     1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 
     1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 
     1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1}, {{55}}}, {1}}],
  Editable->False,
  SelectWithContents->True,
  Selectable->False]], "Input",
 CellChangeTimes->{3.795675817083041*^9},
 CellLabel->"In[99]:=",ExpressionUUID->"23fb08fc-f5e4-4a56-bb9e-662deab7c787"],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{"BaseForm", "[", 
  RowBox[{
   RowBox[{"49", "-", "1"}], ",", "2"}], "]"}], "\[IndentingNewLine]", 
 RowBox[{"BaseForm", "[", 
  RowBox[{
   RowBox[{"52", "-", "1"}], ",", "2"}], "]"}], "\[IndentingNewLine]", 
 RowBox[{"BaseForm", "[", 
  RowBox[{
   RowBox[{"55", "-", "1"}], ",", "2"}], "]"}]}], "Input",
 CellChangeTimes->{{3.795675820066896*^9, 3.795675881195312*^9}},
 CellLabel->
  "In[105]:=",ExpressionUUID->"ab83394c-0f9d-42d9-9360-0783fb1d9a04"],

Cell[BoxData[
 TagBox[
  InterpretationBox[
   SubscriptBox["\<\"110000\"\>", "\<\"2\"\>"],
   48,
   Editable->False],
  BaseForm[#, 2]& ]], "Output",
 CellChangeTimes->{{3.795675835659267*^9, 3.7956758822481947`*^9}},
 CellLabel->
  "Out[105]//BaseForm=",ExpressionUUID->"1b7dcb79-4110-4c0e-a97a-\
67f8e38a773e"],

Cell[BoxData[
 TagBox[
  InterpretationBox[
   SubscriptBox["\<\"110011\"\>", "\<\"2\"\>"],
   51,
   Editable->False],
  BaseForm[#, 2]& ]], "Output",
 CellChangeTimes->{{3.795675835659267*^9, 3.795675882253809*^9}},
 CellLabel->
  "Out[106]//BaseForm=",ExpressionUUID->"50d90a6b-e270-4956-99ff-\
4691801a6e2f"],

Cell[BoxData[
 TagBox[
  InterpretationBox[
   SubscriptBox["\<\"110110\"\>", "\<\"2\"\>"],
   54,
   Editable->False],
  BaseForm[#, 2]& ]], "Output",
 CellChangeTimes->{{3.795675835659267*^9, 3.795675882257079*^9}},
 CellLabel->
  "Out[107]//BaseForm=",ExpressionUUID->"12b34da1-5132-41a2-9857-\
b84c3c6f6243"]
}, Open  ]],

Cell["\<\
rhoinit has     (49,49) -> 1, that is |00>|11>|00>|00>
rhoclone has (52,52) -> 1, that is |00>|11>|00>|11>
rhocross has (55,55) -> 1, that is |00>|11>|01>|10>\
\>", "Text",
 CellChangeTimes->{{3.795675789493223*^9, 3.795675809123083*^9}, {
  3.795675885859157*^9, 
  3.7956760156171837`*^9}},ExpressionUUID->"eaef8b1f-bf69-4697-bd13-\
6e471e37247c"]
}, Open  ]]
},
WindowSize->{1440, 790},
WindowMargins->{{0, Automatic}, {Automatic, 0}},
FrontEndVersion->"12.0 for Mac OS X x86 (64-bit) (April 8, 2019)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[CellGroupData[{
Cell[580, 22, 172, 3, 67, "Section",ExpressionUUID->"16ea25b8-51a9-46a6-bbbf-ec796ad86a53"],
Cell[755, 27, 216, 5, 35, "Text",ExpressionUUID->"ec04c82e-43e0-4699-b67d-0a2c7363c2b7"],
Cell[974, 34, 680, 19, 73, "Input",ExpressionUUID->"a0496cf2-138d-4373-9227-31b6ce2b8828"],
Cell[CellGroupData[{
Cell[1679, 57, 214, 3, 30, "Input",ExpressionUUID->"e581aed3-533e-4c5d-9dbb-5110559e72a5"],
Cell[1896, 62, 826, 25, 96, "Output",ExpressionUUID->"e68cf3de-b82f-4388-acd3-23d12af7f339"]
}, Open  ]],
Cell[2737, 90, 238, 4, 30, "Input",ExpressionUUID->"2f27cee4-d648-4f9f-8b60-6f42c3d936bb"],
Cell[CellGroupData[{
Cell[3000, 98, 211, 3, 30, "Input",ExpressionUUID->"f4adad45-8c48-4b11-9a04-f77d8613d89d"],
Cell[3214, 103, 619, 19, 60, "Output",ExpressionUUID->"51fb031a-caac-408d-a1dd-da902bfca4c7"]
}, Open  ]],
Cell[3848, 125, 548, 13, 30, "Input",ExpressionUUID->"cd71e7ca-a419-4341-808a-3292516c4e85"],
Cell[CellGroupData[{
Cell[4421, 142, 210, 3, 30, "Input",ExpressionUUID->"a7e17227-bdd1-495f-a737-16c01734f3dc"],
Cell[4634, 147, 694, 21, 94, "Output",ExpressionUUID->"0cc6bc49-7b2d-49f3-83af-a227f82494ff"]
}, Open  ]],
Cell[CellGroupData[{
Cell[5365, 173, 292, 6, 30, "Input",ExpressionUUID->"436f5e20-03d4-4066-8bc7-1deb6c2fcd7a"],
Cell[5660, 181, 2183, 51, 300, "Output",ExpressionUUID->"ee89188b-4ec8-4797-b17c-5960d33a019c"]
}, Open  ]],
Cell[CellGroupData[{
Cell[7880, 237, 2158, 58, 157, "Input",ExpressionUUID->"fc25fa99-2dca-466a-8839-041b65fba624"],
Cell[10041, 297, 2113, 49, 298, "Output",ExpressionUUID->"27d5a19c-009b-40ed-8cd1-3375e2d674b1"]
}, Open  ]],
Cell[12169, 349, 1031, 31, 73, "Input",ExpressionUUID->"45ee369f-9177-44df-9359-24dd0fdfa736"],
Cell[CellGroupData[{
Cell[13225, 384, 1503, 44, 175, InheritFromParent,ExpressionUUID->"5004e0d7-39e1-48f4-885c-6d072598e7b8"],
Cell[14731, 430, 699, 22, 54, "Output",ExpressionUUID->"8b8801cd-87d7-4c0d-8d68-95244e7171fd"],
Cell[15433, 454, 4780, 155, 408, "Output",ExpressionUUID->"230ad6fb-6bb0-42c3-a61f-612994787c5d"]
}, Open  ]],
Cell[CellGroupData[{
Cell[20250, 614, 1290, 34, 73, "Input",ExpressionUUID->"3b73bf3f-776b-4a03-bc99-299fb3160b39"],
Cell[21543, 650, 889, 25, 94, "Output",ExpressionUUID->"9f12bc25-024a-4388-b79c-3a8bcf0922cd"]
}, Open  ]],
Cell[22447, 678, 227, 4, 30, "Input",ExpressionUUID->"3ea15215-195d-4b0a-abcf-62aee409ade3"],
Cell[CellGroupData[{
Cell[22699, 686, 509, 12, 30, "Input",ExpressionUUID->"ecd05f4a-4597-4833-be5b-713813dcb1fe"],
Cell[23211, 700, 581, 17, 51, "Output",ExpressionUUID->"c96c2b24-be3d-48e9-b663-99c40a597e9f"]
}, Open  ]],
Cell[CellGroupData[{
Cell[23829, 722, 810, 18, 73, "Input",ExpressionUUID->"8c231f46-338a-4145-acd0-c28fd6ba6eeb"],
Cell[24642, 742, 2193, 52, 300, "Output",ExpressionUUID->"126a5028-6364-4d7a-a3b8-f94a22ae3498"],
Cell[26838, 796, 443, 11, 34, "Output",ExpressionUUID->"36bc83fd-55e9-401d-965c-c66404257289"]
}, Open  ]],
Cell[CellGroupData[{
Cell[27318, 812, 1698, 44, 136, "Input",ExpressionUUID->"b5847d68-cc89-4aa3-a218-e7c17e83009f"],
Cell[29019, 858, 2592, 64, 334, "Output",ExpressionUUID->"dcab1f89-4171-4627-b645-3f417197123a"],
Cell[31614, 924, 772, 21, 50, "Output",ExpressionUUID->"0f7e3856-ebaa-4735-bbd0-fbfe703e3111"],
Cell[32389, 947, 771, 21, 50, "Output",ExpressionUUID->"42b11113-21b6-4a8f-8ec1-0e58c0ef8088"],
Cell[33163, 970, 498, 13, 34, "Output",ExpressionUUID->"f23a00c3-96df-419d-820e-2294dde1f172"],
Cell[33664, 985, 498, 13, 34, "Output",ExpressionUUID->"19bdf41b-b54c-493a-b842-d5b342de45a4"]
}, Open  ]],
Cell[34177, 1001, 744, 20, 47, InheritFromParent,ExpressionUUID->"62af18f6-99d4-4680-bb25-1c5f022e4d6b"],
Cell[CellGroupData[{
Cell[34946, 1025, 647, 17, 52, "Input",ExpressionUUID->"3416c157-7ad7-44dc-8667-256a341c59f8"],
Cell[35596, 1044, 221, 6, 34, "Output",ExpressionUUID->"6f6985be-6347-4e7a-a13c-f856fdeb0894"],
Cell[35820, 1052, 221, 6, 34, "Output",ExpressionUUID->"afa520cb-8d8d-4f57-bcc4-f3ceeb9c7bc8"]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[36090, 1064, 223, 4, 67, "Section",ExpressionUUID->"76870989-e454-4cfb-bb8f-8b5b5408545f"],
Cell[36316, 1070, 293, 6, 58, "Text",ExpressionUUID->"75352e83-15e3-4fb0-82e6-e862a8fa069e"],
Cell[CellGroupData[{
Cell[36634, 1080, 1835, 47, 115, "Input",ExpressionUUID->"36233951-e459-433b-852d-c99e9e51cd52"],
Cell[38472, 1129, 1999, 60, 106, "Output",ExpressionUUID->"9c617576-8be2-4bb2-9a46-f75292129b62"],
Cell[40474, 1191, 2001, 60, 106, "Output",ExpressionUUID->"7c751a7e-a6fc-43d1-b809-373f6f2c18aa"],
Cell[42478, 1253, 790, 19, 48, "Output",ExpressionUUID->"3d4dd930-84a9-40a0-8561-932d0d09b189"]
}, Open  ]],
Cell[CellGroupData[{
Cell[43305, 1277, 2011, 59, 115, "Input",ExpressionUUID->"f9db6f22-5fa4-4d20-9e1b-f45b02647e41"],
Cell[45319, 1338, 13150, 257, 62, "Output",ExpressionUUID->"6dbc6932-9487-4eca-8755-697d90892193"]
}, Open  ]],
Cell[CellGroupData[{
Cell[58506, 1600, 3504, 92, 178, "Input",ExpressionUUID->"38c1bad2-c28c-420b-b327-93b921d3b64a"],
Cell[62013, 1694, 10157, 212, 62, "Output",ExpressionUUID->"e90cc206-731d-48ac-99cf-38f8f55d64d2"]
}, Open  ]],
Cell[CellGroupData[{
Cell[72207, 1911, 6804, 177, 430, "Input",ExpressionUUID->"fa51a5a5-67ed-4def-b710-8a0b469b3304"],
Cell[79014, 2090, 2480, 50, 380, "Output",ExpressionUUID->"31fea3b0-b278-4eb4-aab3-5e691d9ea41d"]
}, Open  ]],
Cell[CellGroupData[{
Cell[81531, 2145, 472, 12, 30, "Input",ExpressionUUID->"a1bf772d-a72c-45e1-9e26-5235185d25d7"],
Cell[82006, 2159, 2530, 57, 298, "Output",ExpressionUUID->"8967e222-3eea-4721-a5a4-529c56ef163b"]
}, Open  ]],
Cell[CellGroupData[{
Cell[84573, 2221, 690, 15, 52, "Input",ExpressionUUID->"a88b5661-416e-4537-86b9-765798390fb8"],
Cell[85266, 2238, 1002, 27, 98, "Output",ExpressionUUID->"ee655d0e-9067-4d48-8360-6c56f7ee6887"]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[86317, 2271, 229, 4, 67, "Section",ExpressionUUID->"fbc642ea-d821-4ce3-aac0-afbff2fed333"],
Cell[CellGroupData[{
Cell[86571, 2279, 755, 18, 52, "Input",ExpressionUUID->"e5460127-3386-48b5-ab43-77d4591a9c39"],
Cell[87329, 2299, 31179, 513, 62, "Output",ExpressionUUID->"c65e538d-faa1-4a62-a260-d2bdc43f14ea"]
}, Open  ]],
Cell[CellGroupData[{
Cell[118545, 2817, 847, 20, 52, "Input",ExpressionUUID->"23c5e21b-3dcd-431e-8dad-bd0c24798b25"],
Cell[119395, 2839, 2961, 101, 60, "Output",ExpressionUUID->"c02d1f5a-a91c-4b32-aaad-4db2681d8406"]
}, Open  ]],
Cell[CellGroupData[{
Cell[122393, 2945, 848, 20, 52, "Input",ExpressionUUID->"d88e3e77-39e4-4936-a5c7-413aa4be04fd"],
Cell[123244, 2967, 2875, 99, 60, "Output",ExpressionUUID->"09c0c0ee-0096-4089-9626-35a268130dc6"]
}, Open  ]],
Cell[CellGroupData[{
Cell[126156, 3071, 661, 15, 52, "Input",ExpressionUUID->"9e964a72-3638-4ae7-85ff-8a1bbe79c033"],
Cell[126820, 3088, 29254, 487, 62, "Output",ExpressionUUID->"17304de9-da03-429b-8726-29600344bdf2"]
}, Open  ]],
Cell[CellGroupData[{
Cell[156111, 3580, 744, 19, 52, "Input",ExpressionUUID->"1e9e9523-6ac6-440e-ad4f-5f25d0a71662"],
Cell[156858, 3601, 2886, 99, 60, "Output",ExpressionUUID->"2af77bd2-521f-42d9-b0e3-e794b2f2d082"]
}, Open  ]],
Cell[CellGroupData[{
Cell[159781, 3705, 722, 18, 52, "Input",ExpressionUUID->"7dcd9a56-4586-45cc-ab44-9fa40c33bd4e"],
Cell[160506, 3725, 2862, 99, 60, "Output",ExpressionUUID->"01b0c5d8-146d-4c7a-9440-fe83c22075ca"]
}, Open  ]],
Cell[CellGroupData[{
Cell[163405, 3829, 1495, 42, 73, "Input",ExpressionUUID->"135be437-2b53-42d6-8e8d-5a4ec08ff7be"],
Cell[164903, 3873, 180, 2, 34, "Output",ExpressionUUID->"05c468b2-1470-4161-9dee-101c032b6370"]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[165132, 3881, 251, 4, 67, "Section",ExpressionUUID->"05619cb6-cd8b-4b2c-9f05-8c8bb4fbd6ae"],
Cell[CellGroupData[{
Cell[165408, 3889, 755, 18, 52, "Input",ExpressionUUID->"f7355dcc-d2de-4853-a000-14eeea7bb1dd"],
Cell[166166, 3909, 31179, 513, 62, "Output",ExpressionUUID->"6080302e-07c4-49d8-be50-da67b1481e7a"]
}, Open  ]],
Cell[CellGroupData[{
Cell[197382, 4427, 847, 20, 52, "Input",ExpressionUUID->"02a014de-edb9-4aac-a1ca-5d367bfcb16a"],
Cell[198232, 4449, 2961, 101, 60, "Output",ExpressionUUID->"d7f7c60a-3a39-4cc9-9709-9e87fc3fa7cc"]
}, Open  ]],
Cell[CellGroupData[{
Cell[201230, 4555, 848, 20, 52, "Input",ExpressionUUID->"811ec1b2-292e-413c-bd96-28bbd8ba1d7e"],
Cell[202081, 4577, 2875, 99, 60, "Output",ExpressionUUID->"15e427dd-4843-4dad-9efb-156524edc7e4"]
}, Open  ]],
Cell[204971, 4679, 395, 9, 30, "Input",ExpressionUUID->"aa461481-d01b-46ae-806d-c0069ab025c9"],
Cell[CellGroupData[{
Cell[205391, 4692, 863, 20, 52, "Input",ExpressionUUID->"381662ef-897d-4d99-9db7-0813c94afc83"],
Cell[206257, 4714, 200056, 4275, 62, "Output",ExpressionUUID->"7e1bc078-4b5f-4bfc-9fa7-25998ba80d3b"]
}, Open  ]],
Cell[CellGroupData[{
Cell[406350, 8994, 930, 24, 52, "Input",ExpressionUUID->"52dea67f-7857-4148-98f5-be8af01a6211"],
Cell[407283, 9020, 4776, 153, 74, "Output",ExpressionUUID->"b5b14173-2fd3-4ddc-bf44-ed45665aecb2"]
}, Open  ]],
Cell[CellGroupData[{
Cell[412096, 9178, 911, 23, 52, "Input",ExpressionUUID->"3cfd0db2-5340-4c5b-93a5-55591f3a7235"],
Cell[413010, 9203, 4751, 153, 74, "Output",ExpressionUUID->"5de1ffd3-9729-45d5-a14f-9db26dc00b6c"]
}, Open  ]],
Cell[CellGroupData[{
Cell[417798, 9361, 235, 6, 54, "Subsection",ExpressionUUID->"fde5e762-6301-4078-8255-5bdad5223f49"],
Cell[CellGroupData[{
Cell[418058, 9371, 1035, 28, 73, "Input",ExpressionUUID->"cf77ebd2-1f22-4f5e-913c-8578babb30e5"],
Cell[419096, 9401, 8190, 170, 62, "Output",ExpressionUUID->"cdc1746b-599e-49cf-b8f2-b1662a81ecdf"],
Cell[427289, 9573, 8198, 170, 62, "Output",ExpressionUUID->"3af10f2e-4b3c-4b6e-acab-e17140ef3cac"],
Cell[435490, 9745, 9290, 185, 119, "Output",ExpressionUUID->"0969ef92-a7f8-4328-9c94-7507519dc763"]
}, Open  ]],
Cell[CellGroupData[{
Cell[444817, 9935, 357, 9, 30, "Input",ExpressionUUID->"89d8d38d-0fee-4bfc-b2c1-d0d2521f15c8"],
Cell[445177, 9946, 177, 3, 34, "Output",ExpressionUUID->"8f6b02b1-5d81-4093-aaa1-df3f8ac6b15f"]
}, Open  ]],
Cell[CellGroupData[{
Cell[445391, 9954, 355, 9, 30, "Input",ExpressionUUID->"2bd98f5d-bf1d-479c-b5db-24e8dcba2485"],
Cell[445749, 9965, 179, 3, 34, "Output",ExpressionUUID->"a2cba6fd-53de-418e-8294-e2968da1d561"]
}, Open  ]],
Cell[445943, 9971, 307, 8, 30, "Input",ExpressionUUID->"ffe0a3f5-7ef4-462a-963b-23941804f54b"],
Cell[CellGroupData[{
Cell[446275, 9983, 369, 8, 30, "Input",ExpressionUUID->"bd361b43-12f6-462b-b823-fc59f983e1e7"],
Cell[446647, 9993, 11226, 225, 62, "Output",ExpressionUUID->"62b40d70-d051-4756-b5c6-850c4507bfcc"]
}, Open  ]],
Cell[CellGroupData[{
Cell[457910, 10223, 400, 10, 30, "Input",ExpressionUUID->"5a122691-45b8-402f-9c82-670edb8f9dec"],
Cell[458313, 10235, 301, 8, 50, "Output",ExpressionUUID->"e4fa059d-28e0-4e7a-9921-2457dfe15a5e"]
}, Open  ]],
Cell[CellGroupData[{
Cell[458651, 10248, 448, 12, 30, "Input",ExpressionUUID->"d0dd52bf-8e5b-4beb-8a20-e2a247bde725"],
Cell[459102, 10262, 301, 8, 50, "Output",ExpressionUUID->"5d54562a-d81b-4fa3-8b17-8f9470290a4d"]
}, Open  ]],
Cell[459418, 10273, 241, 6, 35, "Text",ExpressionUUID->"67185fb1-472d-4c89-a4c9-f62dbb2916ee"]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[459708, 10285, 196, 3, 67, "Section",ExpressionUUID->"c4af3322-b56c-4829-8117-bc00d9e8e01c"],
Cell[CellGroupData[{
Cell[459929, 10292, 1058, 28, 73, "Input",ExpressionUUID->"fe340cd2-3273-447b-ab14-9aa3916d60e7"],
Cell[460990, 10322, 8215, 171, 62, "Output",ExpressionUUID->"78c1e864-23f0-4804-8280-d7b284326310"],
Cell[469208, 10495, 8222, 171, 62, "Output",ExpressionUUID->"9fe4160f-6017-40b9-98d2-42051f6b061d"],
Cell[477433, 10668, 9317, 186, 119, "Output",ExpressionUUID->"3e44b1e8-a9c5-4cc0-9f2d-301d16d19d66"]
}, Open  ]],
Cell[CellGroupData[{
Cell[486787, 10859, 1000, 25, 52, "Input",ExpressionUUID->"da1540e9-e2e7-4bdf-ac31-57008a35ad78"],
Cell[487790, 10886, 9364, 186, 119, "Output",ExpressionUUID->"570f7188-83e1-4788-ac78-cac1743c5b04"]
}, Open  ]],
Cell[497169, 11075, 9257, 185, 115, InheritFromParent,ExpressionUUID->"23fb08fc-f5e4-4a56-bb9e-662deab7c787"],
Cell[CellGroupData[{
Cell[506451, 11264, 480, 12, 73, InheritFromParent,ExpressionUUID->"ab83394c-0f9d-42d9-9360-0783fb1d9a04"],
Cell[506934, 11278, 314, 10, 45, "Output",ExpressionUUID->"1b7dcb79-4110-4c0e-a97a-67f8e38a773e"],
Cell[507251, 11290, 312, 10, 45, "Output",ExpressionUUID->"50d90a6b-e270-4956-99ff-4691801a6e2f"],
Cell[507566, 11302, 312, 10, 45, "Output",ExpressionUUID->"12b34da1-5132-41a2-9857-b84c3c6f6243"]
}, Open  ]],
Cell[507893, 11315, 359, 8, 81, "Text",ExpressionUUID->"eaef8b1f-bf69-4697-bd13-6e471e37247c"]
}, Open  ]]
}
]
*)

